import "./chunk-3X7DLXST.js";
import {
  AdminApi
} from "./chunk-RRWYRLM7.js";
import "./chunk-6WYMJISY.js";
import "./chunk-6BJ64FHW.js";
import "./chunk-FIVQNNAE.js";
import "./chunk-VGWABJEI.js";
import "./chunk-KP44AHRH.js";
import {
  banner_default
} from "./chunk-WJSRKCWV.js";
import "./chunk-FNV26V2B.js";
import "./chunk-WOFKYNES.js";
import "./chunk-AZMGESG2.js";
import "./chunk-4P265EXJ.js";
import "./chunk-OSXL2ISG.js";
import "./chunk-NRTFQ3WE.js";
import "./chunk-PIENMLIY.js";
import "./chunk-P3SED4PH.js";
import "./chunk-QGUPPYUK.js";
import "./chunk-WMKINSDI.js";
import "./chunk-EA2TUCZW.js";
import "./chunk-KSOTESV5.js";
import "./chunk-N57CGNDJ.js";
import {
  AkControlElement
} from "./chunk-SXPKNFZF.js";
import {
  Form
} from "./chunk-Y4CBTB76.js";
import "./chunk-SRK74APZ.js";
import "./chunk-WYSJXYDA.js";
import "./chunk-2GU5BCBP.js";
import "./chunk-UX7TDHO2.js";
import {
  form_default
} from "./chunk-DK5NYREA.js";
import {
  grid_default
} from "./chunk-XCEM2TDB.js";
import {
  list_default
} from "./chunk-43ID2PET.js";
import {
  card_default
} from "./chunk-ITYWTYEW.js";
import {
  description_list_default
} from "./chunk-DJQHOO67.js";
import {
  form_control_default,
  input_group_default
} from "./chunk-APZGZXW5.js";
import "./chunk-K3AR7TXW.js";
import "./chunk-RBLHQ2MQ.js";
import {
  spread
} from "./chunk-ADUGFWT2.js";
import {
  AKElement,
  DEFAULT_CONFIG,
  button_default,
  content_default,
  e,
  first,
  n,
  page_default,
  patternfly_base_default,
  r,
  r2,
  t,
  to
} from "./chunk-MKGIUSP2.js";
import {
  D,
  i,
  ke,
  msg
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/admin/admin-settings/AdminSettingsFooterLinks.ts
var LEGAL_SCHEMES = ["http://", "https://", "mailto:"];
var hasLegalScheme = (url) => LEGAL_SCHEMES.some((scheme) => url.substr(0, scheme.length).toLowerCase() === scheme);
var FooterLinkInput = class extends AkControlElement {
  constructor() {
    super(...arguments);
    this.footerLink = {
      name: "",
      href: ""
    };
  }
  static get styles() {
    return [
      patternfly_base_default,
      input_group_default,
      form_control_default,
      i`
                .pf-c-input-group input#linkname {
                    flex-grow: 1;
                    width: 8rem;
                }
            `
    ];
  }
  json() {
    return Object.fromEntries(
      Array.from(this.controls ?? []).map((control) => [control.name, control.value])
    );
  }
  get isValid() {
    const href = this.json()?.href ?? "";
    return hasLegalScheme(href) && URL.canParse(href);
  }
  render() {
    const onChange = () => {
      this.dispatchEvent(new Event("change", { composed: true, bubbles: true }));
    };
    return ke` <div class="pf-c-input-group">
            <input
                type="text"
                @change=${onChange}
                value=${this.footerLink.name}
                id="linkname"
                class="pf-c-form-control ak-form-control"
                name="name"
                placeholder=${msg("Link Title")}
                tabindex="1"
            />
            <input
                type="url"
                @change=${onChange}
                value="${to(this.footerLink.href ?? void 0)}"
                class="pf-c-form-control ak-form-control pf-m-monospace"
                autocomplete="off"
                required
                placeholder=${msg("URL")}
                name="href"
                tabindex="1"
            />
        </div>`;
  }
};
__decorateClass([
  n({ type: Object, attribute: false })
], FooterLinkInput.prototype, "footerLink", 2);
__decorateClass([
  r2(".ak-form-control")
], FooterLinkInput.prototype, "controls", 2);
FooterLinkInput = __decorateClass([
  t("ak-admin-settings-footer-link")
], FooterLinkInput);
function akFooterLinkInput(properties) {
  return ke`<ak-admin-settings-footer-link
        ${spread(properties)}
    ></ak-admin-settings-footer-link>`;
}

// src/admin/admin-settings/AdminSettingsForm.ts
var AdminSettingsForm = class extends Form {
  //
  // Custom property accessors in Lit 2 require a manual call to requestUpdate(). See:
  // https://lit.dev/docs/v2/components/properties/#accessors-custom
  //
  set settings(value) {
    this._settings = value;
    this.requestUpdate();
  }
  get settings() {
    return this._settings;
  }
  static get styles() {
    return super.styles.concat(
      list_default,
      i`
                ak-array-input {
                    width: 100%;
                }
            `
    );
  }
  getSuccessMessage() {
    return msg("Successfully updated settings.");
  }
  async send(data) {
    const result = await new AdminApi(DEFAULT_CONFIG).adminSettingsUpdate({
      settingsRequest: data
    });
    this.dispatchEvent(new CustomEvent("ak-admin-setting-changed"));
    return result;
  }
  renderForm() {
    return ke`
            <ak-text-input
                name="avatars"
                label=${msg("Avatars")}
                value="${to(this._settings?.avatars)}"
                inputHint="code"
                .bighelp=${ke`
                    <p class="pf-c-form__helper-text">
                        ${msg(
      "Configure how authentik should show avatars for users. The following values can be set:"
    )}
                    </p>
                    <ul class="pf-c-list">
                        <li class="pf-c-form__helper-text">
                            <code>none</code>:
                            ${msg(
      "Disables per-user avatars and just shows a 1x1 pixel transparent picture"
    )}
                        </li>
                        <li class="pf-c-form__helper-text">
                            <code>gravatar</code>:
                            ${msg("Uses gravatar with the user's email address")}
                        </li>
                        <li class="pf-c-form__helper-text">
                            <code>initials</code>:
                            ${msg("Generated avatars based on the user's name")}
                        </li>
                        <li class="pf-c-form__helper-text">
                            ${msg(
      "Any URL: If you want to use images hosted on another server, you can set any URL. Additionally, these placeholders can be used:"
    )}
                            <ul class="pf-c-list">
                                <li class="pf-c-form__helper-text">
                                    <code>%(username)s</code>: ${msg("The user's username")}
                                </li>
                                <li class="pf-c-form__helper-text">
                                    <code>%(mail_hash)s</code>:
                                    ${msg("The email address, md5 hashed")}
                                </li>
                                <li class="pf-c-form__helper-text">
                                    <code>%(upn)s</code>:
                                    ${msg("The user's UPN, if set (otherwise an empty string)")}
                                </li>
                            </ul>
                        </li>
                        <li class="pf-c-form__helper-text">
                            ${msg(
      ke`An attribute path like
                                    <code>attributes.something.avatar</code>, which can be used in
                                    combination with the file field to allow users to upload custom
                                    avatars for themselves.`
    )}
                        </li>
                    </ul>
                    <p class="pf-c-form__helper-text">
                        ${msg(
      "Multiple values can be set, comma-separated, and authentik will fallback to the next mode when no avatar could be found."
    )}
                        ${msg(
      ke`For example, setting this to <code>gravatar,initials</code> will
                                attempt to get an avatar from Gravatar, and if the user has not
                                configured on there, it will fallback to a generated avatar.`
    )}
                    </p>
                `}
                required
            >
            </ak-text-input>
            <ak-switch-input
                name="defaultUserChangeName"
                label=${msg("Allow users to change name")}
                ?checked="${this._settings?.defaultUserChangeName}"
                help=${msg("Enable the ability for users to change their name.")}
            >
            </ak-switch-input>
            <ak-switch-input
                name="defaultUserChangeEmail"
                label=${msg("Allow users to change email")}
                ?checked="${this._settings?.defaultUserChangeEmail}"
                help=${msg("Enable the ability for users to change their email.")}
            >
            </ak-switch-input>
            <ak-switch-input
                name="defaultUserChangeUsername"
                label=${msg("Allow users to change username")}
                ?checked="${this._settings?.defaultUserChangeUsername}"
                help=${msg("Enable the ability for users to change their username.")}
            >
            </ak-switch-input>
            <ak-text-input
                name="eventRetention"
                label=${msg("Event retention")}
                inputHint="code"
                required
                value="${to(this._settings?.eventRetention)}"
                .bighelp=${ke`<p class="pf-c-form__helper-text">
                        ${msg("Duration after which events will be deleted from the database.")}
                    </p>
                    <p class="pf-c-form__helper-text">
                        ${msg(
      ke`When using an external logging solution for archiving, this can be
                                set to <code>minutes=5</code>.`
    )}
                    </p>
                    <p class="pf-c-form__helper-text">
                        ${msg(
      "This setting only affects new Events, as the expiration is saved per-event."
    )}
                    </p>
                    <ak-utils-time-delta-help></ak-utils-time-delta-help>`}
            >
            </ak-text-input>
            <ak-form-element-horizontal label=${msg("Footer links")} name="footerLinks">
                <ak-array-input
                    .items=${this._settings?.footerLinks ?? []}
                    .newItem=${() => ({ name: "", href: "" })}
                    .row=${(f) => akFooterLinkInput({
      ".footerLink": f,
      "style": "width: 100%",
      "name": "footer-link"
    })}
                >
                </ak-array-input>
                <p class="pf-c-form__helper-text">
                    ${msg(
      "This option configures the footer links on the flow executor pages. The URL is limited to web and mail addresses. If the name is left blank, the URL will be shown."
    )}
                </p>
            </ak-form-element-horizontal>
            <ak-switch-input
                name="gdprCompliance"
                label=${msg("GDPR compliance")}
                ?checked="${this._settings?.gdprCompliance}"
                help=${msg(
      "When enabled, all the events caused by a user will be deleted upon the user's deletion."
    )}
            >
            </ak-switch-input>
            <ak-switch-input
                name="impersonation"
                label=${msg("Impersonation")}
                ?checked="${this._settings?.impersonation}"
                help=${msg("Globally enable/disable impersonation.")}
            >
            </ak-switch-input>
            <ak-switch-input
                name="impersonationRequireReason"
                label=${msg("Require reason for impersonation")}
                ?checked="${this._settings?.impersonationRequireReason}"
                help=${msg("Require administrators to provide a reason for impersonating a user.")}
            >
            </ak-switch-input>
            <ak-text-input
                name="defaultTokenDuration"
                label=${msg("Default token duration")}
                inputHint="code"
                required
                value="${to(this._settings?.defaultTokenDuration)}"
                .bighelp=${ke`<p class="pf-c-form__helper-text">
                        ${msg("Default duration for generated tokens")}
                    </p>
                    <ak-utils-time-delta-help></ak-utils-time-delta-help>`}
            >
            </ak-text-input>
            <ak-number-input
                label=${msg("Default token length")}
                required
                name="defaultTokenLength"
                value="${first(this._settings?.defaultTokenLength, 60)}"
                help=${msg("Default length of generated tokens")}
            ></ak-number-input>
        `;
  }
};
__decorateClass([
  n({ type: Object })
], AdminSettingsForm.prototype, "settings", 1);
AdminSettingsForm = __decorateClass([
  t("ak-admin-settings-form")
], AdminSettingsForm);

// src/admin/admin-settings/AdminSettingsPage.ts
var AdminSettingsPage = class extends AKElement {
  static get styles() {
    return [
      patternfly_base_default,
      button_default,
      page_default,
      grid_default,
      content_default,
      card_default,
      description_list_default,
      form_default,
      form_control_default,
      banner_default
    ];
  }
  constructor() {
    super();
    AdminSettingsPage.fetchSettings().then((settings) => {
      this.settings = settings;
    });
    this.save = this.save.bind(this);
    this.reset = this.reset.bind(this);
    this.addEventListener("ak-admin-setting-changed", this.handleUpdate.bind(this));
  }
  static async fetchSettings() {
    return await new AdminApi(DEFAULT_CONFIG).adminSettingsRetrieve();
  }
  async handleUpdate() {
    this.settings = await AdminSettingsPage.fetchSettings();
  }
  async save() {
    if (!this.form) {
      return;
    }
    await this.form.submit(new Event("submit"));
    this.settings = await AdminSettingsPage.fetchSettings();
  }
  async reset() {
    this.form?.resetForm();
  }
  render() {
    if (!this.settings) {
      return D;
    }
    return ke`
            <ak-page-header icon="fa fa-cog" header="" description="">
                <span slot="header"> ${msg("System settings")} </span>
            </ak-page-header>
            <section class="pf-c-page__main-section pf-m-no-padding-mobile pf-l-grid pf-m-gutter">
                <div class="pf-c-card">
                    <div class="pf-c-card__body">
                        <ak-admin-settings-form id="form" .settings=${this.settings}>
                        </ak-admin-settings-form>
                    </div>
                    <div class="pf-c-card__footer">
                        <ak-spinner-button .callAction=${this.save} class="pf-m-primary"
                            >${msg("Save")}</ak-spinner-button
                        >
                        <ak-spinner-button .callAction=${this.reset} class="pf-m-secondary"
                            >${msg("Cancel")}</ak-spinner-button
                        >
                    </div>
                </div>
            </section>
        `;
  }
};
__decorateClass([
  e("ak-admin-settings-form#form")
], AdminSettingsPage.prototype, "form", 2);
__decorateClass([
  r()
], AdminSettingsPage.prototype, "settings", 2);
AdminSettingsPage = __decorateClass([
  t("ak-admin-settings")
], AdminSettingsPage);
export {
  AdminSettingsPage
};
//# sourceMappingURL=AdminSettingsPage-LFPPVPBA.js.map
