import "./chunk-LQWLO6TQ.js";
import "./chunk-NV4FC5TZ.js";
import {
  AKChart
} from "./chunk-M4KJFWSR.js";
import {
  divider_default
} from "./chunk-DV6AH32P.js";
import "./chunk-FNV26V2B.js";
import {
  grid_default
} from "./chunk-XCEM2TDB.js";
import {
  list_default
} from "./chunk-43ID2PET.js";
import "./chunk-ITYWTYEW.js";
import "./chunk-RBLHQ2MQ.js";
import "./chunk-ADUGFWT2.js";
import {
  AKElement,
  DEFAULT_CONFIG,
  EventActions,
  EventsApi,
  content_default,
  n,
  page_default,
  t
} from "./chunk-MKGIUSP2.js";
import {
  i,
  ke,
  msg,
  str
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/admin/admin-overview/charts/AdminModelPerDay.ts
var AdminModelPerDay = class extends AKChart {
  constructor() {
    super(...arguments);
    this.action = EventActions.ModelCreated;
  }
  async apiRequest() {
    return new EventsApi(DEFAULT_CONFIG).eventsEventsPerMonthList({
      action: this.action,
      query: JSON.stringify(this.query || {})
    });
  }
  timeTickCallback(tickValue, index, ticks) {
    const valueStamp = ticks[index];
    const delta = Date.now() - valueStamp.value;
    const ago = Math.round(delta / 1e3 / 3600 / 24);
    return msg(str`${ago} days ago`);
  }
  getChartData(data) {
    return {
      datasets: [
        {
          label: this.label || msg("Objects created"),
          backgroundColor: "rgba(189, 229, 184, .5)",
          spanGaps: true,
          data: data.map((cord) => {
            return {
              x: cord.xCord || 0,
              y: cord.yCord || 0
            };
          }) || []
        }
      ]
    };
  }
};
__decorateClass([
  n()
], AdminModelPerDay.prototype, "action", 2);
__decorateClass([
  n()
], AdminModelPerDay.prototype, "label", 2);
__decorateClass([
  n({ attribute: false })
], AdminModelPerDay.prototype, "query", 2);
AdminModelPerDay = __decorateClass([
  t("ak-charts-admin-model-per-day")
], AdminModelPerDay);

// src/admin/admin-overview/DashboardUserPage.ts
var DashboardUserPage = class extends AKElement {
  static get styles() {
    return [
      grid_default,
      page_default,
      content_default,
      list_default,
      divider_default,
      i`
                .big-graph-container {
                    height: 35em;
                }
                .card-container {
                    max-height: 10em;
                }
            `
    ];
  }
  render() {
    return ke`<ak-page-header icon="pf-icon pf-icon-user" header=${msg("User Statistics")}>
            </ak-page-header>
            <section class="pf-c-page__main-section">
                <div class="pf-l-grid pf-m-gutter">
                    <div
                        class="pf-l-grid__item pf-m-12-col pf-m-12-col-on-xl pf-m-12-col-on-2xl big-graph-container"
                    >
                        <ak-aggregate-card header=${msg("Users created per day in the last month")}>
                            <ak-charts-admin-model-per-day
                                .query=${{
      context__model__app: "authentik_core",
      context__model__model_name: "user"
    }}
                                label=${msg("Users created")}
                            >
                            </ak-charts-admin-model-per-day>
                        </ak-aggregate-card>
                    </div>
                    <div class="pf-l-grid__item pf-m-12-col">
                        <hr class="pf-c-divider" />
                    </div>
                    <!-- row 2 -->
                    <div
                        class="pf-l-grid__item pf-m-12-col pf-m-6-col-on-xl pf-m-6-col-on-2xl big-graph-container"
                    >
                        <ak-aggregate-card header=${msg("Logins per day in the last month")}>
                            <ak-charts-admin-model-per-day
                                action=${EventActions.Login}
                                label=${msg("Logins")}
                            >
                            </ak-charts-admin-model-per-day>
                        </ak-aggregate-card>
                    </div>
                    <div
                        class="pf-l-grid__item pf-m-12-col pf-m-6-col-on-xl pf-m-6-col-on-2xl big-graph-container"
                    >
                        <ak-aggregate-card header=${msg("Failed Logins per day in the last month")}>
                            <ak-charts-admin-model-per-day
                                action=${EventActions.LoginFailed}
                                label=${msg("Failed logins")}
                            >
                            </ak-charts-admin-model-per-day>
                        </ak-aggregate-card>
                    </div>
                </div>
            </section> `;
  }
};
DashboardUserPage = __decorateClass([
  t("ak-admin-dashboard-users")
], DashboardUserPage);
export {
  DashboardUserPage
};
//# sourceMappingURL=DashboardUserPage-W5IWXB2T.js.map
