import "./chunk-OKSORNCU.js";
import {
  StagesApi
} from "./chunk-AVWUV543.js";
import "./chunk-TVZZZISS.js";
import "./chunk-BZ332QZD.js";
import "./chunk-3TDT67BW.js";
import "./chunk-2LUBJULX.js";
import {
  RbacPermissionsAssignedByUsersListModelEnum
} from "./chunk-6JJ33NXU.js";
import "./chunk-KP44AHRH.js";
import "./chunk-WJSRKCWV.js";
import {
  TablePage
} from "./chunk-JSGSR4RJ.js";
import "./chunk-BBFDWDOB.js";
import "./chunk-7CDOLCSU.js";
import "./chunk-TJN6LFOQ.js";
import "./chunk-3IFID2KX.js";
import "./chunk-EA2TUCZW.js";
import "./chunk-KSOTESV5.js";
import "./chunk-N57CGNDJ.js";
import "./chunk-SXPKNFZF.js";
import "./chunk-3JQ4HF4T.js";
import "./chunk-Y4CBTB76.js";
import "./chunk-QIFCLRRP.js";
import "./chunk-WYSJXYDA.js";
import "./chunk-UX7TDHO2.js";
import "./chunk-DK5NYREA.js";
import "./chunk-XCEM2TDB.js";
import "./chunk-43ID2PET.js";
import "./chunk-ITYWTYEW.js";
import {
  TableColumn
} from "./chunk-APZGZXW5.js";
import "./chunk-K3AR7TXW.js";
import "./chunk-RBLHQ2MQ.js";
import "./chunk-ADUGFWT2.js";
import {
  DEFAULT_CONFIG,
  n,
  t
} from "./chunk-MKGIUSP2.js";
import {
  ke,
  msg
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/admin/stages/prompt/PromptListPage.ts
var PromptListPage = class extends TablePage {
  constructor() {
    super(...arguments);
    this.checkbox = true;
    this.clearOnRefresh = true;
    this.order = "name";
  }
  searchEnabled() {
    return true;
  }
  pageTitle() {
    return msg("Prompts");
  }
  pageDescription() {
    return msg("Single Prompts that can be used for Prompt Stages.");
  }
  pageIcon() {
    return "pf-icon pf-icon-plugged";
  }
  async apiEndpoint() {
    return new StagesApi(DEFAULT_CONFIG).stagesPromptPromptsList(
      await this.defaultEndpointConfig()
    );
  }
  columns() {
    return [
      new TableColumn(msg("Name"), "name"),
      new TableColumn(msg("Field"), "field_key"),
      new TableColumn(msg("Type"), "type"),
      new TableColumn(msg("Order"), "order"),
      new TableColumn(msg("Stages")),
      new TableColumn(msg("Actions"))
    ];
  }
  renderToolbarSelected() {
    const disabled = this.selectedElements.length < 1;
    return ke`<ak-forms-delete-bulk
            objectLabel=${msg("Prompt(s)")}
            .objects=${this.selectedElements}
            .usedBy=${(item) => {
      return new StagesApi(DEFAULT_CONFIG).stagesPromptPromptsUsedByList({
        promptUuid: item.pk
      });
    }}
            .delete=${(item) => {
      return new StagesApi(DEFAULT_CONFIG).stagesPromptPromptsDestroy({
        promptUuid: item.pk
      });
    }}
        >
            <button ?disabled=${disabled} slot="trigger" class="pf-c-button pf-m-danger">
                ${msg("Delete")}
            </button>
        </ak-forms-delete-bulk>`;
  }
  row(item) {
    return [
      ke`${item.name}`,
      ke`<code>${item.fieldKey}</code>`,
      ke`${item.type}`,
      ke`${item.order}`,
      ke`${item.promptstageSet?.map((stage) => {
        return ke`<li>${stage.name}</li>`;
      })}`,
      ke`<ak-forms-modal size=${"pf-m-xl" /* XLarge */}>
                    <span slot="submit"> ${msg("Update")} </span>
                    <span slot="header"> ${msg("Update Prompt")} </span>
                    <ak-prompt-form slot="form" .instancePk=${item.pk}> </ak-prompt-form>
                    <button slot="trigger" class="pf-c-button pf-m-plain">
                        <pf-tooltip position="top" content=${msg("Edit")}>
                            <i class="fas fa-edit"></i>
                        </pf-tooltip>
                    </button>
                </ak-forms-modal>
                <ak-rbac-object-permission-modal
                    model=${RbacPermissionsAssignedByUsersListModelEnum.AuthentikStagesPromptPrompt}
                    objectPk=${item.pk}
                >
                </ak-rbac-object-permission-modal> `
    ];
  }
  renderObjectCreate() {
    return ke`
            <ak-forms-modal size=${"pf-m-xl" /* XLarge */}>
                <span slot="submit"> ${msg("Create")} </span>
                <span slot="header"> ${msg("Create Prompt")} </span>
                <ak-prompt-form slot="form"> </ak-prompt-form>
                <button slot="trigger" class="pf-c-button pf-m-primary">${msg("Create")}</button>
            </ak-forms-modal>
        `;
  }
};
__decorateClass([
  n()
], PromptListPage.prototype, "order", 2);
PromptListPage = __decorateClass([
  t("ak-stage-prompt-list")
], PromptListPage);
export {
  PromptListPage
};
//# sourceMappingURL=PromptListPage-EEJTYYSH.js.map
