import "./chunk-3TDT67BW.js";
import "./chunk-2LUBJULX.js";
import {
  RbacPermissionsAssignedByUsersListModelEnum
} from "./chunk-6JJ33NXU.js";
import "./chunk-KP44AHRH.js";
import "./chunk-WJSRKCWV.js";
import "./chunk-VLOR6YDM.js";
import {
  TablePage
} from "./chunk-JSGSR4RJ.js";
import "./chunk-BBFDWDOB.js";
import "./chunk-TJN6LFOQ.js";
import "./chunk-3IFID2KX.js";
import {
  PropertymappingsApi
} from "./chunk-TM5VGYRQ.js";
import "./chunk-S3ILVWYD.js";
import "./chunk-PIENMLIY.js";
import "./chunk-P3SED4PH.js";
import "./chunk-EA2TUCZW.js";
import {
  browser_default
} from "./chunk-N57CGNDJ.js";
import "./chunk-SXPKNFZF.js";
import {
  ModelForm
} from "./chunk-3JQ4HF4T.js";
import {
  Form
} from "./chunk-Y4CBTB76.js";
import "./chunk-UY7EXP7Y.js";
import "./chunk-SXZF5VBA.js";
import "./chunk-UX7TDHO2.js";
import "./chunk-DK5NYREA.js";
import "./chunk-XCEM2TDB.js";
import "./chunk-43ID2PET.js";
import "./chunk-ITYWTYEW.js";
import {
  TableColumn,
  getURLParam,
  updateURLParams
} from "./chunk-APZGZXW5.js";
import "./chunk-K3AR7TXW.js";
import "./chunk-RBLHQ2MQ.js";
import "./chunk-ADUGFWT2.js";
import {
  AKElement,
  CoreApi,
  DEFAULT_CONFIG,
  button_default,
  docLink,
  e,
  first,
  n,
  patternfly_base_default,
  r,
  t,
  to
} from "./chunk-MKGIUSP2.js";
import {
  D,
  ke,
  msg,
  str
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/admin/property-mappings/BasePropertyMappingForm.ts
var BasePropertyMappingForm = class extends ModelForm {
  docLink() {
    return "/docs/add-secure-apps/providers/property-mappings/expression?utm_source=authentik";
  }
  getSuccessMessage() {
    return this.instance ? msg("Successfully updated mapping.") : msg("Successfully created mapping.");
  }
  renderExtraFields() {
    return ke``;
  }
  renderForm() {
    return ke` <ak-form-element-horizontal label=${msg("Name")} required name="name">
                <input
                    type="text"
                    value="${to(this.instance?.name)}"
                    class="pf-c-form-control"
                    required
                />
            </ak-form-element-horizontal>
            ${this.renderExtraFields()}
            <ak-form-element-horizontal label=${msg("Expression")} required name="expression">
                <ak-codemirror
                    mode=${"python" /* Python */}
                    value="${to(this.instance?.expression)}"
                >
                </ak-codemirror>
                <p class="pf-c-form__helper-text">
                    ${msg("Expression using Python.")}
                    <a target="_blank" rel="noopener noreferrer" href="${docLink(this.docLink())}">
                        ${msg("See documentation for a list of all variables.")}
                    </a>
                </p>
            </ak-form-element-horizontal>`;
  }
};

// src/admin/property-mappings/PropertyMappingNotification.ts
var PropertyMappingNotification = class extends BasePropertyMappingForm {
  loadInstance(pk) {
    return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsNotificationRetrieve({
      pmUuid: pk
    });
  }
  async send(data) {
    if (this.instance) {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsNotificationUpdate({
        pmUuid: this.instance.pk,
        notificationWebhookMappingRequest: data
      });
    } else {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsNotificationCreate({
        notificationWebhookMappingRequest: data
      });
    }
  }
};
PropertyMappingNotification = __decorateClass([
  t("ak-property-mapping-notification-form")
], PropertyMappingNotification);

// src/admin/property-mappings/PropertyMappingProviderGoogleWorkspaceForm.ts
var PropertyMappingProviderGoogleWorkspaceForm = class extends BasePropertyMappingForm {
  loadInstance(pk) {
    return new PropertymappingsApi(
      DEFAULT_CONFIG
    ).propertymappingsProviderGoogleWorkspaceRetrieve({
      pmUuid: pk
    });
  }
  async send(data) {
    if (this.instance) {
      return new PropertymappingsApi(
        DEFAULT_CONFIG
      ).propertymappingsProviderGoogleWorkspaceUpdate({
        pmUuid: this.instance.pk,
        googleWorkspaceProviderMappingRequest: data
      });
    } else {
      return new PropertymappingsApi(
        DEFAULT_CONFIG
      ).propertymappingsProviderGoogleWorkspaceCreate({
        googleWorkspaceProviderMappingRequest: data
      });
    }
  }
};
PropertyMappingProviderGoogleWorkspaceForm = __decorateClass([
  t("ak-property-mapping-provider-google-workspace-form")
], PropertyMappingProviderGoogleWorkspaceForm);

// src/admin/property-mappings/PropertyMappingProviderMicrosoftEntraForm.ts
var PropertyMappingProviderMicrosoftEntraForm = class extends BasePropertyMappingForm {
  loadInstance(pk) {
    return new PropertymappingsApi(
      DEFAULT_CONFIG
    ).propertymappingsProviderMicrosoftEntraRetrieve({
      pmUuid: pk
    });
  }
  async send(data) {
    if (this.instance) {
      return new PropertymappingsApi(
        DEFAULT_CONFIG
      ).propertymappingsProviderMicrosoftEntraUpdate({
        pmUuid: this.instance.pk,
        microsoftEntraProviderMappingRequest: data
      });
    } else {
      return new PropertymappingsApi(
        DEFAULT_CONFIG
      ).propertymappingsProviderMicrosoftEntraCreate({
        microsoftEntraProviderMappingRequest: data
      });
    }
  }
};
PropertyMappingProviderMicrosoftEntraForm = __decorateClass([
  t("ak-property-mapping-provider-microsoft-entra-form")
], PropertyMappingProviderMicrosoftEntraForm);

// src/admin/property-mappings/PropertyMappingProviderRACForm.ts
var staticSettingOptions = [
  {
    label: msg("Unconfigured"),
    value: void 0,
    default: true,
    description: ke`${msg("This option will not be changed by this mapping.")}`
  },
  {
    label: msg("Enabled"),
    value: "true"
  },
  {
    label: msg("Disabled"),
    value: "false"
  }
];
var PropertyMappingProviderRACForm = class extends BasePropertyMappingForm {
  loadInstance(pk) {
    return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderRacRetrieve({
      pmUuid: pk
    });
  }
  async send(data) {
    if (this.instance) {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderRacUpdate({
        pmUuid: this.instance.pk,
        rACPropertyMappingRequest: data
      });
    } else {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderRacCreate({
        rACPropertyMappingRequest: data
      });
    }
  }
  renderForm() {
    return ke`
            <ak-form-element-horizontal label=${msg("Name")} required name="name">
                <input
                    type="text"
                    value="${to(this.instance?.name)}"
                    class="pf-c-form-control"
                    required
                />
            </ak-form-element-horizontal>
            <ak-form-group .expanded=${true}>
                <span slot="header"> ${msg("General settings")} </span>
                <div slot="body" class="pf-c-form">
                    <ak-form-element-horizontal
                        label=${msg("Username")}
                        name="staticSettings.username"
                    >
                        <input
                            type="text"
                            value="${to(this.instance?.staticSettings.username)}"
                            class="pf-c-form-control"
                            required
                        />
                    </ak-form-element-horizontal>
                    <ak-form-element-horizontal
                        label=${msg("Password")}
                        name="staticSettings.password"
                    >
                        <input
                            type="password"
                            value="${to(this.instance?.staticSettings.password)}"
                            class="pf-c-form-control"
                            required
                        />
                    </ak-form-element-horizontal>
                </div>
            </ak-form-group>
            <ak-form-group>
                <span slot="header"> ${msg("RDP settings")} </span>
                <div slot="body" class="pf-c-form">
                    <ak-form-element-horizontal
                        label=${msg("Ignore server certificate")}
                        name="staticSettings.ignore-cert"
                    >
                        <ak-radio
                            .options=${staticSettingOptions}
                            .value=${this.instance?.staticSettings["ignore-cert"]}
                        >
                        </ak-radio>
                    </ak-form-element-horizontal>
                    <ak-form-element-horizontal
                        label=${msg("Enable wallpaper")}
                        name="staticSettings.enable-wallpaper"
                    >
                        <ak-radio
                            .options=${staticSettingOptions}
                            .value=${this.instance?.staticSettings["enable-wallpaper"]}
                        >
                        </ak-radio>
                    </ak-form-element-horizontal>
                    <ak-form-element-horizontal
                        label=${msg("Enable font-smoothing")}
                        name="staticSettings.enable-font-smoothing"
                    >
                        <ak-radio
                            .options=${staticSettingOptions}
                            .value=${this.instance?.staticSettings["enable-font-smoothing"]}
                        >
                        </ak-radio>
                    </ak-form-element-horizontal>
                    <ak-form-element-horizontal
                        label=${msg("Enable full window dragging")}
                        name="staticSettings.enable-full-window-drag"
                    >
                        <ak-radio
                            .options=${staticSettingOptions}
                            .value=${this.instance?.staticSettings["enable-full-window-drag"]}
                        >
                        </ak-radio>
                    </ak-form-element-horizontal>
                </div>
            </ak-form-group>
            <ak-form-group>
                <span slot="header"> ${msg("Advanced settings")} </span>
                <div slot="body" class="pf-c-form">
                    <ak-form-element-horizontal
                        label=${msg("Expression")}
                        required
                        name="expression"
                    >
                        <ak-codemirror
                            mode=${"python" /* Python */}
                            value="${to(this.instance?.expression)}"
                        >
                        </ak-codemirror>
                        <p class="pf-c-form__helper-text">
                            ${msg("Expression using Python.")}
                            <a
                                target="_blank"
                                rel="noopener noreferrer"
                                href="${docLink(
      "/docs/add-secure-apps/providers/property-mappings/expression?utm_source=authentik"
    )}"
                            >
                                ${msg("See documentation for a list of all variables.")}
                            </a>
                        </p>
                    </ak-form-element-horizontal>
                </div>
            </ak-form-group>
        `;
  }
};
PropertyMappingProviderRACForm = __decorateClass([
  t("ak-property-mapping-provider-rac-form")
], PropertyMappingProviderRACForm);

// src/admin/property-mappings/PropertyMappingProviderRadiusForm.ts
var PropertyMappingProviderRadiusForm = class extends BasePropertyMappingForm {
  loadInstance(pk) {
    return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderRadiusRetrieve({
      pmUuid: pk
    });
  }
  async send(data) {
    if (this.instance) {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderRadiusUpdate({
        pmUuid: this.instance.pk,
        radiusProviderPropertyMappingRequest: data
      });
    } else {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderRadiusCreate({
        radiusProviderPropertyMappingRequest: data
      });
    }
  }
};
PropertyMappingProviderRadiusForm = __decorateClass([
  t("ak-property-mapping-provider-radius-form")
], PropertyMappingProviderRadiusForm);

// src/admin/property-mappings/PropertyMappingProviderSAMLForm.ts
var PropertyMappingProviderSAMLForm = class extends BasePropertyMappingForm {
  loadInstance(pk) {
    return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderSamlRetrieve({
      pmUuid: pk
    });
  }
  async send(data) {
    if (this.instance) {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderSamlUpdate({
        pmUuid: this.instance.pk,
        sAMLPropertyMappingRequest: data
      });
    } else {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderSamlCreate({
        sAMLPropertyMappingRequest: data
      });
    }
  }
  renderExtraFields() {
    return ke` <ak-form-element-horizontal
                label=${msg("SAML Attribute Name")}
                required
                name="samlName"
            >
                <input
                    type="text"
                    value="${to(this.instance?.samlName)}"
                    class="pf-c-form-control"
                    required
                />
                <p class="pf-c-form__helper-text">
                    ${msg(
      "Attribute name used for SAML Assertions. Can be a URN OID, a schema reference, or a any other string. If this property mapping is used for NameID Property, this field is discarded."
    )}
                </p>
            </ak-form-element-horizontal>
            <ak-form-element-horizontal label=${msg("Friendly Name")} name="friendlyName">
                <input
                    type="text"
                    value="${to(this.instance?.friendlyName || "")}"
                    class="pf-c-form-control"
                />
                <p class="pf-c-form__helper-text">
                    ${msg("Optionally set the 'FriendlyName' value of the Assertion attribute.")}
                </p>
            </ak-form-element-horizontal>`;
  }
};
PropertyMappingProviderSAMLForm = __decorateClass([
  t("ak-property-mapping-provider-saml-form")
], PropertyMappingProviderSAMLForm);

// src/admin/property-mappings/PropertyMappingProviderSCIMForm.ts
var PropertyMappingProviderSCIMForm = class extends BasePropertyMappingForm {
  loadInstance(pk) {
    return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderScimRetrieve({
      pmUuid: pk
    });
  }
  async send(data) {
    if (this.instance) {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderScimUpdate({
        pmUuid: this.instance.pk,
        sCIMMappingRequest: data
      });
    } else {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderScimCreate({
        sCIMMappingRequest: data
      });
    }
  }
};
PropertyMappingProviderSCIMForm = __decorateClass([
  t("ak-property-mapping-provider-scim-form")
], PropertyMappingProviderSCIMForm);

// src/admin/property-mappings/PropertyMappingProviderScopeForm.ts
var PropertyMappingProviderScopeForm = class extends BasePropertyMappingForm {
  loadInstance(pk) {
    return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderScopeRetrieve({
      pmUuid: pk
    });
  }
  async send(data) {
    if (this.instance) {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderScopeUpdate({
        pmUuid: this.instance.pk,
        scopeMappingRequest: data
      });
    } else {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsProviderScopeCreate({
        scopeMappingRequest: data
      });
    }
  }
  renderExtraFields() {
    return ke` <ak-form-element-horizontal
                label=${msg("Scope name")}
                required
                name="scopeName"
            >
                <input
                    type="text"
                    value="${to(this.instance?.scopeName)}"
                    class="pf-c-form-control"
                    required
                />
                <p class="pf-c-form__helper-text">
                    ${msg("Scope which the client can specify to access these properties.")}
                </p>
            </ak-form-element-horizontal>
            <ak-form-element-horizontal label=${msg("Description")} name="description">
                <input
                    type="text"
                    value="${to(this.instance?.description)}"
                    class="pf-c-form-control"
                />
                <p class="pf-c-form__helper-text">
                    ${msg(
      "Description shown to the user when consenting. If left empty, the user won't be informed."
    )}
                </p>
            </ak-form-element-horizontal>`;
  }
};
PropertyMappingProviderScopeForm = __decorateClass([
  t("ak-property-mapping-provider-scope-form")
], PropertyMappingProviderScopeForm);

// src/admin/property-mappings/PropertyMappingSourceKerberosForm.ts
var PropertyMappingSourceKerberosForm = class extends BasePropertyMappingForm {
  docLink() {
    return "/docs/sources/property-mappings/expressions?utm_source=authentik";
  }
  loadInstance(pk) {
    return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceKerberosRetrieve({
      pmUuid: pk
    });
  }
  async send(data) {
    if (this.instance) {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceKerberosUpdate({
        pmUuid: this.instance.pk,
        kerberosSourcePropertyMappingRequest: data
      });
    } else {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceKerberosCreate({
        kerberosSourcePropertyMappingRequest: data
      });
    }
  }
};
PropertyMappingSourceKerberosForm = __decorateClass([
  t("ak-property-mapping-source-kerberos-form")
], PropertyMappingSourceKerberosForm);

// src/admin/property-mappings/PropertyMappingSourceLDAPForm.ts
var PropertyMappingSourceLDAPForm = class extends BasePropertyMappingForm {
  docLink() {
    return "/docs/users-sources/sources/property-mappings/expressions?utm_source=authentik";
  }
  loadInstance(pk) {
    return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceLdapRetrieve({
      pmUuid: pk
    });
  }
  async send(data) {
    if (this.instance) {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceLdapUpdate({
        pmUuid: this.instance.pk,
        lDAPSourcePropertyMappingRequest: data
      });
    } else {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceLdapCreate({
        lDAPSourcePropertyMappingRequest: data
      });
    }
  }
};
PropertyMappingSourceLDAPForm = __decorateClass([
  t("ak-property-mapping-source-ldap-form")
], PropertyMappingSourceLDAPForm);

// src/admin/property-mappings/PropertyMappingSourceOAuthForm.ts
var PropertyMappingSourceOAuthForm = class extends BasePropertyMappingForm {
  docLink() {
    return "/docs/users-sources/sources/property-mappings/expressions?utm_source=authentik";
  }
  loadInstance(pk) {
    return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceOauthRetrieve({
      pmUuid: pk
    });
  }
  async send(data) {
    if (this.instance) {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceOauthUpdate({
        pmUuid: this.instance.pk,
        oAuthSourcePropertyMappingRequest: data
      });
    } else {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceOauthCreate({
        oAuthSourcePropertyMappingRequest: data
      });
    }
  }
};
PropertyMappingSourceOAuthForm = __decorateClass([
  t("ak-property-mapping-source-oauth-form")
], PropertyMappingSourceOAuthForm);

// src/admin/property-mappings/PropertyMappingSourcePlexForm.ts
var PropertyMappingSourcePlexForm = class extends BasePropertyMappingForm {
  docLink() {
    return "/docs/users-sources/sources/property-mappings/expressions?utm_source=authentik";
  }
  loadInstance(pk) {
    return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourcePlexRetrieve({
      pmUuid: pk
    });
  }
  async send(data) {
    if (this.instance) {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourcePlexUpdate({
        pmUuid: this.instance.pk,
        plexSourcePropertyMappingRequest: data
      });
    } else {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourcePlexCreate({
        plexSourcePropertyMappingRequest: data
      });
    }
  }
};
PropertyMappingSourcePlexForm = __decorateClass([
  t("ak-property-mapping-source-plex-form")
], PropertyMappingSourcePlexForm);

// src/admin/property-mappings/PropertyMappingSourceSAMLForm.ts
var PropertyMappingSourceSAMLForm = class extends BasePropertyMappingForm {
  docLink() {
    return "/docs/users-sources/sources/property-mappings/expressions?utm_source=authentik";
  }
  loadInstance(pk) {
    return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceSamlRetrieve({
      pmUuid: pk
    });
  }
  async send(data) {
    if (this.instance) {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceSamlUpdate({
        pmUuid: this.instance.pk,
        sAMLSourcePropertyMappingRequest: data
      });
    } else {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceSamlCreate({
        sAMLSourcePropertyMappingRequest: data
      });
    }
  }
};
PropertyMappingSourceSAMLForm = __decorateClass([
  t("ak-property-mapping-source-saml-form")
], PropertyMappingSourceSAMLForm);

// src/admin/property-mappings/PropertyMappingSourceSCIMForm.ts
var PropertyMappingSourceSCIMForm = class extends BasePropertyMappingForm {
  docLink() {
    return "/docs/users-sources/sources/property-mappings/expressions?utm_source=authentik";
  }
  loadInstance(pk) {
    return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceScimRetrieve({
      pmUuid: pk
    });
  }
  async send(data) {
    if (this.instance) {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceScimUpdate({
        pmUuid: this.instance.pk,
        sCIMSourcePropertyMappingRequest: data
      });
    } else {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsSourceScimCreate({
        sCIMSourcePropertyMappingRequest: data
      });
    }
  }
};
PropertyMappingSourceSCIMForm = __decorateClass([
  t("ak-property-mapping-source-scim-form")
], PropertyMappingSourceSCIMForm);

// src/admin/property-mappings/PropertyMappingTestForm.ts
var PolicyTestForm = class extends Form {
  getSuccessMessage() {
    return msg("Successfully sent test-request.");
  }
  async send(data) {
    this.request = data;
    const result = await new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsAllTestCreate({
      pmUuid: this.mapping?.pk || "",
      propertyMappingTestRequest: data,
      formatResult: true
    });
    return this.result = result;
  }
  renderResult() {
    return ke`<ak-form-element-horizontal label=${msg("Result")}>
            ${this.result?.successful ? ke`<ak-codemirror
                      mode=${"javascript" /* JavaScript */}
                      ?readOnly=${true}
                      value="${to(this.result?.result)}"
                  >
                  </ak-codemirror>` : ke` <div class="pf-c-form__group-label">
                      <div class="c-form__horizontal-group">
                          <span class="pf-c-form__label-text">
                              <pre>${this.result?.result}</pre>
                          </span>
                      </div>
                  </div>`}
        </ak-form-element-horizontal>`;
  }
  renderExampleButtons() {
    return this.mapping?.metaModelName === RbacPermissionsAssignedByUsersListModelEnum.AuthentikSourcesLdapLdapsourcepropertymapping ? ke`<p>${msg("Example context data")}</p>
                  ${this.renderExampleLDAP()}` : D;
  }
  renderExampleLDAP() {
    return ke`
            <button
                class="pf-c-button pf-m-secondary"
                role="button"
                @click=${() => {
      this.request = {
        user: this.request?.user || 0,
        context: {
          ldap: {
            displayName: "authentik test user",
            distinguishedName: "cn=user,ou=users,dc=goauthentik,dc=io",
            givenName: "test",
            name: "test-user",
            objectClass: "person",
            objectSid: "S-1-5-21-2611707862-2219215769-354220275-1137",
            sAMAccountName: "sAMAccountName",
            sn: "user"
          }
        }
      };
    }}
            >
                ${msg("Active Directory User")}
            </button>
            <button
                class="pf-c-button pf-m-secondary"
                role="button"
                @click=${() => {
      this.request = {
        user: this.request?.user || 0,
        context: {
          ldap: {
            name: "test-group",
            objectSid: "S-1-5-21-2611707862-2219215769-354220275-1137",
            objectClass: "group",
            distinguishedName: "cn=group,ou=groups,dc=goauthentik,dc=io"
          }
        }
      };
    }}
            >
                ${msg("Active Directory Group")}
            </button>
        `;
  }
  renderForm() {
    return ke`<ak-form-element-horizontal label=${msg("User")} name="user">
                <ak-search-select
                    blankable
                    .fetchObjects=${async (query) => {
      const args = {
        ordering: "username"
      };
      if (query !== void 0) {
        args.search = query;
      }
      const users = await new CoreApi(DEFAULT_CONFIG).coreUsersList(args);
      return users.results;
    }}
                    .renderElement=${(user) => {
      return user.username;
    }}
                    .renderDescription=${(user) => {
      return ke`${user.name}`;
    }}
                    .value=${(user) => {
      return user?.pk;
    }}
                    .selected=${(user) => {
      return this.request?.user?.toString() === user.pk.toString();
    }}
                >
                </ak-search-select>
            </ak-form-element-horizontal>
            <ak-form-element-horizontal label=${msg("Group")} name="group">
                <ak-search-select
                    blankable
                    .fetchObjects=${async (query) => {
      const args = {
        ordering: "name"
      };
      if (query !== void 0) {
        args.search = query;
      }
      const groups = await new CoreApi(DEFAULT_CONFIG).coreGroupsList(args);
      return groups.results;
    }}
                    .renderElement=${(group) => {
      return group.name;
    }}
                    .value=${(group) => {
      return group?.pk;
    }}
                    .selected=${(group) => {
      return this.request?.group?.toString() === group.pk.toString();
    }}
                >
                </ak-search-select>
            </ak-form-element-horizontal>
            <ak-form-element-horizontal label=${msg("Context")} name="context">
                <ak-codemirror
                    mode=${"yaml" /* YAML */}
                    value=${browser_default.stringify(first(this.request?.context, {}))}
                >
                </ak-codemirror>
                <p class="pf-c-form__helper-text">${this.renderExampleButtons()}</p>
            </ak-form-element-horizontal>
            ${this.result ? this.renderResult() : ke``}`;
  }
};
__decorateClass([
  n({ attribute: false })
], PolicyTestForm.prototype, "mapping", 2);
__decorateClass([
  n({ attribute: false })
], PolicyTestForm.prototype, "result", 2);
__decorateClass([
  n({ attribute: false })
], PolicyTestForm.prototype, "request", 2);
PolicyTestForm = __decorateClass([
  t("ak-property-mapping-test-form")
], PolicyTestForm);

// src/admin/property-mappings/PropertyMappingWizard.ts
var PropertyMappingWizard = class extends AKElement {
  constructor() {
    super(...arguments);
    this.mappingTypes = [];
  }
  static get styles() {
    return [patternfly_base_default, button_default];
  }
  async firstUpdated() {
    this.mappingTypes = await new PropertymappingsApi(
      DEFAULT_CONFIG
    ).propertymappingsAllTypesList();
  }
  render() {
    return ke`
            <ak-wizard
                .steps=${["initial"]}
                header=${msg("New property mapping")}
                description=${msg("Create a new property mapping.")}
            >
                <ak-wizard-page-type-create
                    slot="initial"
                    .types=${this.mappingTypes}
                    @select=${(ev) => {
      if (!this.wizard) return;
      this.wizard.steps = [
        "initial",
        `type-${ev.detail.component}-${ev.detail.modelName}`
      ];
      this.wizard.isValid = true;
    }}
                >
                </ak-wizard-page-type-create>
                ${this.mappingTypes.map((type) => {
      return ke`
                        <ak-wizard-page-form
                            slot=${`type-${type.component}-${type.modelName}`}
                            .sidebarLabel=${() => msg(str`Create ${type.name}`)}
                        >
                            <ak-proxy-form type=${type.component}></ak-proxy-form>
                        </ak-wizard-page-form>
                    `;
    })}
                <button slot="trigger" class="pf-c-button pf-m-primary">${msg("Create")}</button>
            </ak-wizard>
        `;
  }
};
__decorateClass([
  n({ attribute: false })
], PropertyMappingWizard.prototype, "mappingTypes", 2);
__decorateClass([
  e("ak-wizard")
], PropertyMappingWizard.prototype, "wizard", 2);
PropertyMappingWizard = __decorateClass([
  t("ak-property-mapping-wizard")
], PropertyMappingWizard);

// src/admin/property-mappings/PropertyMappingListPage.ts
var PropertyMappingListPage = class extends TablePage {
  constructor() {
    super(...arguments);
    this.checkbox = true;
    this.clearOnRefresh = true;
    this.order = "name";
    this.hideManaged = getURLParam("hideManaged", true);
  }
  searchEnabled() {
    return true;
  }
  pageTitle() {
    return msg("Property Mappings");
  }
  pageDescription() {
    return msg("Control how authentik exposes and interprets information.");
  }
  pageIcon() {
    return "pf-icon pf-icon-blueprint";
  }
  async apiEndpoint() {
    return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsAllList({
      ...await this.defaultEndpointConfig(),
      managedIsnull: this.hideManaged ? true : void 0
    });
  }
  columns() {
    return [
      new TableColumn(msg("Name"), "name"),
      new TableColumn(msg("Type"), "type"),
      new TableColumn(msg("Actions"))
    ];
  }
  renderToolbarSelected() {
    const disabled = this.selectedElements.length < 1;
    return ke`<ak-forms-delete-bulk
            objectLabel=${msg("Property Mapping(s)")}
            .objects=${this.selectedElements}
            .usedBy=${(item) => {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsAllUsedByList({
        pmUuid: item.pk
      });
    }}
            .delete=${(item) => {
      return new PropertymappingsApi(DEFAULT_CONFIG).propertymappingsAllDestroy({
        pmUuid: item.pk
      });
    }}
        >
            <button ?disabled=${disabled} slot="trigger" class="pf-c-button pf-m-danger">
                ${msg("Delete")}
            </button>
        </ak-forms-delete-bulk>`;
  }
  row(item) {
    return [
      ke`${item.name}`,
      ke`${item.verboseName}`,
      ke` <ak-forms-modal>
                    <span slot="submit"> ${msg("Update")} </span>
                    <span slot="header"> ${msg(str`Update ${item.verboseName}`)} </span>
                    <ak-proxy-form
                        slot="form"
                        .args=${{
        instancePk: item.pk
      }}
                        type=${to(item.component)}
                    >
                    </ak-proxy-form>
                    <button slot="trigger" class="pf-c-button pf-m-plain">
                        <pf-tooltip position="top" content=${msg("Edit")}>
                            <i class="fas fa-edit"></i>
                        </pf-tooltip>
                    </button>
                </ak-forms-modal>
                <ak-rbac-object-permission-modal model=${item.metaModelName} objectPk=${item.pk}>
                </ak-rbac-object-permission-modal>
                <ak-forms-modal .closeAfterSuccessfulSubmit=${false}>
                    <span slot="submit"> ${msg("Test")} </span>
                    <span slot="header"> ${msg("Test Property Mapping")} </span>
                    <ak-property-mapping-test-form slot="form" .mapping=${item}>
                    </ak-property-mapping-test-form>
                    <button slot="trigger" class="pf-c-button pf-m-plain">
                        <pf-tooltip position="top" content=${msg("Test")}>
                            <i class="fas fa-vial" aria-hidden="true"></i>
                        </pf-tooltip>
                    </button>
                </ak-forms-modal>`
    ];
  }
  renderObjectCreate() {
    return ke`<ak-property-mapping-wizard></ak-property-mapping-wizard> `;
  }
  renderToolbarAfter() {
    return ke`&nbsp;
            <div class="pf-c-toolbar__group pf-m-filter-group">
                <div class="pf-c-toolbar__item pf-m-search-filter">
                    <div class="pf-c-input-group">
                        <label class="pf-c-switch">
                            <input
                                class="pf-c-switch__input"
                                type="checkbox"
                                ?checked=${this.hideManaged}
                                @change=${() => {
      this.hideManaged = !this.hideManaged;
      this.page = 1;
      this.fetch();
      updateURLParams({
        hideManaged: this.hideManaged
      });
    }}
                            />
                            <span class="pf-c-switch__toggle">
                                <span class="pf-c-switch__toggle-icon">
                                    <i class="fas fa-check" aria-hidden="true"></i>
                                </span>
                            </span>
                            <span class="pf-c-switch__label">${msg("Hide managed mappings")}</span>
                        </label>
                    </div>
                </div>
            </div>`;
  }
};
__decorateClass([
  n()
], PropertyMappingListPage.prototype, "order", 2);
__decorateClass([
  r()
], PropertyMappingListPage.prototype, "hideManaged", 2);
PropertyMappingListPage = __decorateClass([
  t("ak-property-mapping-list")
], PropertyMappingListPage);
export {
  PropertyMappingListPage
};
//# sourceMappingURL=PropertyMappingListPage-WETBP57C.js.map
