import {
  getCountryFlag
} from "./chunk-7PVVYFAP.js";
import "./chunk-3TDT67BW.js";
import "./chunk-2LUBJULX.js";
import {
  RbacPermissionsAssignedByUsersListModelEnum
} from "./chunk-6JJ33NXU.js";
import "./chunk-KP44AHRH.js";
import "./chunk-WJSRKCWV.js";
import {
  TablePage
} from "./chunk-JSGSR4RJ.js";
import "./chunk-BBFDWDOB.js";
import {
  PoliciesApi
} from "./chunk-IUFGI55K.js";
import "./chunk-TJN6LFOQ.js";
import "./chunk-3IFID2KX.js";
import "./chunk-EA2TUCZW.js";
import "./chunk-SXPKNFZF.js";
import "./chunk-3JQ4HF4T.js";
import "./chunk-Y4CBTB76.js";
import "./chunk-2GU5BCBP.js";
import "./chunk-UX7TDHO2.js";
import "./chunk-DK5NYREA.js";
import "./chunk-XCEM2TDB.js";
import "./chunk-43ID2PET.js";
import "./chunk-ITYWTYEW.js";
import {
  TableColumn
} from "./chunk-APZGZXW5.js";
import "./chunk-K3AR7TXW.js";
import "./chunk-RBLHQ2MQ.js";
import "./chunk-ADUGFWT2.js";
import {
  DEFAULT_CONFIG,
  getRelativeTime,
  n,
  t
} from "./chunk-MKGIUSP2.js";
import {
  ke,
  msg
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/admin/policies/reputation/ReputationListPage.ts
var ReputationListPage = class extends TablePage {
  constructor() {
    super(...arguments);
    this.order = "identifier";
    this.checkbox = true;
    this.clearOnRefresh = true;
  }
  searchEnabled() {
    return true;
  }
  pageTitle() {
    return msg("Reputation scores");
  }
  pageDescription() {
    return msg(
      "Reputation for IP and user identifiers. Scores are decreased for each failed login and increased for each successful login."
    );
  }
  pageIcon() {
    return "fa fa-ban";
  }
  async apiEndpoint() {
    return new PoliciesApi(DEFAULT_CONFIG).policiesReputationScoresList({
      ...await this.defaultEndpointConfig()
    });
  }
  columns() {
    return [
      new TableColumn(msg("Identifier"), "identifier"),
      new TableColumn(msg("IP"), "ip"),
      new TableColumn(msg("Score"), "score"),
      new TableColumn(msg("Updated"), "updated"),
      new TableColumn(msg("Actions"))
    ];
  }
  renderToolbarSelected() {
    const disabled = this.selectedElements.length < 1;
    return ke`<ak-forms-delete-bulk
            objectLabel=${msg("Reputation")}
            .objects=${this.selectedElements}
            .usedBy=${(item) => {
      return new PoliciesApi(DEFAULT_CONFIG).policiesReputationScoresUsedByList({
        reputationUuid: item.pk || ""
      });
    }}
            .delete=${(item) => {
      return new PoliciesApi(DEFAULT_CONFIG).policiesReputationScoresDestroy({
        reputationUuid: item.pk || ""
      });
    }}
        >
            <button ?disabled=${disabled} slot="trigger" class="pf-c-button pf-m-danger">
                ${msg("Delete")}
            </button>
        </ak-forms-delete-bulk>`;
  }
  row(item) {
    return [
      ke`${item.identifier}`,
      ke`${item.ipGeoData?.country ? ke` ${getCountryFlag(item.ipGeoData.country)} ` : ke``}
            ${item.ip}`,
      ke`${item.score}`,
      ke`<div>${getRelativeTime(item.updated)}</div>
                <small>${item.updated.toLocaleString()}</small>`,
      ke`
                <ak-rbac-object-permission-modal
                    model=${RbacPermissionsAssignedByUsersListModelEnum.AuthentikPoliciesReputationReputationpolicy}
                    objectPk=${item.pk || ""}
                >
                </ak-rbac-object-permission-modal>
            `
    ];
  }
};
__decorateClass([
  n()
], ReputationListPage.prototype, "order", 2);
ReputationListPage = __decorateClass([
  t("ak-policy-reputation-list")
], ReputationListPage);
export {
  ReputationListPage
};
//# sourceMappingURL=ReputationListPage-JSOESXOR.js.map
