import {
  RbacApi
} from "./chunk-6JJ33NXU.js";
import {
  ModelForm
} from "./chunk-3JQ4HF4T.js";
import {
  DEFAULT_CONFIG,
  t,
  to
} from "./chunk-MKGIUSP2.js";
import {
  ke,
  msg
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/admin/roles/RoleForm.ts
var RoleForm = class extends ModelForm {
  loadInstance(pk) {
    return new RbacApi(DEFAULT_CONFIG).rbacRolesRetrieve({
      uuid: pk
    });
  }
  getSuccessMessage() {
    return this.instance ? msg("Successfully updated role.") : msg("Successfully created role.");
  }
  async send(data) {
    if (this.instance?.pk) {
      return new RbacApi(DEFAULT_CONFIG).rbacRolesPartialUpdate({
        uuid: this.instance.pk,
        patchedRoleRequest: data
      });
    } else {
      return new RbacApi(DEFAULT_CONFIG).rbacRolesCreate({
        roleRequest: data
      });
    }
  }
  renderForm() {
    return ke`<ak-form-element-horizontal label=${msg("Name")} ?required=${true} name="name">
            <input
                type="text"
                value="${to(this.instance?.name)}"
                class="pf-c-form-control"
                required
            />
        </ak-form-element-horizontal>`;
  }
};
RoleForm = __decorateClass([
  t("ak-role-form")
], RoleForm);
//# sourceMappingURL=chunk-42Q77LMM.js.map
