import {
  split_default
} from "./chunk-6BJ64FHW.js";
import {
  flex_default
} from "./chunk-FNV26V2B.js";
import {
  FlowsApi
} from "./chunk-SRK74APZ.js";
import {
  oo
} from "./chunk-UX7TDHO2.js";
import {
  be,
  list_default
} from "./chunk-43ID2PET.js";
import {
  card_default
} from "./chunk-ITYWTYEW.js";
import {
  description_list_default
} from "./chunk-DJQHOO67.js";
import {
  table_default
} from "./chunk-K3AR7TXW.js";
import {
  AKElement,
  DEFAULT_CONFIG,
  EventActions,
  VERSION,
  button_default,
  n,
  patternfly_base_default,
  t,
  truncate
} from "./chunk-MKGIUSP2.js";
import {
  i,
  ke,
  msg,
  str
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/admin/events/utils.ts
function EventGeo(event) {
  let geo = void 0;
  if (Object.hasOwn(event.context, "geo")) {
    geo = event.context.geo;
    const parts = [geo.city, geo.country, geo.continent].filter(
      (v) => v !== "" && v !== void 0
    );
    return ke`${parts.join(", ")}`;
  }
  return ke``;
}
function EventUser(event, truncateUsername) {
  if (!event.user.username) {
    return ke`-`;
  }
  let body = ke``;
  if (event.user.is_anonymous) {
    body = ke`<div>${msg("Anonymous user")}</div>`;
  } else {
    body = ke`<div>
            <a href="#/identity/users/${event.user.pk}"
                >${truncateUsername ? truncate(event.user?.username, truncateUsername) : event.user?.username}</a
            >
        </div>`;
  }
  if (event.user.on_behalf_of) {
    body = ke`${body}<small>
                <a href="#/identity/users/${event.user.on_behalf_of.pk}"
                    >${msg(str`On behalf of ${event.user.on_behalf_of.username}`)}</a
                >
            </small>`;
  }
  return body;
}

// node_modules/@patternfly/patternfly/components/ExpandableSection/expandable-section.css
var expandable_section_default = '.pf-c-expandable-section {\n  --pf-c-expandable-section__toggle--PaddingTop: var(--pf-global--spacer--form-element);\n  --pf-c-expandable-section__toggle--PaddingRight: var(--pf-global--spacer--md);\n  --pf-c-expandable-section__toggle--PaddingBottom: var(--pf-global--spacer--form-element);\n  --pf-c-expandable-section__toggle--PaddingLeft: 0;\n  --pf-c-expandable-section__toggle--MarginTop: 0;\n  --pf-c-expandable-section__toggle--Color: var(--pf-global--link--Color);\n  --pf-c-expandable-section__toggle--hover--Color: var(--pf-global--link--Color--hover);\n  --pf-c-expandable-section__toggle--active--Color: var(--pf-global--link--Color--hover);\n  --pf-c-expandable-section__toggle--focus--Color: var(--pf-global--link--Color--hover);\n  --pf-c-expandable-section__toggle--m-expanded--Color: var(--pf-global--link--Color--hover);\n  --pf-c-expandable-section__toggle-icon--MinWidth: 1em;\n  --pf-c-expandable-section__toggle-icon--Color: var(--pf-global--Color--100);\n  --pf-c-expandable-section__toggle-icon--Transition: .2s ease-in 0s;\n  --pf-c-expandable-section__toggle-icon--Rotate: 0;\n  --pf-c-expandable-section__toggle-icon--m-expand-top--Rotate: 0;\n  --pf-c-expandable-section--m-expanded__toggle-icon--Rotate: 90deg;\n  --pf-c-expandable-section--m-expanded__toggle-icon--m-expand-top--Rotate: -90deg;\n  --pf-c-expandable-section__toggle-text--MarginLeft: calc(var(--pf-global--spacer--xs) + var(--pf-global--spacer--sm));\n  --pf-c-expandable-section__content--MarginTop: var(--pf-global--spacer--md);\n  --pf-c-expandable-section__content--MaxWidth: auto;\n  --pf-c-expandable-section--m-limit-width__content--MaxWidth: 46.875rem;\n  --pf-c-expandable-section--m-display-lg--BoxShadow: var(--pf-global--BoxShadow--md);\n  --pf-c-expandable-section--m-display-lg__toggle--PaddingTop: var(--pf-global--spacer--md);\n  --pf-c-expandable-section--m-display-lg__toggle--PaddingRight: var(--pf-global--spacer--md);\n  --pf-c-expandable-section--m-display-lg__toggle--PaddingBottom: var(--pf-global--spacer--md);\n  --pf-c-expandable-section--m-display-lg__toggle--PaddingLeft: var(--pf-global--spacer--md);\n  --pf-c-expandable-section--m-display-lg__content--MarginTop: 0;\n  --pf-c-expandable-section--m-display-lg__content--PaddingRight: var(--pf-global--spacer--lg);\n  --pf-c-expandable-section--m-display-lg__content--PaddingBottom: var(--pf-global--spacer--lg);\n  --pf-c-expandable-section--m-display-lg__content--PaddingLeft: var(--pf-global--spacer--lg);\n  --pf-c-expandable-section--m-display-lg--after--BackgroundColor: transparent;\n  --pf-c-expandable-section--m-display-lg--after--Width: var(--pf-global--BorderWidth--lg);\n  --pf-c-expandable-section--m-display-lg--m-expanded--after--BackgroundColor: var(--pf-global--primary-color--100);\n  --pf-c-expandable-section--m-indented__content--PaddingLeft: calc(var(--pf-c-expandable-section__toggle-text--MarginLeft) + var(--pf-c-expandable-section__toggle-icon--MinWidth));\n  --pf-c-expandable-section--m-truncate__content--LineClamp: 3;\n  --pf-c-expandable-section--m-truncate__toggle--MarginTop: var(--pf-global--spacer--xs);\n}\n.pf-c-expandable-section.pf-m-expanded {\n  --pf-c-expandable-section__toggle--Color: var(--pf-c-expandable-section__toggle--m-expanded--Color);\n  --pf-c-expandable-section__toggle-icon--Rotate: var(--pf-c-expandable-section--m-expanded__toggle-icon--Rotate);\n  --pf-c-expandable-section__toggle-icon--m-expand-top--Rotate: var(--pf-c-expandable-section--m-expanded__toggle-icon--m-expand-top--Rotate);\n  --pf-c-expandable-section--m-display-lg--after--BackgroundColor: var(--pf-c-expandable-section--m-display-lg--m-expanded--after--BackgroundColor);\n}\n.pf-c-expandable-section.pf-m-detached, .pf-c-expandable-section.pf-m-truncate {\n  --pf-c-expandable-section__content--MarginTop: 0;\n}\n.pf-c-expandable-section.pf-m-limit-width {\n  --pf-c-expandable-section__content--MaxWidth: var(--pf-c-expandable-section--m-limit-width__content--MaxWidth);\n}\n.pf-c-expandable-section.pf-m-display-lg {\n  --pf-c-expandable-section__toggle--PaddingTop: var(--pf-c-expandable-section--m-display-lg__toggle--PaddingTop);\n  --pf-c-expandable-section__toggle--PaddingRight: var(--pf-c-expandable-section--m-display-lg__toggle--PaddingRight);\n  --pf-c-expandable-section__toggle--PaddingBottom: var(--pf-c-expandable-section--m-display-lg__toggle--PaddingBottom);\n  --pf-c-expandable-section__toggle--PaddingLeft: var(--pf-c-expandable-section--m-display-lg__toggle--PaddingLeft);\n  --pf-c-expandable-section__content--PaddingRight: var(--pf-c-expandable-section--m-display-lg__content--PaddingRight);\n  --pf-c-expandable-section__content--PaddingBottom: var(--pf-c-expandable-section--m-display-lg__content--PaddingBottom);\n  --pf-c-expandable-section__content--PaddingLeft: var(--pf-c-expandable-section--m-display-lg__content--PaddingLeft);\n  --pf-c-expandable-section__content--MarginTop: var(--pf-c-expandable-section--m-display-lg__content--MarginTop);\n  position: relative;\n  box-shadow: var(--pf-c-expandable-section--m-display-lg--BoxShadow);\n}\n.pf-c-expandable-section.pf-m-display-lg::after {\n  position: absolute;\n  top: 0;\n  bottom: 0;\n  left: 0;\n  width: var(--pf-c-expandable-section--m-display-lg--after--Width);\n  content: "";\n  background-color: var(--pf-c-expandable-section--m-display-lg--after--BackgroundColor);\n}\n.pf-c-expandable-section.pf-m-indented {\n  --pf-c-expandable-section__content--PaddingLeft: var(--pf-c-expandable-section--m-indented__content--PaddingLeft);\n}\n.pf-c-expandable-section.pf-m-truncate {\n  --pf-c-expandable-section__toggle--MarginTop: var(--pf-c-expandable-section--m-truncate__toggle--MarginTop);\n  --pf-c-expandable-section__toggle--PaddingTop: 0;\n  --pf-c-expandable-section__toggle--PaddingRight: 0;\n  --pf-c-expandable-section__toggle--PaddingBottom: 0;\n  --pf-c-expandable-section__toggle-text--MarginLeft: 0;\n}\n.pf-c-expandable-section.pf-m-truncate:not(.pf-m-expanded) .pf-c-expandable-section__content {\n  display: -webkit-box;\n  -webkit-box-orient: vertical;\n  -webkit-line-clamp: var(--pf-c-expandable-section--m-truncate__content--LineClamp);\n  overflow: hidden;\n}\n.pf-c-expandable-section.pf-m-detached {\n  --pf-c-expandable-section--m-truncate__toggle--MarginTop: 0;\n}\n\n.pf-c-expandable-section__toggle {\n  display: flex;\n  padding: var(--pf-c-expandable-section__toggle--PaddingTop) var(--pf-c-expandable-section__toggle--PaddingRight) var(--pf-c-expandable-section__toggle--PaddingBottom) var(--pf-c-expandable-section__toggle--PaddingLeft);\n  margin-top: var(--pf-c-expandable-section__toggle--MarginTop);\n  color: var(--pf-c-expandable-section__toggle--Color);\n  border: none;\n}\n.pf-c-expandable-section__toggle:hover {\n  --pf-c-expandable-section__toggle--Color: var(--pf-c-expandable-section__toggle--hover--Color);\n}\n.pf-c-expandable-section__toggle:active, .pf-c-expandable-section__toggle.pf-m-active {\n  --pf-c-expandable-section__toggle--Color: var(--pf-c-expandable-section__toggle--active--Color);\n}\n.pf-c-expandable-section__toggle:focus {\n  --pf-c-expandable-section__toggle--Color: var(--pf-c-expandable-section__toggle--focus--Color);\n}\n\n.pf-c-expandable-section__toggle-icon {\n  min-width: var(--pf-c-expandable-section__toggle-icon--MinWidth);\n  color: var(--pf-c-expandable-section__toggle-icon--Color);\n  transition: var(--pf-c-expandable-section__toggle-icon--Transition);\n  transform: rotate(var(--pf-c-expandable-section__toggle-icon--Rotate));\n}\n.pf-c-expandable-section__toggle-icon.pf-m-expand-top {\n  --pf-c-expandable-section__toggle-icon--Rotate: var(--pf-c-expandable-section__toggle-icon--m-expand-top--Rotate);\n}\n\n.pf-c-expandable-section__toggle-text {\n  margin-left: var(--pf-c-expandable-section__toggle-text--MarginLeft);\n}\n\n.pf-c-expandable-section__content {\n  max-width: var(--pf-c-expandable-section__content--MaxWidth);\n  padding-right: var(--pf-c-expandable-section__content--PaddingRight);\n  padding-bottom: var(--pf-c-expandable-section__content--PaddingBottom);\n  padding-left: var(--pf-c-expandable-section__content--PaddingLeft);\n  margin-top: var(--pf-c-expandable-section__content--MarginTop);\n}\n\n.pf-m-overpass-font .pf-c-expandable-section__toggle {\n  font-weight: var(--pf-global--FontWeight--semi-bold);\n}';

// src/elements/Expand.ts
var Expand = class extends AKElement {
  constructor() {
    super(...arguments);
    this.expanded = false;
    this.textOpen = msg("Show less");
    this.textClosed = msg("Show more");
  }
  static get styles() {
    return [
      patternfly_base_default,
      expandable_section_default,
      i`
                .pf-c-expandable-section.pf-m-display-lg {
                    background-color: var(--pf-global--BackgroundColor--100);
                }
            `
    ];
  }
  render() {
    return ke`<div
            class="pf-c-expandable-section pf-m-display-lg pf-m-indented ${this.expanded ? "pf-m-expanded" : ""}"
        >
            <button
                type="button"
                class="pf-c-expandable-section__toggle"
                aria-expanded="${this.expanded}"
                @click=${() => {
      this.expanded = !this.expanded;
    }}
            >
                <span class="pf-c-expandable-section__toggle-icon">
                    <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
                <span class="pf-c-expandable-section__toggle-text"
                    >${this.expanded ? this.textOpen : this.textClosed}</span
                >
            </button>
            <div class="pf-c-expandable-section__content" ?hidden=${!this.expanded}>
                <slot></slot>
            </div>
        </div>`;
  }
};
__decorateClass([
  n({ type: Boolean })
], Expand.prototype, "expanded", 2);
__decorateClass([
  n({ type: String, attribute: "text-open" })
], Expand.prototype, "textOpen", 2);
__decorateClass([
  n({ type: String, attribute: "text-closed" })
], Expand.prototype, "textClosed", 2);
Expand = __decorateClass([
  t("ak-expand")
], Expand);

// src/components/ak-event-info.ts
var githubIssueMessageBody = (context) => `
**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Screenshots**
If applicable, add screenshots to help explain your problem.

**Logs**
<details>
    <summary>Stacktrace from authentik</summary>

\`\`\`
${context.message}
\`\`\`
</details>


**Version and Deployment (please complete the following information):**
- authentik version: ${VERSION}
- Deployment: [e.g. docker-compose, helm]

**Additional context**
Add any other context about the problem here.
        `;
var EventInfo = class extends AKElement {
  static get styles() {
    return [
      patternfly_base_default,
      button_default,
      flex_default,
      card_default,
      table_default,
      list_default,
      split_default,
      description_list_default,
      i`
                code {
                    display: block;
                    white-space: pre-wrap;
                    word-break: break-all;
                }
                .pf-l-flex {
                    justify-content: space-between;
                }
                .pf-l-flex__item {
                    min-width: 25%;
                }
                iframe {
                    width: 100%;
                    height: 50rem;
                }
            `
    ];
  }
  renderDescriptionGroup([term, description]) {
    return ke` <div class="pf-c-description-list__group">
            <dt class="pf-c-description-list__term">
                <span class="pf-c-description-list__text">${term}</span>
            </dt>
            <dd class="pf-c-description-list__description">
                <div class="pf-c-description-list__text">${description}</div>
            </dd>
        </div>`;
  }
  getModelInfo(context) {
    if (context === null) {
      return ke`<span>-</span>`;
    }
    const modelFields = [
      [msg("UID"), context.pk],
      [msg("Name"), context.name],
      [msg("App"), context.app],
      [msg("Model Name"), context.model_name]
    ];
    return ke`<div class="pf-c-card__body">
            <dl class="pf-c-description-list pf-m-horizontal">
                ${oo(modelFields, this.renderDescriptionGroup)}
            </dl>
        </div>`;
  }
  getEmailInfo(context) {
    if (context === null) {
      return ke`<span>-</span>`;
    }
    const emailFields = [
      [msg("Message"), context.message],
      [msg("Subject"), context.subject],
      [msg("From"), context.from_email],
      [msg("To"), ke`${context.to_email.map((to) => {
        return ke`<li>${to}</li>`;
      })}`]
    ];
    return ke`<dl class="pf-c-description-list pf-m-horizontal">
            ${oo(emailFields, this.renderDescriptionGroup)}
        </dl>`;
  }
  renderDefaultResponse() {
    return ke`<div class="pf-l-flex">
            <div class="pf-l-flex__item">
                <div class="pf-c-card__title">${msg("Context")}</div>
                <div class="pf-c-card__body">
                    <code>${JSON.stringify(this.event?.context, null, 4)}</code>
                </div>
            </div>
            <div class="pf-l-flex__item">
                <div class="pf-c-card__title">${msg("User")}</div>
                <div class="pf-c-card__body">
                    <code>${JSON.stringify(this.event?.user, null, 4)}</code>
                </div>
            </div>
        </div>`;
  }
  buildGitHubIssueUrl(context) {
    const httpRequest = this.event.context.http_request;
    const title = httpRequest ? `${httpRequest?.method} ${httpRequest?.path}` : "";
    return [
      "https://github.com/goauthentik/authentik/issues/new",
      "?labels=bug,from_authentik",
      `&title=${encodeURIComponent(title)}`,
      `&body=${encodeURIComponent(githubIssueMessageBody(context))}`
    ].join("").trim();
  }
  // It's commonplace not to put the return type on most functions in Typescript. In this case,
  // however, putting this return type creates a virtuous check of *all* the subrenderers to
  // ensure that all of them return what we're expecting.
  render() {
    if (!this.event) {
      return ke`<ak-spinner size=${"pf-m-md" /* Medium */}></ak-spinner>`;
    }
    switch (this.event?.action) {
      case EventActions.ModelCreated:
      case EventActions.ModelUpdated:
      case EventActions.ModelDeleted:
        return this.renderModelChanged();
      case EventActions.AuthorizeApplication:
        return this.renderAuthorizeApplication();
      case EventActions.EmailSent:
        return this.renderEmailSent();
      case EventActions.SecretView:
        return this.renderSecretView();
      case EventActions.SystemException:
        return this.renderSystemException();
      case EventActions.PropertyMappingException:
        return this.renderPropertyMappingException();
      case EventActions.PolicyException:
        return this.renderPolicyException();
      case EventActions.PolicyExecution:
        return this.renderPolicyExecution();
      case EventActions.ConfigurationError:
        return this.renderConfigurationError();
      case EventActions.UpdateAvailable:
        return this.renderUpdateAvailable();
      // Action types which typically don't record any extra context.
      // If context is not empty, we fall to the default response.
      case EventActions.Login:
        return this.renderLogin();
      case EventActions.LoginFailed:
        return this.renderLoginFailed();
      case EventActions.Logout:
        return this.renderLogout();
      case EventActions.SystemTaskException:
        return this.renderSystemTaskException();
      default:
        return this.renderDefaultResponse();
    }
  }
  renderModelChanged() {
    const diff = this.event.context.diff;
    let diffBody = ke``;
    if (diff) {
      diffBody = ke`<div class="pf-l-split__item pf-m-fill">
                    <div class="pf-c-card__title">${msg("Changes made:")}</div>
                    <table class="pf-c-table pf-m-compact pf-m-grid-md" role="grid">
                        <thead>
                            <tr role="row">
                                <th role="columnheader" scope="col">${msg("Key")}</th>
                                <th role="columnheader" scope="col">${msg("Previous value")}</th>
                                <th role="columnheader" scope="col">${msg("New value")}</th>
                            </tr>
                        </thead>
                        <tbody role="rowgroup">
                            ${Object.keys(diff).map((key) => {
        const value = diff[key];
        const previousCol = value.previous_value ? JSON.stringify(value.previous_value, null, 4) : msg("-");
        let newCol = ke``;
        if (value.add || value.remove) {
          newCol = ke`<ul class="pf-c-list">
                                        ${(value.add || value.remove)?.map((item) => {
            let itemLabel = "";
            if (value.add) {
              itemLabel = msg(str`Added ID ${item}`);
            } else if (value.remove) {
              itemLabel = msg(str`Removed ID ${item}`);
            }
            return ke`<li>${itemLabel}</li>`;
          })}
                                    </ul>`;
        } else if (value.clear) {
          newCol = ke`${msg("Cleared")}`;
        } else {
          newCol = ke`<pre>
${JSON.stringify(value.new_value, null, 4)}</pre
                                    >`;
        }
        return ke` <tr role="row">
                                    <td role="cell"><pre>${key}</pre></td>
                                    <td role="cell">
                                        <pre>${previousCol}</pre>
                                    </td>
                                    <td role="cell">${newCol}</td>
                                </tr>`;
      })}
                        </tbody>
                    </table>
                </div>
                </div>`;
    }
    return ke`
            <div class="pf-l-split">
                <div class="pf-l-split__item pf-m-fill">
                    <div class="pf-c-card__title">${msg("Affected model:")}</div>
                    <div class="pf-c-card__body">
                        ${this.getModelInfo(this.event.context?.model)}
                    </div>
                </div>
                ${diffBody}
            </div>
            <br />
            <ak-expand>${this.renderDefaultResponse()}</ak-expand>
        `;
  }
  renderAuthorizeApplication() {
    return ke`<div class="pf-l-flex">
                <div class="pf-l-flex__item">
                    <div class="pf-c-card__title">${msg("Authorized application:")}</div>
                    <div class="pf-c-card__body">
                        ${this.getModelInfo(
      this.event.context.authorized_application
    )}
                    </div>
                </div>
                <div class="pf-l-flex__item">
                    <div class="pf-c-card__title">${msg("Using flow")}</div>
                    <div class="pf-c-card__body">
                        <span
                            >${be(
      new FlowsApi(DEFAULT_CONFIG).flowsInstancesList({
        flowUuid: this.event.context.flow
      }).then((resp) => {
        return ke`<a href="#/flow/flows/${resp.results[0].slug}"
                                            >${resp.results[0].name}</a
                                        >`;
      }),
      ke`<ak-spinner size=${"pf-m-md" /* Medium */}></ak-spinner>`
    )}
                        </span>
                    </div>
                </div>
            </div>
            <ak-expand>${this.renderDefaultResponse()}</ak-expand>`;
  }
  renderEmailSent() {
    let body = this.event.context.body;
    body = body.replace("cid:logo.png", "/static/dist/assets/icons/icon_left_brand.png");
    return ke`<div class="pf-c-card__title">${msg("Email info:")}</div>
            <div class="pf-c-card__body">${this.getEmailInfo(this.event.context)}</div>
            <ak-expand>
                <iframe srcdoc=${body}></iframe>
            </ak-expand>`;
  }
  renderSecretView() {
    return ke` <div class="pf-c-card__title">${msg("Secret:")}</div>
            ${this.getModelInfo(this.event.context.secret)}`;
  }
  renderSystemException() {
    return ke`<div class="pf-l-flex">
                <div class="pf-l-flex__item">
                    <div class="pf-c-card__title">${msg("Exception")}</div>
                    <div class="pf-c-card__title">
                        <a
                            class="pf-c-button pf-m-primary"
                            target="_blank"
                            href=${this.buildGitHubIssueUrl(this.event.context)}
                        >
                            ${msg("Open issue on GitHub...")}
                        </a>
                    </div>
                    <div class="pf-c-card__body">
                        <pre>${this.event.context.message}</pre>
                    </div>
                </div>
            </div>
            <ak-expand>${this.renderDefaultResponse()}</ak-expand>`;
  }
  renderPropertyMappingException() {
    return ke`<div class="pf-l-flex">
                <div class="pf-l-flex__item">
                    <div class="pf-c-card__title">${msg("Exception")}</div>
                    <div class="pf-c-card__body">
                        <pre>${this.event.context.message || this.event.context.error}</pre>
                    </div>
                </div>
                <div class="pf-l-flex__item">
                    <div class="pf-c-card__title">${msg("Expression")}</div>
                    <div class="pf-c-card__body">
                        <code>${this.event.context.expression}</code>
                    </div>
                </div>
            </div>
            <ak-expand>${this.renderDefaultResponse()}</ak-expand>`;
  }
  renderPolicyException() {
    return ke`<div class="pf-l-flex">
                <div class="pf-l-flex__item">
                    <div class="pf-c-card__title">${msg("Binding")}</div>
                    ${this.getModelInfo(this.event.context.binding)}
                </div>
                <div class="pf-l-flex__item">
                    <div class="pf-c-card__title">${msg("Request")}</div>
                    <div class="pf-c-card__body">
                        <ul class="pf-c-list">
                            <li>
                                ${msg("Object")}:
                                ${this.getModelInfo(
      this.event.context.request.obj
    )}
                            </li>
                            <li>
                                <span
                                    >${msg("Context")}:
                                    <code
                                        >${JSON.stringify(
      this.event.context.request.context,
      null,
      4
    )}</code
                                    ></span
                                >
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="pf-l-flex__item">
                    <div class="pf-c-card__title">${msg("Exception")}</div>
                    <div class="pf-c-card__body">
                        <code>${this.event.context.message || this.event.context.error}</code>
                    </div>
                </div>
            </div>
            <ak-expand>${this.renderDefaultResponse()}</ak-expand>`;
  }
  renderPolicyExecution() {
    return ke`<div class="pf-l-flex">
                <div class="pf-l-flex__item">
                    <div class="pf-c-card__title">${msg("Binding")}</div>
                    ${this.getModelInfo(this.event.context.binding)}
                </div>
                <div class="pf-l-flex__item">
                    <div class="pf-c-card__title">${msg("Request")}</div>
                    <div class="pf-c-card__body">
                        <ul class="pf-c-list">
                            <li>
                                ${msg("Object")}:
                                ${this.getModelInfo(
      this.event.context.request.obj
    )}
                            </li>
                            <li>
                                <span
                                    >${msg("Context")}:
                                    <code
                                        >${JSON.stringify(
      this.event.context.request.context,
      null,
      4
    )}</code
                                    ></span
                                >
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="pf-l-flex__item">
                    <div class="pf-c-card__title">${msg("Result")}</div>
                    <div class="pf-c-card__body">
                        <ul class="pf-c-list">
                            <li>
                                ${msg("Passing")}:
                                ${this.event.context.result.passing}
                            </li>
                            <li>
                                ${msg("Messages")}:
                                <ul class="pf-c-list">
                                    ${this.event.context.result.messages.map((msg2) => {
      return ke`<li>${msg2}</li>`;
    })}
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <ak-expand>${this.renderDefaultResponse()}</ak-expand>`;
  }
  renderConfigurationError() {
    return ke`<div class="pf-c-card__title">${this.event.context.message}</div>
            <ak-expand>${this.renderDefaultResponse()}</ak-expand>`;
  }
  renderUpdateAvailable() {
    let url = `https://github.com/goauthentik/authentik/releases/tag/version%2F${this.event.context.new_version}`;
    if (this.event.context.changelog) {
      url = this.event.context.changelog;
    }
    return ke`<div class="pf-c-card__title">${msg("New version available")}</div>
            <div class="pf-c-card__body">
                <a target="_blank" href=${url}> ${this.event.context.new_version} </a>
            </div>`;
  }
  renderLogin() {
    if ("using_source" in this.event.context) {
      return ke`<div class="pf-l-flex">
                <div class="pf-l-flex__item">
                    <div class="pf-c-card__title">${msg("Using source")}</div>
                    ${this.getModelInfo(this.event.context.using_source)}
                </div>
            </div>`;
    }
    return this.renderDefaultResponse();
  }
  renderLoginFailed() {
    return ke` <div class="pf-c-card__title">
                ${msg(str`Attempted to log in as ${this.event.context.username}`)}
            </div>
            <ak-expand>${this.renderDefaultResponse()}</ak-expand>`;
  }
  renderLogout() {
    if (Object.keys(this.event.context).length === 0) {
      return ke`<span>${msg("No additional data available.")}</span>`;
    }
    return this.renderDefaultResponse();
  }
  renderSystemTaskException() {
    return ke`<div class="pf-l-flex">
            <div class="pf-l-flex__item">
                <div class="pf-c-card__title">${msg("Exception")}</div>
                <div class="pf-c-card__body">
                    <pre>${this.event.context.message}</pre>
                </div>
            </div>
        </div>`;
  }
};
__decorateClass([
  n({ attribute: false })
], EventInfo.prototype, "event", 2);
EventInfo = __decorateClass([
  t("ak-event-info")
], EventInfo);

export {
  EventGeo,
  EventUser
};
//# sourceMappingURL=chunk-6WYMJISY.js.map
