import {
  AkControlElement
} from "./chunk-SXPKNFZF.js";
import {
  randomId
} from "./chunk-Y4CBTB76.js";
import {
  bound
} from "./chunk-DK5NYREA.js";
import {
  form_control_default,
  input_group_default
} from "./chunk-APZGZXW5.js";
import {
  at,
  ct,
  dt,
  pt,
  ut
} from "./chunk-ADUGFWT2.js";
import {
  button_default,
  e2 as e,
  i as i2,
  n,
  patternfly_base_default,
  r2 as r,
  t,
  t2
} from "./chunk-MKGIUSP2.js";
import {
  R,
  i,
  ke,
  msg
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// node_modules/lit-html/directives/repeat.js
var Jt = (e2, s, t3) => {
  const r2 = /* @__PURE__ */ new Map();
  for (let l = s; l <= t3; l++) r2.set(e2[l], l);
  return r2;
};
var Qt = e(class extends i2 {
  constructor(e2) {
    if (super(e2), e2.type !== t2.CHILD) throw Error("repeat() can only be used in text expressions");
  }
  dt(e2, s, t3) {
    let r2;
    void 0 === t3 ? t3 = s : void 0 !== s && (r2 = s);
    const l = [], o = [];
    let i3 = 0;
    for (const s2 of e2) l[i3] = r2 ? r2(s2, i3) : i3, o[i3] = t3(s2, i3), i3++;
    return { values: o, keys: l };
  }
  render(e2, s, t3) {
    return this.dt(e2, s, t3).values;
  }
  update(e2, [s, t3, r2]) {
    const l = ut(e2), { values: o, keys: i3 } = this.dt(s, t3, r2);
    if (!Array.isArray(l)) return this.ut = i3, o;
    const n2 = this.ut ??= [], f = [];
    let u, c, d = 0, p = l.length - 1, a = 0, h = o.length - 1;
    for (; d <= p && a <= h; ) if (null === l[d]) d++;
    else if (null === l[p]) p--;
    else if (n2[d] === i3[a]) f[a] = ct(l[d], o[a]), d++, a++;
    else if (n2[p] === i3[h]) f[h] = ct(l[p], o[h]), p--, h--;
    else if (n2[d] === i3[h]) f[h] = ct(l[d], o[h]), at(e2, f[h + 1], l[d]), d++, h--;
    else if (n2[p] === i3[a]) f[a] = ct(l[p], o[a]), at(e2, l[d], l[p]), p--, a++;
    else if (void 0 === u && (u = Jt(i3, a, h), c = Jt(n2, d, p)), u.has(n2[d])) if (u.has(n2[p])) {
      const s2 = c.get(i3[a]), t4 = void 0 !== s2 ? l[s2] : null;
      if (null === t4) {
        const s3 = at(e2, l[d]);
        ct(s3, o[a]), f[a] = s3;
      } else f[a] = ct(t4, o[a]), at(e2, l[d], t4), l[s2] = null;
      a++;
    } else pt(l[p]), p--;
    else pt(l[d]), d++;
    for (; a <= h; ) {
      const s2 = at(e2, f[h + 1]);
      ct(s2, o[a]), f[a++] = s2;
    }
    for (; d <= p; ) {
      const e3 = l[d++];
      null !== e3 && pt(e3);
    }
    return this.ut = i3, dt(e2, f), R;
  }
});

// src/elements/ak-array-input.ts
var ArrayInput = class extends AkControlElement {
  constructor() {
    super(...arguments);
    this.validate = false;
    this._items = [];
  }
  static get styles() {
    return [
      patternfly_base_default,
      button_default,
      input_group_default,
      form_control_default,
      i`
                select.pf-c-form-control {
                    width: 100px;
                }
                .pf-c-input-group {
                    padding-bottom: 0;
                }
                .ak-plus-button {
                    display: flex;
                    justify-content: flex-end;
                    flex-direction: row;
                }
                .ak-input-group {
                    display: flex;
                    flex-direction: row;
                    flex-wrap: nowrap;
                }
            `
    ];
  }
  set items(items) {
    const olditems = new Map(
      (this._items ?? []).map((key, item) => [JSON.stringify(item), key])
    );
    const newitems = items.map((item) => ({
      item,
      key: olditems.get(JSON.stringify(item))?.key ?? randomId()
    }));
    this._items = newitems;
  }
  get items() {
    return this._items.map(({ item }) => item);
  }
  json() {
    if (!this.inputGroups) {
      throw new Error("Could not find input group collection in ak-array-input");
    }
    return this.items;
  }
  get isValid() {
    if (!this.validate) {
      return true;
    }
    const oneIsValid = (g) => g.querySelector("[name]")?.isValid ?? true;
    const allAreValid = Array.from(this.inputGroups ?? []).every(oneIsValid);
    return allAreValid && (this.validator ? this.validator(this.items) : true);
  }
  itemsFromDom() {
    return Array.from(this.inputGroups ?? []).map(
      (group) => group.querySelector("[name]")?.json() ?? null
    ).filter((i3) => i3 !== null);
  }
  sendChange() {
    this.dispatchEvent(new Event("change", { composed: true, bubbles: true }));
  }
  onChange() {
    this.items = this.itemsFromDom();
    this.sendChange();
  }
  addNewGroup() {
    this.items = [...this.itemsFromDom(), this.newItem()];
    this.sendChange();
  }
  renderDeleteButton(idx) {
    const deleteOneGroup = () => {
      this.items = [...this.items.slice(0, idx), ...this.items.slice(idx + 1)];
      this.sendChange();
    };
    return ke`<button class="pf-c-button pf-m-control" type="button" @click=${deleteOneGroup}>
            <i class="fas fa-minus" aria-hidden="true"></i>
        </button>`;
  }
  render() {
    return ke` <div class="pf-l-stack">
            ${Qt(
      this._items,
      (item) => item.key,
      (item, idx) => ke` <div class="ak-input-group" @change=${() => this.onChange()}>
                        ${this.row(item.item)}${this.renderDeleteButton(idx)}
                    </div>`
    )}
            <button class="pf-c-button pf-m-link" type="button" @click=${this.addNewGroup}>
                <i class="fas fa-plus" aria-hidden="true"></i>&nbsp; ${msg("Add entry")}
            </button>
        </div>`;
  }
};
__decorateClass([
  n({ type: Boolean })
], ArrayInput.prototype, "validate", 2);
__decorateClass([
  n({ type: Object, attribute: false })
], ArrayInput.prototype, "validator", 2);
__decorateClass([
  n({ type: Array, attribute: false })
], ArrayInput.prototype, "row", 2);
__decorateClass([
  n({ type: Object, attribute: false })
], ArrayInput.prototype, "newItem", 2);
__decorateClass([
  n({ type: Array, attribute: false })
], ArrayInput.prototype, "items", 1);
__decorateClass([
  r("div.ak-input-group")
], ArrayInput.prototype, "inputGroups", 2);
__decorateClass([
  bound
], ArrayInput.prototype, "onChange", 1);
__decorateClass([
  bound
], ArrayInput.prototype, "addNewGroup", 1);
ArrayInput = __decorateClass([
  t("ak-array-input")
], ArrayInput);

export {
  Qt
};
/*! Bundled license information:

lit-html/directives/repeat.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*/
//# sourceMappingURL=chunk-AZMGESG2.js.map
