import {
  banner_default
} from "./chunk-WJSRKCWV.js";
import {
  TableModal
} from "./chunk-BBFDWDOB.js";
import {
  TableColumn
} from "./chunk-APZGZXW5.js";
import {
  CoreApi,
  DEFAULT_CONFIG,
  n,
  t
} from "./chunk-MKGIUSP2.js";
import {
  ke,
  msg
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/admin/users/GroupSelectModal.ts
var GroupSelectModal = class extends TableModal {
  constructor() {
    super(...arguments);
    this.checkbox = true;
    this.checkboxChip = true;
    this.order = "name";
  }
  searchEnabled() {
    return true;
  }
  static get styles() {
    return super.styles.concat(banner_default);
  }
  async apiEndpoint() {
    return new CoreApi(DEFAULT_CONFIG).coreGroupsList({
      ...await this.defaultEndpointConfig(),
      includeUsers: false
    });
  }
  columns() {
    return [
      new TableColumn(msg("Name"), "username"),
      new TableColumn(msg("Superuser"), "is_superuser"),
      new TableColumn(msg("Members"), "")
    ];
  }
  row(item) {
    return [
      ke`<div>
                <div>${item.name}</div>
            </div>`,
      ke` <ak-status-label type="info" ?good=${item.isSuperuser}></ak-status-label>`,
      ke`${(item.users || []).length}`
    ];
  }
  renderSelectedChip(item) {
    return ke`${item.name}`;
  }
  renderModalInner() {
    const willSuperuser = this.selectedElements.filter((g) => g.isSuperuser).length > 0;
    return ke`<section class="pf-c-modal-box__header pf-c-page__main-section pf-m-light">
                <div class="pf-c-content">
                    <h1 class="pf-c-title pf-m-2xl">${msg("Select groups to add user to")}</h1>
                </div>
            </section>
            ${willSuperuser ? ke`
                      <div class="pf-c-banner pf-m-warning">
                          ${msg(
      "Warning: Adding the user to the selected group(s) will give them superuser permissions."
    )}
                      </div>
                  ` : ke``}
            <section class="pf-c-modal-box__body pf-m-light">${this.renderTable()}</section>
            <footer class="pf-c-modal-box__footer">
                <ak-spinner-button
                    .callAction=${() => {
      return this.confirm(this.selectedElements).then(() => {
        this.open = false;
      });
    }}
                    class="pf-m-primary"
                >
                    ${msg("Add")} </ak-spinner-button
                >&nbsp;
                <ak-spinner-button
                    .callAction=${async () => {
      this.open = false;
    }}
                    class="pf-m-secondary"
                >
                    ${msg("Cancel")}
                </ak-spinner-button>
            </footer>`;
  }
};
__decorateClass([
  n()
], GroupSelectModal.prototype, "confirm", 2);
GroupSelectModal = __decorateClass([
  t("ak-user-group-select-table")
], GroupSelectModal);
//# sourceMappingURL=chunk-CGOLHTC5.js.map
