import {
  ke,
  msg
} from "./chunk-BW7LVHGS.js";

// src/admin/sources/utils.ts
function renderSourceIcon(name, iconUrl) {
  const icon = ke`<i class="fas fa-share-square" title="${name}"></i>`;
  if (iconUrl) {
    if (iconUrl.startsWith("fa://")) {
      const url = iconUrl.replaceAll("fa://", "");
      return ke`<i class="fas ${url}" title="${name}"></i>`;
    }
    return ke`<img src="${iconUrl}" alt="${name}" />`;
  }
  return icon;
}
function sourceBindingTypeNotices() {
  return [
    {
      type: "group" /* group */,
      notice: msg(
        "Group mappings can only be checked if a user is already logged in when trying to access this source."
      )
    },
    {
      type: "user" /* user */,
      notice: msg(
        "User mappings can only be checked if a user is already logged in when trying to access this source."
      )
    }
  ];
}

export {
  renderSourceIcon,
  sourceBindingTypeNotices
};
//# sourceMappingURL=chunk-E6CC4ECU.js.map
