import {
  AKElement,
  EVENT_REFRESH,
  t
} from "./chunk-MKGIUSP2.js";
import {
  ke
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/elements/buttons/Dropdown.ts
var DropdownButton = class extends AKElement {
  constructor() {
    super();
    this.menu = null;
    this.clickHandler = () => {
      if (!this.menu) {
        return;
      }
      this.menu.hidden = true;
    };
    window.addEventListener(EVENT_REFRESH, this.clickHandler);
  }
  connectedCallback() {
    super.connectedCallback();
    this.menu = this.querySelector(".pf-c-dropdown__menu");
    this.querySelectorAll("button.pf-c-dropdown__toggle").forEach((btn) => {
      btn.addEventListener("click", () => {
        if (!this.menu) {
          return;
        }
        this.menu.hidden = !this.menu.hidden;
      });
    });
  }
  disconnectedCallback() {
    super.disconnectedCallback();
    window.removeEventListener(EVENT_REFRESH, this.clickHandler);
  }
  render() {
    return ke`<slot></slot>`;
  }
};
DropdownButton = __decorateClass([
  t("ak-dropdown")
], DropdownButton);
//# sourceMappingURL=chunk-FIVQNNAE.js.map
