import {
  FlowDesignationEnum,
  FlowLayoutEnum
} from "./chunk-WYSJXYDA.js";
import {
  msg
} from "./chunk-BW7LVHGS.js";

// src/admin/flows/utils.ts
function RenderFlowOption(flow) {
  return `${flow.slug} (${flow.name})`;
}
function DesignationToLabel(designation) {
  switch (designation) {
    case FlowDesignationEnum.Authentication:
      return msg("Authentication");
    case FlowDesignationEnum.Authorization:
      return msg("Authorization");
    case FlowDesignationEnum.Enrollment:
      return msg("Enrollment");
    case FlowDesignationEnum.Invalidation:
      return msg("Invalidation");
    case FlowDesignationEnum.Recovery:
      return msg("Recovery");
    case FlowDesignationEnum.StageConfiguration:
      return msg("Stage Configuration");
    case FlowDesignationEnum.Unenrollment:
      return msg("Unenrollment");
    case FlowDesignationEnum.UnknownDefaultOpenApi:
      return msg("Unknown designation");
  }
}
function LayoutToLabel(layout) {
  switch (layout) {
    case FlowLayoutEnum.Stacked:
      return msg("Stacked");
    case FlowLayoutEnum.ContentLeft:
      return msg("Content left");
    case FlowLayoutEnum.ContentRight:
      return msg("Content right");
    case FlowLayoutEnum.SidebarLeft:
      return msg("Sidebar left");
    case FlowLayoutEnum.SidebarRight:
      return msg("Sidebar right");
    case FlowLayoutEnum.UnknownDefaultOpenApi:
      return msg("Unknown layout");
  }
}

export {
  RenderFlowOption,
  DesignationToLabel,
  LayoutToLabel
};
//# sourceMappingURL=chunk-INWUBHFN.js.map
