import {
  flex_default
} from "./chunk-FNV26V2B.js";
import {
  card_default
} from "./chunk-ITYWTYEW.js";
import {
  AKElement,
  n,
  patternfly_base_default,
  t,
  to
} from "./chunk-MKGIUSP2.js";
import {
  D,
  i,
  ke
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/elements/cards/AggregateCard.ts
var AggregateCard = class extends AKElement {
  constructor() {
    super(...arguments);
    this.leftJustified = false;
  }
  static get styles() {
    return [patternfly_base_default, card_default, flex_default].concat([
      i`
                .pf-c-card.pf-c-card-aggregate {
                    height: 100%;
                }
                .pf-c-card__header {
                    flex-wrap: nowrap;
                }
                .center-value {
                    font-size: var(--pf-global--icon--FontSize--lg);
                    text-align: center;
                }
                .subtext {
                    margin-top: var(--pf-global--spacer--sm);
                    font-size: var(--pf-global--FontSize--sm);
                }
                .pf-c-card__body {
                    overflow-x: scroll;
                    padding-left: calc(var(--pf-c-card--child--PaddingLeft) / 2);
                    padding-right: calc(var(--pf-c-card--child--PaddingRight) / 2);
                }
                .pf-c-card__header,
                .pf-c-card__title,
                .pf-c-card__body,
                .pf-c-card__footer {
                    padding-bottom: 0;
                }
            `
    ]);
  }
  renderInner() {
    return ke`<slot></slot>`;
  }
  renderHeaderLink() {
    return ke`${this.headerLink ? ke`<a href="${this.headerLink}">
                  <i class="fa fa-link"> </i>
              </a>` : ""}`;
  }
  renderHeader() {
    return ke`${this.header ? this.header : ""}`;
  }
  render() {
    return ke`<div class="pf-c-card pf-c-card-aggregate">
            <div class="pf-c-card__header pf-l-flex pf-m-justify-content-space-between">
                <div class="pf-c-card__title">
                    ${this.icon ? ke`<i class="${to(this.icon)}"></i>&nbsp;` : D}${this.renderHeader()}
                </div>
                ${this.renderHeaderLink()}
            </div>
            <div class="pf-c-card__body ${this.leftJustified ? "" : "center-value"}">
                ${this.renderInner()}
                ${this.subtext ? ke`<p class="subtext">${this.subtext}</p>` : D}
            </div>
            <div class="pf-c-card__footer">&nbsp;</div>
        </div>`;
  }
};
__decorateClass([
  n()
], AggregateCard.prototype, "icon", 2);
__decorateClass([
  n()
], AggregateCard.prototype, "header", 2);
__decorateClass([
  n()
], AggregateCard.prototype, "headerLink", 2);
__decorateClass([
  n()
], AggregateCard.prototype, "subtext", 2);
__decorateClass([
  n({ type: Boolean, attribute: "left-justified" })
], AggregateCard.prototype, "leftJustified", 2);
AggregateCard = __decorateClass([
  t("ak-aggregate-card")
], AggregateCard);

export {
  AggregateCard
};
//# sourceMappingURL=chunk-NV4FC5TZ.js.map
