import {
  Kt,
  ii
} from "./chunk-Y4CBTB76.js";
import {
  form_default
} from "./chunk-DK5NYREA.js";
import {
  form_control_default
} from "./chunk-APZGZXW5.js";
import {
  AKElement,
  button_default,
  n,
  patternfly_base_default,
  t
} from "./chunk-MKGIUSP2.js";
import {
  i,
  ke,
  msg
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/elements/forms/FormGroup.ts
var FormGroup = class extends AKElement {
  constructor() {
    super(...arguments);
    this.expanded = false;
    this.ariaLabel = msg("Details");
    this.formRef = ii();
    this.scrollAnimationFrame = -1;
    this.scrollIntoView = () => {
      this.formRef.value?.scrollIntoView({
        behavior: "smooth"
      });
    };
    this.toggleExpanded = () => {
      cancelAnimationFrame(this.scrollAnimationFrame);
      this.expanded = !this.expanded;
      if (this.expanded) {
        this.scrollAnimationFrame = requestAnimationFrame(this.scrollIntoView);
      }
    };
  }
  static get styles() {
    return [
      patternfly_base_default,
      form_default,
      button_default,
      form_control_default,
      i`
                /**
                 * Workaround to trigger the hover effect on the button when the header is hovered.
                 *
                 * Alternatively, we group the expander button and header, but the grid would have to be
                 * restructured to allow for this.
                 */
                .pf-c-form__field-group:has(.pf-c-form__field-group-header:hover) .pf-c-button {
                    color: var(--pf-global--Color--100) !important;
                }

                /**
                 * Transition ensuring a smooth animation when the body is expanded/collapsed.
                 */
                slot[name="body"] {
                    transition-behavior: allow-discrete;
                    transition-property: opacity, display, transform;
                    transition-duration: var(--pf-global--TransitionDuration);
                    transition-timing-function: var(--pf-global--TimingFunction);
                    display: block;
                    opacity: 1;
                    transform: scaleY(1);
                    transform-origin: top left;
                    will-change: opacity, display, transform;
                }

                slot[name="body"][hidden] {
                    opacity: 0 !important;
                    display: none !important;
                    transform: scaleY(0) !important;
                }

                @media (prefers-reduced-motion) {
                    slot[name="body"] {
                        transition-duration: 0s;
                    }
                }
            `
    ];
  }
  render() {
    return ke`<div class="pf-c-form" ${Kt(this.formRef)}>
            <div class="pf-c-form__field-group ${this.expanded ? "pf-m-expanded" : ""}">
                <div class="pf-c-form__field-group-toggle">
                    <div class="pf-c-form__field-group-toggle-button">
                        <button
                            class="pf-c-button pf-m-plain"
                            type="button"
                            aria-expanded="${this.expanded}"
                            aria-label=${this.ariaLabel}
                            @click=${this.toggleExpanded}
                        >
                            <span class="pf-c-form__field-group-toggle-icon">
                                <i class="fas fa-angle-right" aria-hidden="true"></i>
                            </span>
                        </button>
                    </div>
                </div>
                <div
                    class="pf-c-form__field-group-header pf-m-pressable"
                    @click=${this.toggleExpanded}
                    aria-expanded=${this.expanded}
                    aria-role="button"
                >
                    <div class="pf-c-form__field-group-header-main">
                        <div class="pf-c-form__field-group-header-title">
                            <div class="pf-c-form__field-group-header-title-text">
                                <slot name="header"></slot>
                            </div>
                        </div>
                        <div class="pf-c-form__field-group-header-description">
                            <slot name="description"></slot>
                        </div>
                    </div>
                </div>
                <slot
                    ?hidden=${!this.expanded}
                    class="pf-c-form__field-group-body"
                    name="body"
                ></slot>
            </div>
        </div>`;
  }
};
__decorateClass([
  n({ type: Boolean, reflect: true })
], FormGroup.prototype, "expanded", 2);
__decorateClass([
  n({ type: String, attribute: "aria-label", reflect: true })
], FormGroup.prototype, "ariaLabel", 2);
FormGroup = __decorateClass([
  t("ak-form-group")
], FormGroup);
//# sourceMappingURL=chunk-P3SED4PH.js.map
