// src/elements/utils/isSafari.ts
var isSafari = () => navigator.userAgent.includes("Safari") && !navigator.userAgent.includes("Chrome");

// src/elements/utils/writeToClipboard.ts
async function writeToClipboard(message) {
  if (!navigator.clipboard) {
    return false;
  }
  try {
    if (isSafari()) {
      await navigator.clipboard.write([
        new ClipboardItem({
          "text/plain": new Blob([message], {
            type: "text/plain"
          })
        })
      ]);
    } else {
      await navigator.clipboard.writeText(message);
    }
    return true;
  } catch (_) {
  }
  return false;
}

export {
  writeToClipboard
};
//# sourceMappingURL=chunk-QPYNOECS.js.map
