import {
  AuthenticationEnumToJSON,
  ContextualFlowInfoFromJSON,
  DeniedActionEnumToJSON,
  FlowDesignationEnumFromJSON,
  FlowDesignationEnumToJSON,
  FlowFromJSON,
  FlowLayoutEnumToJSON,
  PromptChallengeFromJSONTyped,
  StageFromJSON
} from "./chunk-WYSJXYDA.js";
import {
  CacheFromJSON
} from "./chunk-2GU5BCBP.js";
import {
  BaseAPI,
  BlobApiResponse,
  FilePathRequestToJSON,
  JSONApiResponse,
  LinkFromJSON,
  LogEventFromJSON,
  PaginationFromJSON,
  PolicyEngineModeFromJSON,
  PolicyEngineModeToJSON,
  RequiredError,
  UsedByFromJSON,
  VoidApiResponse,
  canConsumeForm
} from "./chunk-MKGIUSP2.js";

// node_modules/@goauthentik/api/dist/esm/models/AccessDeniedChallenge.js
function AccessDeniedChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "pendingUser": json["pending_user"],
    "pendingUserAvatar": json["pending_user_avatar"],
    "errorMessage": json["error_message"] == null ? void 0 : json["error_message"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AppleChallengeResponseRequest.js
function AppleChallengeResponseRequestToJSON(json) {
  return AppleChallengeResponseRequestToJSONTyped(json, false);
}
function AppleChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AppleLoginChallenge.js
function AppleLoginChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "clientId": json["client_id"],
    "scope": json["scope"],
    "redirectUri": json["redirect_uri"],
    "state": json["state"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorDuoChallenge.js
function AuthenticatorDuoChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "pendingUser": json["pending_user"],
    "pendingUserAvatar": json["pending_user_avatar"],
    "activationBarcode": json["activation_barcode"],
    "activationCode": json["activation_code"],
    "stageUuid": json["stage_uuid"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorDuoChallengeResponseRequest.js
function AuthenticatorDuoChallengeResponseRequestToJSON(json) {
  return AuthenticatorDuoChallengeResponseRequestToJSONTyped(json, false);
}
function AuthenticatorDuoChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorEmailChallenge.js
function AuthenticatorEmailChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "pendingUser": json["pending_user"],
    "pendingUserAvatar": json["pending_user_avatar"],
    "email": json["email"] == null ? void 0 : json["email"],
    "emailRequired": json["email_required"] == null ? void 0 : json["email_required"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorEmailChallengeResponseRequest.js
function AuthenticatorEmailChallengeResponseRequestToJSON(json) {
  return AuthenticatorEmailChallengeResponseRequestToJSONTyped(json, false);
}
function AuthenticatorEmailChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"],
    "code": value["code"],
    "email": value["email"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorSMSChallenge.js
function AuthenticatorSMSChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "pendingUser": json["pending_user"],
    "pendingUserAvatar": json["pending_user_avatar"],
    "phoneNumberRequired": json["phone_number_required"] == null ? void 0 : json["phone_number_required"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorSMSChallengeResponseRequest.js
function AuthenticatorSMSChallengeResponseRequestToJSON(json) {
  return AuthenticatorSMSChallengeResponseRequestToJSONTyped(json, false);
}
function AuthenticatorSMSChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"],
    "code": value["code"],
    "phone_number": value["phoneNumber"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorStaticChallenge.js
function AuthenticatorStaticChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "pendingUser": json["pending_user"],
    "pendingUserAvatar": json["pending_user_avatar"],
    "codes": json["codes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorStaticChallengeResponseRequest.js
function AuthenticatorStaticChallengeResponseRequestToJSON(json) {
  return AuthenticatorStaticChallengeResponseRequestToJSONTyped(json, false);
}
function AuthenticatorStaticChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorTOTPChallenge.js
function AuthenticatorTOTPChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "pendingUser": json["pending_user"],
    "pendingUserAvatar": json["pending_user_avatar"],
    "configUrl": json["config_url"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorTOTPChallengeResponseRequest.js
function AuthenticatorTOTPChallengeResponseRequestToJSON(json) {
  return AuthenticatorTOTPChallengeResponseRequestToJSONTyped(json, false);
}
function AuthenticatorTOTPChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"],
    "code": value["code"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SelectableStage.js
function SelectableStageFromJSON(json) {
  return SelectableStageFromJSONTyped(json, false);
}
function SelectableStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "verboseName": json["verbose_name"],
    "metaModelName": json["meta_model_name"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/DeviceChallenge.js
function DeviceChallengeFromJSON(json) {
  return DeviceChallengeFromJSONTyped(json, false);
}
function DeviceChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "deviceClass": json["device_class"],
    "deviceUid": json["device_uid"],
    "challenge": json["challenge"],
    "lastUsed": json["last_used"] == null ? null : new Date(json["last_used"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorValidationChallenge.js
function AuthenticatorValidationChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "pendingUser": json["pending_user"],
    "pendingUserAvatar": json["pending_user_avatar"],
    "deviceChallenges": json["device_challenges"].map(DeviceChallengeFromJSON),
    "configurationStages": json["configuration_stages"].map(SelectableStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/DeviceChallengeRequest.js
function DeviceChallengeRequestToJSON(json) {
  return DeviceChallengeRequestToJSONTyped(json, false);
}
function DeviceChallengeRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "device_class": value["deviceClass"],
    "device_uid": value["deviceUid"],
    "challenge": value["challenge"],
    "last_used": value["lastUsed"] == null ? null : value["lastUsed"].toISOString()
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorValidationChallengeResponseRequest.js
function AuthenticatorValidationChallengeResponseRequestToJSON(json) {
  return AuthenticatorValidationChallengeResponseRequestToJSONTyped(json, false);
}
function AuthenticatorValidationChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"],
    "selected_challenge": DeviceChallengeRequestToJSON(value["selectedChallenge"]),
    "selected_stage": value["selectedStage"],
    "code": value["code"],
    "webauthn": value["webauthn"],
    "duo": value["duo"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorWebAuthnChallenge.js
function AuthenticatorWebAuthnChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "pendingUser": json["pending_user"],
    "pendingUserAvatar": json["pending_user_avatar"],
    "registration": json["registration"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorWebAuthnChallengeResponseRequest.js
function AuthenticatorWebAuthnChallengeResponseRequestToJSON(json) {
  return AuthenticatorWebAuthnChallengeResponseRequestToJSONTyped(json, false);
}
function AuthenticatorWebAuthnChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"],
    "response": value["response"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AutoSubmitChallengeResponseRequest.js
function AutoSubmitChallengeResponseRequestToJSON(json) {
  return AutoSubmitChallengeResponseRequestToJSONTyped(json, false);
}
function AutoSubmitChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AutosubmitChallenge.js
function AutosubmitChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "url": json["url"],
    "attrs": json["attrs"],
    "title": json["title"] == null ? void 0 : json["title"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/CaptchaChallenge.js
function CaptchaChallengeFromJSON(json) {
  return CaptchaChallengeFromJSONTyped(json, false);
}
function CaptchaChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "pendingUser": json["pending_user"],
    "pendingUserAvatar": json["pending_user_avatar"],
    "siteKey": json["site_key"],
    "jsUrl": json["js_url"],
    "interactive": json["interactive"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/CaptchaChallengeResponseRequest.js
function CaptchaChallengeResponseRequestToJSON(json) {
  return CaptchaChallengeResponseRequestToJSONTyped(json, false);
}
function CaptchaChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"],
    "token": value["token"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ConsentPermission.js
function ConsentPermissionFromJSON(json) {
  return ConsentPermissionFromJSONTyped(json, false);
}
function ConsentPermissionFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "name": json["name"],
    "id": json["id"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ConsentChallenge.js
function ConsentChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "pendingUser": json["pending_user"],
    "pendingUserAvatar": json["pending_user_avatar"],
    "headerText": json["header_text"] == null ? void 0 : json["header_text"],
    "permissions": json["permissions"].map(ConsentPermissionFromJSON),
    "additionalPermissions": json["additional_permissions"].map(ConsentPermissionFromJSON),
    "token": json["token"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/DummyChallenge.js
function DummyChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "name": json["name"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/EmailChallenge.js
function EmailChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/FlowErrorChallenge.js
function FlowErrorChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "requestId": json["request_id"],
    "error": json["error"] == null ? void 0 : json["error"],
    "traceback": json["traceback"] == null ? void 0 : json["traceback"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/FrameChallenge.js
function FrameChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "url": json["url"],
    "loadingOverlay": json["loading_overlay"] == null ? void 0 : json["loading_overlay"],
    "loadingText": json["loading_text"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PlexAuthenticationChallenge.js
function PlexAuthenticationChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "clientId": json["client_id"],
    "slug": json["slug"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/RedirectChallenge.js
function RedirectChallengeFromJSON(json) {
  return RedirectChallengeFromJSONTyped(json, false);
}
function RedirectChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "to": json["to"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/LoginChallengeTypes.js
function LoginChallengeTypesFromJSON(json) {
  return LoginChallengeTypesFromJSONTyped(json, false);
}
function LoginChallengeTypesFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  switch (json["component"]) {
    case "ak-source-oauth-apple":
      return Object.assign({}, AppleLoginChallengeFromJSONTyped(json, true), { component: "ak-source-oauth-apple" });
    case "ak-source-plex":
      return Object.assign({}, PlexAuthenticationChallengeFromJSONTyped(json, true), { component: "ak-source-plex" });
    case "xak-flow-redirect":
      return Object.assign({}, RedirectChallengeFromJSONTyped(json, true), { component: "xak-flow-redirect" });
    default:
      throw new Error(`No variant of LoginChallengeTypes exists with 'component=${json["component"]}'`);
  }
}

// node_modules/@goauthentik/api/dist/esm/models/LoginSource.js
function LoginSourceFromJSON(json) {
  return LoginSourceFromJSONTyped(json, false);
}
function LoginSourceFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "name": json["name"],
    "iconUrl": json["icon_url"] == null ? void 0 : json["icon_url"],
    "challenge": LoginChallengeTypesFromJSON(json["challenge"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/IdentificationChallenge.js
function IdentificationChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "userFields": json["user_fields"] == null ? null : json["user_fields"],
    "passwordFields": json["password_fields"],
    "allowShowPassword": json["allow_show_password"] == null ? void 0 : json["allow_show_password"],
    "applicationPre": json["application_pre"] == null ? void 0 : json["application_pre"],
    "flowDesignation": FlowDesignationEnumFromJSON(json["flow_designation"]),
    "captchaStage": json["captcha_stage"] == null ? void 0 : CaptchaChallengeFromJSON(json["captcha_stage"]),
    "enrollUrl": json["enroll_url"] == null ? void 0 : json["enroll_url"],
    "recoveryUrl": json["recovery_url"] == null ? void 0 : json["recovery_url"],
    "passwordlessUrl": json["passwordless_url"] == null ? void 0 : json["passwordless_url"],
    "primaryAction": json["primary_action"],
    "sources": json["sources"] == null ? void 0 : json["sources"].map(LoginSourceFromJSON),
    "showSourceLabels": json["show_source_labels"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/OAuthDeviceCodeChallenge.js
function OAuthDeviceCodeChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/OAuthDeviceCodeFinishChallenge.js
function OAuthDeviceCodeFinishChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PasswordChallenge.js
function PasswordChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "pendingUser": json["pending_user"],
    "pendingUserAvatar": json["pending_user_avatar"],
    "recoveryUrl": json["recovery_url"] == null ? void 0 : json["recovery_url"],
    "allowShowPassword": json["allow_show_password"] == null ? void 0 : json["allow_show_password"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SessionEndChallenge.js
function SessionEndChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "pendingUser": json["pending_user"],
    "pendingUserAvatar": json["pending_user_avatar"],
    "applicationName": json["application_name"] == null ? void 0 : json["application_name"],
    "applicationLaunchUrl": json["application_launch_url"] == null ? void 0 : json["application_launch_url"],
    "invalidationFlowUrl": json["invalidation_flow_url"] == null ? void 0 : json["invalidation_flow_url"],
    "brandName": json["brand_name"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ShellChallenge.js
function ShellChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "body": json["body"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserLoginChallenge.js
function UserLoginChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "pendingUser": json["pending_user"],
    "pendingUserAvatar": json["pending_user_avatar"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ChallengeTypes.js
function ChallengeTypesFromJSON(json) {
  return ChallengeTypesFromJSONTyped(json, false);
}
function ChallengeTypesFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  switch (json["component"]) {
    case "ak-provider-oauth2-device-code":
      return Object.assign({}, OAuthDeviceCodeChallengeFromJSONTyped(json, true), { component: "ak-provider-oauth2-device-code" });
    case "ak-provider-oauth2-device-code-finish":
      return Object.assign({}, OAuthDeviceCodeFinishChallengeFromJSONTyped(json, true), { component: "ak-provider-oauth2-device-code-finish" });
    case "ak-source-oauth-apple":
      return Object.assign({}, AppleLoginChallengeFromJSONTyped(json, true), { component: "ak-source-oauth-apple" });
    case "ak-source-plex":
      return Object.assign({}, PlexAuthenticationChallengeFromJSONTyped(json, true), { component: "ak-source-plex" });
    case "ak-stage-access-denied":
      return Object.assign({}, AccessDeniedChallengeFromJSONTyped(json, true), { component: "ak-stage-access-denied" });
    case "ak-stage-authenticator-duo":
      return Object.assign({}, AuthenticatorDuoChallengeFromJSONTyped(json, true), { component: "ak-stage-authenticator-duo" });
    case "ak-stage-authenticator-email":
      return Object.assign({}, AuthenticatorEmailChallengeFromJSONTyped(json, true), { component: "ak-stage-authenticator-email" });
    case "ak-stage-authenticator-sms":
      return Object.assign({}, AuthenticatorSMSChallengeFromJSONTyped(json, true), { component: "ak-stage-authenticator-sms" });
    case "ak-stage-authenticator-static":
      return Object.assign({}, AuthenticatorStaticChallengeFromJSONTyped(json, true), { component: "ak-stage-authenticator-static" });
    case "ak-stage-authenticator-totp":
      return Object.assign({}, AuthenticatorTOTPChallengeFromJSONTyped(json, true), { component: "ak-stage-authenticator-totp" });
    case "ak-stage-authenticator-validate":
      return Object.assign({}, AuthenticatorValidationChallengeFromJSONTyped(json, true), { component: "ak-stage-authenticator-validate" });
    case "ak-stage-authenticator-webauthn":
      return Object.assign({}, AuthenticatorWebAuthnChallengeFromJSONTyped(json, true), { component: "ak-stage-authenticator-webauthn" });
    case "ak-stage-autosubmit":
      return Object.assign({}, AutosubmitChallengeFromJSONTyped(json, true), { component: "ak-stage-autosubmit" });
    case "ak-stage-captcha":
      return Object.assign({}, CaptchaChallengeFromJSONTyped(json, true), { component: "ak-stage-captcha" });
    case "ak-stage-consent":
      return Object.assign({}, ConsentChallengeFromJSONTyped(json, true), { component: "ak-stage-consent" });
    case "ak-stage-dummy":
      return Object.assign({}, DummyChallengeFromJSONTyped(json, true), { component: "ak-stage-dummy" });
    case "ak-stage-email":
      return Object.assign({}, EmailChallengeFromJSONTyped(json, true), { component: "ak-stage-email" });
    case "ak-stage-flow-error":
      return Object.assign({}, FlowErrorChallengeFromJSONTyped(json, true), { component: "ak-stage-flow-error" });
    case "ak-stage-identification":
      return Object.assign({}, IdentificationChallengeFromJSONTyped(json, true), { component: "ak-stage-identification" });
    case "ak-stage-password":
      return Object.assign({}, PasswordChallengeFromJSONTyped(json, true), { component: "ak-stage-password" });
    case "ak-stage-prompt":
      return Object.assign({}, PromptChallengeFromJSONTyped(json, true), { component: "ak-stage-prompt" });
    case "ak-stage-session-end":
      return Object.assign({}, SessionEndChallengeFromJSONTyped(json, true), { component: "ak-stage-session-end" });
    case "ak-stage-user-login":
      return Object.assign({}, UserLoginChallengeFromJSONTyped(json, true), { component: "ak-stage-user-login" });
    case "xak-flow-frame":
      return Object.assign({}, FrameChallengeFromJSONTyped(json, true), { component: "xak-flow-frame" });
    case "xak-flow-redirect":
      return Object.assign({}, RedirectChallengeFromJSONTyped(json, true), { component: "xak-flow-redirect" });
    case "xak-flow-shell":
      return Object.assign({}, ShellChallengeFromJSONTyped(json, true), { component: "xak-flow-shell" });
    default:
      throw new Error(`No variant of ChallengeTypes exists with 'component=${json["component"]}'`);
  }
}

// node_modules/@goauthentik/api/dist/esm/models/ConsentChallengeResponseRequest.js
function ConsentChallengeResponseRequestToJSON(json) {
  return ConsentChallengeResponseRequestToJSONTyped(json, false);
}
function ConsentChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"],
    "token": value["token"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/DummyChallengeResponseRequest.js
function DummyChallengeResponseRequestToJSON(json) {
  return DummyChallengeResponseRequestToJSONTyped(json, false);
}
function DummyChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/EmailChallengeResponseRequest.js
function EmailChallengeResponseRequestToJSON(json) {
  return EmailChallengeResponseRequestToJSONTyped(json, false);
}
function EmailChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/FrameChallengeResponseRequest.js
function FrameChallengeResponseRequestToJSON(json) {
  return FrameChallengeResponseRequestToJSONTyped(json, false);
}
function FrameChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/IdentificationChallengeResponseRequest.js
function IdentificationChallengeResponseRequestToJSON(json) {
  return IdentificationChallengeResponseRequestToJSONTyped(json, false);
}
function IdentificationChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"],
    "uid_field": value["uidField"],
    "password": value["password"],
    "captcha_token": value["captchaToken"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/OAuthDeviceCodeChallengeResponseRequest.js
function OAuthDeviceCodeChallengeResponseRequestToJSON(json) {
  return OAuthDeviceCodeChallengeResponseRequestToJSONTyped(json, false);
}
function OAuthDeviceCodeChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"],
    "code": value["code"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/OAuthDeviceCodeFinishChallengeResponseRequest.js
function OAuthDeviceCodeFinishChallengeResponseRequestToJSON(json) {
  return OAuthDeviceCodeFinishChallengeResponseRequestToJSONTyped(json, false);
}
function OAuthDeviceCodeFinishChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PasswordChallengeResponseRequest.js
function PasswordChallengeResponseRequestToJSON(json) {
  return PasswordChallengeResponseRequestToJSONTyped(json, false);
}
function PasswordChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"],
    "password": value["password"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PlexAuthenticationChallengeResponseRequest.js
function PlexAuthenticationChallengeResponseRequestToJSON(json) {
  return PlexAuthenticationChallengeResponseRequestToJSONTyped(json, false);
}
function PlexAuthenticationChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PromptChallengeResponseRequest.js
function PromptChallengeResponseRequestToJSON(json) {
  return PromptChallengeResponseRequestToJSONTyped(json, false);
}
function PromptChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return Object.assign(Object.assign({}, value), { "component": value["component"] });
}

// node_modules/@goauthentik/api/dist/esm/models/RedirectChallengeResponseRequest.js
function RedirectChallengeResponseRequestToJSON(json) {
  return RedirectChallengeResponseRequestToJSONTyped(json, false);
}
function RedirectChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"],
    "to": value["to"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserLoginChallengeResponseRequest.js
function UserLoginChallengeResponseRequestToJSON(json) {
  return UserLoginChallengeResponseRequestToJSONTyped(json, false);
}
function UserLoginChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "component": value["component"],
    "remember_me": value["rememberMe"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/FlowChallengeResponseRequest.js
function FlowChallengeResponseRequestToJSON(json) {
  return FlowChallengeResponseRequestToJSONTyped(json, false);
}
function FlowChallengeResponseRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  switch (value["component"]) {
    case "ak-provider-oauth2-device-code":
      return Object.assign({}, OAuthDeviceCodeChallengeResponseRequestToJSON(value), { component: "ak-provider-oauth2-device-code" });
    case "ak-provider-oauth2-device-code-finish":
      return Object.assign({}, OAuthDeviceCodeFinishChallengeResponseRequestToJSON(value), { component: "ak-provider-oauth2-device-code-finish" });
    case "ak-source-oauth-apple":
      return Object.assign({}, AppleChallengeResponseRequestToJSON(value), { component: "ak-source-oauth-apple" });
    case "ak-source-plex":
      return Object.assign({}, PlexAuthenticationChallengeResponseRequestToJSON(value), { component: "ak-source-plex" });
    case "ak-stage-authenticator-duo":
      return Object.assign({}, AuthenticatorDuoChallengeResponseRequestToJSON(value), { component: "ak-stage-authenticator-duo" });
    case "ak-stage-authenticator-email":
      return Object.assign({}, AuthenticatorEmailChallengeResponseRequestToJSON(value), { component: "ak-stage-authenticator-email" });
    case "ak-stage-authenticator-sms":
      return Object.assign({}, AuthenticatorSMSChallengeResponseRequestToJSON(value), { component: "ak-stage-authenticator-sms" });
    case "ak-stage-authenticator-static":
      return Object.assign({}, AuthenticatorStaticChallengeResponseRequestToJSON(value), { component: "ak-stage-authenticator-static" });
    case "ak-stage-authenticator-totp":
      return Object.assign({}, AuthenticatorTOTPChallengeResponseRequestToJSON(value), { component: "ak-stage-authenticator-totp" });
    case "ak-stage-authenticator-validate":
      return Object.assign({}, AuthenticatorValidationChallengeResponseRequestToJSON(value), { component: "ak-stage-authenticator-validate" });
    case "ak-stage-authenticator-webauthn":
      return Object.assign({}, AuthenticatorWebAuthnChallengeResponseRequestToJSON(value), { component: "ak-stage-authenticator-webauthn" });
    case "ak-stage-autosubmit":
      return Object.assign({}, AutoSubmitChallengeResponseRequestToJSON(value), { component: "ak-stage-autosubmit" });
    case "ak-stage-captcha":
      return Object.assign({}, CaptchaChallengeResponseRequestToJSON(value), { component: "ak-stage-captcha" });
    case "ak-stage-consent":
      return Object.assign({}, ConsentChallengeResponseRequestToJSON(value), { component: "ak-stage-consent" });
    case "ak-stage-dummy":
      return Object.assign({}, DummyChallengeResponseRequestToJSON(value), { component: "ak-stage-dummy" });
    case "ak-stage-email":
      return Object.assign({}, EmailChallengeResponseRequestToJSON(value), { component: "ak-stage-email" });
    case "ak-stage-identification":
      return Object.assign({}, IdentificationChallengeResponseRequestToJSON(value), { component: "ak-stage-identification" });
    case "ak-stage-password":
      return Object.assign({}, PasswordChallengeResponseRequestToJSON(value), { component: "ak-stage-password" });
    case "ak-stage-prompt":
      return Object.assign({}, PromptChallengeResponseRequestToJSON(value), { component: "ak-stage-prompt" });
    case "ak-stage-user-login":
      return Object.assign({}, UserLoginChallengeResponseRequestToJSON(value), { component: "ak-stage-user-login" });
    case "xak-flow-frame":
      return Object.assign({}, FrameChallengeResponseRequestToJSON(value), { component: "xak-flow-frame" });
    case "xak-flow-redirect":
      return Object.assign({}, RedirectChallengeResponseRequestToJSON(value), { component: "xak-flow-redirect" });
    default:
      throw new Error(`No variant of FlowChallengeResponseRequest exists with 'component=${value["component"]}'`);
  }
}

// node_modules/@goauthentik/api/dist/esm/models/FlowDiagram.js
function FlowDiagramFromJSON(json) {
  return FlowDiagramFromJSONTyped(json, false);
}
function FlowDiagramFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "diagram": json["diagram"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/FlowImportResult.js
function FlowImportResultFromJSON(json) {
  return FlowImportResultFromJSONTyped(json, false);
}
function FlowImportResultFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "logs": json["logs"].map(LogEventFromJSON),
    "success": json["success"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/InvalidResponseActionEnum.js
var InvalidResponseActionEnum = {
  Retry: "retry",
  Restart: "restart",
  RestartWithContext: "restart_with_context",
  UnknownDefaultOpenApi: "11184809"
};
function InvalidResponseActionEnumFromJSON(json) {
  return InvalidResponseActionEnumFromJSONTyped(json, false);
}
function InvalidResponseActionEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function InvalidResponseActionEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/FlowStageBinding.js
function FlowStageBindingFromJSON(json) {
  return FlowStageBindingFromJSONTyped(json, false);
}
function FlowStageBindingFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "policybindingmodelPtrId": json["policybindingmodel_ptr_id"],
    "target": json["target"],
    "stage": json["stage"],
    "stageObj": StageFromJSON(json["stage_obj"]),
    "evaluateOnPlan": json["evaluate_on_plan"] == null ? void 0 : json["evaluate_on_plan"],
    "reEvaluatePolicies": json["re_evaluate_policies"] == null ? void 0 : json["re_evaluate_policies"],
    "order": json["order"],
    "policyEngineMode": json["policy_engine_mode"] == null ? void 0 : PolicyEngineModeFromJSON(json["policy_engine_mode"]),
    "invalidResponseAction": json["invalid_response_action"] == null ? void 0 : InvalidResponseActionEnumFromJSON(json["invalid_response_action"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/FlowInspectorPlan.js
function FlowInspectorPlanFromJSON(json) {
  return FlowInspectorPlanFromJSONTyped(json, false);
}
function FlowInspectorPlanFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "currentStage": FlowStageBindingFromJSON(json["current_stage"]),
    "nextPlannedStage": FlowStageBindingFromJSON(json["next_planned_stage"]),
    "planContext": json["plan_context"],
    "sessionId": json["session_id"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/FlowInspection.js
function FlowInspectionFromJSON(json) {
  return FlowInspectionFromJSONTyped(json, false);
}
function FlowInspectionFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "plans": json["plans"].map(FlowInspectorPlanFromJSON),
    "currentPlan": json["current_plan"] == null ? void 0 : FlowInspectorPlanFromJSON(json["current_plan"]),
    "isCompleted": json["is_completed"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/FlowRequest.js
function FlowRequestToJSON(json) {
  return FlowRequestToJSONTyped(json, false);
}
function FlowRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "title": value["title"],
    "designation": FlowDesignationEnumToJSON(value["designation"]),
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "compatibility_mode": value["compatibilityMode"],
    "layout": FlowLayoutEnumToJSON(value["layout"]),
    "denied_action": DeniedActionEnumToJSON(value["deniedAction"]),
    "authentication": AuthenticationEnumToJSON(value["authentication"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/FlowStageBindingRequest.js
function FlowStageBindingRequestToJSON(json) {
  return FlowStageBindingRequestToJSONTyped(json, false);
}
function FlowStageBindingRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "target": value["target"],
    "stage": value["stage"],
    "evaluate_on_plan": value["evaluateOnPlan"],
    "re_evaluate_policies": value["reEvaluatePolicies"],
    "order": value["order"],
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "invalid_response_action": InvalidResponseActionEnumToJSON(value["invalidResponseAction"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedFlowList.js
function PaginatedFlowListFromJSON(json) {
  return PaginatedFlowListFromJSONTyped(json, false);
}
function PaginatedFlowListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(FlowFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedFlowStageBindingList.js
function PaginatedFlowStageBindingListFromJSON(json) {
  return PaginatedFlowStageBindingListFromJSONTyped(json, false);
}
function PaginatedFlowStageBindingListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(FlowStageBindingFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedFlowRequest.js
function PatchedFlowRequestToJSON(json) {
  return PatchedFlowRequestToJSONTyped(json, false);
}
function PatchedFlowRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "title": value["title"],
    "designation": FlowDesignationEnumToJSON(value["designation"]),
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "compatibility_mode": value["compatibilityMode"],
    "layout": FlowLayoutEnumToJSON(value["layout"]),
    "denied_action": DeniedActionEnumToJSON(value["deniedAction"]),
    "authentication": AuthenticationEnumToJSON(value["authentication"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedFlowStageBindingRequest.js
function PatchedFlowStageBindingRequestToJSON(json) {
  return PatchedFlowStageBindingRequestToJSONTyped(json, false);
}
function PatchedFlowStageBindingRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "target": value["target"],
    "stage": value["stage"],
    "evaluate_on_plan": value["evaluateOnPlan"],
    "re_evaluate_policies": value["reEvaluatePolicies"],
    "order": value["order"],
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "invalid_response_action": InvalidResponseActionEnumToJSON(value["invalidResponseAction"])
  };
}

// node_modules/@goauthentik/api/dist/esm/apis/FlowsApi.js
var __awaiter = function(thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function(resolve) {
      resolve(value);
    });
  }
  return new (P || (P = Promise))(function(resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }
    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }
    function step(result) {
      result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
    }
    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
};
var FlowsApi = class extends BaseAPI {
  /**
   * FlowStageBinding Viewset
   */
  flowsBindingsCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["flowStageBindingRequest"] == null) {
        throw new RequiredError("flowStageBindingRequest", 'Required parameter "flowStageBindingRequest" was null or undefined when calling flowsBindingsCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/bindings/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: FlowStageBindingRequestToJSON(requestParameters["flowStageBindingRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => FlowStageBindingFromJSON(jsonValue));
    });
  }
  /**
   * FlowStageBinding Viewset
   */
  flowsBindingsCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsBindingsCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * FlowStageBinding Viewset
   */
  flowsBindingsDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["fsbUuid"] == null) {
        throw new RequiredError("fsbUuid", 'Required parameter "fsbUuid" was null or undefined when calling flowsBindingsDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/bindings/{fsb_uuid}/`.replace(`{${"fsb_uuid"}}`, encodeURIComponent(String(requestParameters["fsbUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * FlowStageBinding Viewset
   */
  flowsBindingsDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.flowsBindingsDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * FlowStageBinding Viewset
   */
  flowsBindingsListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["evaluateOnPlan"] != null) {
        queryParameters["evaluate_on_plan"] = requestParameters["evaluateOnPlan"];
      }
      if (requestParameters["fsbUuid"] != null) {
        queryParameters["fsb_uuid"] = requestParameters["fsbUuid"];
      }
      if (requestParameters["invalidResponseAction"] != null) {
        queryParameters["invalid_response_action"] = requestParameters["invalidResponseAction"];
      }
      if (requestParameters["order"] != null) {
        queryParameters["order"] = requestParameters["order"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["pbmUuid"] != null) {
        queryParameters["pbm_uuid"] = requestParameters["pbmUuid"];
      }
      if (requestParameters["policies"] != null) {
        queryParameters["policies"] = requestParameters["policies"];
      }
      if (requestParameters["policyEngineMode"] != null) {
        queryParameters["policy_engine_mode"] = requestParameters["policyEngineMode"];
      }
      if (requestParameters["reEvaluatePolicies"] != null) {
        queryParameters["re_evaluate_policies"] = requestParameters["reEvaluatePolicies"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["stage"] != null) {
        queryParameters["stage"] = requestParameters["stage"];
      }
      if (requestParameters["target"] != null) {
        queryParameters["target"] = requestParameters["target"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/bindings/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedFlowStageBindingListFromJSON(jsonValue));
    });
  }
  /**
   * FlowStageBinding Viewset
   */
  flowsBindingsList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.flowsBindingsListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * FlowStageBinding Viewset
   */
  flowsBindingsPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["fsbUuid"] == null) {
        throw new RequiredError("fsbUuid", 'Required parameter "fsbUuid" was null or undefined when calling flowsBindingsPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/bindings/{fsb_uuid}/`.replace(`{${"fsb_uuid"}}`, encodeURIComponent(String(requestParameters["fsbUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedFlowStageBindingRequestToJSON(requestParameters["patchedFlowStageBindingRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => FlowStageBindingFromJSON(jsonValue));
    });
  }
  /**
   * FlowStageBinding Viewset
   */
  flowsBindingsPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsBindingsPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * FlowStageBinding Viewset
   */
  flowsBindingsRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["fsbUuid"] == null) {
        throw new RequiredError("fsbUuid", 'Required parameter "fsbUuid" was null or undefined when calling flowsBindingsRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/bindings/{fsb_uuid}/`.replace(`{${"fsb_uuid"}}`, encodeURIComponent(String(requestParameters["fsbUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => FlowStageBindingFromJSON(jsonValue));
    });
  }
  /**
   * FlowStageBinding Viewset
   */
  flowsBindingsRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsBindingsRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * FlowStageBinding Viewset
   */
  flowsBindingsUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["fsbUuid"] == null) {
        throw new RequiredError("fsbUuid", 'Required parameter "fsbUuid" was null or undefined when calling flowsBindingsUpdate().');
      }
      if (requestParameters["flowStageBindingRequest"] == null) {
        throw new RequiredError("flowStageBindingRequest", 'Required parameter "flowStageBindingRequest" was null or undefined when calling flowsBindingsUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/bindings/{fsb_uuid}/`.replace(`{${"fsb_uuid"}}`, encodeURIComponent(String(requestParameters["fsbUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: FlowStageBindingRequestToJSON(requestParameters["flowStageBindingRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => FlowStageBindingFromJSON(jsonValue));
    });
  }
  /**
   * FlowStageBinding Viewset
   */
  flowsBindingsUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsBindingsUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  flowsBindingsUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["fsbUuid"] == null) {
        throw new RequiredError("fsbUuid", 'Required parameter "fsbUuid" was null or undefined when calling flowsBindingsUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/bindings/{fsb_uuid}/used_by/`.replace(`{${"fsb_uuid"}}`, encodeURIComponent(String(requestParameters["fsbUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  flowsBindingsUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsBindingsUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get the next pending challenge from the currently active flow.
   */
  flowsExecutorGetRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["flowSlug"] == null) {
        throw new RequiredError("flowSlug", 'Required parameter "flowSlug" was null or undefined when calling flowsExecutorGet().');
      }
      if (requestParameters["query"] == null) {
        throw new RequiredError("query", 'Required parameter "query" was null or undefined when calling flowsExecutorGet().');
      }
      const queryParameters = {};
      if (requestParameters["query"] != null) {
        queryParameters["query"] = requestParameters["query"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/executor/{flow_slug}/`.replace(`{${"flow_slug"}}`, encodeURIComponent(String(requestParameters["flowSlug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ChallengeTypesFromJSON(jsonValue));
    });
  }
  /**
   * Get the next pending challenge from the currently active flow.
   */
  flowsExecutorGet(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsExecutorGetRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Solve the previously retrieved challenge and advanced to the next stage.
   */
  flowsExecutorSolveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["flowSlug"] == null) {
        throw new RequiredError("flowSlug", 'Required parameter "flowSlug" was null or undefined when calling flowsExecutorSolve().');
      }
      if (requestParameters["query"] == null) {
        throw new RequiredError("query", 'Required parameter "query" was null or undefined when calling flowsExecutorSolve().');
      }
      const queryParameters = {};
      if (requestParameters["query"] != null) {
        queryParameters["query"] = requestParameters["query"];
      }
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/executor/{flow_slug}/`.replace(`{${"flow_slug"}}`, encodeURIComponent(String(requestParameters["flowSlug"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: FlowChallengeResponseRequestToJSON(requestParameters["flowChallengeResponseRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ChallengeTypesFromJSON(jsonValue));
    });
  }
  /**
   * Solve the previously retrieved challenge and advanced to the next stage.
   */
  flowsExecutorSolve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsExecutorSolveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get current flow state and record it
   */
  flowsInspectorGetRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["flowSlug"] == null) {
        throw new RequiredError("flowSlug", 'Required parameter "flowSlug" was null or undefined when calling flowsInspectorGet().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/inspector/{flow_slug}/`.replace(`{${"flow_slug"}}`, encodeURIComponent(String(requestParameters["flowSlug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => FlowInspectionFromJSON(jsonValue));
    });
  }
  /**
   * Get current flow state and record it
   */
  flowsInspectorGet(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsInspectorGetRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Clear flow cache
   */
  flowsInstancesCacheClearCreateRaw(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/instances/cache_clear/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Clear flow cache
   */
  flowsInstancesCacheClearCreate(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.flowsInstancesCacheClearCreateRaw(initOverrides);
    });
  }
  /**
   * Info about cached flows
   */
  flowsInstancesCacheInfoRetrieveRaw(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/instances/cache_info/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => CacheFromJSON(jsonValue));
    });
  }
  /**
   * Info about cached flows
   */
  flowsInstancesCacheInfoRetrieve(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsInstancesCacheInfoRetrieveRaw(initOverrides);
      return yield response.value();
    });
  }
  /**
   * Flow Viewset
   */
  flowsInstancesCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["flowRequest"] == null) {
        throw new RequiredError("flowRequest", 'Required parameter "flowRequest" was null or undefined when calling flowsInstancesCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/instances/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: FlowRequestToJSON(requestParameters["flowRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => FlowFromJSON(jsonValue));
    });
  }
  /**
   * Flow Viewset
   */
  flowsInstancesCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsInstancesCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Flow Viewset
   */
  flowsInstancesDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling flowsInstancesDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/instances/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Flow Viewset
   */
  flowsInstancesDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.flowsInstancesDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Return diagram for flow with slug `slug`, in the format used by flowchart.js
   */
  flowsInstancesDiagramRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling flowsInstancesDiagramRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/instances/{slug}/diagram/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => FlowDiagramFromJSON(jsonValue));
    });
  }
  /**
   * Return diagram for flow with slug `slug`, in the format used by flowchart.js
   */
  flowsInstancesDiagramRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsInstancesDiagramRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Execute flow for current user
   */
  flowsInstancesExecuteRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling flowsInstancesExecuteRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/instances/{slug}/execute/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => LinkFromJSON(jsonValue));
    });
  }
  /**
   * Execute flow for current user
   */
  flowsInstancesExecuteRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsInstancesExecuteRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Export flow to .yaml file
   */
  flowsInstancesExportRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling flowsInstancesExportRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/instances/{slug}/export/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new BlobApiResponse(response);
    });
  }
  /**
   * Export flow to .yaml file
   */
  flowsInstancesExportRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsInstancesExportRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Import flow from .yaml file
   */
  flowsInstancesImportCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const consumes = [
        { contentType: "multipart/form-data" }
      ];
      const canConsumeForm2 = canConsumeForm(consumes);
      let formParams;
      let useForm = false;
      useForm = canConsumeForm2;
      if (useForm) {
        formParams = new FormData();
      } else {
        formParams = new URLSearchParams();
      }
      if (requestParameters["file"] != null) {
        formParams.append("file", requestParameters["file"]);
      }
      if (requestParameters["clear"] != null) {
        formParams.append("clear", requestParameters["clear"]);
      }
      const response = yield this.request({
        path: `/flows/instances/import/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: formParams
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => FlowImportResultFromJSON(jsonValue));
    });
  }
  /**
   * Import flow from .yaml file
   */
  flowsInstancesImportCreate() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.flowsInstancesImportCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Flow Viewset
   */
  flowsInstancesListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["deniedAction"] != null) {
        queryParameters["denied_action"] = requestParameters["deniedAction"];
      }
      if (requestParameters["designation"] != null) {
        queryParameters["designation"] = requestParameters["designation"];
      }
      if (requestParameters["flowUuid"] != null) {
        queryParameters["flow_uuid"] = requestParameters["flowUuid"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["slug"] != null) {
        queryParameters["slug"] = requestParameters["slug"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/instances/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedFlowListFromJSON(jsonValue));
    });
  }
  /**
   * Flow Viewset
   */
  flowsInstancesList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.flowsInstancesListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Flow Viewset
   */
  flowsInstancesPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling flowsInstancesPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/instances/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedFlowRequestToJSON(requestParameters["patchedFlowRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => FlowFromJSON(jsonValue));
    });
  }
  /**
   * Flow Viewset
   */
  flowsInstancesPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsInstancesPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Flow Viewset
   */
  flowsInstancesRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling flowsInstancesRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/instances/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => FlowFromJSON(jsonValue));
    });
  }
  /**
   * Flow Viewset
   */
  flowsInstancesRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsInstancesRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Set Flow background
   */
  flowsInstancesSetBackgroundCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling flowsInstancesSetBackgroundCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const consumes = [
        { contentType: "multipart/form-data" }
      ];
      const canConsumeForm2 = canConsumeForm(consumes);
      let formParams;
      let useForm = false;
      useForm = canConsumeForm2;
      if (useForm) {
        formParams = new FormData();
      } else {
        formParams = new URLSearchParams();
      }
      if (requestParameters["file"] != null) {
        formParams.append("file", requestParameters["file"]);
      }
      if (requestParameters["clear"] != null) {
        formParams.append("clear", requestParameters["clear"]);
      }
      const response = yield this.request({
        path: `/flows/instances/{slug}/set_background/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: formParams
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Set Flow background
   */
  flowsInstancesSetBackgroundCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.flowsInstancesSetBackgroundCreateRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Set Flow background (as URL)
   */
  flowsInstancesSetBackgroundUrlCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling flowsInstancesSetBackgroundUrlCreate().');
      }
      if (requestParameters["filePathRequest"] == null) {
        throw new RequiredError("filePathRequest", 'Required parameter "filePathRequest" was null or undefined when calling flowsInstancesSetBackgroundUrlCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/instances/{slug}/set_background_url/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: FilePathRequestToJSON(requestParameters["filePathRequest"])
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Set Flow background (as URL)
   */
  flowsInstancesSetBackgroundUrlCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.flowsInstancesSetBackgroundUrlCreateRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Flow Viewset
   */
  flowsInstancesUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling flowsInstancesUpdate().');
      }
      if (requestParameters["flowRequest"] == null) {
        throw new RequiredError("flowRequest", 'Required parameter "flowRequest" was null or undefined when calling flowsInstancesUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/instances/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: FlowRequestToJSON(requestParameters["flowRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => FlowFromJSON(jsonValue));
    });
  }
  /**
   * Flow Viewset
   */
  flowsInstancesUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsInstancesUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  flowsInstancesUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling flowsInstancesUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/flows/instances/{slug}/used_by/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  flowsInstancesUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.flowsInstancesUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
};
var FlowsInstancesListDesignationEnum = {
  Authentication: "authentication",
  Authorization: "authorization",
  Enrollment: "enrollment",
  Invalidation: "invalidation",
  Recovery: "recovery",
  StageConfiguration: "stage_configuration",
  Unenrollment: "unenrollment",
  UnknownDefaultOpenApi: "11184809"
};

export {
  RedirectChallengeFromJSON,
  InvalidResponseActionEnum,
  FlowsApi,
  FlowsInstancesListDesignationEnum
};
//# sourceMappingURL=chunk-SRK74APZ.js.map
