import {
  Kt,
  PreventFormSubmit,
  ii,
  randomId
} from "./chunk-Y4CBTB76.js";
import {
  bound,
  form_default
} from "./chunk-DK5NYREA.js";
import {
  form_control_default
} from "./chunk-APZGZXW5.js";
import {
  AKElement,
  EVENT_REFRESH,
  autoUpdate,
  computePosition,
  dropdown_default,
  e,
  flip,
  groupBy,
  hide,
  n,
  parseAPIError,
  patternfly_base_default,
  r,
  t,
  to,
  z
} from "./chunk-MKGIUSP2.js";
import {
  D,
  h,
  i,
  ke,
  msg
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/elements/AkControlElement.ts
var AkControlElement = class extends AKElement {
  constructor() {
    super();
    this.dataset.akControl = "true";
  }
  json() {
    throw new Error("Controllers using this protocol must override this method");
  }
  get toJson() {
    return this.json();
  }
  get isValid() {
    return true;
  }
};

// node_modules/@patternfly/patternfly/components/Select/select.css
var select_default = '.pf-c-select {\n  --pf-global--Color--100: var(--pf-global--Color--dark-100);\n  --pf-global--Color--200: var(--pf-global--Color--dark-200);\n  --pf-global--BorderColor--100: var(--pf-global--BorderColor--dark-100);\n  --pf-global--primary-color--100: var(--pf-global--primary-color--dark-100);\n  --pf-global--link--Color: var(--pf-global--link--Color--dark);\n  --pf-global--link--Color--hover: var(--pf-global--link--Color--dark--hover);\n  --pf-global--BackgroundColor--100: var(--pf-global--BackgroundColor--light-100);\n}\n\n.pf-c-select {\n  color: var(--pf-global--Color--100);\n  --pf-c-select__toggle--PaddingTop: var(--pf-global--spacer--form-element);\n  --pf-c-select__toggle--PaddingRight: var(--pf-global--spacer--sm);\n  --pf-c-select__toggle--PaddingBottom: var(--pf-global--spacer--form-element);\n  --pf-c-select__toggle--PaddingLeft: var(--pf-global--spacer--sm);\n  --pf-c-select__toggle--MinWidth: var(--pf-global--target-size--MinWidth);\n  --pf-c-select__toggle--FontSize: var(--pf-global--FontSize--md);\n  --pf-c-select__toggle--FontWeight: var(--pf-global--FontWeight--normal);\n  --pf-c-select__toggle--LineHeight: var(--pf-global--LineHeight--md);\n  --pf-c-select__toggle--BackgroundColor: var(--pf-global--BackgroundColor--100);\n  --pf-c-select__toggle--before--BorderTopWidth: var(--pf-global--BorderWidth--sm);\n  --pf-c-select__toggle--before--BorderRightWidth: var(--pf-global--BorderWidth--sm);\n  --pf-c-select__toggle--before--BorderBottomWidth: var(--pf-global--BorderWidth--sm);\n  --pf-c-select__toggle--before--BorderLeftWidth: var(--pf-global--BorderWidth--sm);\n  --pf-c-select__toggle--before--BorderWidth: initial;\n  --pf-c-select__toggle--before--BorderTopColor: var(--pf-global--BorderColor--300);\n  --pf-c-select__toggle--before--BorderRightColor: var(--pf-global--BorderColor--300);\n  --pf-c-select__toggle--before--BorderBottomColor: var(--pf-global--BorderColor--200);\n  --pf-c-select__toggle--before--BorderLeftColor: var(--pf-global--BorderColor--300);\n  --pf-c-select__toggle--Color: var(--pf-global--Color--100);\n  --pf-c-select__toggle--hover--before--BorderBottomColor: var(--pf-global--active-color--100);\n  --pf-c-select__toggle--focus--before--BorderBottomColor: var(--pf-global--active-color--100);\n  --pf-c-select__toggle--focus--before--BorderBottomWidth: var(--pf-global--BorderWidth--md);\n  --pf-c-select__toggle--active--before--BorderBottomColor: var(--pf-global--active-color--100);\n  --pf-c-select__toggle--active--before--BorderBottomWidth: var(--pf-global--BorderWidth--md);\n  --pf-c-select__toggle--m-expanded--before--BorderBottomColor: var(--pf-global--active-color--100);\n  --pf-c-select__toggle--m-expanded--before--BorderBottomWidth: var(--pf-global--BorderWidth--md);\n  --pf-c-select__toggle--disabled--BackgroundColor: var(--pf-global--disabled-color--300);\n  --pf-c-select__toggle--m-plain--before--BorderColor: transparent;\n  --pf-c-select__toggle--m-placeholder--Color: transparent;\n  --pf-c-select--m-invalid__toggle--before--BorderBottomColor: var(--pf-global--danger-color--100);\n  --pf-c-select--m-invalid__toggle--before--BorderBottomWidth: var(--pf-global--BorderWidth--md);\n  --pf-c-select--m-invalid__toggle--hover--before--BorderBottomColor: var(--pf-global--danger-color--100);\n  --pf-c-select--m-invalid__toggle--focus--before--BorderBottomColor: var(--pf-global--danger-color--100);\n  --pf-c-select--m-invalid__toggle--active--before--BorderBottomColor: var(--pf-global--danger-color--100);\n  --pf-c-select--m-invalid__toggle--m-expanded--before--BorderBottomColor: var(--pf-global--danger-color--100);\n  --pf-c-select--m-invalid__toggle-status-icon--Color: var(--pf-global--danger-color--100);\n  --pf-c-select--m-success__toggle--before--BorderBottomColor: var(--pf-global--success-color--100);\n  --pf-c-select--m-success__toggle--before--BorderBottomWidth: var(--pf-global--BorderWidth--md);\n  --pf-c-select--m-success__toggle--hover--before--BorderBottomColor: var(--pf-global--success-color--100);\n  --pf-c-select--m-success__toggle--focus--before--BorderBottomColor: var(--pf-global--success-color--100);\n  --pf-c-select--m-success__toggle--active--before--BorderBottomColor: var(--pf-global--success-color--100);\n  --pf-c-select--m-success__toggle--m-expanded--before--BorderBottomColor: var(--pf-global--success-color--100);\n  --pf-c-select--m-success__toggle-status-icon--Color: var(--pf-global--success-color--100);\n  --pf-c-select--m-warning__toggle--before--BorderBottomColor: var(--pf-global--warning-color--100);\n  --pf-c-select--m-warning__toggle--before--BorderBottomWidth: var(--pf-global--BorderWidth--md);\n  --pf-c-select--m-warning__toggle--hover--before--BorderBottomColor: var(--pf-global--warning-color--100);\n  --pf-c-select--m-warning__toggle--focus--before--BorderBottomColor: var(--pf-global--warning-color--100);\n  --pf-c-select--m-warning__toggle--active--before--BorderBottomColor: var(--pf-global--warning-color--100);\n  --pf-c-select--m-warning__toggle--m-expanded--before--BorderBottomColor: var(--pf-global--warning-color--100);\n  --pf-c-select--m-warning__toggle-status-icon--Color: var(--pf-global--warning-color--100);\n  --pf-c-select__toggle-wrapper--not-last-child--MarginRight: var(--pf-global--spacer--xs);\n  --pf-c-select__toggle-wrapper--MaxWidth: calc(100% - var(--pf-global--spacer--lg));\n  --pf-c-select__toggle-wrapper--c-chip-group--MarginTop: 0.3125rem;\n  --pf-c-select__toggle-wrapper--c-chip-group--MarginBottom: 0.3125rem;\n  --pf-c-select__toggle-typeahead--FlexBasis: 10em;\n  --pf-c-select__toggle-typeahead--BackgroundColor: transparent;\n  --pf-c-select__toggle-typeahead--BorderTop: var(--pf-global--BorderWidth--sm) solid transparent;\n  --pf-c-select__toggle-typeahead--BorderRight: none;\n  --pf-c-select__toggle-typeahead--BorderLeft: none;\n  --pf-c-select__toggle-typeahead--MinWidth: 7.5rem;\n  --pf-c-select__toggle-typeahead--focus--PaddingBottom: calc(var(--pf-global--spacer--form-element) - var(--pf-global--BorderWidth--md));\n  --pf-c-select__toggle--m-placeholder__toggle-text--Color: var(--pf-global--Color--dark-200);\n  --pf-c-select__toggle-icon--toggle-text--MarginLeft: var(--pf-global--spacer--xs);\n  --pf-c-select__toggle-badge--PaddingLeft: var(--pf-global--spacer--sm);\n  --pf-c-select__toggle-status-icon--MarginLeft: var(--pf-global--spacer--xs);\n  --pf-c-select__toggle-status-icon--Color: var(--pf-global--Color--100);\n  --pf-c-select__toggle-arrow--MarginLeft: var(--pf-global--spacer--md);\n  --pf-c-select__toggle-arrow--MarginRight: var(--pf-global--spacer--sm);\n  --pf-c-select__toggle-arrow--with-clear--MarginLeft: var(--pf-global--spacer--sm);\n  --pf-c-select__toggle-arrow--m-top--m-expanded__toggle-arrow--Rotate: 180deg;\n  --pf-c-select--m-plain__toggle-arrow--Color: var(--pf-global--Color--200);\n  --pf-c-select--m-plain--hover__toggle-arrow--Color: var(--pf-global--Color--100);\n  --pf-c-select__toggle-clear--PaddingRight: var(--pf-global--spacer--sm);\n  --pf-c-select__toggle-clear--PaddingLeft: var(--pf-global--spacer--md);\n  --pf-c-select__toggle-clear--toggle-button--PaddingLeft: var(--pf-global--spacer--sm);\n  --pf-c-select__toggle-button--Color: var(--pf-global--Color--100);\n  --pf-c-select__menu--BackgroundColor: var(--pf-global--BackgroundColor--light-100);\n  --pf-c-select__menu--BoxShadow: var(--pf-global--BoxShadow--md);\n  --pf-c-select__menu--PaddingTop: var(--pf-global--spacer--sm);\n  --pf-c-select__menu--PaddingBottom: var(--pf-global--spacer--sm);\n  --pf-c-select__menu--Top: calc(100% + var(--pf-global--spacer--xs));\n  --pf-c-select__menu--ZIndex: var(--pf-global--ZIndex--sm);\n  --pf-c-select__menu--Width: auto;\n  --pf-c-select__menu--MinWidth: 100%;\n  --pf-c-select__menu--m-top--TranslateY: calc(-100% - var(--pf-global--spacer--xs));\n  --pf-c-select__list-item--m-loading--PaddingTop: var(--pf-global--spacer--sm);\n  --pf-c-select__menu-item--PaddingTop: var(--pf-global--spacer--sm);\n  --pf-c-select__menu-item--PaddingRight: var(--pf-global--spacer--md);\n  --pf-c-select__menu-item--m-selected--PaddingRight: var(--pf-global--spacer--2xl);\n  --pf-c-select__menu-item--PaddingBottom: var(--pf-global--spacer--sm);\n  --pf-c-select__menu-item--PaddingLeft: var(--pf-global--spacer--md);\n  --pf-c-select__menu-item--FontSize: var(--pf-global--FontSize--md);\n  --pf-c-select__menu-item--FontWeight: var(--pf-global--FontWeight--normal);\n  --pf-c-select__menu-item--LineHeight: var(--pf-global--LineHeight--md);\n  --pf-c-select__menu-item--Color: var(--pf-global--Color--dark-100);\n  --pf-c-select__menu-item--disabled--Color: var(--pf-global--Color--dark-200);\n  --pf-c-select__menu-item--Width: 100%;\n  --pf-c-select__menu-item--hover--BackgroundColor: var(--pf-global--BackgroundColor--light-300);\n  --pf-c-select__menu-item--focus--BackgroundColor: var(--pf-global--BackgroundColor--light-300);\n  --pf-c-select__menu-item--disabled--BackgroundColor: transparent;\n  --pf-c-select__menu-item--m-link--Width: auto;\n  --pf-c-select__menu-item--m-link--hover--BackgroundColor: transparent;\n  --pf-c-select__menu-item--m-link--focus--BackgroundColor: transparent;\n  --pf-c-select__menu-item--m-action--Color: var(--pf-global--Color--200);\n  --pf-c-select__menu-item--m-action--hover--Color: var(--pf-global--Color--100);\n  --pf-c-select__menu-item--m-action--focus--Color: var(--pf-global--Color--100);\n  --pf-c-select__menu-item--m-action--disabled--Color: var(--pf-global--disabled-color--200);\n  --pf-c-select__menu-item--m-action--Width: auto;\n  --pf-c-select__menu-item--m-action--FontSize: var(--pf-global--icon--FontSize--sm);\n  --pf-c-select__menu-item--m-action--hover--BackgroundColor: transparent;\n  --pf-c-select__menu-item--m-action--focus--BackgroundColor: transparent;\n  --pf-c-select__menu-item--hover__menu-item--m-action--Color: var(--pf-global--Color--200);\n  --pf-c-select__menu-item--m-favorite-action--Color: var(--pf-global--Color--200);\n  --pf-c-select__menu-item--m-favorite-action--hover--Color: var(--pf-global--Color--100);\n  --pf-c-select__menu-item--m-favorite-action--focus--Color: var(--pf-global--Color--100);\n  --pf-c-select__menu-wrapper--m-favorite__menu-item--m-favorite-action--Color: var(--pf-global--palette--gold-400);\n  --pf-c-select__menu-wrapper--m-favorite__menu-item--m-favorite-action--hover--Color: var(--pf-global--palette--gold-500);\n  --pf-c-select__menu-wrapper--m-favorite__menu-item--m-favorite-action--focus--Color: var(--pf-global--palette--gold-500);\n  --pf-c-select__menu-item--m-load--Color: var(--pf-global--link--Color);\n  --pf-c-select__menu-item-icon--Color: var(--pf-global--active-color--100);\n  --pf-c-select__menu-item-icon--FontSize: var(--pf-global--icon--FontSize--sm);\n  --pf-c-select__menu-item-icon--Right: var(--pf-global--spacer--md);\n  --pf-c-select__menu-item-icon--Top: 50%;\n  --pf-c-select__menu-item-icon--TranslateY: -50%;\n  --pf-c-select__menu-item-action-icon--MinHeight: calc(var(--pf-c-select__menu-item--FontSize) * var(--pf-c-select__menu-item--LineHeight));\n  --pf-c-select__menu-item--match--FontWeight: var(--pf-global--FontWeight--bold);\n  --pf-c-select__menu-search--PaddingTop: var(--pf-global--spacer--sm);\n  --pf-c-select__menu-search--PaddingRight: var(--pf-c-select__menu-item--PaddingRight);\n  --pf-c-select__menu-search--PaddingBottom: var(--pf-global--spacer--md);\n  --pf-c-select__menu-search--PaddingLeft: var(--pf-c-select__menu-item--PaddingLeft);\n  --pf-c-select__menu-group--menu-group--PaddingTop: var(--pf-global--spacer--sm);\n  --pf-c-select__menu-group-title--PaddingTop: var(--pf-c-select__menu-item--PaddingTop);\n  --pf-c-select__menu-group-title--PaddingRight: var(--pf-c-select__menu-item--PaddingRight);\n  --pf-c-select__menu-group-title--PaddingBottom: var(--pf-c-select__menu-item--PaddingBottom);\n  --pf-c-select__menu-group-title--PaddingLeft: var(--pf-c-select__menu-item--PaddingLeft);\n  --pf-c-select__menu-group-title--FontSize: var(--pf-global--FontSize--xs);\n  --pf-c-select__menu-group-title--FontWeight: var(--pf-global--FontWeight--normal);\n  --pf-c-select__menu-group-title--Color: var(--pf-global--Color--dark-200);\n  --pf-c-select__menu-item-count--MarginLeft: var(--pf-global--spacer--md);\n  --pf-c-select__menu-item-count--FontSize: var(--pf-global--FontSize--sm);\n  --pf-c-select__menu-item-count--Color: var(--pf-global--Color--200);\n  --pf-c-select__menu-item--disabled__menu-item-count--Color: var(--pf-global--Color--dark-200);\n  --pf-c-select__menu-item-description--FontSize: var(--pf-global--FontSize--xs);\n  --pf-c-select__menu-item-description--Color: var(--pf-global--Color--200);\n  --pf-c-select__menu-item-description--PaddingRight: var(--pf-c-select__menu-item--PaddingRight);\n  --pf-c-select__menu-item-main--PaddingRight: var(--pf-c-select__menu-item--PaddingRight);\n  --pf-c-select__menu-item--m-selected__menu-item-main--PaddingRight: var(--pf-c-select__menu-item--m-selected--PaddingRight);\n  --pf-c-select__menu-footer--BoxShadow: var(--pf-global--BoxShadow--sm-top);\n  --pf-c-select__menu-footer--PaddingTop: var(--pf-global--spacer--md);\n  --pf-c-select__menu-footer--PaddingRight: var(--pf-global--spacer--md);\n  --pf-c-select__menu-footer--PaddingBottom: var(--pf-global--spacer--md);\n  --pf-c-select__menu-footer--PaddingLeft: var(--pf-global--spacer--md);\n  --pf-c-select__menu-footer--MarginTop: var(--pf-global--spacer--sm);\n  --pf-c-select__menu-footer--MarginBottom: calc(var(--pf-global--spacer--sm) * -1);\n  --pf-c-select-menu--c-divider--MarginTop: var(--pf-global--spacer--sm);\n  --pf-c-select-menu--c-divider--MarginBottom: var(--pf-global--spacer--sm);\n  position: relative;\n  display: inline-block;\n  width: 100%;\n}\n.pf-c-select .pf-c-divider {\n  margin-top: var(--pf-c-select-menu--c-divider--MarginTop);\n  margin-bottom: var(--pf-c-select-menu--c-divider--MarginBottom);\n}\n.pf-c-select .pf-c-divider:last-child {\n  --pf-c-select-menu--c-divider--MarginBottom: 0;\n}\n.pf-c-select.pf-m-invalid {\n  --pf-c-select__toggle--before--BorderBottomColor: var(--pf-c-select--m-invalid__toggle--before--BorderBottomColor);\n  --pf-c-select__toggle--before--BorderBottomWidth: var(--pf-c-select--m-invalid__toggle--before--BorderBottomWidth);\n  --pf-c-select__toggle--hover--before--BorderBottomColor: var(--pf-c-select--m-invalid__toggle--hover--before--BorderBottomColor);\n  --pf-c-select__toggle--focus--before--BorderBottomColor: var(--pf-c-select--m-invalid__toggle--focus--before--BorderBottomColor);\n  --pf-c-select__toggle--active--before--BorderBottomColor: var(--pf-c-select--m-invalid__toggle--active--before--BorderBottomColor);\n  --pf-c-select__toggle--m-expanded--before--BorderBottomColor: var(--pf-c-select--m-invalid__toggle--m-expanded--before--BorderBottomColor);\n  --pf-c-select__toggle-status-icon--Color: var(--pf-c-select--m-invalid__toggle-status-icon--Color);\n}\n.pf-c-select.pf-m-success {\n  --pf-c-select__toggle--before--BorderBottomColor: var(--pf-c-select--m-success__toggle--before--BorderBottomColor);\n  --pf-c-select__toggle--before--BorderBottomWidth: var(--pf-c-select--m-success__toggle--before--BorderBottomWidth);\n  --pf-c-select__toggle--hover--before--BorderBottomColor: var(--pf-c-select--m-success__toggle--hover--before--BorderBottomColor);\n  --pf-c-select__toggle--focus--before--BorderBottomColor: var(--pf-c-select--m-success__toggle--focus--before--BorderBottomColor);\n  --pf-c-select__toggle--active--before--BorderBottomColor: var(--pf-c-select--m-success__toggle--active--before--BorderBottomColor);\n  --pf-c-select__toggle--m-expanded--before--BorderBottomColor: var(--pf-c-select--m-success__toggle--m-expanded--before--BorderBottomColor);\n  --pf-c-select__toggle-status-icon--Color: var(--pf-c-select--m-success__toggle-status-icon--Color);\n}\n.pf-c-select.pf-m-warning {\n  --pf-c-select__toggle--before--BorderBottomColor: var(--pf-c-select--m-warning__toggle--before--BorderBottomColor);\n  --pf-c-select__toggle--before--BorderBottomWidth: var(--pf-c-select--m-warning__toggle--before--BorderBottomWidth);\n  --pf-c-select__toggle--hover--before--BorderBottomColor: var(--pf-c-select--m-warning__toggle--hover--before--BorderBottomColor);\n  --pf-c-select__toggle--focus--before--BorderBottomColor: var(--pf-c-select--m-warning__toggle--focus--before--BorderBottomColor);\n  --pf-c-select__toggle--active--before--BorderBottomColor: var(--pf-c-select--m-warning__toggle--active--before--BorderBottomColor);\n  --pf-c-select__toggle--m-expanded--before--BorderBottomColor: var(--pf-c-select--m-warning__toggle--m-expanded--before--BorderBottomColor);\n  --pf-c-select__toggle-status-icon--Color: var(--pf-c-select--m-warning__toggle-status-icon--Color);\n}\n\n.pf-c-select__menu-search + .pf-c-divider {\n  --pf-c-select-menu--c-divider--MarginTop: 0;\n}\n\n.pf-c-select__toggle {\n  position: relative;\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n  width: 100%;\n  min-width: var(--pf-c-select__toggle--MinWidth);\n  padding: var(--pf-c-select__toggle--PaddingTop) var(--pf-c-select__toggle--PaddingRight) var(--pf-c-select__toggle--PaddingBottom) var(--pf-c-select__toggle--PaddingLeft);\n  font-size: var(--pf-c-select__toggle--FontSize);\n  font-weight: var(--pf-c-select__toggle--FontWeight);\n  line-height: var(--pf-c-select__toggle--LineHeight);\n  color: var(--pf-c-select__toggle--Color);\n  white-space: nowrap;\n  cursor: pointer;\n  background-color: var(--pf-c-select__toggle--BackgroundColor);\n  border: none;\n}\n.pf-c-select__toggle.pf-m-disabled, .pf-c-select__toggle:disabled {\n  --pf-c-select__toggle--BackgroundColor: var(--pf-c-select__toggle--disabled--BackgroundColor);\n  pointer-events: none;\n}\n.pf-c-select__toggle.pf-m-disabled::before, .pf-c-select__toggle:disabled::before {\n  border: 0;\n}\n.pf-c-select__toggle::before {\n  --pf-c-select__toggle--before--BorderWidth-base: var(--pf-c-select__toggle--before--BorderTopWidth) var(--pf-c-select__toggle--before--BorderRightWidth) var(--pf-c-select__toggle--before--BorderBottomWidth) var(--pf-c-select__toggle--before--BorderLeftWidth);\n  position: absolute;\n  top: 0;\n  right: 0;\n  bottom: 0;\n  left: 0;\n  content: "";\n  border-color: var(--pf-c-select__toggle--before--BorderTopColor) var(--pf-c-select__toggle--before--BorderRightColor) var(--pf-c-select__toggle--before--BorderBottomColor) var(--pf-c-select__toggle--before--BorderLeftColor);\n  border-style: solid;\n  border-width: var(--pf-c-select__toggle--before--BorderWidth, var(--pf-c-select__toggle--before--BorderWidth-base));\n}\n.pf-c-select__toggle:hover {\n  --pf-c-select__toggle--before--BorderBottomColor: var(--pf-c-select__toggle--hover--before--BorderBottomColor);\n}\n.pf-c-select__toggle:focus, .pf-c-select__toggle:focus-within {\n  --pf-c-select__toggle--before--BorderBottomColor: var(--pf-c-select__toggle--focus--before--BorderBottomColor);\n  --pf-c-select__toggle--before--BorderBottomWidth: var(--pf-c-select__toggle--focus--before--BorderBottomWidth);\n}\n.pf-c-select__toggle:active, .pf-c-select__toggle.pf-m-active {\n  --pf-c-select__toggle--before--BorderBottomColor: var(--pf-c-select__toggle--active--before--BorderBottomColor);\n  --pf-c-select__toggle--before--BorderBottomWidth: var(--pf-c-select__toggle--active--before--BorderBottomWidth);\n}\n.pf-m-expanded > .pf-c-select__toggle {\n  --pf-c-select__toggle--before--BorderBottomColor: var(--pf-c-select__toggle--m-expanded--before--BorderBottomColor);\n  --pf-c-select__toggle--before--BorderBottomWidth: var(--pf-c-select__toggle--m-expanded--before--BorderBottomWidth);\n}\n.pf-c-select__toggle.pf-m-plain {\n  --pf-c-select__toggle-arrow--Color: var(--pf-c-select--m-plain__toggle-arrow--Color);\n}\n.pf-c-select__toggle.pf-m-plain::before {\n  border-color: var(--pf-c-select__toggle--m-plain--before--BorderColor);\n}\n.pf-c-select__toggle.pf-m-plain:hover, .pf-c-select__toggle.pf-m-plain:active, .pf-c-select__toggle.pf-m-plain.pf-m-active, .pf-c-select__toggle.pf-m-plain:focus, .pf-c-select.pf-m-expanded > .pf-c-select__toggle.pf-m-plain {\n  --pf-c-select--m-plain__toggle-arrow--Color: var(--pf-c-select--m-plain--hover__toggle-arrow--Color);\n}\n.pf-c-select__toggle.pf-m-typeahead {\n  --pf-c-select__toggle--PaddingTop: 0;\n  --pf-c-select__toggle--PaddingRight: 0;\n  --pf-c-select__toggle--PaddingBottom: 0;\n}\n.pf-c-select__toggle.pf-m-typeahead .pf-c-form-control {\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n  --pf-c-form-control--invalid--BackgroundUrl: none;\n  position: relative;\n  height: auto;\n}\n.pf-c-select__toggle .pf-c-select__toggle-clear {\n  padding-right: var(--pf-c-select__toggle-clear--PaddingRight);\n  padding-left: var(--pf-c-select__toggle-clear--PaddingLeft);\n  margin-left: auto;\n}\n.pf-c-select__toggle .pf-c-select__toggle-button {\n  color: var(--pf-c-select__toggle-button--Color);\n}\n.pf-c-select__toggle .pf-c-select__toggle-clear + .pf-c-select__toggle-button {\n  padding-left: var(--pf-c-select__toggle-clear--toggle-button--PaddingLeft);\n}\n.pf-c-select__toggle.pf-m-placeholder {\n  --pf-c-select__toggle-text--Color: var(--pf-c-select__toggle--m-placeholder__toggle-text--Color);\n}\n\n.pf-c-select__toggle-arrow {\n  color: var(--pf-c-select__toggle-arrow--Color, inherit);\n}\n* + .pf-c-select__toggle-arrow {\n  margin-right: var(--pf-c-select__toggle-arrow--MarginRight);\n  margin-left: var(--pf-c-select__toggle-arrow--MarginLeft);\n}\n.pf-c-select.pf-m-top.pf-m-expanded .pf-c-select__toggle-arrow {\n  transform: rotate(var(--pf-c-select__toggle-arrow--m-top--m-expanded__toggle-arrow--Rotate));\n}\n\n.pf-c-select__toggle-text {\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n  color: var(--pf-c-select__toggle-text--Color, inherit);\n}\n\n.pf-c-select__toggle-wrapper {\n  display: flex;\n  flex: 1;\n  flex-wrap: wrap;\n  align-items: center;\n  justify-content: flex-start;\n  min-width: 0;\n  max-width: var(--pf-c-select__toggle-wrapper--MaxWidth);\n  white-space: normal;\n}\n.pf-c-select__toggle-wrapper > :not(:last-child) {\n  margin-right: var(--pf-c-select__toggle-wrapper--not-last-child--MarginRight);\n}\n.pf-c-select__toggle-wrapper > .pf-c-form-control {\n  margin-top: calc(-1 * var(--pf-c-select__toggle-wrapper--m-typeahead--PaddingTop));\n}\n.pf-c-select__toggle-wrapper .pf-c-chip-group {\n  margin-top: var(--pf-c-select__toggle-wrapper--c-chip-group--MarginTop);\n  margin-bottom: var(--pf-c-select__toggle-wrapper--c-chip-group--MarginBottom);\n}\n.pf-c-select__toggle-wrapper > .pf-c-select__toggle-typeahead:first-child {\n  margin-left: calc(-1 * var(--pf-c-select__toggle--PaddingLeft));\n}\n\n.pf-c-select__toggle-icon + .pf-c-select__toggle-text {\n  margin-left: var(--pf-c-select__toggle-icon--toggle-text--MarginLeft);\n}\n\n.pf-c-select__toggle-status-icon {\n  margin-left: var(--pf-c-select__toggle-status-icon--MarginLeft);\n  color: var(--pf-c-select__toggle-status-icon--Color);\n}\n\n.pf-c-select__toggle-badge {\n  display: flex;\n  padding-left: var(--pf-c-select__toggle-badge--PaddingLeft);\n}\n\n.pf-c-select__toggle-typeahead {\n  flex-basis: var(--pf-c-select__toggle-typeahead--FlexBasis);\n  flex-grow: 1;\n  min-width: var(--pf-c-select__toggle-typeahead--MinWidth);\n  flex-shrink: 0;\n}\n.pf-c-select__toggle-typeahead.pf-c-form-control {\n  background-color: var(--pf-c-select__toggle-typeahead--BackgroundColor);\n  border-top: var(--pf-c-select__toggle-typeahead--BorderTop);\n  border-right: var(--pf-c-select__toggle-typeahead--BorderRight);\n  border-bottom-color: transparent;\n  border-left: var(--pf-c-select__toggle-typeahead--BorderLeft);\n}\n.pf-c-select__toggle-typeahead.pf-c-form-control:focus {\n  padding-bottom: var(--pf-c-select__toggle-typeahead--focus--PaddingBottom);\n}\n\n.pf-c-select__menu {\n  position: absolute;\n  top: var(--pf-c-select__menu--Top);\n  z-index: var(--pf-c-select__menu--ZIndex);\n  width: var(--pf-c-select__menu--Width);\n  min-width: var(--pf-c-select__menu--MinWidth);\n  padding-top: var(--pf-c-select__menu--PaddingTop);\n  padding-bottom: var(--pf-c-select__menu--PaddingBottom);\n  background-color: var(--pf-c-select__menu--BackgroundColor);\n  background-clip: padding-box;\n  box-shadow: var(--pf-c-select__menu--BoxShadow);\n}\n.pf-c-select__menu.pf-m-align-right {\n  right: 0;\n}\n.pf-c-select.pf-m-top .pf-c-select__menu {\n  top: 0;\n  transform: translateY(var(--pf-c-select__menu--m-top--TranslateY));\n}\n.pf-c-select__menu.pf-m-static {\n  --pf-c-select__menu--m-top--TranslateY: 0;\n  position: static;\n  top: auto;\n  right: auto;\n  bottom: auto;\n  left: auto;\n  z-index: auto;\n  min-width: min-content;\n}\n\n.pf-c-select__menu-fieldset {\n  border: 0;\n}\n\n.pf-c-select__menu-wrapper {\n  display: flex;\n}\n.pf-c-select__menu-wrapper.pf-m-favorite .pf-c-select__menu-item.pf-m-favorite-action {\n  --pf-c-select__menu-item--m-favorite-action--Color: var(--pf-c-select__menu-wrapper--m-favorite__menu-item--m-favorite-action--Color);\n  --pf-c-select__menu-item--m-favorite-action--hover--Color: var(--pf-c-select__menu-wrapper--m-favorite__menu-item--m-favorite-action--hover--Color);\n  --pf-c-select__menu-item--m-favorite-action--focus--Color: var(--pf-c-select__menu-wrapper--m-favorite__menu-item--m-favorite-action--focus--Color);\n}\n\n.pf-c-select__menu-item {\n  position: relative;\n  width: var(--pf-c-select__menu-item--Width);\n  padding: var(--pf-c-select__menu-item--PaddingTop) var(--pf-c-select__menu-item--PaddingRight) var(--pf-c-select__menu-item--PaddingBottom) var(--pf-c-select__menu-item--PaddingLeft);\n  font-size: var(--pf-c-select__menu-item--FontSize);\n  font-weight: var(--pf-c-select__menu-item--FontWeight);\n  line-height: var(--pf-c-select__menu-item--LineHeight);\n  color: var(--pf-c-select__menu-item--Color);\n  text-align: left;\n  white-space: nowrap;\n  background-color: transparent;\n  border: none;\n}\n.pf-c-select__menu-item:hover, .pf-c-select__menu-item:focus, .pf-c-select__menu-item.pf-m-focus {\n  --pf-c-select__menu-item--m-action--Color: var(--pf-c-select__menu-item--hover__menu-item--m-action--Color);\n  text-decoration: none;\n}\n.pf-c-select__menu-wrapper:hover, .pf-c-select__menu-item:hover {\n  background-color: var(--pf-c-select__menu-item--hover--BackgroundColor);\n}\n\n.pf-c-select__menu-wrapper:focus-within,\n.pf-c-select__menu-wrapper.pf-m-focus, .pf-c-select__menu-item:focus, .pf-c-select__menu-item.pf-m-focus {\n  position: relative;\n  background-color: var(--pf-c-select__menu-item--focus--BackgroundColor);\n}\n\n.pf-c-select__menu-item.pf-m-link {\n  --pf-c-select__menu-item--PaddingRight: 0;\n  --pf-c-select__menu-item-main--PaddingRight: 0;\n  --pf-c-select__menu-item-description--PaddingRight: 0;\n  --pf-c-select__menu-item--Width: var(--pf-c-select__menu-item--m-link--Width);\n  --pf-c-select__menu-item--hover--BackgroundColor: var(--pf-c-select__menu-item--m-link--hover--BackgroundColor);\n  --pf-c-select__menu-item--focus--BackgroundColor: var(--pf-c-select__menu-item--m-link--focus--BackgroundColor);\n  flex-grow: 1;\n}\n.pf-c-select__menu-item.pf-m-action {\n  --pf-c-select__menu-item--Color: var(--pf-c-select__menu-item--m-action--Color);\n  --pf-c-select__menu-item--Width: var(--pf-c-select__menu-item--m-action--Width);\n  --pf-c-select__menu-item--hover--BackgroundColor: var(--pf-c-select__menu-item--m-action--hover--BackgroundColor);\n  --pf-c-select__menu-item--focus--BackgroundColor: var(--pf-c-select__menu-item--m-action--focus--BackgroundColor);\n  display: flex;\n  align-items: flex-start;\n  font-size: var(--pf-c-select__menu-item--m-action--FontSize);\n}\n.pf-c-select__menu-item.pf-m-action:hover {\n  --pf-c-select__menu-item--m-action--Color: var(--pf-c-select__menu-item--m-action--hover--Color);\n}\n.pf-c-select__menu-item.pf-m-action:focus {\n  --pf-c-select__menu-item--m-action--Color: var(--pf-c-select__menu-item--m-action--focus--Color);\n}\n.pf-c-select__menu-item.pf-m-action:disabled {\n  --pf-c-select__menu-item--disabled--Color: var(--pf-c-select__menu-item--m-action--disabled--Color);\n}\n.pf-c-select__menu-item.pf-m-favorite-action {\n  --pf-c-select__menu-item--m-action--Color: var(--pf-c-select__menu-item--m-favorite-action--Color);\n  --pf-c-select__menu-item--m-action--hover--Color: var(--pf-c-select__menu-item--m-favorite-action--hover--Color);\n  --pf-c-select__menu-item--m-action--focus--Color: var(--pf-c-select__menu-item--m-favorite-action--focus--Color);\n}\n.pf-c-select__menu-item.pf-m-selected {\n  --pf-c-select__menu-item--PaddingRight: var(--pf-c-select__menu-item--m-selected--PaddingRight);\n  --pf-c-select__menu-item-main--PaddingRight: var(--pf-c-select__menu-item--m-selected__menu-item-main--PaddingRight);\n}\n.pf-c-select__menu-item.pf-m-description {\n  white-space: normal;\n}\n.pf-c-select__menu-item.pf-m-description:not(.pf-c-check) {\n  --pf-c-select__menu-item--PaddingRight: 0;\n}\n.pf-c-select__menu-item.pf-m-description .pf-c-check__label {\n  white-space: nowrap;\n}\n.pf-c-select__menu-wrapper.pf-m-disabled, .pf-c-select__menu-item:disabled, .pf-c-select__menu-item.pf-m-disabled {\n  --pf-c-select__menu-item-count--Color: var(--pf-c-select__menu-item--disabled__menu-item-count--Color);\n  color: var(--pf-c-select__menu-item--disabled--Color);\n  pointer-events: none;\n  background-color: var(--pf-c-select__menu-item--disabled--BackgroundColor);\n}\n\n.pf-c-select__menu-item.pf-c-check .pf-c-check__label {\n  width: 100%;\n}\n.pf-c-select__menu-item.pf-m-load {\n  --pf-c-select__menu-item--hover--BackgroundColor: transparent;\n  --pf-c-select__menu-item--focus--BackgroundColor: transparent;\n  --pf-c-select__menu-item--Color: var(--pf-c-select__menu-item--m-load--Color);\n}\n\n.pf-c-select__list-item.pf-m-loading {\n  padding-top: var(--pf-c-select__list-item--m-loading--PaddingTop);\n  text-align: center;\n}\n\n.pf-c-select__menu-item-main {\n  position: relative;\n  display: block;\n  padding-right: var(--pf-c-select__menu-item-main--PaddingRight);\n  white-space: nowrap;\n}\n\n.pf-c-select__menu-item-row {\n  display: flex;\n}\n\n.pf-c-select__menu-item-text {\n  flex-grow: 1;\n}\n\n.pf-c-select__menu-item-count {\n  align-self: center;\n  margin-left: var(--pf-c-select__menu-item-count--MarginLeft);\n  font-size: var(--pf-c-select__menu-item-count--FontSize);\n  color: var(--pf-c-select__menu-item-count--Color);\n}\n\n.pf-c-select__menu-item-description {\n  display: block;\n  padding-right: var(--pf-c-select__menu-item-description--PaddingRight);\n  font-size: var(--pf-c-select__menu-item-description--FontSize);\n  color: var(--pf-c-select__menu-item-description--Color);\n}\n\n.pf-c-select__menu-item-icon {\n  position: absolute;\n  top: var(--pf-c-select__menu-item-icon--Top);\n  right: var(--pf-c-select__menu-item-icon--Right);\n  font-size: var(--pf-c-select__menu-item-icon--FontSize);\n  color: var(--pf-c-select__menu-item-icon--Color);\n  transform: translateY(var(--pf-c-select__menu-item-icon--TranslateY));\n}\n\n.pf-c-select__menu-item-action-icon {\n  display: flex;\n  align-items: center;\n  min-height: var(--pf-c-select__menu-item-action-icon--MinHeight);\n}\n\n.pf-c-select__menu-item--match {\n  font-weight: var(--pf-c-select__menu-item--match--FontWeight);\n  background-color: inherit;\n}\n\n.pf-c-select__menu-group + .pf-c-select__menu-group {\n  padding-top: var(--pf-c-select__menu-group--menu-group--PaddingTop);\n}\n\n.pf-c-select__menu-search {\n  padding: var(--pf-c-select__menu-search--PaddingTop) var(--pf-c-select__menu-search--PaddingRight) var(--pf-c-select__menu-search--PaddingBottom) var(--pf-c-select__menu-search--PaddingLeft);\n}\n\n.pf-c-select__menu-group-title {\n  padding-top: var(--pf-c-select__menu-group-title--PaddingTop);\n  padding-right: var(--pf-c-select__menu-group-title--PaddingRight);\n  padding-bottom: var(--pf-c-select__menu-group-title--PaddingBottom);\n  padding-left: var(--pf-c-select__menu-group-title--PaddingLeft);\n  font-size: var(--pf-c-select__menu-group-title--FontSize);\n  font-weight: var(--pf-c-select__menu-group-title--FontWeight);\n  color: var(--pf-c-select__menu-group-title--Color);\n}\n\n.pf-c-select__menu-footer {\n  padding: var(--pf-c-select__menu-footer--PaddingTop) var(--pf-c-select__menu-footer--PaddingRight) var(--pf-c-select__menu-footer--PaddingBottom) var(--pf-c-select__menu-footer--PaddingLeft);\n  margin-top: var(--pf-c-select__menu-footer--MarginTop);\n  margin-bottom: var(--pf-c-select__menu-footer--MarginBottom);\n  box-shadow: var(--pf-c-select__menu-footer--BoxShadow);\n}\n\n:where(.pf-theme-dark) .pf-c-select {\n  --pf-c-select__toggle--disabled--BackgroundColor: var(--pf-global--palette--black-500);\n  --pf-c-select__toggle--BackgroundColor: var(--pf-global--BackgroundColor--400);\n  --pf-c-select__toggle--before--BorderTopColor: transparent;\n  --pf-c-select__toggle--before--BorderRightColor: transparent;\n  --pf-c-select__toggle--before--BorderBottomColor: var(--pf-global--BorderColor--400);\n  --pf-c-select__toggle--before--BorderLeftColor: transparent;\n  --pf-c-select__menu--Top: 100%;\n  --pf-c-select__menu--m-top--TranslateY: -100%;\n  --pf-c-select__menu-item--hover--BackgroundColor: var(--pf-global--BackgroundColor--400);\n  --pf-c-select__menu--BackgroundColor: var(--pf-global--BackgroundColor--300);\n}\n:where(.pf-theme-dark) .pf-c-select__toggle:disabled, :where(.pf-theme-dark) .pf-c-select__toggle.pf-m-disabled {\n  color: var(--pf-global--palette--black-100);\n}';

// src/elements/forms/SearchSelect/ak-search-select-loading-indicator.ts
var SearchSelectLoadingIndicator = class extends AKElement {
  static get styles() {
    return [patternfly_base_default, form_control_default, select_default];
  }
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("data-ouia-component-type", "ak-search-select-loading-indicator");
    this.setAttribute("data-ouia-component-id", this.getAttribute("id") || randomId());
    this.setAttribute("data-ouia-component-safe", "true");
  }
  render() {
    return ke`
            <div class="pf-c-select" part="ak-search-select">
                <div class="pf-c-select__toggle pf-m-typeahead" part="ak-search-select-toggle">
                    <div class="pf-c-select__toggle-wrapper" part="ak-search-select-wrapper">
                        <input
                            class="pf-c-form-control pf-c-select__toggle-typeahead"
                            part="ak-search-select-loading-indicator"
                            type="text"
                            disabled
                            readonly
                            tabindex="-1"
                            value=${msg("Loading...")}
                        />
                    </div>
                </div>
            </div>
        `;
  }
};
SearchSelectLoadingIndicator = __decorateClass([
  t("ak-search-select-loading-indicator")
], SearchSelectLoadingIndicator);

// src/elements/ak-list-select/utils.ts
function isVisibleInScrollRegion(el, container) {
  const elTop = el.offsetTop;
  const elBottom = elTop + el.clientHeight;
  const containerTop = container.scrollTop;
  const containerBottom = containerTop + container.clientHeight;
  return elTop >= containerTop && elBottom <= containerBottom || elTop < containerTop && containerTop < elBottom || elTop < containerBottom && containerBottom < elBottom;
}
function groupOptions(options) {
  return Array.isArray(options) ? { grouped: false, options } : options;
}

// src/elements/ak-list-select/ak-list-select.ts
var ListSelect = class extends AKElement {
  constructor() {
    super();
    this.indexOfFocusedItem = 0;
    this.addEventListener("focus", this.onFocus);
    this.addEventListener("blur", this.onBlur);
  }
  static get styles() {
    return [
      patternfly_base_default,
      dropdown_default,
      select_default,
      i`
                :host {
                    overflow: visible;
                    z-index: 9999;
                }

                :host([hidden]) {
                    display: none;
                }

                .pf-c-dropdown__menu {
                    max-height: 50vh;
                    overflow-y: auto;
                    width: 100%;
                }
            `
    ];
  }
  set options(options) {
    this._options = groupOptions(options);
  }
  get options() {
    return this._options;
  }
  get json() {
    return this.value ?? "";
  }
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("data-ouia-component-type", "ak-menu-select");
    this.setAttribute("data-ouia-component-id", this.getAttribute("id") || randomId());
    this.setIndexOfFocusedItemFromValue();
    this.highlightFocusedItem();
  }
  get hasFocus() {
    return this.renderRoot.contains(document.activeElement) || document.activeElement === this;
  }
  get displayedElements() {
    return Array.from(this.renderRoot.querySelectorAll(".ak-select-item"));
  }
  get currentElement() {
    const curIndex = this.indexOfFocusedItem;
    return curIndex < 0 || curIndex > this.displayedElements.length - 1 ? void 0 : this.displayedElements[curIndex];
  }
  setIndexOfFocusedItemFromValue() {
    const index = this.displayedElements.findIndex((element) => {
      return element.getAttribute("value") === this.value;
    });
    const elementCount = this.displayedElements.length;
    const checkIndex = () => index === -1 ? 0 : index;
    return elementCount === 0 ? -1 : checkIndex();
  }
  highlightFocusedItem() {
    this.displayedElements.forEach((item) => {
      item.classList.remove("ak-highlight-item");
      item.removeAttribute("aria-selected");
      item.tabIndex = -1;
    });
    const currentElement = this.currentElement;
    if (!currentElement) {
      return;
    }
    currentElement.classList.add("ak-highlight-item");
    currentElement.setAttribute("aria-selected", "true");
    currentElement.scrollIntoView({ block: "center", behavior: "smooth" });
  }
  onFocus() {
    this.currentElement?.focus();
    this.addEventListener("keydown", this.onKeydown);
  }
  onBlur() {
    this.removeEventListener("keydown", this.onKeydown);
    this.indexOfFocusedItem = 0;
  }
  onClick(value) {
    this.value = value;
    this.setIndexOfFocusedItemFromValue();
    this.dispatchEvent(new Event("change", { bubbles: true, composed: true }));
  }
  onKeydown(event) {
    const key = event.key;
    const lastItem = this.displayedElements.length - 1;
    const current = this.indexOfFocusedItem;
    const updateIndex = (pos) => {
      event.preventDefault();
      this.indexOfFocusedItem = pos;
      this.highlightFocusedItem();
      this.currentElement?.focus();
    };
    const setValueAndDispatch = () => {
      event.preventDefault();
      this.value = this.currentElement?.getAttribute("value") ?? void 0;
      this.dispatchEvent(new Event("change", { bubbles: true, composed: true }));
    };
    const pageBy = (direction) => {
      const visibleElementCount = this.displayedElements.filter(
        (element) => isVisibleInScrollRegion(element, this.ul)
      ).length - 1;
      return visibleElementCount * direction + current;
    };
    z({ key }).with({ key: "ArrowDown" }, () => updateIndex(Math.min(current + 1, lastItem))).with({ key: "ArrowUp" }, () => updateIndex(Math.max(current - 1, 0))).with({ key: "PageDown" }, () => updateIndex(Math.min(pageBy(1), lastItem))).with({ key: "PageUp" }, () => updateIndex(Math.max(pageBy(-1), 0))).with({ key: "Home" }, () => updateIndex(0)).with({ key: "End" }, () => updateIndex(lastItem)).with({ key: " " }, () => setValueAndDispatch()).with({ key: "Enter" }, () => setValueAndDispatch());
  }
  performUpdate() {
    this.removeAttribute("data-ouia-component-safe");
    super.performUpdate();
  }
  updated(changed) {
    super.updated(changed);
    this.setAttribute("data-ouia-component-safe", "true");
  }
  renderEmptyMenuItem() {
    return ke`<li role="option" class="ak-select-item" part="ak-list-select-option">
            <button
                class="pf-c-dropdown__menu-item"
                role="option"
                tabindex="0"
                @click=${() => this.onClick(void 0)}
                part="ak-list-select-button"
            >
                ${this.emptyOption}
            </button>
        </li>`;
  }
  renderMenuItems(options) {
    return options.map(
      ([value, label, desc]) => ke`
                <li
                    role="option"
                    value=${value}
                    class="ak-select-item"
                    part="ak-list-select-option"
                >
                    <button
                        class="pf-c-dropdown__menu-item pf-m-description"
                        value="${value}"
                        tabindex="0"
                        @click=${() => this.onClick(value)}
                        part="ak-list-select-button"
                    >
                        <div class="pf-c-dropdown__menu-item-main" part="ak-list-select-label">
                            ${label}
                        </div>
                        ${desc ? ke`<div
                                  class="pf-c-dropdown__menu-item-description"
                                  part="ak-list-select-desc"
                              >
                                  ${desc}
                              </div>` : D}
                    </button>
                </li>
            `
    );
  }
  renderMenuGroups(optionGroups) {
    return optionGroups.map(
      ({ name, options }) => ke`
                <section class="pf-c-dropdown__group" part="ak-list-select-group">
                    <h1 class="pf-c-dropdown__group-title" part="ak-list-select-group-title">
                        ${name}
                    </h1>
                    <ul>
                        ${this.renderMenuItems(options)}
                    </ul>
                </section>
            `
    );
  }
  render() {
    return ke`<div
            class="pf-c-dropdown pf-m-expanded"
            tabindex="1"
            part="ak-list-select-wrapper"
        >
            <ul
                class="pf-c-dropdown__menu pf-m-static"
                id="ak-list-select-list"
                role="listbox"
                tabindex="0"
                part="ak-list-select"
            >
                ${this.emptyOption === void 0 ? D : this.renderEmptyMenuItem()}
                ${this._options.grouped ? this.renderMenuGroups(this._options.options) : this.renderMenuItems(this._options.options)}
            </ul>
        </div> `;
  }
};
__decorateClass([
  n({ type: Array, attribute: false })
], ListSelect.prototype, "options", 1);
__decorateClass([
  n({ type: String, reflect: true })
], ListSelect.prototype, "value", 2);
__decorateClass([
  n()
], ListSelect.prototype, "emptyOption", 2);
__decorateClass([
  r()
], ListSelect.prototype, "indexOfFocusedItem", 2);
__decorateClass([
  e("#ak-list-select-list")
], ListSelect.prototype, "ul", 2);
__decorateClass([
  bound
], ListSelect.prototype, "onFocus", 1);
__decorateClass([
  bound
], ListSelect.prototype, "onBlur", 1);
__decorateClass([
  bound
], ListSelect.prototype, "onClick", 1);
__decorateClass([
  bound
], ListSelect.prototype, "onKeydown", 1);
ListSelect = __decorateClass([
  t("ak-list-select")
], ListSelect);

// src/elements/forms/SearchSelect/ak-portal.ts
var Portal = class extends h {
  constructor() {
    super(...arguments);
    this.open = false;
    this.connected = false;
  }
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("data-ouia-component-type", "ak-portal");
    this.setAttribute("data-ouia-component-id", this.getAttribute("id") || randomId());
    this.dropdownContainer = document.createElement("div");
    this.dropdownContainer.dataset["managedBy"] = "ak-portal";
    if (this.name) {
      this.dropdownContainer.dataset["managedFor"] = this.name;
    }
    document.body.append(this.dropdownContainer);
    if (!this.anchor) {
      throw new Error("Tether entrance initialized incorrectly: missing anchor");
    }
    this.connected = true;
    if (this.firstElementChild) {
      this.content = this.firstElementChild;
    } else {
      throw new Error("No content to be portaled included in the tag");
    }
  }
  disconnectedCallback() {
    this.connected = false;
    this.dropdownContainer?.remove();
    this.cleanup?.();
    super.disconnectedCallback();
  }
  setPosition() {
    if (!(this.anchor && this.dropdownContainer)) {
      throw new Error("Tether initialized incorrectly: missing anchor or tether destination");
    }
    this.cleanup = autoUpdate(this.anchor, this.dropdownContainer, async () => {
      const { x, y } = await computePosition(this.anchor, this.dropdownContainer, {
        placement: "bottom-start",
        strategy: "fixed",
        middleware: [flip(), hide()]
      });
      Object.assign(this.dropdownContainer.style, {
        "position": "fixed",
        "display": "block",
        "z-index": "9999",
        "top": 0,
        "left": 0,
        "transform": `translate(${x}px, ${y}px)`
      });
    });
  }
  performUpdate() {
    this.removeAttribute("data-ouia-component-safe");
    super.performUpdate();
  }
  render() {
    this.dropdownContainer.appendChild(this.content);
    return D;
  }
  updated() {
    this.content.style.display = "none";
    if (this.anchor && this.dropdownContainer && this.open && !this.hidden) {
      this.content.style.display = "";
      this.setPosition();
    }
    this.setAttribute("data-ouia-component-safe", "true");
  }
};
__decorateClass([
  n({ type: Object, attribute: false })
], Portal.prototype, "anchor", 2);
__decorateClass([
  n({ type: Boolean, reflect: true })
], Portal.prototype, "open", 2);
__decorateClass([
  n()
], Portal.prototype, "name", 2);
Portal = __decorateClass([
  t("ak-portal")
], Portal);

// src/elements/forms/SearchSelect/utils.ts
var mapPair = (option) => [option[0], option];
var isSelectOptionsArray = (v) => Array.isArray(v);
var isGroupedOptionsCollection = (v) => v !== null && typeof v === "object" && "grouped" in v && v.grouped === true;
var groupOptions2 = (options) => isSelectOptionsArray(options) ? { grouped: false, options } : options;
function optionsToFlat(groupedOptions) {
  return isGroupedOptionsCollection(groupedOptions) ? groupedOptions.options.reduce(
    (acc, { options }) => [...acc, ...options.map(mapPair)],
    []
  ) : groupedOptions.options.map(mapPair);
}
function findFlatOptions(options, value) {
  const fragLength = value.length;
  return options.filter((option) => (option[1][1] ?? "").substring(0, fragLength) === value);
}
function findOptionsSubset(groupedOptions, value, caseSensitive = false) {
  const fragLength = value.length;
  if (value.trim() === "") {
    return groupedOptions;
  }
  const compValue = caseSensitive ? value : value.toLowerCase();
  const compOption = (option) => {
    const extractedOption = (option[1] ?? "").substring(0, fragLength);
    return caseSensitive ? extractedOption : extractedOption.toLowerCase();
  };
  const optFilter = (options) => options.filter((option) => compOption(option) === compValue);
  return groupedOptions.grouped ? {
    grouped: true,
    options: groupedOptions.options.map(({ name, options }) => ({
      name,
      options: optFilter(options)
    })).filter(({ options }) => options.length !== 0)
  } : {
    grouped: false,
    options: optFilter(groupedOptions.options)
  };
}

// src/elements/forms/SearchSelect/ak-search-select-view.ts
var SearchSelectView = class extends AKElement {
  constructor() {
    super(...arguments);
    this.open = false;
    this.blankable = false;
    this.caseSensitive = false;
    this.placeholder = msg("Select an object.");
    this.managed = false;
    this.emptyOption = "---------";
    this.displayValue = "";
    this.inputRefIsAvailable = false;
    /**
     * Permanent identity with the portal so focus events can be checked.
     */
    this.menuRef = ii();
    /**
     * Permanent identify for the input object, so the floating portal can find where to anchor
     * itself.
     */
    this.inputRef = ii();
    /**
     *  Maps a value from the portal to labels to be put into the <input> field>
     */
    this.flatOptions = [];
  }
  static get styles() {
    return [patternfly_base_default, form_default, form_control_default, select_default];
  }
  set options(options) {
    this._options = groupOptions2(options);
    this.flatOptions = optionsToFlat(this._options);
  }
  get options() {
    return this._options;
  }
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("data-ouia-component-type", "ak-search-select-view");
    this.setAttribute("data-ouia-component-id", this.getAttribute("id") || randomId());
  }
  // TODO: Reconcile value <-> display value, Reconcile option changes to value <-> displayValue
  // If the user has changed the content of the input box, they are manipulating the *Label*, not
  // the value. We'll have to retroactively decide the value and publish it to any listeners.
  settleValue() {
  }
  onClick(_ev) {
    this.open = !this.open;
    this.inputRef.value?.focus();
  }
  setFromMatchList(value) {
    if (value === void 0) {
      return;
    }
    const probableValue = this.flatOptions.find((option) => option[0] === this.value);
    if (probableValue && this.inputRef.value) {
      this.inputRef.value.value = probableValue[1][1];
    }
  }
  onKeydown(event) {
    if (event.code === "Escape") {
      event.stopPropagation();
      this.open = false;
    }
    if (event.code === "ArrowDown" || event.code === "ArrowUp") {
      this.open = true;
    }
    if (event.code === "Tab" && this.open) {
      event.preventDefault();
      this.setFromMatchList(this.value);
      this.menuRef.value?.currentElement?.focus();
    }
  }
  onListBlur(event) {
    const relatedTarget = event.relatedTarget;
    if (relatedTarget && (this.contains(relatedTarget) || this.renderRoot.contains(relatedTarget) || this.menuRef.value?.contains(relatedTarget) || this.menuRef.value?.renderRoot.contains(relatedTarget))) {
      return;
    }
    this.open = false;
    if (this.value === void 0) {
      if (this.inputRef.value) {
        this.inputRef.value.value = "";
      }
      this.setValue(void 0);
    }
  }
  setValue(newValue) {
    this.value = newValue;
    this.dispatchEvent(new Event("change", { bubbles: true, composed: true }));
  }
  findValueForInput() {
    const value = this.inputRef.value?.value;
    if (value === void 0 || value.trim() === "") {
      this.setValue(void 0);
      return;
    }
    const matchesFound = findFlatOptions(this.flatOptions, value);
    if (matchesFound.length > 0) {
      const newValue = matchesFound[0][0];
      if (newValue === value) {
        return;
      }
      this.setValue(newValue);
    } else {
      this.setValue(void 0);
    }
  }
  onInput(_ev) {
    if (!this.managed) {
      this.findValueForInput();
      this.requestUpdate();
    }
    this.open = true;
  }
  onListKeydown(event) {
    if (event.key === "Escape") {
      this.open = false;
      this.inputRef.value?.focus();
    }
    if (event.key === "Tab" && event.shiftKey) {
      event.preventDefault();
      this.inputRef.value?.focus();
    }
  }
  onListChange(event) {
    if (!event.target) {
      return;
    }
    const value = event.target.value;
    if (value !== void 0) {
      const newDisplayValue = this.findDisplayForValue(value);
      if (this.inputRef.value) {
        this.inputRef.value.value = newDisplayValue ?? "";
      }
    } else if (this.inputRef.value) {
      this.inputRef.value.value = "";
    }
    this.open = false;
    this.setValue(value);
  }
  findDisplayForValue(value) {
    const newDisplayValue = this.flatOptions.find((option) => option[0] === value);
    return newDisplayValue ? newDisplayValue[1][1] : void 0;
  }
  performUpdate() {
    this.removeAttribute("data-ouia-component-safe");
    super.performUpdate();
  }
  willUpdate(changed) {
    if (changed.has("value") && this.value) {
      const newDisplayValue = this.findDisplayForValue(this.value);
      if (newDisplayValue) {
        this.displayValue = newDisplayValue;
      }
    }
  }
  get rawValue() {
    return this.inputRef.value?.value ?? "";
  }
  get managedOptions() {
    return this.managed ? this._options : findOptionsSubset(this._options, this.rawValue, this.caseSensitive);
  }
  render() {
    const emptyOption = this.blankable ? this.emptyOption : void 0;
    const open = this.open;
    return ke`<div class="pf-c-select" part="ak-search-select">
                <div class="pf-c-select__toggle pf-m-typeahead" part="ak-search-select-toggle">
                    <div class="pf-c-select__toggle-wrapper" part="ak-search-select-wrapper">
                        <input
                            part="ak-search-select-toggle-typeahead"
                            autocomplete="off"
                            class="pf-c-form-control pf-c-select__toggle-typeahead"
                            type="text"
                            ${Kt(this.inputRef)}
                            placeholder=${this.placeholder}
                            spellcheck="false"
                            @input=${this.onInput}
                            @click=${this.onClick}
                            @blur=${this.onListBlur}
                            @keydown=${this.onKeydown}
                            value=${this.displayValue}
                        />
                    </div>
                </div>
            </div>
            ${this.inputRefIsAvailable ? ke`
                      <ak-portal
                          name=${to(this.name)}
                          .anchor=${this.inputRef.value}
                          ?open=${open}
                      >
                          <ak-list-select
                              id="menu-${this.getAttribute("data-ouia-component-id")}"
                              ${Kt(this.menuRef)}
                              .options=${this.managedOptions}
                              value=${to(this.value)}
                              @change=${this.onListChange}
                              @blur=${this.onListBlur}
                              emptyOption=${to(emptyOption)}
                              @keydown=${this.onListKeydown}
                          ></ak-list-select>
                      </ak-portal>
                  ` : D}`;
  }
  updated() {
    this.setAttribute("data-ouia-component-safe", "true");
  }
  firstUpdated() {
    window.setTimeout(() => {
      this.inputRefIsAvailable = Boolean(this.inputRef?.value);
    }, 0);
  }
};
__decorateClass([
  n({ type: Array, attribute: false })
], SearchSelectView.prototype, "options", 1);
__decorateClass([
  n({ type: String, reflect: true })
], SearchSelectView.prototype, "value", 2);
__decorateClass([
  n({ type: Boolean, reflect: true })
], SearchSelectView.prototype, "open", 2);
__decorateClass([
  n({ type: Boolean })
], SearchSelectView.prototype, "blankable", 2);
__decorateClass([
  n({ type: Boolean, attribute: "case-sensitive" })
], SearchSelectView.prototype, "caseSensitive", 2);
__decorateClass([
  n({ type: String })
], SearchSelectView.prototype, "name", 2);
__decorateClass([
  n({ type: String })
], SearchSelectView.prototype, "placeholder", 2);
__decorateClass([
  n({ type: Boolean })
], SearchSelectView.prototype, "managed", 2);
__decorateClass([
  n()
], SearchSelectView.prototype, "emptyOption", 2);
__decorateClass([
  r()
], SearchSelectView.prototype, "displayValue", 2);
__decorateClass([
  r()
], SearchSelectView.prototype, "inputRefIsAvailable", 2);
__decorateClass([
  bound
], SearchSelectView.prototype, "onClick", 1);
__decorateClass([
  bound
], SearchSelectView.prototype, "onKeydown", 1);
__decorateClass([
  bound
], SearchSelectView.prototype, "onListBlur", 1);
__decorateClass([
  bound
], SearchSelectView.prototype, "onInput", 1);
__decorateClass([
  bound
], SearchSelectView.prototype, "onListKeydown", 1);
__decorateClass([
  bound
], SearchSelectView.prototype, "onListChange", 1);
SearchSelectView = __decorateClass([
  t("ak-search-select-view")
], SearchSelectView);

// src/elements/forms/SearchSelect/SearchSelect.ts
var SearchSelectBase = class extends AkControlElement {
  constructor() {
    super(...arguments);
    // A function passed to this object (or using the default below) that groups objects in the
    // collection under search into categories.
    this.groupBy = (items) => {
      return groupBy(items, () => {
        return "";
      });
    };
    this.blankable = false;
    this.placeholder = msg("Select an object.");
    this.emptyOption = "---------";
    this.isFetchingData = false;
  }
  static get styles() {
    return [patternfly_base_default];
  }
  toForm() {
    if (!this.objects) {
      throw new PreventFormSubmit(msg("Loading options..."));
    }
    return this.value(this.selectedObject) || "";
  }
  json() {
    return this.toForm();
  }
  dispatchChangeEvent(value) {
    this.dispatchEvent(
      new CustomEvent("ak-change", {
        composed: true,
        bubbles: true,
        detail: { value }
      })
    );
  }
  async updateData() {
    if (this.isFetchingData) {
      return Promise.resolve();
    }
    this.isFetchingData = true;
    this.dispatchEvent(new Event("loading"));
    return this.fetchObjects(this.query).then((objects) => {
      objects.forEach((obj) => {
        if (this.selected && this.selected(obj, objects || [])) {
          this.selectedObject = obj;
          this.dispatchChangeEvent(this.selectedObject);
        }
      });
      this.objects = objects;
      this.isFetchingData = false;
    }).catch((exc) => {
      this.isFetchingData = false;
      this.objects = void 0;
      parseAPIError(exc).then((err) => {
        this.error = err;
      });
    });
  }
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("data-ouia-component-type", "ak-search-select");
    this.setAttribute("data-ouia-component-id", this.getAttribute("id") || randomId());
    this.dataset.akControl = "true";
    this.updateData();
    this.addEventListener(EVENT_REFRESH, this.updateData);
  }
  disconnectedCallback() {
    super.disconnectedCallback();
    this.removeEventListener(EVENT_REFRESH, this.updateData);
  }
  onSearch(event) {
    const value = event.target.rawValue;
    if (value === void 0) {
      this.selectedObject = void 0;
      return;
    }
    this.query = value;
    this.updateData()?.then(() => {
      this.dispatchChangeEvent(this.selectedObject);
    });
  }
  onSelect(event) {
    const value = event.target.value;
    if (value === void 0) {
      this.selectedObject = void 0;
      this.dispatchChangeEvent(void 0);
      return;
    }
    const selected = (this.objects ?? []).find((obj) => `${this.value(obj)}` === value);
    if (!selected) {
      console.warn(`ak-search-select: No corresponding object found for value (${value}`);
    }
    this.selectedObject = selected;
    this.dispatchChangeEvent(this.selectedObject);
  }
  getGroupedItems() {
    const groupedItems = this.groupBy(this.objects || []);
    const makeSearchTuples = (items) => items.map((item) => [
      `${this.value(item)}`,
      this.renderElement(item),
      this.renderDescription ? this.renderDescription(item) : void 0
    ]);
    const makeSearchGroups = (items) => items.map((group) => ({
      name: group[0],
      options: makeSearchTuples(group[1])
    }));
    if (groupedItems.length === 0) {
      return { grouped: false, options: [] };
    }
    if (groupedItems.length === 1 && (groupedItems[0].length < 1 || groupedItems[0][0] === "")) {
      return {
        grouped: false,
        options: makeSearchTuples(groupedItems[0][1])
      };
    }
    return {
      grouped: true,
      options: makeSearchGroups(groupedItems)
    };
  }
  performUpdate() {
    this.removeAttribute("data-ouia-component-safe");
    super.performUpdate();
  }
  render() {
    if (this.error) {
      return ke`<em>${msg("Failed to fetch objects: ")} ${this.error.detail}</em>`;
    }
    if (!this.objects) {
      return ke`<ak-search-select-loading-indicator
                tabindex="-1"
            ></ak-search-select-loading-indicator>`;
    }
    const options = this.getGroupedItems();
    const value = this.selectedObject ? `${this.value(this.selectedObject) ?? ""}` : void 0;
    return ke`<ak-search-select-view
            managed
            .options=${options}
            value=${to(value)}
            ?blankable=${this.blankable}
            name=${to(this.name)}
            placeholder=${this.placeholder}
            emptyOption=${to(this.blankable ? this.emptyOption : void 0)}
            @input=${this.onSearch}
            @change=${this.onSelect}
        ></ak-search-select-view> `;
  }
  updated(changed) {
    if (!this.isFetchingData && changed.has("objects")) {
      this.dispatchEvent(new Event("ready"));
    }
    if (!this.isFetchingData) {
      this.setAttribute("data-ouia-component-safe", "true");
    }
  }
};
__decorateClass([
  n({ type: Boolean })
], SearchSelectBase.prototype, "blankable", 2);
__decorateClass([
  n()
], SearchSelectBase.prototype, "query", 2);
__decorateClass([
  n({ attribute: false })
], SearchSelectBase.prototype, "objects", 2);
__decorateClass([
  n({ attribute: false })
], SearchSelectBase.prototype, "selectedObject", 2);
__decorateClass([
  n()
], SearchSelectBase.prototype, "name", 2);
__decorateClass([
  n()
], SearchSelectBase.prototype, "placeholder", 2);
__decorateClass([
  n()
], SearchSelectBase.prototype, "emptyOption", 2);
__decorateClass([
  r()
], SearchSelectBase.prototype, "error", 2);

// src/elements/forms/SearchSelect/ak-search-select.ts
var SearchSelect = class extends SearchSelectBase {
  constructor() {
    super(...arguments);
    this.groupBy = (items) => {
      return groupBy(items, () => {
        return "";
      });
    };
  }
  static get styles() {
    return [...SearchSelectBase.styles];
  }
};
__decorateClass([
  n({ attribute: false })
], SearchSelect.prototype, "fetchObjects", 2);
__decorateClass([
  n({ attribute: false })
], SearchSelect.prototype, "renderElement", 2);
__decorateClass([
  n({ attribute: false })
], SearchSelect.prototype, "renderDescription", 2);
__decorateClass([
  n({ attribute: false })
], SearchSelect.prototype, "value", 2);
__decorateClass([
  n({ attribute: false })
], SearchSelect.prototype, "selected", 2);
__decorateClass([
  n({ attribute: false })
], SearchSelect.prototype, "groupBy", 2);
SearchSelect = __decorateClass([
  t("ak-search-select")
], SearchSelect);

export {
  AkControlElement,
  SearchSelectBase
};
//# sourceMappingURL=chunk-SXPKNFZF.js.map
