import {
  label_default
} from "./chunk-EEANTJCZ.js";
import {
  AKElement,
  Rt,
  n,
  patternfly_base_default,
  t
} from "./chunk-MKGIUSP2.js";
import {
  i,
  ke,
  msg
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/components/ak-status-label.ts
var statusToDetails = /* @__PURE__ */ new Map([
  ["error", ["pf-m-red", "fa-times"]],
  ["warning", ["pf-m-orange", "fa-exclamation-triangle"]],
  ["info", ["pf-m-gray", "fa-info-circle"]]
]);
var styles = i`
    :host {
        --pf-c-label--m-gray--BackgroundColor: var(--pf-global--palette--black-100);
        --pf-c-label--m-gray__icon--Color: var(--pf-global--primary-color--100);
        --pf-c-label--m-gray__content--Color: var(--pf-global--info-color--200);
        --pf-c-label--m-gray__content--before--BorderColor: var(--pf-global--palette--black-400);
        --pf-c-label--m-gray__content--link--hover--before--BorderColor: var(
            --pf-global--primary-color--100
        );
        --pf-c-label--m-gray__content--link--focus--before--BorderColor: var(
            --pf-global--primary-color--100
        );
    }

    .pf-c-label.pf-m-gray {
        --pf-c-label--BackgroundColor: var(--pf-c-label--m-gray--BackgroundColor);
        --pf-c-label__icon--Color: var(--pf-c-label--m-gray__icon--Color);
        --pf-c-label__content--Color: var(--pf-c-label--m-gray__content--Color);
        --pf-c-label__content--before--BorderColor: var(
            --pf-c-label--m-gray__content--before--BorderColor
        );
        --pf-c-label__content--link--hover--before--BorderColor: var(
            --pf-c-label--m-gray__content--link--hover--before--BorderColor
        );
        --pf-c-label__content--link--focus--before--BorderColor: var(
            --pf-c-label--m-gray__content--link--focus--before--BorderColor
        );
    }
`;
var AkStatusLabel = class extends AKElement {
  constructor() {
    super(...arguments);
    this.good = false;
    this.goodLabel = msg("Yes");
    this.badLabel = msg("No");
    this.compact = false;
    this.type = "error";
  }
  static get styles() {
    return [patternfly_base_default, label_default, styles];
  }
  render() {
    const details = statusToDetails.get(this.type);
    if (!details) {
      throw new Error(`Bad status type [${this.type}] passed to ak-status-label`);
    }
    const [label, color, icon] = this.good ? [this.goodLabel, "pf-m-green", "fa-check"] : [this.badLabel, ...details];
    const classes = {
      "pf-c-label": true,
      [color]: true,
      "pf-m-compact": this.compact
    };
    return ke`<span class="${Rt(classes)}">
            <span class="pf-c-label__content">
                <span class="pf-c-label__icon">
                    <i class="fas fa-fw ${icon}" aria-hidden="true"></i> </span
                >${label}
            </span>
        </span>`;
  }
};
__decorateClass([
  n({ type: Boolean })
], AkStatusLabel.prototype, "good", 2);
__decorateClass([
  n({ type: String, attribute: "good-label" })
], AkStatusLabel.prototype, "goodLabel", 2);
__decorateClass([
  n({ type: String, attribute: "bad-label" })
], AkStatusLabel.prototype, "badLabel", 2);
__decorateClass([
  n({ type: Boolean })
], AkStatusLabel.prototype, "compact", 2);
__decorateClass([
  n({ type: String })
], AkStatusLabel.prototype, "type", 2);
AkStatusLabel = __decorateClass([
  t("ak-status-label")
], AkStatusLabel);
//# sourceMappingURL=chunk-WCAXL5N5.js.map
