import {
  AKElement,
  n
} from "./chunk-MKGIUSP2.js";
import {
  D,
  ke
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/components/HorizontalLightComponent.ts
var HorizontalLightComponent = class extends AKElement {
  constructor() {
    super(...arguments);
    this.label = "";
    this.required = false;
    this.help = "";
    this.hidden = false;
    this.invalid = false;
    this.errorMessages = [];
    this.inputHint = "";
  }
  // Render into the lightDOM. This effectively erases the shadowDOM nature of this component, but
  // we're not actually using that and, for the meantime, we need the form handlers to be able to
  // find the children of this component.
  //
  // TODO: This abstraction is wrong; it's putting *more* layers in as a way of managing the
  // visual clutter and legibility issues of ak-form-elemental-horizontal and patternfly in
  // general.
  createRenderRoot() {
    return this;
  }
  renderControl() {
    throw new Error("Must be implemented in a subclass");
  }
  renderHelp() {
    const bigHelp = Array.isArray(this.bighelp) ? this.bighelp : [this.bighelp ?? D];
    return [
      this.help ? ke`<p class="pf-c-form__helper-text">${this.help}</p>` : D,
      ...bigHelp
    ];
  }
  render() {
    return ke`<ak-form-element-horizontal
            label=${this.label}
            ?required=${this.required}
            ?hidden=${this.hidden}
            name=${this.name}
            .errorMessages=${this.errorMessages}
            ?invalid=${this.invalid}
            >
              ${this.renderControl()}
              ${this.renderHelp()}
        </ak-form-element-horizontal> `;
  }
};
__decorateClass([
  n({ type: String })
], HorizontalLightComponent.prototype, "name", 2);
__decorateClass([
  n({ type: String })
], HorizontalLightComponent.prototype, "label", 2);
__decorateClass([
  n({ type: Boolean })
], HorizontalLightComponent.prototype, "required", 2);
__decorateClass([
  n({ type: String })
], HorizontalLightComponent.prototype, "help", 2);
__decorateClass([
  n({ type: Object })
], HorizontalLightComponent.prototype, "bighelp", 2);
__decorateClass([
  n({ type: Boolean })
], HorizontalLightComponent.prototype, "hidden", 2);
__decorateClass([
  n({ type: Boolean })
], HorizontalLightComponent.prototype, "invalid", 2);
__decorateClass([
  n({ attribute: false })
], HorizontalLightComponent.prototype, "errorMessages", 2);
__decorateClass([
  n({ attribute: false })
], HorizontalLightComponent.prototype, "value", 2);
__decorateClass([
  n({ type: String })
], HorizontalLightComponent.prototype, "inputHint", 2);

export {
  HorizontalLightComponent
};
//# sourceMappingURL=chunk-WMKINSDI.js.map
