import {
  ModalButton
} from "./chunk-DK5NYREA.js";
import {
  EVENT_REFRESH,
  n,
  showMessage,
  t
} from "./chunk-MKGIUSP2.js";
import {
  ke,
  msg,
  str
} from "./chunk-BW7LVHGS.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/elements/forms/ConfirmationForm.ts
var ConfirmationForm = class extends ModalButton {
  confirm() {
    return this.onConfirm().then(() => {
      this.onSuccess();
      this.open = false;
      this.dispatchEvent(
        new CustomEvent(EVENT_REFRESH, {
          bubbles: true,
          composed: true
        })
      );
    }).catch((e) => {
      this.onError(e);
      throw e;
    });
  }
  onSuccess() {
    showMessage({
      message: this.successMessage,
      level: "success" /* success */
    });
  }
  onError(e) {
    showMessage({
      message: msg(str`${this.errorMessage}: ${e.toString()}`),
      level: "error" /* error */
    });
  }
  renderModalInner() {
    return ke`<section class="pf-c-modal-box__header pf-c-page__main-section pf-m-light">
                <div class="pf-c-content">
                    <h1 class="pf-c-title pf-m-2xl">
                        <slot name="header"></slot>
                    </h1>
                </div>
            </section>
            <section class="pf-c-modal-box__body pf-m-light">
                <form class="pf-c-form pf-m-horizontal">
                    <slot class="pf-c-content" name="body"></slot>
                </form>
            </section>
            <footer class="pf-c-modal-box__footer">
                <ak-spinner-button
                    .callAction=${() => {
      return this.confirm();
    }}
                    class="pf-m-danger"
                >
                    ${this.action} </ak-spinner-button
                >&nbsp;
                <ak-spinner-button
                    .callAction=${async () => {
      this.open = false;
    }}
                    class="pf-m-secondary"
                >
                    ${msg("Cancel")}
                </ak-spinner-button>
            </footer>`;
  }
};
__decorateClass([
  n()
], ConfirmationForm.prototype, "successMessage", 2);
__decorateClass([
  n()
], ConfirmationForm.prototype, "errorMessage", 2);
__decorateClass([
  n()
], ConfirmationForm.prototype, "action", 2);
__decorateClass([
  n({ attribute: false })
], ConfirmationForm.prototype, "onConfirm", 2);
ConfirmationForm = __decorateClass([
  t("ak-forms-confirm")
], ConfirmationForm);
//# sourceMappingURL=chunk-XHAXZQZK.js.map
