import {
  alert_default
} from "./chunk-DVT5R7IG.js";
import "./chunk-GJQSSHIG.js";
import "./chunk-YYSHHG77.js";
import {
  button_default
} from "./chunk-E4FQAZYR.js";
import "./chunk-YNUUMIC2.js";
import {
  form_control_default,
  form_default,
  login_default
} from "./chunk-RVW7F5SR.js";
import {
  BaseStage,
  title_default,
  to
} from "./chunk-HCX57C2Q.js";
import "./chunk-UFA2R4ZV.js";
import {
  patternfly_base_default,
  t
} from "./chunk-TYHQZR4W.js";
import {
  ke,
  msg
} from "./chunk-AW3QUPVO.js";
import {
  __decorateClass
} from "./chunk-NMZOY6WS.js";

// src/flow/stages/authenticator_email/AuthenticatorEmailStage.ts
var AuthenticatorEmailStage = class extends BaseStage {
  static get styles() {
    return [patternfly_base_default, alert_default, login_default, form_default, form_control_default, title_default, button_default];
  }
  renderEmailInput() {
    return ke`<header class="pf-c-login__main-header">
                <h1 class="pf-c-title pf-m-3xl">${this.challenge.flowInfo?.title}</h1>
            </header>
            <div class="pf-c-login__main-body">
                <form
                    class="pf-c-form"
                    @submit=${(e) => {
      this.submitForm(e);
    }}
                >
                    <ak-form-static
                        class="pf-c-form__group"
                        userAvatar="${this.challenge.pendingUserAvatar}"
                        user=${this.challenge.pendingUser}
                    >
                        <div slot="link">
                            <a href="${to(this.challenge.flowInfo?.cancelUrl)}"
                                >${msg("Not you?")}</a
                            >
                        </div>
                    </ak-form-static>
                    <ak-form-element
                        label="${msg("Configure your email")}"
                        required
                        class="pf-c-form__group"
                        .errors=${(this.challenge?.responseErrors || {})["email"]}
                    >
                        <input
                            type="email"
                            name="email"
                            placeholder="${msg("Please enter your email address.")}"
                            autofocus=""
                            autocomplete="email"
                            class="pf-c-form-control"
                            required
                        />
                    </ak-form-element>
                    ${this.renderNonFieldErrors()}
                    <div class="pf-c-form__group pf-m-action">
                        <button type="submit" class="pf-c-button pf-m-primary pf-m-block">
                            ${msg("Continue")}
                        </button>
                    </div>
                </form>
            </div>
            <footer class="pf-c-login__main-footer">
                <ul class="pf-c-login__main-footer-links"></ul>
            </footer>`;
  }
  renderEmailOTPInput() {
    return ke`<header class="pf-c-login__main-header">
                <h1 class="pf-c-title pf-m-3xl">${this.challenge.flowInfo?.title}</h1>
            </header>
            <div class="pf-c-login__main-body">
                <ak-form-static
                    class="pf-c-form__group"
                    userAvatar="${this.challenge.pendingUserAvatar}"
                    user=${this.challenge.pendingUser}
                >
                    <div slot="link">
                        <a href="${to(this.challenge.flowInfo?.cancelUrl)}"
                            >${msg("Not you?")}</a
                        >
                    </div>
                </ak-form-static>
                A verification token has been sent to your configured email address
                ${to(this.challenge.email)}
                <form
                    class="pf-c-form"
                    @submit=${(e) => {
      this.submitForm(e);
    }}
                >
                    <ak-form-element
                        label="${msg("Code")}"
                        required
                        class="pf-c-form__group"
                        .errors=${(this.challenge?.responseErrors || {})["code"]}
                    >
                        <input
                            type="text"
                            name="code"
                            inputmode="numeric"
                            pattern="[0-9]*"
                            placeholder="${msg("Please enter the code you received via email")}"
                            autofocus=""
                            autocomplete="one-time-code"
                            class="pf-c-form-control"
                            required
                        />
                    </ak-form-element>
                    ${this.renderNonFieldErrors()}
                    <div class="pf-c-form__group pf-m-action">
                        <button type="submit" class="pf-c-button pf-m-primary pf-m-block">
                            ${msg("Continue")}
                        </button>
                    </div>
                </form>
            </div>
            <footer class="pf-c-login__main-footer">
                <ul class="pf-c-login__main-footer-links"></ul>
            </footer>`;
  }
  render() {
    console.debug(
      "authentik/stages/authenticator_email:",
      this.challenge ? this.challenge.emailRequired : void 0
    );
    if (!this.challenge) {
      console.debug(
        "authentik/stages/authenticator_email: AuthenticatorEmailStage.render() called without challenge"
      );
      return ke`<ak-empty-state loading> </ak-empty-state>`;
    }
    if (this.challenge.emailRequired) {
      console.debug(
        "authentik/stages/authenticator_email: AuthenticatorEmailStage.render() called with challenge",
        this.challenge
      );
      return this.renderEmailInput();
    }
    console.debug(
      "authentik/stages/authenticator_email: AuthenticatorEmailStage.render() called without emailRequired challenge",
      this.challenge
    );
    return this.renderEmailOTPInput();
  }
};
AuthenticatorEmailStage = __decorateClass([
  t("ak-stage-authenticator-email")
], AuthenticatorEmailStage);
export {
  AuthenticatorEmailStage
};
//# sourceMappingURL=AuthenticatorEmailStage-LFIICR4K.js.map
