import {
  spacing_default
} from "./chunk-2NVIDWTP.js";
import {
  list_default
} from "./chunk-Y3LWCCWK.js";
import "./chunk-YYSHHG77.js";
import {
  button_default
} from "./chunk-E4FQAZYR.js";
import "./chunk-YNUUMIC2.js";
import {
  form_control_default,
  form_default,
  login_default
} from "./chunk-RVW7F5SR.js";
import {
  BaseStage,
  title_default,
  to
} from "./chunk-HCX57C2Q.js";
import "./chunk-UFA2R4ZV.js";
import {
  patternfly_base_default,
  t
} from "./chunk-TYHQZR4W.js";
import {
  D,
  ke,
  msg
} from "./chunk-AW3QUPVO.js";
import {
  __decorateClass
} from "./chunk-NMZOY6WS.js";

// src/flow/stages/consent/ConsentStage.ts
var ConsentStage = class extends BaseStage {
  static get styles() {
    return [patternfly_base_default, login_default, list_default, form_default, spacing_default, form_control_default, title_default, button_default];
  }
  renderPermissions(perms) {
    return ke`${perms.map((permission) => {
      if (permission.name === "") {
        return ke``;
      }
      if (permission.id === "openid") {
        return ke``;
      }
      return ke`<li data-permission-code="${permission.id}">${permission.name}</li>`;
    })}`;
  }
  renderNoPrevious() {
    return ke`
            <div class="pf-c-form__group">
                <h3 id="header-text" class="pf-c-title pf-m-xl pf-u-mb-xl">
                    ${this.challenge.headerText}
                </h3>
                ${this.challenge.permissions.length > 0 ? ke`
                          <p class="pf-u-mb-sm">
                              ${msg("Application requires following permissions:")}
                          </p>
                          <ul class="pf-c-list" id="permissions">
                              ${this.renderPermissions(this.challenge.permissions)}
                          </ul>
                      ` : D}
            </div>
        `;
  }
  renderAdditional() {
    return ke`
            <div class="pf-c-form__group">
                <h3 id="header-text" class="pf-c-title pf-m-xl pf-u-mb-xl">
                    ${this.challenge.headerText}
                </h3>
                ${this.challenge.permissions.length > 0 ? ke`
                          <p class="pf-u-mb-sm">
                              ${msg("Application already has access to the following permissions:")}
                          </p>
                          <ul class="pf-c-list" id="permissions">
                              ${this.renderPermissions(this.challenge.permissions)}
                          </ul>
                      ` : D}
            </div>
            <div class="pf-c-form__group pf-u-mt-md">
                ${this.challenge.additionalPermissions.length > 0 ? ke`
                          <strong class="pf-u-mb-sm">
                              ${msg("Application requires following new permissions:")}
                          </strong>
                          <ul class="pf-c-list" id="permissions">
                              ${this.renderPermissions(this.challenge.additionalPermissions)}
                          </ul>
                      ` : D}
            </div>
        `;
  }
  render() {
    if (!this.challenge) {
      return ke`<ak-empty-state loading> </ak-empty-state>`;
    }
    return ke`<header class="pf-c-login__main-header">
                <h1 class="pf-c-title pf-m-3xl">${this.challenge.flowInfo?.title}</h1>
            </header>
            <div class="pf-c-login__main-body">
                <form
                    class="pf-c-form"
                    @submit=${(e) => {
      this.submitForm(e, {
        token: this.challenge.token
      });
    }}
                >
                    <ak-form-static
                        class="pf-c-form__group"
                        userAvatar="${this.challenge.pendingUserAvatar}"
                        user=${this.challenge.pendingUser}
                    >
                        <div slot="link">
                            <a href="${to(this.challenge.flowInfo?.cancelUrl)}"
                                >${msg("Not you?")}</a
                            >
                        </div>
                    </ak-form-static>
                    ${this.challenge.additionalPermissions.length > 0 ? this.renderAdditional() : this.renderNoPrevious()}

                    <div class="pf-c-form__group pf-m-action">
                        <button type="submit" class="pf-c-button pf-m-primary pf-m-block">
                            ${msg("Continue")}
                        </button>
                    </div>
                </form>
            </div>
            <footer class="pf-c-login__main-footer">
                <ul class="pf-c-login__main-footer-links"></ul>
            </footer>`;
  }
};
ConsentStage = __decorateClass([
  t("ak-stage-consent")
], ConsentStage);
export {
  ConsentStage
};
//# sourceMappingURL=ConsentStage-4DLGNSI4.js.map
