import "./chunk-YYSHHG77.js";
import {
  button_default
} from "./chunk-E4FQAZYR.js";
import {
  form_control_default,
  form_default,
  login_default
} from "./chunk-RVW7F5SR.js";
import {
  BaseStage,
  title_default,
  to
} from "./chunk-HCX57C2Q.js";
import {
  globalAK,
  patternfly_base_default,
  t
} from "./chunk-TYHQZR4W.js";
import {
  D,
  ke,
  msg,
  str
} from "./chunk-AW3QUPVO.js";
import {
  __decorateClass
} from "./chunk-NMZOY6WS.js";

// src/flow/providers/SessionEnd.ts
var SessionEnd = class extends BaseStage {
  static get styles() {
    return [patternfly_base_default, login_default, form_default, form_control_default, title_default, button_default];
  }
  render() {
    if (!this.challenge) {
      return ke`<ak-empty-state ?loading="${true}" header=${msg("Loading")}>
            </ak-empty-state>`;
    }
    return ke`<header class="pf-c-login__main-header">
                <h1 class="pf-c-title pf-m-3xl">${this.challenge.flowInfo?.title}</h1>
            </header>
            <div class="pf-c-login__main-body">
                <form class="pf-c-form">
                    <ak-form-static
                        class="pf-c-form__group"
                        userAvatar="${this.challenge.pendingUserAvatar}"
                        user=${this.challenge.pendingUser}
                    >
                        <div slot="link">
                            <a href="${to(this.challenge.flowInfo?.cancelUrl)}"
                                >${msg("Not you?")}</a
                            >
                        </div>
                    </ak-form-static>
                    <p>
                        ${msg(
      str`You've logged out of ${this.challenge.applicationName}. You can go back to the overview to launch another application, or log out of your authentik account.`
    )}
                    </p>
                    <a href="${globalAK().api.base}" class="pf-c-button pf-m-primary">
                        ${msg("Go back to overview")}
                    </a>
                    ${this.challenge.invalidationFlowUrl ? ke`
                              <a
                                  href="${this.challenge.invalidationFlowUrl}"
                                  class="pf-c-button pf-m-secondary"
                                  id="logout"
                              >
                                  ${msg(str`Log out of ${this.challenge.brandName}`)}
                              </a>
                          ` : D}
                    ${this.challenge.applicationLaunchUrl && this.challenge.applicationName ? ke`
                              <a
                                  href="${this.challenge.applicationLaunchUrl}"
                                  class="pf-c-button pf-m-secondary"
                              >
                                  ${msg(str`Log back into ${this.challenge.applicationName}`)}
                              </a>
                          ` : D}
                </form>
            </div>
            <footer class="pf-c-login__main-footer">
                <ul class="pf-c-login__main-footer-links"></ul>
            </footer>`;
  }
};
SessionEnd = __decorateClass([
  t("ak-stage-session-end")
], SessionEnd);
export {
  SessionEnd
};
//# sourceMappingURL=SessionEnd-DBEERIPR.js.map
