import {
  spacing_default
} from "./chunk-2NVIDWTP.js";
import "./chunk-GJQSSHIG.js";
import "./chunk-YYSHHG77.js";
import {
  button_default
} from "./chunk-E4FQAZYR.js";
import "./chunk-YNUUMIC2.js";
import {
  form_control_default,
  form_default,
  login_default
} from "./chunk-RVW7F5SR.js";
import {
  BaseStage,
  title_default,
  to
} from "./chunk-HCX57C2Q.js";
import "./chunk-UFA2R4ZV.js";
import {
  patternfly_base_default,
  t
} from "./chunk-TYHQZR4W.js";
import {
  ke,
  msg
} from "./chunk-AW3QUPVO.js";
import {
  __decorateClass
} from "./chunk-NMZOY6WS.js";

// src/flow/stages/user_login/UserLoginStage.ts
var PasswordStage = class extends BaseStage {
  static get styles() {
    return [patternfly_base_default, login_default, form_default, form_control_default, spacing_default, button_default, title_default];
  }
  render() {
    if (!this.challenge) {
      return ke`<ak-empty-state loading> </ak-empty-state>`;
    }
    return ke`<header class="pf-c-login__main-header">
                <h1 class="pf-c-title pf-m-3xl">${this.challenge.flowInfo?.title}</h1>
            </header>
            <div class="pf-c-login__main-body">
                <form class="pf-c-form">
                    <ak-form-static
                        class="pf-c-form__group"
                        userAvatar="${this.challenge.pendingUserAvatar}"
                        user=${this.challenge.pendingUser}
                    >
                        <div slot="link">
                            <a href="${to(this.challenge.flowInfo?.cancelUrl)}"
                                >${msg("Not you?")}</a
                            >
                        </div>
                    </ak-form-static>
                    <div class="pf-c-form__group">
                        <h3 id="header-text" class="pf-c-title pf-m-xl pf-u-mb-xl">
                            ${msg("Stay signed in?")}
                        </h3>
                        <p class="pf-u-mb-sm">
                            ${msg(
      "Select Yes to reduce the number of times you're asked to sign in."
    )}
                        </p>
                    </div>

                    <div class="pf-c-form__group pf-m-action">
                        <button
                            @click=${(e) => {
      this.submitForm(e, {
        rememberMe: true
      });
    }}
                            class="pf-c-button pf-m-primary"
                        >
                            ${msg("Yes")}
                        </button>
                        <button
                            @click=${(e) => {
      this.submitForm(e, {
        rememberMe: false
      });
    }}
                            class="pf-c-button pf-m-secondary"
                        >
                            ${msg("No")}
                        </button>
                    </div>
                </form>
            </div>
            <footer class="pf-c-login__main-footer">
                <ul class="pf-c-login__main-footer-links"></ul>
            </footer>`;
  }
};
PasswordStage = __decorateClass([
  t("ak-stage-user-login")
], PasswordStage);
export {
  PasswordStage
};
//# sourceMappingURL=UserLoginStage-XVNCT4EL.js.map
