import {
  form_control_default,
  form_default,
  login_default
} from "./chunk-RVW7F5SR.js";
import {
  BaseStage,
  title_default,
  to
} from "./chunk-HCX57C2Q.js";
import {
  patternfly_base_default,
  t
} from "./chunk-TYHQZR4W.js";
import {
  D,
  ke,
  msg
} from "./chunk-AW3QUPVO.js";
import {
  __decorateClass
} from "./chunk-NMZOY6WS.js";

// src/flow/stages/access_denied/AccessDeniedStage.ts
var AccessDeniedStage = class extends BaseStage {
  static get styles() {
    return [patternfly_base_default, login_default, form_default, title_default, form_control_default];
  }
  render() {
    if (!this.challenge) {
      return ke`<ak-empty-state loading> </ak-empty-state>`;
    }
    return ke`<header class="pf-c-login__main-header">
                <h1 class="pf-c-title pf-m-3xl">${this.challenge.flowInfo?.title}</h1>
            </header>
            <div class="pf-c-login__main-body">
                <form class="pf-c-form">
                    <ak-form-static
                        class="pf-c-form__group"
                        userAvatar="${this.challenge.pendingUserAvatar}"
                        user=${this.challenge.pendingUser}
                    >
                        <div slot="link">
                            <a href="${to(this.challenge.flowInfo?.cancelUrl)}"
                                >${msg("Not you?")}</a
                            >
                        </div>
                    </ak-form-static>
                    <ak-empty-state icon="fa-times" header=${msg("Request has been denied.")}>
                        ${this.challenge.errorMessage ? ke`
                                  <div slot="body">
                                      <p>${this.challenge.errorMessage}</p>
                                  </div>
                              ` : D}
                    </ak-empty-state>
                </form>
            </div>
            <footer class="pf-c-login__main-footer">
                <ul class="pf-c-login__main-footer-links"></ul>
            </footer>`;
  }
};
AccessDeniedStage = __decorateClass([
  t("ak-stage-access-denied")
], AccessDeniedStage);

export {
  AccessDeniedStage
};
//# sourceMappingURL=chunk-6F3CXV45.js.map
