import {
  AKElement,
  n
} from "./chunk-TYHQZR4W.js";
import {
  D,
  ke,
  msg
} from "./chunk-AW3QUPVO.js";
import {
  __decorateClass
} from "./chunk-NMZOY6WS.js";

// node_modules/@patternfly/patternfly/components/Title/title.css
var title_default = ".pf-c-title {\n  --pf-c-title--FontFamily: var(--pf-global--FontFamily--heading--sans-serif);\n  --pf-c-title--m-4xl--LineHeight: var(--pf-global--LineHeight--sm);\n  --pf-c-title--m-4xl--FontSize: var(--pf-global--FontSize--4xl);\n  --pf-c-title--m-4xl--FontWeight: var(--pf-global--FontWeight--normal);\n  --pf-c-title--m-3xl--LineHeight: var(--pf-global--LineHeight--sm);\n  --pf-c-title--m-3xl--FontSize: var(--pf-global--FontSize--3xl);\n  --pf-c-title--m-3xl--FontWeight: var(--pf-global--FontWeight--normal);\n  --pf-c-title--m-2xl--LineHeight: var(--pf-global--LineHeight--sm);\n  --pf-c-title--m-2xl--FontSize: var(--pf-global--FontSize--2xl);\n  --pf-c-title--m-2xl--FontWeight: var(--pf-global--FontWeight--normal);\n  --pf-c-title--m-xl--LineHeight: var(--pf-global--LineHeight--md);\n  --pf-c-title--m-xl--FontSize: var(--pf-global--FontSize--xl);\n  --pf-c-title--m-xl--FontWeight: var(--pf-global--FontWeight--normal);\n  --pf-c-title--m-lg--LineHeight: var(--pf-global--LineHeight--md);\n  --pf-c-title--m-lg--FontSize: var(--pf-global--FontSize--lg);\n  --pf-c-title--m-lg--FontWeight: var(--pf-global--FontWeight--normal);\n  --pf-c-title--m-md--LineHeight: var(--pf-global--LineHeight--md);\n  --pf-c-title--m-md--FontSize: var(--pf-global--FontSize--md);\n  --pf-c-title--m-md--FontWeight: var(--pf-global--FontWeight--normal);\n  font-family: var(--pf-c-title--FontFamily);\n  word-break: break-word;\n}\n.pf-c-title.pf-m-4xl {\n  font-size: var(--pf-c-title--m-4xl--FontSize);\n  font-weight: var(--pf-c-title--m-4xl--FontWeight);\n  line-height: var(--pf-c-title--m-4xl--LineHeight);\n}\n.pf-c-title.pf-m-3xl {\n  font-size: var(--pf-c-title--m-3xl--FontSize);\n  font-weight: var(--pf-c-title--m-3xl--FontWeight);\n  line-height: var(--pf-c-title--m-3xl--LineHeight);\n}\n.pf-c-title.pf-m-2xl {\n  font-size: var(--pf-c-title--m-2xl--FontSize);\n  font-weight: var(--pf-c-title--m-2xl--FontWeight);\n  line-height: var(--pf-c-title--m-2xl--LineHeight);\n}\n.pf-c-title.pf-m-xl {\n  font-size: var(--pf-c-title--m-xl--FontSize);\n  font-weight: var(--pf-c-title--m-xl--FontWeight);\n  line-height: var(--pf-c-title--m-xl--LineHeight);\n}\n.pf-c-title.pf-m-lg {\n  font-size: var(--pf-c-title--m-lg--FontSize);\n  font-weight: var(--pf-c-title--m-lg--FontWeight);\n  line-height: var(--pf-c-title--m-lg--LineHeight);\n}\n.pf-c-title.pf-m-md {\n  font-size: var(--pf-c-title--m-md--FontSize);\n  font-weight: var(--pf-c-title--m-md--FontWeight);\n  line-height: var(--pf-c-title--m-md--LineHeight);\n}\n\n.pf-m-overpass-font .pf-c-title {\n  --pf-c-title--m-md--FontWeight: var(--pf-global--FontWeight--semi-bold);\n  --pf-c-title--m-lg--FontWeight: var(--pf-global--FontWeight--semi-bold);\n}";

// node_modules/lit-html/directives/if-defined.js
var to = (t) => t ?? D;

// src/flow/stages/base.ts
function readFileAsync(file) {
  return new Promise((resolve, reject) => {
    const reader = new FileReader();
    reader.onload = () => {
      resolve(reader.result);
    };
    reader.onerror = reject;
    reader.readAsDataURL(file);
  });
}
var BaseStage = class extends AKElement {
  async submitForm(e, defaults) {
    e.preventDefault();
    const object = defaults || {};
    const form = new FormData(this.shadowRoot?.querySelector("form") || void 0);
    for await (const [key, value] of form.entries()) {
      if (value instanceof Blob) {
        object[key] = await readFileAsync(value);
      } else {
        object[key] = value;
      }
    }
    return this.host?.submit(object).then((successful) => {
      if (successful) {
        this.onSubmitSuccess();
      } else {
        this.onSubmitFailure();
      }
      return successful;
    });
  }
  renderNonFieldErrors() {
    const errors = this.challenge?.responseErrors || {};
    if (!("non_field_errors" in errors)) {
      return D;
    }
    const nonFieldErrors = errors["non_field_errors"];
    if (!nonFieldErrors) {
      return D;
    }
    return ke`<div class="pf-c-form__alert">
            ${nonFieldErrors.map((err) => {
      return ke`<div class="pf-c-alert pf-m-inline pf-m-danger">
                    <div class="pf-c-alert__icon">
                        <i class="fas fa-exclamation-circle"></i>
                    </div>
                    <h4 class="pf-c-alert__title">${err.string}</h4>
                </div>`;
    })}
        </div>`;
  }
  renderUserInfo() {
    if (!this.challenge.pendingUser || !this.challenge.pendingUserAvatar) {
      return D;
    }
    return ke`
            <ak-form-static
                class="pf-c-form__group"
                userAvatar="${this.challenge.pendingUserAvatar}"
                user=${this.challenge.pendingUser}
            >
                <div slot="link">
                    <a href="${to(this.challenge.flowInfo?.cancelUrl)}"
                        >${msg("Not you?")}</a
                    >
                </div>
            </ak-form-static>
            <input
                name="username"
                autocomplete="username"
                type="hidden"
                value="${this.challenge.pendingUser}"
            />
        `;
  }
  onSubmitSuccess() {
    return;
  }
  onSubmitFailure() {
    return;
  }
};
__decorateClass([
  n({ attribute: false })
], BaseStage.prototype, "challenge", 2);

export {
  title_default,
  to,
  BaseStage
};
/*! Bundled license information:

lit-html/directives/if-defined.js:
  (**
   * @license
   * Copyright 2018 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*/
//# sourceMappingURL=chunk-HCX57C2Q.js.map
