import {
  button_default
} from "./chunk-E4FQAZYR.js";
import {
  form_control_default,
  form_default,
  login_default
} from "./chunk-RVW7F5SR.js";
import {
  BaseStage,
  title_default
} from "./chunk-HCX57C2Q.js";
import {
  e,
  patternfly_base_default,
  t
} from "./chunk-TYHQZR4W.js";
import {
  ke,
  msg
} from "./chunk-AW3QUPVO.js";
import {
  __decorateClass
} from "./chunk-NMZOY6WS.js";

// src/flow/stages/autosubmit/AutosubmitStage.ts
var AutosubmitStage = class extends BaseStage {
  static get styles() {
    return [patternfly_base_default, login_default, form_default, form_control_default, button_default, title_default];
  }
  updated() {
    this.form?.submit();
  }
  render() {
    if (!this.challenge) {
      return ke`<ak-empty-state loading> </ak-empty-state>`;
    }
    let title = this.challenge.flowInfo?.title;
    if (this.challenge.title && this.challenge.title !== "") {
      title = this.challenge.title;
    }
    if (!title) {
      title = msg("Loading");
    }
    return ke`<form class="pf-c-form" action="${this.challenge.url}" method="POST">
            ${Object.entries(this.challenge.attrs).map(([key, value]) => {
      return ke`<input
                    type="hidden"
                    name="${key}"
                    value="${value}"
                />`;
    })}
            <ak-empty-state loading title=${title}> </ak-empty-state>
        </form>`;
  }
};
__decorateClass([
  e("form")
], AutosubmitStage.prototype, "form", 2);
AutosubmitStage = __decorateClass([
  t("ak-stage-autosubmit")
], AutosubmitStage);

export {
  AutosubmitStage
};
//# sourceMappingURL=chunk-KQZJJNZB.js.map
