import {
  PromptTypeEnumFromJSON
} from "./chunk-VFFLD6S4.js";
import {
  FlowDesignationEnumFromJSON
} from "./chunk-D5TRAOIK.js";
import {
  BaseAPI,
  ConfigFromJSON,
  Configuration,
  CurrentBrandFromJSON,
  EVENT_REQUEST_POST,
  JSONApiResponse,
  RequiredError,
  VERSION,
  VoidApiResponse,
  canConsumeForm,
  getCookie,
  globalAK
} from "./chunk-TYHQZR4W.js";

// node_modules/@goauthentik/api/dist/esm/models/ContextualFlowInfoLayoutEnum.js
function ContextualFlowInfoLayoutEnumFromJSON(json) {
  return ContextualFlowInfoLayoutEnumFromJSONTyped(json, false);
}
function ContextualFlowInfoLayoutEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}

// node_modules/@goauthentik/api/dist/esm/models/ContextualFlowInfo.js
function ContextualFlowInfoFromJSON(json) {
  return ContextualFlowInfoFromJSONTyped(json, false);
}
function ContextualFlowInfoFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "title": json["title"] == null ? void 0 : json["title"],
    "background": json["background"] == null ? void 0 : json["background"],
    "cancelUrl": json["cancel_url"],
    "layout": ContextualFlowInfoLayoutEnumFromJSON(json["layout"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PolicyEngineMode.js
function PolicyEngineModeFromJSON(json) {
  return PolicyEngineModeFromJSONTyped(json, false);
}
function PolicyEngineModeFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function PolicyEngineModeToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/Provider.js
function ProviderFromJSON(json) {
  return ProviderFromJSONTyped(json, false);
}
function ProviderFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "authenticationFlow": json["authentication_flow"] == null ? void 0 : json["authentication_flow"],
    "authorizationFlow": json["authorization_flow"],
    "invalidationFlow": json["invalidation_flow"],
    "propertyMappings": json["property_mappings"] == null ? void 0 : json["property_mappings"],
    "component": json["component"],
    "assignedApplicationSlug": json["assigned_application_slug"],
    "assignedApplicationName": json["assigned_application_name"],
    "assignedBackchannelApplicationSlug": json["assigned_backchannel_application_slug"],
    "assignedBackchannelApplicationName": json["assigned_backchannel_application_name"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/Application.js
function ApplicationFromJSON(json) {
  return ApplicationFromJSONTyped(json, false);
}
function ApplicationFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "slug": json["slug"],
    "provider": json["provider"] == null ? void 0 : json["provider"],
    "providerObj": ProviderFromJSON(json["provider_obj"]),
    "backchannelProviders": json["backchannel_providers"] == null ? void 0 : json["backchannel_providers"],
    "backchannelProvidersObj": json["backchannel_providers_obj"].map(ProviderFromJSON),
    "launchUrl": json["launch_url"],
    "openInNewTab": json["open_in_new_tab"] == null ? void 0 : json["open_in_new_tab"],
    "metaLaunchUrl": json["meta_launch_url"] == null ? void 0 : json["meta_launch_url"],
    "metaIcon": json["meta_icon"],
    "metaDescription": json["meta_description"] == null ? void 0 : json["meta_description"],
    "metaPublisher": json["meta_publisher"] == null ? void 0 : json["meta_publisher"],
    "policyEngineMode": json["policy_engine_mode"] == null ? void 0 : PolicyEngineModeFromJSON(json["policy_engine_mode"]),
    "group": json["group"] == null ? void 0 : json["group"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ApplicationEntitlement.js
function ApplicationEntitlementFromJSON(json) {
  return ApplicationEntitlementFromJSONTyped(json, false);
}
function ApplicationEntitlementFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pbmUuid": json["pbm_uuid"],
    "name": json["name"],
    "app": json["app"],
    "attributes": json["attributes"] == null ? void 0 : json["attributes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ApplicationEntitlementRequest.js
function ApplicationEntitlementRequestToJSON(json) {
  return ApplicationEntitlementRequestToJSONTyped(json, false);
}
function ApplicationEntitlementRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "app": value["app"],
    "attributes": value["attributes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ApplicationRequest.js
function ApplicationRequestToJSON(json) {
  return ApplicationRequestToJSONTyped(json, false);
}
function ApplicationRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "provider": value["provider"],
    "backchannel_providers": value["backchannelProviders"],
    "open_in_new_tab": value["openInNewTab"],
    "meta_launch_url": value["metaLaunchUrl"],
    "meta_description": value["metaDescription"],
    "meta_publisher": value["metaPublisher"],
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "group": value["group"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatedSessionGeoIp.js
function AuthenticatedSessionGeoIpFromJSON(json) {
  return AuthenticatedSessionGeoIpFromJSONTyped(json, false);
}
function AuthenticatedSessionGeoIpFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "continent": json["continent"],
    "country": json["country"],
    "lat": json["lat"],
    "_long": json["long"],
    "city": json["city"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatedSessionAsn.js
function AuthenticatedSessionAsnFromJSON(json) {
  return AuthenticatedSessionAsnFromJSONTyped(json, false);
}
function AuthenticatedSessionAsnFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "asn": json["asn"],
    "asOrg": json["as_org"],
    "network": json["network"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatedSessionUserAgentDevice.js
function AuthenticatedSessionUserAgentDeviceFromJSON(json) {
  return AuthenticatedSessionUserAgentDeviceFromJSONTyped(json, false);
}
function AuthenticatedSessionUserAgentDeviceFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "brand": json["brand"],
    "family": json["family"],
    "model": json["model"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatedSessionUserAgentUserAgent.js
function AuthenticatedSessionUserAgentUserAgentFromJSON(json) {
  return AuthenticatedSessionUserAgentUserAgentFromJSONTyped(json, false);
}
function AuthenticatedSessionUserAgentUserAgentFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "family": json["family"],
    "major": json["major"],
    "minor": json["minor"],
    "patch": json["patch"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatedSessionUserAgentOs.js
function AuthenticatedSessionUserAgentOsFromJSON(json) {
  return AuthenticatedSessionUserAgentOsFromJSONTyped(json, false);
}
function AuthenticatedSessionUserAgentOsFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "family": json["family"],
    "major": json["major"],
    "minor": json["minor"],
    "patch": json["patch"],
    "patchMinor": json["patch_minor"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatedSessionUserAgent.js
function AuthenticatedSessionUserAgentFromJSON(json) {
  return AuthenticatedSessionUserAgentFromJSONTyped(json, false);
}
function AuthenticatedSessionUserAgentFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "device": AuthenticatedSessionUserAgentDeviceFromJSON(json["device"]),
    "os": AuthenticatedSessionUserAgentOsFromJSON(json["os"]),
    "userAgent": AuthenticatedSessionUserAgentUserAgentFromJSON(json["user_agent"]),
    "string": json["string"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatedSession.js
function AuthenticatedSessionFromJSON(json) {
  return AuthenticatedSessionFromJSONTyped(json, false);
}
function AuthenticatedSessionFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "uuid": json["uuid"] == null ? void 0 : json["uuid"],
    "current": json["current"],
    "userAgent": AuthenticatedSessionUserAgentFromJSON(json["user_agent"]),
    "geoIp": AuthenticatedSessionGeoIpFromJSON(json["geo_ip"]),
    "asn": AuthenticatedSessionAsnFromJSON(json["asn"]),
    "user": json["user"],
    "lastIp": json["last_ip"],
    "lastUserAgent": json["last_user_agent"] == null ? void 0 : json["last_user_agent"],
    "lastUsed": new Date(json["last_used"]),
    "expires": json["expires"] == null ? void 0 : new Date(json["expires"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticationEnum.js
function AuthenticationEnumFromJSON(json) {
  return AuthenticationEnumFromJSONTyped(json, false);
}
function AuthenticationEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function AuthenticationEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/DeniedActionEnum.js
function DeniedActionEnumFromJSON(json) {
  return DeniedActionEnumFromJSONTyped(json, false);
}
function DeniedActionEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function DeniedActionEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/FlowLayoutEnum.js
var FlowLayoutEnum = {
  Stacked: "stacked",
  ContentLeft: "content_left",
  ContentRight: "content_right",
  SidebarLeft: "sidebar_left",
  SidebarRight: "sidebar_right",
  UnknownDefaultOpenApi: "11184809"
};
function FlowLayoutEnumFromJSON(json) {
  return FlowLayoutEnumFromJSONTyped(json, false);
}
function FlowLayoutEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function FlowLayoutEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/FlowSet.js
function FlowSetFromJSON(json) {
  return FlowSetFromJSONTyped(json, false);
}
function FlowSetFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "policybindingmodelPtrId": json["policybindingmodel_ptr_id"],
    "name": json["name"],
    "slug": json["slug"],
    "title": json["title"],
    "designation": FlowDesignationEnumFromJSON(json["designation"]),
    "background": json["background"],
    "policyEngineMode": json["policy_engine_mode"] == null ? void 0 : PolicyEngineModeFromJSON(json["policy_engine_mode"]),
    "compatibilityMode": json["compatibility_mode"] == null ? void 0 : json["compatibility_mode"],
    "exportUrl": json["export_url"],
    "layout": json["layout"] == null ? void 0 : FlowLayoutEnumFromJSON(json["layout"]),
    "deniedAction": json["denied_action"] == null ? void 0 : DeniedActionEnumFromJSON(json["denied_action"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/Brand.js
function BrandFromJSON(json) {
  return BrandFromJSONTyped(json, false);
}
function BrandFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "brandUuid": json["brand_uuid"],
    "domain": json["domain"],
    "_default": json["default"] == null ? void 0 : json["default"],
    "brandingTitle": json["branding_title"] == null ? void 0 : json["branding_title"],
    "brandingLogo": json["branding_logo"] == null ? void 0 : json["branding_logo"],
    "brandingFavicon": json["branding_favicon"] == null ? void 0 : json["branding_favicon"],
    "flowAuthentication": json["flow_authentication"] == null ? void 0 : json["flow_authentication"],
    "flowInvalidation": json["flow_invalidation"] == null ? void 0 : json["flow_invalidation"],
    "flowRecovery": json["flow_recovery"] == null ? void 0 : json["flow_recovery"],
    "flowUnenrollment": json["flow_unenrollment"] == null ? void 0 : json["flow_unenrollment"],
    "flowUserSettings": json["flow_user_settings"] == null ? void 0 : json["flow_user_settings"],
    "flowDeviceCode": json["flow_device_code"] == null ? void 0 : json["flow_device_code"],
    "defaultApplication": json["default_application"] == null ? void 0 : json["default_application"],
    "webCertificate": json["web_certificate"] == null ? void 0 : json["web_certificate"],
    "attributes": json["attributes"] == null ? void 0 : json["attributes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/BrandRequest.js
function BrandRequestToJSON(json) {
  return BrandRequestToJSONTyped(json, false);
}
function BrandRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "domain": value["domain"],
    "default": value["_default"],
    "branding_title": value["brandingTitle"],
    "branding_logo": value["brandingLogo"],
    "branding_favicon": value["brandingFavicon"],
    "flow_authentication": value["flowAuthentication"],
    "flow_invalidation": value["flowInvalidation"],
    "flow_recovery": value["flowRecovery"],
    "flow_unenrollment": value["flowUnenrollment"],
    "flow_user_settings": value["flowUserSettings"],
    "flow_device_code": value["flowDeviceCode"],
    "default_application": value["defaultApplication"],
    "web_certificate": value["webCertificate"],
    "attributes": value["attributes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/StagePrompt.js
function StagePromptFromJSON(json) {
  return StagePromptFromJSONTyped(json, false);
}
function StagePromptFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "fieldKey": json["field_key"],
    "label": json["label"],
    "type": PromptTypeEnumFromJSON(json["type"]),
    "required": json["required"],
    "placeholder": json["placeholder"],
    "initialValue": json["initial_value"],
    "order": json["order"],
    "subText": json["sub_text"],
    "choices": json["choices"] == null ? null : json["choices"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PromptChallenge.js
function PromptChallengeFromJSON(json) {
  return PromptChallengeFromJSONTyped(json, false);
}
function PromptChallengeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "flowInfo": json["flow_info"] == null ? void 0 : ContextualFlowInfoFromJSON(json["flow_info"]),
    "component": json["component"] == null ? void 0 : json["component"],
    "responseErrors": json["response_errors"] == null ? void 0 : json["response_errors"],
    "fields": json["fields"].map(StagePromptFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ClientTypeEnum.js
function ClientTypeEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/GroupMember.js
function GroupMemberFromJSON(json) {
  return GroupMemberFromJSONTyped(json, false);
}
function GroupMemberFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "username": json["username"],
    "name": json["name"],
    "isActive": json["is_active"] == null ? void 0 : json["is_active"],
    "lastLogin": json["last_login"] == null ? void 0 : new Date(json["last_login"]),
    "email": json["email"] == null ? void 0 : json["email"],
    "attributes": json["attributes"] == null ? void 0 : json["attributes"],
    "uid": json["uid"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/Coordinate.js
function CoordinateFromJSON(json) {
  return CoordinateFromJSONTyped(json, false);
}
function CoordinateFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "xCord": json["x_cord"],
    "yCord": json["y_cord"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/DigestAlgorithmEnum.js
function DigestAlgorithmEnumFromJSON(json) {
  return DigestAlgorithmEnumFromJSONTyped(json, false);
}
function DigestAlgorithmEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function DigestAlgorithmEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/UserTypeEnum.js
function UserTypeEnumFromJSON(json) {
  return UserTypeEnumFromJSONTyped(json, false);
}
function UserTypeEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function UserTypeEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/UserGroup.js
function UserGroupFromJSON(json) {
  return UserGroupFromJSONTyped(json, false);
}
function UserGroupFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "numPk": json["num_pk"],
    "name": json["name"],
    "isSuperuser": json["is_superuser"] == null ? void 0 : json["is_superuser"],
    "parent": json["parent"] == null ? void 0 : json["parent"],
    "parentName": json["parent_name"],
    "attributes": json["attributes"] == null ? void 0 : json["attributes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/User.js
function UserFromJSON(json) {
  return UserFromJSONTyped(json, false);
}
function UserFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "username": json["username"],
    "name": json["name"],
    "isActive": json["is_active"] == null ? void 0 : json["is_active"],
    "lastLogin": json["last_login"] == null ? void 0 : new Date(json["last_login"]),
    "isSuperuser": json["is_superuser"],
    "groups": json["groups"] == null ? void 0 : json["groups"],
    "groupsObj": json["groups_obj"] == null ? null : json["groups_obj"].map(UserGroupFromJSON),
    "email": json["email"] == null ? void 0 : json["email"],
    "avatar": json["avatar"],
    "attributes": json["attributes"] == null ? void 0 : json["attributes"],
    "uid": json["uid"],
    "path": json["path"] == null ? void 0 : json["path"],
    "type": json["type"] == null ? void 0 : UserTypeEnumFromJSON(json["type"]),
    "uuid": json["uuid"],
    "passwordChangeDate": new Date(json["password_change_date"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SubModeEnum.js
function SubModeEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/MatchingModeEnum.js
function MatchingModeEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/IssuerModeEnum.js
function IssuerModeEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/FilePathRequest.js
function FilePathRequestToJSON(json) {
  return FilePathRequestToJSONTyped(json, false);
}
function FilePathRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "url": value["url"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/Flow.js
function FlowFromJSON(json) {
  return FlowFromJSONTyped(json, false);
}
function FlowFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "policybindingmodelPtrId": json["policybindingmodel_ptr_id"],
    "name": json["name"],
    "slug": json["slug"],
    "title": json["title"],
    "designation": FlowDesignationEnumFromJSON(json["designation"]),
    "background": json["background"],
    "stages": json["stages"],
    "policies": json["policies"],
    "cacheCount": json["cache_count"],
    "policyEngineMode": json["policy_engine_mode"] == null ? void 0 : PolicyEngineModeFromJSON(json["policy_engine_mode"]),
    "compatibilityMode": json["compatibility_mode"] == null ? void 0 : json["compatibility_mode"],
    "exportUrl": json["export_url"],
    "layout": json["layout"] == null ? void 0 : FlowLayoutEnumFromJSON(json["layout"]),
    "deniedAction": json["denied_action"] == null ? void 0 : DeniedActionEnumFromJSON(json["denied_action"]),
    "authentication": json["authentication"] == null ? void 0 : AuthenticationEnumFromJSON(json["authentication"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/LogLevelEnum.js
function LogLevelEnumFromJSON(json) {
  return LogLevelEnumFromJSONTyped(json, false);
}
function LogLevelEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}

// node_modules/@goauthentik/api/dist/esm/models/LogEvent.js
function LogEventFromJSON(json) {
  return LogEventFromJSONTyped(json, false);
}
function LogEventFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "timestamp": new Date(json["timestamp"]),
    "logLevel": LogLevelEnumFromJSON(json["log_level"]),
    "logger": json["logger"],
    "event": json["event"],
    "attributes": json["attributes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/Stage.js
function StageFromJSON(json) {
  return StageFromJSONTyped(json, false);
}
function StageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/OutgoingSyncDeleteAction.js
function OutgoingSyncDeleteActionToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/GoogleWorkspaceProviderRequest.js
function GoogleWorkspaceProviderRequestToJSON(json) {
  return GoogleWorkspaceProviderRequestToJSONTyped(json, false);
}
function GoogleWorkspaceProviderRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "property_mappings": value["propertyMappings"],
    "property_mappings_group": value["propertyMappingsGroup"],
    "delegated_subject": value["delegatedSubject"],
    "credentials": value["credentials"],
    "scopes": value["scopes"],
    "exclude_users_service_account": value["excludeUsersServiceAccount"],
    "filter_group": value["filterGroup"],
    "user_delete_action": OutgoingSyncDeleteActionToJSON(value["userDeleteAction"]),
    "group_delete_action": OutgoingSyncDeleteActionToJSON(value["groupDeleteAction"]),
    "default_group_email_domain": value["defaultGroupEmailDomain"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/Role.js
function RoleFromJSON(json) {
  return RoleFromJSONTyped(json, false);
}
function RoleFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/Group.js
function GroupFromJSON(json) {
  return GroupFromJSONTyped(json, false);
}
function GroupFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "numPk": json["num_pk"],
    "name": json["name"],
    "isSuperuser": json["is_superuser"] == null ? void 0 : json["is_superuser"],
    "parent": json["parent"] == null ? void 0 : json["parent"],
    "parentName": json["parent_name"],
    "users": json["users"] == null ? void 0 : json["users"],
    "usersObj": json["users_obj"] == null ? null : json["users_obj"].map(GroupMemberFromJSON),
    "attributes": json["attributes"] == null ? void 0 : json["attributes"],
    "roles": json["roles"] == null ? void 0 : json["roles"],
    "rolesObj": json["roles_obj"].map(RoleFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/GroupRequest.js
function GroupRequestToJSON(json) {
  return GroupRequestToJSONTyped(json, false);
}
function GroupRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "is_superuser": value["isSuperuser"],
    "parent": value["parent"],
    "users": value["users"],
    "attributes": value["attributes"],
    "roles": value["roles"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ImpersonationRequest.js
function ImpersonationRequestToJSON(json) {
  return ImpersonationRequestToJSONTyped(json, false);
}
function ImpersonationRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "reason": value["reason"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/IntentEnum.js
function IntentEnumFromJSON(json) {
  return IntentEnumFromJSONTyped(json, false);
}
function IntentEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function IntentEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/LDAPAPIAccessMode.js
function LDAPAPIAccessModeToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/PolicyTestResult.js
function PolicyTestResultFromJSON(json) {
  return PolicyTestResultFromJSONTyped(json, false);
}
function PolicyTestResultFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "passing": json["passing"],
    "messages": json["messages"],
    "logMessages": json["log_messages"].map(LogEventFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/LDAPProviderRequest.js
function LDAPProviderRequestToJSON(json) {
  return LDAPProviderRequestToJSONTyped(json, false);
}
function LDAPProviderRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "authentication_flow": value["authenticationFlow"],
    "authorization_flow": value["authorizationFlow"],
    "invalidation_flow": value["invalidationFlow"],
    "property_mappings": value["propertyMappings"],
    "base_dn": value["baseDn"],
    "certificate": value["certificate"],
    "tls_server_name": value["tlsServerName"],
    "uid_start_number": value["uidStartNumber"],
    "gid_start_number": value["gidStartNumber"],
    "search_mode": LDAPAPIAccessModeToJSON(value["searchMode"]),
    "bind_mode": LDAPAPIAccessModeToJSON(value["bindMode"]),
    "mfa_support": value["mfaSupport"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/Link.js
function LinkFromJSON(json) {
  return LinkFromJSONTyped(json, false);
}
function LinkFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "link": json["link"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/MicrosoftEntraProviderRequest.js
function MicrosoftEntraProviderRequestToJSON(json) {
  return MicrosoftEntraProviderRequestToJSONTyped(json, false);
}
function MicrosoftEntraProviderRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "property_mappings": value["propertyMappings"],
    "property_mappings_group": value["propertyMappingsGroup"],
    "client_id": value["clientId"],
    "client_secret": value["clientSecret"],
    "tenant_id": value["tenantId"],
    "exclude_users_service_account": value["excludeUsersServiceAccount"],
    "filter_group": value["filterGroup"],
    "user_delete_action": OutgoingSyncDeleteActionToJSON(value["userDeleteAction"]),
    "group_delete_action": OutgoingSyncDeleteActionToJSON(value["groupDeleteAction"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/RedirectURIRequest.js
function RedirectURIRequestToJSON(json) {
  return RedirectURIRequestToJSONTyped(json, false);
}
function RedirectURIRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "matching_mode": MatchingModeEnumToJSON(value["matchingMode"]),
    "url": value["url"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/OAuth2ProviderRequest.js
function OAuth2ProviderRequestToJSON(json) {
  return OAuth2ProviderRequestToJSONTyped(json, false);
}
function OAuth2ProviderRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "authentication_flow": value["authenticationFlow"],
    "authorization_flow": value["authorizationFlow"],
    "invalidation_flow": value["invalidationFlow"],
    "property_mappings": value["propertyMappings"],
    "client_type": ClientTypeEnumToJSON(value["clientType"]),
    "client_id": value["clientId"],
    "client_secret": value["clientSecret"],
    "access_code_validity": value["accessCodeValidity"],
    "access_token_validity": value["accessTokenValidity"],
    "refresh_token_validity": value["refreshTokenValidity"],
    "include_claims_in_id_token": value["includeClaimsInIdToken"],
    "signing_key": value["signingKey"],
    "encryption_key": value["encryptionKey"],
    "redirect_uris": value["redirectUris"].map(RedirectURIRequestToJSON),
    "sub_mode": SubModeEnumToJSON(value["subMode"]),
    "issuer_mode": IssuerModeEnumToJSON(value["issuerMode"]),
    "jwt_federation_sources": value["jwtFederationSources"],
    "jwt_federation_providers": value["jwtFederationProviders"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ProxyMode.js
function ProxyModeToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/ProxyProviderRequest.js
function ProxyProviderRequestToJSON(json) {
  return ProxyProviderRequestToJSONTyped(json, false);
}
function ProxyProviderRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "authentication_flow": value["authenticationFlow"],
    "authorization_flow": value["authorizationFlow"],
    "invalidation_flow": value["invalidationFlow"],
    "property_mappings": value["propertyMappings"],
    "internal_host": value["internalHost"],
    "external_host": value["externalHost"],
    "internal_host_ssl_validation": value["internalHostSslValidation"],
    "certificate": value["certificate"],
    "skip_path_regex": value["skipPathRegex"],
    "basic_auth_enabled": value["basicAuthEnabled"],
    "basic_auth_password_attribute": value["basicAuthPasswordAttribute"],
    "basic_auth_user_attribute": value["basicAuthUserAttribute"],
    "mode": ProxyModeToJSON(value["mode"]),
    "intercept_header_auth": value["interceptHeaderAuth"],
    "cookie_domain": value["cookieDomain"],
    "jwt_federation_sources": value["jwtFederationSources"],
    "jwt_federation_providers": value["jwtFederationProviders"],
    "access_token_validity": value["accessTokenValidity"],
    "refresh_token_validity": value["refreshTokenValidity"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/RACProviderRequest.js
function RACProviderRequestToJSON(json) {
  return RACProviderRequestToJSONTyped(json, false);
}
function RACProviderRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "authentication_flow": value["authenticationFlow"],
    "authorization_flow": value["authorizationFlow"],
    "property_mappings": value["propertyMappings"],
    "settings": value["settings"],
    "connection_expiry": value["connectionExpiry"],
    "delete_token_on_disconnect": value["deleteTokenOnDisconnect"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/RadiusProviderRequest.js
function RadiusProviderRequestToJSON(json) {
  return RadiusProviderRequestToJSONTyped(json, false);
}
function RadiusProviderRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "authentication_flow": value["authenticationFlow"],
    "authorization_flow": value["authorizationFlow"],
    "invalidation_flow": value["invalidationFlow"],
    "property_mappings": value["propertyMappings"],
    "client_networks": value["clientNetworks"],
    "shared_secret": value["sharedSecret"],
    "mfa_support": value["mfaSupport"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SignatureAlgorithmEnum.js
function SignatureAlgorithmEnumFromJSON(json) {
  return SignatureAlgorithmEnumFromJSONTyped(json, false);
}
function SignatureAlgorithmEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function SignatureAlgorithmEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/SpBindingEnum.js
function SpBindingEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/SAMLProviderRequest.js
function SAMLProviderRequestToJSON(json) {
  return SAMLProviderRequestToJSONTyped(json, false);
}
function SAMLProviderRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "authentication_flow": value["authenticationFlow"],
    "authorization_flow": value["authorizationFlow"],
    "invalidation_flow": value["invalidationFlow"],
    "property_mappings": value["propertyMappings"],
    "acs_url": value["acsUrl"],
    "audience": value["audience"],
    "issuer": value["issuer"],
    "assertion_valid_not_before": value["assertionValidNotBefore"],
    "assertion_valid_not_on_or_after": value["assertionValidNotOnOrAfter"],
    "session_valid_not_on_or_after": value["sessionValidNotOnOrAfter"],
    "name_id_mapping": value["nameIdMapping"],
    "digest_algorithm": DigestAlgorithmEnumToJSON(value["digestAlgorithm"]),
    "signature_algorithm": SignatureAlgorithmEnumToJSON(value["signatureAlgorithm"]),
    "signing_kp": value["signingKp"],
    "verification_kp": value["verificationKp"],
    "encryption_kp": value["encryptionKp"],
    "sign_assertion": value["signAssertion"],
    "sign_response": value["signResponse"],
    "sp_binding": SpBindingEnumToJSON(value["spBinding"]),
    "default_relay_state": value["defaultRelayState"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SCIMProviderRequest.js
function SCIMProviderRequestToJSON(json) {
  return SCIMProviderRequestToJSONTyped(json, false);
}
function SCIMProviderRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "property_mappings": value["propertyMappings"],
    "property_mappings_group": value["propertyMappingsGroup"],
    "url": value["url"],
    "verify_certificates": value["verifyCertificates"],
    "token": value["token"],
    "exclude_users_service_account": value["excludeUsersServiceAccount"],
    "filter_group": value["filterGroup"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SSFProviderRequest.js
function SSFProviderRequestToJSON(json) {
  return SSFProviderRequestToJSONTyped(json, false);
}
function SSFProviderRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "signing_key": value["signingKey"],
    "oidc_auth_providers": value["oidcAuthProviders"],
    "event_retention": value["eventRetention"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ModelRequest.js
function ModelRequestToJSON(json) {
  return ModelRequestToJSONTyped(json, false);
}
function ModelRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  switch (value["providerModel"]) {
    case "authentik_providers_google_workspace.googleworkspaceprovider":
      return Object.assign({}, GoogleWorkspaceProviderRequestToJSON(value), { providerModel: "authentik_providers_google_workspace.googleworkspaceprovider" });
    case "authentik_providers_ldap.ldapprovider":
      return Object.assign({}, LDAPProviderRequestToJSON(value), { providerModel: "authentik_providers_ldap.ldapprovider" });
    case "authentik_providers_microsoft_entra.microsoftentraprovider":
      return Object.assign({}, MicrosoftEntraProviderRequestToJSON(value), { providerModel: "authentik_providers_microsoft_entra.microsoftentraprovider" });
    case "authentik_providers_oauth2.oauth2provider":
      return Object.assign({}, OAuth2ProviderRequestToJSON(value), { providerModel: "authentik_providers_oauth2.oauth2provider" });
    case "authentik_providers_proxy.proxyprovider":
      return Object.assign({}, ProxyProviderRequestToJSON(value), { providerModel: "authentik_providers_proxy.proxyprovider" });
    case "authentik_providers_rac.racprovider":
      return Object.assign({}, RACProviderRequestToJSON(value), { providerModel: "authentik_providers_rac.racprovider" });
    case "authentik_providers_radius.radiusprovider":
      return Object.assign({}, RadiusProviderRequestToJSON(value), { providerModel: "authentik_providers_radius.radiusprovider" });
    case "authentik_providers_saml.samlprovider":
      return Object.assign({}, SAMLProviderRequestToJSON(value), { providerModel: "authentik_providers_saml.samlprovider" });
    case "authentik_providers_scim.scimprovider":
      return Object.assign({}, SCIMProviderRequestToJSON(value), { providerModel: "authentik_providers_scim.scimprovider" });
    case "authentik_providers_ssf.ssfprovider":
      return Object.assign({}, SSFProviderRequestToJSON(value), { providerModel: "authentik_providers_ssf.ssfprovider" });
    default:
      throw new Error(`No variant of ModelRequest exists with 'providerModel=${value["providerModel"]}'`);
  }
}

// node_modules/@goauthentik/api/dist/esm/models/Pagination.js
function PaginationFromJSON(json) {
  return PaginationFromJSONTyped(json, false);
}
function PaginationFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "next": json["next"],
    "previous": json["previous"],
    "count": json["count"],
    "current": json["current"],
    "totalPages": json["total_pages"],
    "startIndex": json["start_index"],
    "endIndex": json["end_index"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedApplicationEntitlementList.js
function PaginatedApplicationEntitlementListFromJSON(json) {
  return PaginatedApplicationEntitlementListFromJSONTyped(json, false);
}
function PaginatedApplicationEntitlementListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(ApplicationEntitlementFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedApplicationList.js
function PaginatedApplicationListFromJSON(json) {
  return PaginatedApplicationListFromJSONTyped(json, false);
}
function PaginatedApplicationListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(ApplicationFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedAuthenticatedSessionList.js
function PaginatedAuthenticatedSessionListFromJSON(json) {
  return PaginatedAuthenticatedSessionListFromJSONTyped(json, false);
}
function PaginatedAuthenticatedSessionListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(AuthenticatedSessionFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedBrandList.js
function PaginatedBrandListFromJSON(json) {
  return PaginatedBrandListFromJSONTyped(json, false);
}
function PaginatedBrandListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(BrandFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedGroupList.js
function PaginatedGroupListFromJSON(json) {
  return PaginatedGroupListFromJSONTyped(json, false);
}
function PaginatedGroupListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(GroupFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/Token.js
function TokenFromJSON(json) {
  return TokenFromJSONTyped(json, false);
}
function TokenFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "managed": json["managed"] == null ? void 0 : json["managed"],
    "identifier": json["identifier"],
    "intent": json["intent"] == null ? void 0 : IntentEnumFromJSON(json["intent"]),
    "user": json["user"] == null ? void 0 : json["user"],
    "userObj": UserFromJSON(json["user_obj"]),
    "description": json["description"] == null ? void 0 : json["description"],
    "expires": json["expires"] == null ? void 0 : new Date(json["expires"]),
    "expiring": json["expiring"] == null ? void 0 : json["expiring"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedTokenList.js
function PaginatedTokenListFromJSON(json) {
  return PaginatedTokenListFromJSONTyped(json, false);
}
function PaginatedTokenListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(TokenFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserConsent.js
function UserConsentFromJSON(json) {
  return UserConsentFromJSONTyped(json, false);
}
function UserConsentFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "expires": json["expires"] == null ? void 0 : new Date(json["expires"]),
    "expiring": json["expiring"] == null ? void 0 : json["expiring"],
    "user": UserFromJSON(json["user"]),
    "application": ApplicationFromJSON(json["application"]),
    "permissions": json["permissions"] == null ? void 0 : json["permissions"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedUserConsentList.js
function PaginatedUserConsentListFromJSON(json) {
  return PaginatedUserConsentListFromJSONTyped(json, false);
}
function PaginatedUserConsentListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(UserConsentFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedUserList.js
function PaginatedUserListFromJSON(json) {
  return PaginatedUserListFromJSONTyped(json, false);
}
function PaginatedUserListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(UserFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedApplicationEntitlementRequest.js
function PatchedApplicationEntitlementRequestToJSON(json) {
  return PatchedApplicationEntitlementRequestToJSONTyped(json, false);
}
function PatchedApplicationEntitlementRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "app": value["app"],
    "attributes": value["attributes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedApplicationRequest.js
function PatchedApplicationRequestToJSON(json) {
  return PatchedApplicationRequestToJSONTyped(json, false);
}
function PatchedApplicationRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "provider": value["provider"],
    "backchannel_providers": value["backchannelProviders"],
    "open_in_new_tab": value["openInNewTab"],
    "meta_launch_url": value["metaLaunchUrl"],
    "meta_description": value["metaDescription"],
    "meta_publisher": value["metaPublisher"],
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "group": value["group"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedBrandRequest.js
function PatchedBrandRequestToJSON(json) {
  return PatchedBrandRequestToJSONTyped(json, false);
}
function PatchedBrandRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "domain": value["domain"],
    "default": value["_default"],
    "branding_title": value["brandingTitle"],
    "branding_logo": value["brandingLogo"],
    "branding_favicon": value["brandingFavicon"],
    "flow_authentication": value["flowAuthentication"],
    "flow_invalidation": value["flowInvalidation"],
    "flow_recovery": value["flowRecovery"],
    "flow_unenrollment": value["flowUnenrollment"],
    "flow_user_settings": value["flowUserSettings"],
    "flow_device_code": value["flowDeviceCode"],
    "default_application": value["defaultApplication"],
    "web_certificate": value["webCertificate"],
    "attributes": value["attributes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedGroupRequest.js
function PatchedGroupRequestToJSON(json) {
  return PatchedGroupRequestToJSONTyped(json, false);
}
function PatchedGroupRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "is_superuser": value["isSuperuser"],
    "parent": value["parent"],
    "users": value["users"],
    "attributes": value["attributes"],
    "roles": value["roles"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedTokenRequest.js
function PatchedTokenRequestToJSON(json) {
  return PatchedTokenRequestToJSONTyped(json, false);
}
function PatchedTokenRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "managed": value["managed"],
    "identifier": value["identifier"],
    "intent": IntentEnumToJSON(value["intent"]),
    "user": value["user"],
    "description": value["description"],
    "expires": value["expires"] == null ? void 0 : value["expires"].toISOString(),
    "expiring": value["expiring"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedUserRequest.js
function PatchedUserRequestToJSON(json) {
  return PatchedUserRequestToJSONTyped(json, false);
}
function PatchedUserRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "username": value["username"],
    "name": value["name"],
    "is_active": value["isActive"],
    "last_login": value["lastLogin"] == null ? void 0 : value["lastLogin"].toISOString(),
    "groups": value["groups"],
    "email": value["email"],
    "attributes": value["attributes"],
    "path": value["path"],
    "type": UserTypeEnumToJSON(value["type"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ProviderModelEnum.js
function ProviderModelEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/UserSelfGroups.js
function UserSelfGroupsFromJSON(json) {
  return UserSelfGroupsFromJSONTyped(json, false);
}
function UserSelfGroupsFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "name": json["name"],
    "pk": json["pk"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserSelf.js
function UserSelfFromJSON(json) {
  return UserSelfFromJSONTyped(json, false);
}
function UserSelfFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "username": json["username"],
    "name": json["name"],
    "isActive": json["is_active"],
    "isSuperuser": json["is_superuser"],
    "groups": json["groups"].map(UserSelfGroupsFromJSON),
    "email": json["email"] == null ? void 0 : json["email"],
    "avatar": json["avatar"],
    "uid": json["uid"],
    "settings": json["settings"],
    "type": json["type"] == null ? void 0 : UserTypeEnumFromJSON(json["type"]),
    "systemPermissions": json["system_permissions"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SessionUser.js
function SessionUserFromJSON(json) {
  return SessionUserFromJSONTyped(json, false);
}
function SessionUserFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "user": UserSelfFromJSON(json["user"]),
    "original": json["original"] == null ? void 0 : UserSelfFromJSON(json["original"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/TokenRequest.js
function TokenRequestToJSON(json) {
  return TokenRequestToJSONTyped(json, false);
}
function TokenRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "managed": value["managed"],
    "identifier": value["identifier"],
    "intent": IntentEnumToJSON(value["intent"]),
    "user": value["user"],
    "description": value["description"],
    "expires": value["expires"] == null ? void 0 : value["expires"].toISOString(),
    "expiring": value["expiring"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/TokenSetKeyRequest.js
function TokenSetKeyRequestToJSON(json) {
  return TokenSetKeyRequestToJSONTyped(json, false);
}
function TokenSetKeyRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "key": value["key"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/TokenView.js
function TokenViewFromJSON(json) {
  return TokenViewFromJSONTyped(json, false);
}
function TokenViewFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "key": json["key"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/TransactionPolicyBindingRequest.js
function TransactionPolicyBindingRequestToJSON(json) {
  return TransactionPolicyBindingRequestToJSONTyped(json, false);
}
function TransactionPolicyBindingRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "policy": value["policy"],
    "group": value["group"],
    "user": value["user"],
    "negate": value["negate"],
    "enabled": value["enabled"],
    "order": value["order"],
    "timeout": value["timeout"],
    "failure_result": value["failureResult"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/TransactionApplicationRequest.js
function TransactionApplicationRequestToJSON(json) {
  return TransactionApplicationRequestToJSONTyped(json, false);
}
function TransactionApplicationRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "app": ApplicationRequestToJSON(value["app"]),
    "provider_model": ProviderModelEnumToJSON(value["providerModel"]),
    "provider": ModelRequestToJSON(value["provider"]),
    "policy_bindings": value["policyBindings"] == null ? void 0 : value["policyBindings"].map(TransactionPolicyBindingRequestToJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/TransactionApplicationResponse.js
function TransactionApplicationResponseFromJSON(json) {
  return TransactionApplicationResponseFromJSONTyped(json, false);
}
function TransactionApplicationResponseFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "applied": json["applied"],
    "logs": json["logs"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UsedByActionEnum.js
function UsedByActionEnumFromJSON(json) {
  return UsedByActionEnumFromJSONTyped(json, false);
}
function UsedByActionEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}

// node_modules/@goauthentik/api/dist/esm/models/UsedBy.js
function UsedByFromJSON(json) {
  return UsedByFromJSONTyped(json, false);
}
function UsedByFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "app": json["app"],
    "modelName": json["model_name"],
    "pk": json["pk"],
    "name": json["name"],
    "action": UsedByActionEnumFromJSON(json["action"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserAccountRequest.js
function UserAccountRequestToJSON(json) {
  return UserAccountRequestToJSONTyped(json, false);
}
function UserAccountRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "pk": value["pk"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserMetrics.js
function UserMetricsFromJSON(json) {
  return UserMetricsFromJSONTyped(json, false);
}
function UserMetricsFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "logins": json["logins"].map(CoordinateFromJSON),
    "loginsFailed": json["logins_failed"].map(CoordinateFromJSON),
    "authorizations": json["authorizations"].map(CoordinateFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserPasswordSetRequest.js
function UserPasswordSetRequestToJSON(json) {
  return UserPasswordSetRequestToJSONTyped(json, false);
}
function UserPasswordSetRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "password": value["password"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserPath.js
function UserPathFromJSON(json) {
  return UserPathFromJSONTyped(json, false);
}
function UserPathFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "paths": json["paths"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserRequest.js
function UserRequestToJSON(json) {
  return UserRequestToJSONTyped(json, false);
}
function UserRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "username": value["username"],
    "name": value["name"],
    "is_active": value["isActive"],
    "last_login": value["lastLogin"] == null ? void 0 : value["lastLogin"].toISOString(),
    "groups": value["groups"],
    "email": value["email"],
    "attributes": value["attributes"],
    "path": value["path"],
    "type": UserTypeEnumToJSON(value["type"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserServiceAccountRequest.js
function UserServiceAccountRequestToJSON(json) {
  return UserServiceAccountRequestToJSONTyped(json, false);
}
function UserServiceAccountRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "create_group": value["createGroup"],
    "expiring": value["expiring"],
    "expires": value["expires"] == null ? void 0 : value["expires"].toISOString()
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserServiceAccountResponse.js
function UserServiceAccountResponseFromJSON(json) {
  return UserServiceAccountResponseFromJSONTyped(json, false);
}
function UserServiceAccountResponseFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "username": json["username"],
    "token": json["token"],
    "userUid": json["user_uid"],
    "userPk": json["user_pk"],
    "groupPk": json["group_pk"] == null ? void 0 : json["group_pk"]
  };
}

// node_modules/@goauthentik/api/dist/esm/apis/CoreApi.js
var __awaiter = function(thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function(resolve) {
      resolve(value);
    });
  }
  return new (P || (P = Promise))(function(resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }
    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }
    function step(result) {
      result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
    }
    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
};
var CoreApi = class extends BaseAPI {
  /**
   * ApplicationEntitlement Viewset
   */
  coreApplicationEntitlementsCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["applicationEntitlementRequest"] == null) {
        throw new RequiredError("applicationEntitlementRequest", 'Required parameter "applicationEntitlementRequest" was null or undefined when calling coreApplicationEntitlementsCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/application_entitlements/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: ApplicationEntitlementRequestToJSON(requestParameters["applicationEntitlementRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ApplicationEntitlementFromJSON(jsonValue));
    });
  }
  /**
   * ApplicationEntitlement Viewset
   */
  coreApplicationEntitlementsCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreApplicationEntitlementsCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * ApplicationEntitlement Viewset
   */
  coreApplicationEntitlementsDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["pbmUuid"] == null) {
        throw new RequiredError("pbmUuid", 'Required parameter "pbmUuid" was null or undefined when calling coreApplicationEntitlementsDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/application_entitlements/{pbm_uuid}/`.replace(`{${"pbm_uuid"}}`, encodeURIComponent(String(requestParameters["pbmUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * ApplicationEntitlement Viewset
   */
  coreApplicationEntitlementsDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreApplicationEntitlementsDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * ApplicationEntitlement Viewset
   */
  coreApplicationEntitlementsListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["app"] != null) {
        queryParameters["app"] = requestParameters["app"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["pbmUuid"] != null) {
        queryParameters["pbm_uuid"] = requestParameters["pbmUuid"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/application_entitlements/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedApplicationEntitlementListFromJSON(jsonValue));
    });
  }
  /**
   * ApplicationEntitlement Viewset
   */
  coreApplicationEntitlementsList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.coreApplicationEntitlementsListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * ApplicationEntitlement Viewset
   */
  coreApplicationEntitlementsPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["pbmUuid"] == null) {
        throw new RequiredError("pbmUuid", 'Required parameter "pbmUuid" was null or undefined when calling coreApplicationEntitlementsPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/application_entitlements/{pbm_uuid}/`.replace(`{${"pbm_uuid"}}`, encodeURIComponent(String(requestParameters["pbmUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedApplicationEntitlementRequestToJSON(requestParameters["patchedApplicationEntitlementRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ApplicationEntitlementFromJSON(jsonValue));
    });
  }
  /**
   * ApplicationEntitlement Viewset
   */
  coreApplicationEntitlementsPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreApplicationEntitlementsPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * ApplicationEntitlement Viewset
   */
  coreApplicationEntitlementsRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["pbmUuid"] == null) {
        throw new RequiredError("pbmUuid", 'Required parameter "pbmUuid" was null or undefined when calling coreApplicationEntitlementsRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/application_entitlements/{pbm_uuid}/`.replace(`{${"pbm_uuid"}}`, encodeURIComponent(String(requestParameters["pbmUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ApplicationEntitlementFromJSON(jsonValue));
    });
  }
  /**
   * ApplicationEntitlement Viewset
   */
  coreApplicationEntitlementsRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreApplicationEntitlementsRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * ApplicationEntitlement Viewset
   */
  coreApplicationEntitlementsUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["pbmUuid"] == null) {
        throw new RequiredError("pbmUuid", 'Required parameter "pbmUuid" was null or undefined when calling coreApplicationEntitlementsUpdate().');
      }
      if (requestParameters["applicationEntitlementRequest"] == null) {
        throw new RequiredError("applicationEntitlementRequest", 'Required parameter "applicationEntitlementRequest" was null or undefined when calling coreApplicationEntitlementsUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/application_entitlements/{pbm_uuid}/`.replace(`{${"pbm_uuid"}}`, encodeURIComponent(String(requestParameters["pbmUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: ApplicationEntitlementRequestToJSON(requestParameters["applicationEntitlementRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ApplicationEntitlementFromJSON(jsonValue));
    });
  }
  /**
   * ApplicationEntitlement Viewset
   */
  coreApplicationEntitlementsUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreApplicationEntitlementsUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreApplicationEntitlementsUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["pbmUuid"] == null) {
        throw new RequiredError("pbmUuid", 'Required parameter "pbmUuid" was null or undefined when calling coreApplicationEntitlementsUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/application_entitlements/{pbm_uuid}/used_by/`.replace(`{${"pbm_uuid"}}`, encodeURIComponent(String(requestParameters["pbmUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreApplicationEntitlementsUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreApplicationEntitlementsUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Check access to a single application by slug
   */
  coreApplicationsCheckAccessRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling coreApplicationsCheckAccessRetrieve().');
      }
      const queryParameters = {};
      if (requestParameters["forUser"] != null) {
        queryParameters["for_user"] = requestParameters["forUser"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/applications/{slug}/check_access/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PolicyTestResultFromJSON(jsonValue));
    });
  }
  /**
   * Check access to a single application by slug
   */
  coreApplicationsCheckAccessRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreApplicationsCheckAccessRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Application Viewset
   */
  coreApplicationsCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["applicationRequest"] == null) {
        throw new RequiredError("applicationRequest", 'Required parameter "applicationRequest" was null or undefined when calling coreApplicationsCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/applications/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: ApplicationRequestToJSON(requestParameters["applicationRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ApplicationFromJSON(jsonValue));
    });
  }
  /**
   * Application Viewset
   */
  coreApplicationsCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreApplicationsCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Application Viewset
   */
  coreApplicationsDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling coreApplicationsDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/applications/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Application Viewset
   */
  coreApplicationsDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreApplicationsDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Custom list method that checks Policy based access instead of guardian
   */
  coreApplicationsListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["forUser"] != null) {
        queryParameters["for_user"] = requestParameters["forUser"];
      }
      if (requestParameters["group"] != null) {
        queryParameters["group"] = requestParameters["group"];
      }
      if (requestParameters["metaDescription"] != null) {
        queryParameters["meta_description"] = requestParameters["metaDescription"];
      }
      if (requestParameters["metaLaunchUrl"] != null) {
        queryParameters["meta_launch_url"] = requestParameters["metaLaunchUrl"];
      }
      if (requestParameters["metaPublisher"] != null) {
        queryParameters["meta_publisher"] = requestParameters["metaPublisher"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["onlyWithLaunchUrl"] != null) {
        queryParameters["only_with_launch_url"] = requestParameters["onlyWithLaunchUrl"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["slug"] != null) {
        queryParameters["slug"] = requestParameters["slug"];
      }
      if (requestParameters["superuserFullList"] != null) {
        queryParameters["superuser_full_list"] = requestParameters["superuserFullList"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/applications/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedApplicationListFromJSON(jsonValue));
    });
  }
  /**
   * Custom list method that checks Policy based access instead of guardian
   */
  coreApplicationsList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.coreApplicationsListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Metrics for application logins
   */
  coreApplicationsMetricsListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling coreApplicationsMetricsList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/applications/{slug}/metrics/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(CoordinateFromJSON));
    });
  }
  /**
   * Metrics for application logins
   */
  coreApplicationsMetricsList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreApplicationsMetricsListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Application Viewset
   */
  coreApplicationsPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling coreApplicationsPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/applications/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedApplicationRequestToJSON(requestParameters["patchedApplicationRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ApplicationFromJSON(jsonValue));
    });
  }
  /**
   * Application Viewset
   */
  coreApplicationsPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreApplicationsPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Application Viewset
   */
  coreApplicationsRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling coreApplicationsRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/applications/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ApplicationFromJSON(jsonValue));
    });
  }
  /**
   * Application Viewset
   */
  coreApplicationsRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreApplicationsRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Set application icon
   */
  coreApplicationsSetIconCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling coreApplicationsSetIconCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const consumes = [
        { contentType: "multipart/form-data" }
      ];
      const canConsumeForm2 = canConsumeForm(consumes);
      let formParams;
      let useForm = false;
      useForm = canConsumeForm2;
      if (useForm) {
        formParams = new FormData();
      } else {
        formParams = new URLSearchParams();
      }
      if (requestParameters["file"] != null) {
        formParams.append("file", requestParameters["file"]);
      }
      if (requestParameters["clear"] != null) {
        formParams.append("clear", requestParameters["clear"]);
      }
      const response = yield this.request({
        path: `/core/applications/{slug}/set_icon/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: formParams
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Set application icon
   */
  coreApplicationsSetIconCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreApplicationsSetIconCreateRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Set application icon (as URL)
   */
  coreApplicationsSetIconUrlCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling coreApplicationsSetIconUrlCreate().');
      }
      if (requestParameters["filePathRequest"] == null) {
        throw new RequiredError("filePathRequest", 'Required parameter "filePathRequest" was null or undefined when calling coreApplicationsSetIconUrlCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/applications/{slug}/set_icon_url/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: FilePathRequestToJSON(requestParameters["filePathRequest"])
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Set application icon (as URL)
   */
  coreApplicationsSetIconUrlCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreApplicationsSetIconUrlCreateRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Application Viewset
   */
  coreApplicationsUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling coreApplicationsUpdate().');
      }
      if (requestParameters["applicationRequest"] == null) {
        throw new RequiredError("applicationRequest", 'Required parameter "applicationRequest" was null or undefined when calling coreApplicationsUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/applications/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: ApplicationRequestToJSON(requestParameters["applicationRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ApplicationFromJSON(jsonValue));
    });
  }
  /**
   * Application Viewset
   */
  coreApplicationsUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreApplicationsUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreApplicationsUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling coreApplicationsUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/applications/{slug}/used_by/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreApplicationsUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreApplicationsUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatedSession Viewset
   */
  coreAuthenticatedSessionsDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["uuid"] == null) {
        throw new RequiredError("uuid", 'Required parameter "uuid" was null or undefined when calling coreAuthenticatedSessionsDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/authenticated_sessions/{uuid}/`.replace(`{${"uuid"}}`, encodeURIComponent(String(requestParameters["uuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * AuthenticatedSession Viewset
   */
  coreAuthenticatedSessionsDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreAuthenticatedSessionsDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * AuthenticatedSession Viewset
   */
  coreAuthenticatedSessionsListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["lastIp"] != null) {
        queryParameters["last_ip"] = requestParameters["lastIp"];
      }
      if (requestParameters["lastUserAgent"] != null) {
        queryParameters["last_user_agent"] = requestParameters["lastUserAgent"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["userUsername"] != null) {
        queryParameters["user__username"] = requestParameters["userUsername"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/authenticated_sessions/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedAuthenticatedSessionListFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatedSession Viewset
   */
  coreAuthenticatedSessionsList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.coreAuthenticatedSessionsListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatedSession Viewset
   */
  coreAuthenticatedSessionsRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["uuid"] == null) {
        throw new RequiredError("uuid", 'Required parameter "uuid" was null or undefined when calling coreAuthenticatedSessionsRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/authenticated_sessions/{uuid}/`.replace(`{${"uuid"}}`, encodeURIComponent(String(requestParameters["uuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatedSessionFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatedSession Viewset
   */
  coreAuthenticatedSessionsRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreAuthenticatedSessionsRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreAuthenticatedSessionsUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["uuid"] == null) {
        throw new RequiredError("uuid", 'Required parameter "uuid" was null or undefined when calling coreAuthenticatedSessionsUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/authenticated_sessions/{uuid}/used_by/`.replace(`{${"uuid"}}`, encodeURIComponent(String(requestParameters["uuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreAuthenticatedSessionsUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreAuthenticatedSessionsUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Brand Viewset
   */
  coreBrandsCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["brandRequest"] == null) {
        throw new RequiredError("brandRequest", 'Required parameter "brandRequest" was null or undefined when calling coreBrandsCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/brands/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: BrandRequestToJSON(requestParameters["brandRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => BrandFromJSON(jsonValue));
    });
  }
  /**
   * Brand Viewset
   */
  coreBrandsCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreBrandsCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get current brand
   */
  coreBrandsCurrentRetrieveRaw(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/brands/current/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => CurrentBrandFromJSON(jsonValue));
    });
  }
  /**
   * Get current brand
   */
  coreBrandsCurrentRetrieve(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreBrandsCurrentRetrieveRaw(initOverrides);
      return yield response.value();
    });
  }
  /**
   * Brand Viewset
   */
  coreBrandsDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["brandUuid"] == null) {
        throw new RequiredError("brandUuid", 'Required parameter "brandUuid" was null or undefined when calling coreBrandsDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/brands/{brand_uuid}/`.replace(`{${"brand_uuid"}}`, encodeURIComponent(String(requestParameters["brandUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Brand Viewset
   */
  coreBrandsDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreBrandsDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Brand Viewset
   */
  coreBrandsListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["brandUuid"] != null) {
        queryParameters["brand_uuid"] = requestParameters["brandUuid"];
      }
      if (requestParameters["brandingFavicon"] != null) {
        queryParameters["branding_favicon"] = requestParameters["brandingFavicon"];
      }
      if (requestParameters["brandingLogo"] != null) {
        queryParameters["branding_logo"] = requestParameters["brandingLogo"];
      }
      if (requestParameters["brandingTitle"] != null) {
        queryParameters["branding_title"] = requestParameters["brandingTitle"];
      }
      if (requestParameters["_default"] != null) {
        queryParameters["default"] = requestParameters["_default"];
      }
      if (requestParameters["domain"] != null) {
        queryParameters["domain"] = requestParameters["domain"];
      }
      if (requestParameters["flowAuthentication"] != null) {
        queryParameters["flow_authentication"] = requestParameters["flowAuthentication"];
      }
      if (requestParameters["flowDeviceCode"] != null) {
        queryParameters["flow_device_code"] = requestParameters["flowDeviceCode"];
      }
      if (requestParameters["flowInvalidation"] != null) {
        queryParameters["flow_invalidation"] = requestParameters["flowInvalidation"];
      }
      if (requestParameters["flowRecovery"] != null) {
        queryParameters["flow_recovery"] = requestParameters["flowRecovery"];
      }
      if (requestParameters["flowUnenrollment"] != null) {
        queryParameters["flow_unenrollment"] = requestParameters["flowUnenrollment"];
      }
      if (requestParameters["flowUserSettings"] != null) {
        queryParameters["flow_user_settings"] = requestParameters["flowUserSettings"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["webCertificate"] != null) {
        queryParameters["web_certificate"] = requestParameters["webCertificate"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/brands/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedBrandListFromJSON(jsonValue));
    });
  }
  /**
   * Brand Viewset
   */
  coreBrandsList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.coreBrandsListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Brand Viewset
   */
  coreBrandsPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["brandUuid"] == null) {
        throw new RequiredError("brandUuid", 'Required parameter "brandUuid" was null or undefined when calling coreBrandsPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/brands/{brand_uuid}/`.replace(`{${"brand_uuid"}}`, encodeURIComponent(String(requestParameters["brandUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedBrandRequestToJSON(requestParameters["patchedBrandRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => BrandFromJSON(jsonValue));
    });
  }
  /**
   * Brand Viewset
   */
  coreBrandsPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreBrandsPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Brand Viewset
   */
  coreBrandsRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["brandUuid"] == null) {
        throw new RequiredError("brandUuid", 'Required parameter "brandUuid" was null or undefined when calling coreBrandsRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/brands/{brand_uuid}/`.replace(`{${"brand_uuid"}}`, encodeURIComponent(String(requestParameters["brandUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => BrandFromJSON(jsonValue));
    });
  }
  /**
   * Brand Viewset
   */
  coreBrandsRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreBrandsRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Brand Viewset
   */
  coreBrandsUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["brandUuid"] == null) {
        throw new RequiredError("brandUuid", 'Required parameter "brandUuid" was null or undefined when calling coreBrandsUpdate().');
      }
      if (requestParameters["brandRequest"] == null) {
        throw new RequiredError("brandRequest", 'Required parameter "brandRequest" was null or undefined when calling coreBrandsUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/brands/{brand_uuid}/`.replace(`{${"brand_uuid"}}`, encodeURIComponent(String(requestParameters["brandUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: BrandRequestToJSON(requestParameters["brandRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => BrandFromJSON(jsonValue));
    });
  }
  /**
   * Brand Viewset
   */
  coreBrandsUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreBrandsUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreBrandsUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["brandUuid"] == null) {
        throw new RequiredError("brandUuid", 'Required parameter "brandUuid" was null or undefined when calling coreBrandsUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/brands/{brand_uuid}/used_by/`.replace(`{${"brand_uuid"}}`, encodeURIComponent(String(requestParameters["brandUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreBrandsUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreBrandsUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Add user to group
   */
  coreGroupsAddUserCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["groupUuid"] == null) {
        throw new RequiredError("groupUuid", 'Required parameter "groupUuid" was null or undefined when calling coreGroupsAddUserCreate().');
      }
      if (requestParameters["userAccountRequest"] == null) {
        throw new RequiredError("userAccountRequest", 'Required parameter "userAccountRequest" was null or undefined when calling coreGroupsAddUserCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/groups/{group_uuid}/add_user/`.replace(`{${"group_uuid"}}`, encodeURIComponent(String(requestParameters["groupUuid"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: UserAccountRequestToJSON(requestParameters["userAccountRequest"])
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Add user to group
   */
  coreGroupsAddUserCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreGroupsAddUserCreateRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Group Viewset
   */
  coreGroupsCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["groupRequest"] == null) {
        throw new RequiredError("groupRequest", 'Required parameter "groupRequest" was null or undefined when calling coreGroupsCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/groups/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: GroupRequestToJSON(requestParameters["groupRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupFromJSON(jsonValue));
    });
  }
  /**
   * Group Viewset
   */
  coreGroupsCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreGroupsCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group Viewset
   */
  coreGroupsDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["groupUuid"] == null) {
        throw new RequiredError("groupUuid", 'Required parameter "groupUuid" was null or undefined when calling coreGroupsDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/groups/{group_uuid}/`.replace(`{${"group_uuid"}}`, encodeURIComponent(String(requestParameters["groupUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Group Viewset
   */
  coreGroupsDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreGroupsDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Group Viewset
   */
  coreGroupsListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["attributes"] != null) {
        queryParameters["attributes"] = requestParameters["attributes"];
      }
      if (requestParameters["includeUsers"] != null) {
        queryParameters["include_users"] = requestParameters["includeUsers"];
      }
      if (requestParameters["isSuperuser"] != null) {
        queryParameters["is_superuser"] = requestParameters["isSuperuser"];
      }
      if (requestParameters["membersByPk"] != null) {
        queryParameters["members_by_pk"] = requestParameters["membersByPk"];
      }
      if (requestParameters["membersByUsername"] != null) {
        queryParameters["members_by_username"] = requestParameters["membersByUsername"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/groups/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedGroupListFromJSON(jsonValue));
    });
  }
  /**
   * Group Viewset
   */
  coreGroupsList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.coreGroupsListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group Viewset
   */
  coreGroupsPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["groupUuid"] == null) {
        throw new RequiredError("groupUuid", 'Required parameter "groupUuid" was null or undefined when calling coreGroupsPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/groups/{group_uuid}/`.replace(`{${"group_uuid"}}`, encodeURIComponent(String(requestParameters["groupUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedGroupRequestToJSON(requestParameters["patchedGroupRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupFromJSON(jsonValue));
    });
  }
  /**
   * Group Viewset
   */
  coreGroupsPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreGroupsPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Add user to group
   */
  coreGroupsRemoveUserCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["groupUuid"] == null) {
        throw new RequiredError("groupUuid", 'Required parameter "groupUuid" was null or undefined when calling coreGroupsRemoveUserCreate().');
      }
      if (requestParameters["userAccountRequest"] == null) {
        throw new RequiredError("userAccountRequest", 'Required parameter "userAccountRequest" was null or undefined when calling coreGroupsRemoveUserCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/groups/{group_uuid}/remove_user/`.replace(`{${"group_uuid"}}`, encodeURIComponent(String(requestParameters["groupUuid"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: UserAccountRequestToJSON(requestParameters["userAccountRequest"])
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Add user to group
   */
  coreGroupsRemoveUserCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreGroupsRemoveUserCreateRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Group Viewset
   */
  coreGroupsRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["groupUuid"] == null) {
        throw new RequiredError("groupUuid", 'Required parameter "groupUuid" was null or undefined when calling coreGroupsRetrieve().');
      }
      const queryParameters = {};
      if (requestParameters["includeUsers"] != null) {
        queryParameters["include_users"] = requestParameters["includeUsers"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/groups/{group_uuid}/`.replace(`{${"group_uuid"}}`, encodeURIComponent(String(requestParameters["groupUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupFromJSON(jsonValue));
    });
  }
  /**
   * Group Viewset
   */
  coreGroupsRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreGroupsRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group Viewset
   */
  coreGroupsUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["groupUuid"] == null) {
        throw new RequiredError("groupUuid", 'Required parameter "groupUuid" was null or undefined when calling coreGroupsUpdate().');
      }
      if (requestParameters["groupRequest"] == null) {
        throw new RequiredError("groupRequest", 'Required parameter "groupRequest" was null or undefined when calling coreGroupsUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/groups/{group_uuid}/`.replace(`{${"group_uuid"}}`, encodeURIComponent(String(requestParameters["groupUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: GroupRequestToJSON(requestParameters["groupRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupFromJSON(jsonValue));
    });
  }
  /**
   * Group Viewset
   */
  coreGroupsUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreGroupsUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreGroupsUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["groupUuid"] == null) {
        throw new RequiredError("groupUuid", 'Required parameter "groupUuid" was null or undefined when calling coreGroupsUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/groups/{group_uuid}/used_by/`.replace(`{${"group_uuid"}}`, encodeURIComponent(String(requestParameters["groupUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreGroupsUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreGroupsUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Token Viewset
   */
  coreTokensCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["tokenRequest"] == null) {
        throw new RequiredError("tokenRequest", 'Required parameter "tokenRequest" was null or undefined when calling coreTokensCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/tokens/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: TokenRequestToJSON(requestParameters["tokenRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => TokenFromJSON(jsonValue));
    });
  }
  /**
   * Token Viewset
   */
  coreTokensCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreTokensCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Token Viewset
   */
  coreTokensDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["identifier"] == null) {
        throw new RequiredError("identifier", 'Required parameter "identifier" was null or undefined when calling coreTokensDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/tokens/{identifier}/`.replace(`{${"identifier"}}`, encodeURIComponent(String(requestParameters["identifier"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Token Viewset
   */
  coreTokensDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreTokensDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Token Viewset
   */
  coreTokensListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["description"] != null) {
        queryParameters["description"] = requestParameters["description"];
      }
      if (requestParameters["expires"] != null) {
        queryParameters["expires"] = requestParameters["expires"].toISOString();
      }
      if (requestParameters["expiring"] != null) {
        queryParameters["expiring"] = requestParameters["expiring"];
      }
      if (requestParameters["identifier"] != null) {
        queryParameters["identifier"] = requestParameters["identifier"];
      }
      if (requestParameters["intent"] != null) {
        queryParameters["intent"] = requestParameters["intent"];
      }
      if (requestParameters["managed"] != null) {
        queryParameters["managed"] = requestParameters["managed"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["userUsername"] != null) {
        queryParameters["user__username"] = requestParameters["userUsername"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/tokens/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedTokenListFromJSON(jsonValue));
    });
  }
  /**
   * Token Viewset
   */
  coreTokensList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.coreTokensListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Token Viewset
   */
  coreTokensPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["identifier"] == null) {
        throw new RequiredError("identifier", 'Required parameter "identifier" was null or undefined when calling coreTokensPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/tokens/{identifier}/`.replace(`{${"identifier"}}`, encodeURIComponent(String(requestParameters["identifier"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedTokenRequestToJSON(requestParameters["patchedTokenRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => TokenFromJSON(jsonValue));
    });
  }
  /**
   * Token Viewset
   */
  coreTokensPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreTokensPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Token Viewset
   */
  coreTokensRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["identifier"] == null) {
        throw new RequiredError("identifier", 'Required parameter "identifier" was null or undefined when calling coreTokensRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/tokens/{identifier}/`.replace(`{${"identifier"}}`, encodeURIComponent(String(requestParameters["identifier"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => TokenFromJSON(jsonValue));
    });
  }
  /**
   * Token Viewset
   */
  coreTokensRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreTokensRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Set token key. Action is logged as event. `authentik_core.set_token_key` permission is required.
   */
  coreTokensSetKeyCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["identifier"] == null) {
        throw new RequiredError("identifier", 'Required parameter "identifier" was null or undefined when calling coreTokensSetKeyCreate().');
      }
      if (requestParameters["tokenSetKeyRequest"] == null) {
        throw new RequiredError("tokenSetKeyRequest", 'Required parameter "tokenSetKeyRequest" was null or undefined when calling coreTokensSetKeyCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/tokens/{identifier}/set_key/`.replace(`{${"identifier"}}`, encodeURIComponent(String(requestParameters["identifier"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: TokenSetKeyRequestToJSON(requestParameters["tokenSetKeyRequest"])
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Set token key. Action is logged as event. `authentik_core.set_token_key` permission is required.
   */
  coreTokensSetKeyCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreTokensSetKeyCreateRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Token Viewset
   */
  coreTokensUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["identifier"] == null) {
        throw new RequiredError("identifier", 'Required parameter "identifier" was null or undefined when calling coreTokensUpdate().');
      }
      if (requestParameters["tokenRequest"] == null) {
        throw new RequiredError("tokenRequest", 'Required parameter "tokenRequest" was null or undefined when calling coreTokensUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/tokens/{identifier}/`.replace(`{${"identifier"}}`, encodeURIComponent(String(requestParameters["identifier"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: TokenRequestToJSON(requestParameters["tokenRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => TokenFromJSON(jsonValue));
    });
  }
  /**
   * Token Viewset
   */
  coreTokensUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreTokensUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreTokensUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["identifier"] == null) {
        throw new RequiredError("identifier", 'Required parameter "identifier" was null or undefined when calling coreTokensUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/tokens/{identifier}/used_by/`.replace(`{${"identifier"}}`, encodeURIComponent(String(requestParameters["identifier"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreTokensUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreTokensUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Return token key and log access
   */
  coreTokensViewKeyRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["identifier"] == null) {
        throw new RequiredError("identifier", 'Required parameter "identifier" was null or undefined when calling coreTokensViewKeyRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/tokens/{identifier}/view_key/`.replace(`{${"identifier"}}`, encodeURIComponent(String(requestParameters["identifier"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => TokenViewFromJSON(jsonValue));
    });
  }
  /**
   * Return token key and log access
   */
  coreTokensViewKeyRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreTokensViewKeyRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Convert data into a blueprint, validate it and apply it
   */
  coreTransactionalApplicationsUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["transactionApplicationRequest"] == null) {
        throw new RequiredError("transactionApplicationRequest", 'Required parameter "transactionApplicationRequest" was null or undefined when calling coreTransactionalApplicationsUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/transactional/applications/`,
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: TransactionApplicationRequestToJSON(requestParameters["transactionApplicationRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => TransactionApplicationResponseFromJSON(jsonValue));
    });
  }
  /**
   * Convert data into a blueprint, validate it and apply it
   */
  coreTransactionalApplicationsUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreTransactionalApplicationsUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserConsent Viewset
   */
  coreUserConsentDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling coreUserConsentDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/user_consent/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * UserConsent Viewset
   */
  coreUserConsentDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreUserConsentDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * UserConsent Viewset
   */
  coreUserConsentListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["application"] != null) {
        queryParameters["application"] = requestParameters["application"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["user"] != null) {
        queryParameters["user"] = requestParameters["user"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/user_consent/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedUserConsentListFromJSON(jsonValue));
    });
  }
  /**
   * UserConsent Viewset
   */
  coreUserConsentList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.coreUserConsentListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserConsent Viewset
   */
  coreUserConsentRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling coreUserConsentRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/user_consent/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserConsentFromJSON(jsonValue));
    });
  }
  /**
   * UserConsent Viewset
   */
  coreUserConsentRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreUserConsentRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreUserConsentUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling coreUserConsentUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/user_consent/{id}/used_by/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreUserConsentUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreUserConsentUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * User Viewset
   */
  coreUsersCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["userRequest"] == null) {
        throw new RequiredError("userRequest", 'Required parameter "userRequest" was null or undefined when calling coreUsersCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: UserRequestToJSON(requestParameters["userRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserFromJSON(jsonValue));
    });
  }
  /**
   * User Viewset
   */
  coreUsersCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreUsersCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * User Viewset
   */
  coreUsersDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling coreUsersDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * User Viewset
   */
  coreUsersDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreUsersDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Impersonate a user
   */
  coreUsersImpersonateCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling coreUsersImpersonateCreate().');
      }
      if (requestParameters["impersonationRequest"] == null) {
        throw new RequiredError("impersonationRequest", 'Required parameter "impersonationRequest" was null or undefined when calling coreUsersImpersonateCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/{id}/impersonate/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: ImpersonationRequestToJSON(requestParameters["impersonationRequest"])
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Impersonate a user
   */
  coreUsersImpersonateCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreUsersImpersonateCreateRaw(requestParameters, initOverrides);
    });
  }
  /**
   * End Impersonation a user
   */
  coreUsersImpersonateEndRetrieveRaw(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/impersonate_end/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * End Impersonation a user
   */
  coreUsersImpersonateEndRetrieve(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreUsersImpersonateEndRetrieveRaw(initOverrides);
    });
  }
  /**
   * User Viewset
   */
  coreUsersListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["attributes"] != null) {
        queryParameters["attributes"] = requestParameters["attributes"];
      }
      if (requestParameters["email"] != null) {
        queryParameters["email"] = requestParameters["email"];
      }
      if (requestParameters["groupsByName"] != null) {
        queryParameters["groups_by_name"] = requestParameters["groupsByName"];
      }
      if (requestParameters["groupsByPk"] != null) {
        queryParameters["groups_by_pk"] = requestParameters["groupsByPk"];
      }
      if (requestParameters["includeGroups"] != null) {
        queryParameters["include_groups"] = requestParameters["includeGroups"];
      }
      if (requestParameters["isActive"] != null) {
        queryParameters["is_active"] = requestParameters["isActive"];
      }
      if (requestParameters["isSuperuser"] != null) {
        queryParameters["is_superuser"] = requestParameters["isSuperuser"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["path"] != null) {
        queryParameters["path"] = requestParameters["path"];
      }
      if (requestParameters["pathStartswith"] != null) {
        queryParameters["path_startswith"] = requestParameters["pathStartswith"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["type"] != null) {
        queryParameters["type"] = requestParameters["type"];
      }
      if (requestParameters["username"] != null) {
        queryParameters["username"] = requestParameters["username"];
      }
      if (requestParameters["uuid"] != null) {
        queryParameters["uuid"] = requestParameters["uuid"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedUserListFromJSON(jsonValue));
    });
  }
  /**
   * User Viewset
   */
  coreUsersList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.coreUsersListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get information about current user
   */
  coreUsersMeRetrieveRaw(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/me/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SessionUserFromJSON(jsonValue));
    });
  }
  /**
   * Get information about current user
   */
  coreUsersMeRetrieve(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreUsersMeRetrieveRaw(initOverrides);
      return yield response.value();
    });
  }
  /**
   * User metrics per 1h
   */
  coreUsersMetricsRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling coreUsersMetricsRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/{id}/metrics/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserMetricsFromJSON(jsonValue));
    });
  }
  /**
   * User metrics per 1h
   */
  coreUsersMetricsRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreUsersMetricsRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * User Viewset
   */
  coreUsersPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling coreUsersPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedUserRequestToJSON(requestParameters["patchedUserRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserFromJSON(jsonValue));
    });
  }
  /**
   * User Viewset
   */
  coreUsersPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreUsersPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get all user paths
   */
  coreUsersPathsRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/paths/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserPathFromJSON(jsonValue));
    });
  }
  /**
   * Get all user paths
   */
  coreUsersPathsRetrieve() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.coreUsersPathsRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Create a temporary link that a user can use to recover their accounts
   */
  coreUsersRecoveryCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling coreUsersRecoveryCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/{id}/recovery/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => LinkFromJSON(jsonValue));
    });
  }
  /**
   * Create a temporary link that a user can use to recover their accounts
   */
  coreUsersRecoveryCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreUsersRecoveryCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Create a temporary link that a user can use to recover their accounts
   */
  coreUsersRecoveryEmailCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["emailStage"] == null) {
        throw new RequiredError("emailStage", 'Required parameter "emailStage" was null or undefined when calling coreUsersRecoveryEmailCreate().');
      }
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling coreUsersRecoveryEmailCreate().');
      }
      const queryParameters = {};
      if (requestParameters["emailStage"] != null) {
        queryParameters["email_stage"] = requestParameters["emailStage"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/{id}/recovery_email/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Create a temporary link that a user can use to recover their accounts
   */
  coreUsersRecoveryEmailCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreUsersRecoveryEmailCreateRaw(requestParameters, initOverrides);
    });
  }
  /**
   * User Viewset
   */
  coreUsersRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling coreUsersRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserFromJSON(jsonValue));
    });
  }
  /**
   * User Viewset
   */
  coreUsersRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreUsersRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Create a new user account that is marked as a service account
   */
  coreUsersServiceAccountCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["userServiceAccountRequest"] == null) {
        throw new RequiredError("userServiceAccountRequest", 'Required parameter "userServiceAccountRequest" was null or undefined when calling coreUsersServiceAccountCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/service_account/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: UserServiceAccountRequestToJSON(requestParameters["userServiceAccountRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserServiceAccountResponseFromJSON(jsonValue));
    });
  }
  /**
   * Create a new user account that is marked as a service account
   */
  coreUsersServiceAccountCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreUsersServiceAccountCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Set password for user
   */
  coreUsersSetPasswordCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling coreUsersSetPasswordCreate().');
      }
      if (requestParameters["userPasswordSetRequest"] == null) {
        throw new RequiredError("userPasswordSetRequest", 'Required parameter "userPasswordSetRequest" was null or undefined when calling coreUsersSetPasswordCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/{id}/set_password/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: UserPasswordSetRequestToJSON(requestParameters["userPasswordSetRequest"])
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Set password for user
   */
  coreUsersSetPasswordCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.coreUsersSetPasswordCreateRaw(requestParameters, initOverrides);
    });
  }
  /**
   * User Viewset
   */
  coreUsersUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling coreUsersUpdate().');
      }
      if (requestParameters["userRequest"] == null) {
        throw new RequiredError("userRequest", 'Required parameter "userRequest" was null or undefined when calling coreUsersUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: UserRequestToJSON(requestParameters["userRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserFromJSON(jsonValue));
    });
  }
  /**
   * User Viewset
   */
  coreUsersUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreUsersUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreUsersUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling coreUsersUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/core/users/{id}/used_by/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  coreUsersUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.coreUsersUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
};

// node_modules/@goauthentik/api/dist/esm/apis/RootApi.js
var __awaiter2 = function(thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function(resolve) {
      resolve(value);
    });
  }
  return new (P || (P = Promise))(function(resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }
    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }
    function step(result) {
      result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
    }
    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
};
var RootApi = class extends BaseAPI {
  /**
   * Retrieve public configuration options
   */
  rootConfigRetrieveRaw(initOverrides) {
    return __awaiter2(this, void 0, void 0, function* () {
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/root/config/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ConfigFromJSON(jsonValue));
    });
  }
  /**
   * Retrieve public configuration options
   */
  rootConfigRetrieve(initOverrides) {
    return __awaiter2(this, void 0, void 0, function* () {
      const response = yield this.rootConfigRetrieveRaw(initOverrides);
      return yield response.value();
    });
  }
};

// src/common/api/middleware.ts
var CSRFHeaderName = "X-authentik-CSRF";
var LoggingMiddleware = class {
  constructor(brand) {
    this.brand = brand;
  }
  post(context) {
    let msg = `authentik/api[${this.brand.matchedDomain}]: `;
    msg += `%c${context.response.status}%c ${context.init.method} ${context.url}`;
    let style = "";
    if (context.response.status >= 400) {
      style = "color: red; font-weight: bold;";
    }
    console.debug(msg, style, "");
    return Promise.resolve(context.response);
  }
};
var CSRFMiddleware = class {
  pre(context) {
    context.init.headers[CSRFHeaderName] = getCookie("authentik_csrf");
    return Promise.resolve(context);
  }
};
var EventMiddleware = class {
  post(context) {
    const request = {
      time: (/* @__PURE__ */ new Date()).getTime(),
      method: (context.init.method || "GET").toUpperCase(),
      path: context.url,
      status: context.response.status
    };
    window.dispatchEvent(
      new CustomEvent(EVENT_REQUEST_POST, {
        bubbles: true,
        composed: true,
        detail: request
      })
    );
    return Promise.resolve(context.response);
  }
};

// src/common/api/config.ts
var globalConfigPromise = Promise.resolve(globalAK().config);
function config() {
  if (!globalConfigPromise) {
    globalConfigPromise = new RootApi(DEFAULT_CONFIG).rootConfigRetrieve();
  }
  return globalConfigPromise;
}
var globalBrandPromise = Promise.resolve(globalAK().brand);
function getMetaContent(key) {
  const metaEl = document.querySelector(`meta[name=${key}]`);
  if (!metaEl) return "";
  return metaEl.content;
}
var DEFAULT_CONFIG = new Configuration({
  basePath: `${globalAK().api.base}api/v3`,
  headers: {
    "sentry-trace": getMetaContent("sentry-trace")
  },
  middleware: [
    new CSRFMiddleware(),
    new EventMiddleware(),
    new LoggingMiddleware(globalAK().brand)
  ]
});
console.debug(`authentik(early): version ${VERSION}, apiBase ${DEFAULT_CONFIG.basePath}`);

export {
  ContextualFlowInfoFromJSON,
  PolicyEngineModeFromJSON,
  PolicyEngineModeToJSON,
  AuthenticationEnumToJSON,
  DeniedActionEnumToJSON,
  FlowLayoutEnum,
  FlowLayoutEnumToJSON,
  FlowSetFromJSON,
  PromptChallengeFromJSON,
  PromptChallengeFromJSONTyped,
  GroupMemberFromJSON,
  CoordinateFromJSON,
  DigestAlgorithmEnumFromJSON,
  DigestAlgorithmEnumToJSON,
  UserTypeEnumFromJSON,
  UserTypeEnumToJSON,
  UserGroupFromJSON,
  FilePathRequestToJSON,
  FlowFromJSON,
  LogEventFromJSON,
  StageFromJSON,
  LinkFromJSON,
  SignatureAlgorithmEnumFromJSON,
  SignatureAlgorithmEnumToJSON,
  PaginationFromJSON,
  TokenFromJSON,
  UsedByFromJSON,
  CoreApi,
  RootApi,
  config,
  DEFAULT_CONFIG
};
//# sourceMappingURL=chunk-LMXKGCRX.js.map
