import {
  alert_default
} from "./chunk-DVT5R7IG.js";
import {
  button_default
} from "./chunk-E4FQAZYR.js";
import {
  AKElement,
  EVENT_MESSAGE,
  EVENT_WS_MESSAGE,
  SentryIgnoredError,
  WS_MSG_TYPE_MESSAGE,
  n,
  patternfly_base_default,
  t
} from "./chunk-TYHQZR4W.js";
import {
  i,
  ke,
  msg
} from "./chunk-AW3QUPVO.js";
import {
  __decorateClass
} from "./chunk-NMZOY6WS.js";

// node_modules/@patternfly/patternfly/components/AlertGroup/alert-group.css
var alert_group_default = ".pf-c-alert-group {\n  --pf-c-alert-group__item--MarginTop: var(--pf-global--spacer--sm);\n  --pf-c-alert-group--m-toast--Top: var(--pf-global--spacer--2xl);\n  --pf-c-alert-group--m-toast--Right: var(--pf-global--spacer--xl);\n  --pf-c-alert-group--m-toast--MaxWidth: 37.5rem;\n  --pf-c-alert-group--m-toast--ZIndex: var(--pf-global--ZIndex--2xl);\n  --pf-c-alert-group__overflow-button--BorderWidth: 0;\n  --pf-c-alert-group__overflow-button--PaddingTop: var(--pf-global--spacer--lg);\n  --pf-c-alert-group__overflow-button--PaddingRight: var(--pf-global--spacer--md);\n  --pf-c-alert-group__overflow-button--PaddingBottom: var(--pf-global--spacer--lg);\n  --pf-c-alert-group__overflow-button--PaddingLeft: var(--pf-global--spacer--md);\n  --pf-c-alert-group__overflow-button--Color: var(--pf-global--link--Color);\n  --pf-c-alert-group__overflow-button--BoxShadow: var(--pf-global--BoxShadow--lg);\n  --pf-c-alert-group__overflow-button--BackgroundColor: var(--pf-global--BackgroundColor--100);\n  --pf-c-alert-group__overflow-button--hover--Color: var(--pf-global--link--Color--hover);\n  --pf-c-alert-group__overflow-button--hover--BoxShadow: var(--pf-global--BoxShadow--lg), var(--pf-global--BoxShadow--lg-bottom);\n  --pf-c-alert-group__overflow-button--focus--Color: var(--pf-global--link--Color--hover);\n  --pf-c-alert-group__overflow-button--focus--BoxShadow: var(--pf-global--BoxShadow--lg), var(--pf-global--BoxShadow--lg-bottom);\n  --pf-c-alert-group__overflow-button--active--Color: var(--pf-global--link--Color--hover);\n  --pf-c-alert-group__overflow-button--active--BoxShadow: var(--pf-global--BoxShadow--lg), var(--pf-global--BoxShadow--lg-bottom);\n}\n.pf-c-alert-group > * + * {\n  margin-top: var(--pf-c-alert-group__item--MarginTop);\n}\n.pf-c-alert-group.pf-m-toast {\n  position: fixed;\n  top: var(--pf-c-alert-group--m-toast--Top);\n  right: var(--pf-c-alert-group--m-toast--Right);\n  z-index: var(--pf-c-alert-group--m-toast--ZIndex);\n  width: calc(100% - var(--pf-c-alert-group--m-toast--Right) * 2);\n  max-width: var(--pf-c-alert-group--m-toast--MaxWidth);\n}\n\n.pf-c-alert-group__overflow-button {\n  position: relative;\n  width: 100%;\n  padding: var(--pf-c-alert-group__overflow-button--PaddingTop) var(--pf-c-alert-group__overflow-button--PaddingRight) var(--pf-c-alert-group__overflow-button--PaddingBottom) var(--pf-c-alert-group__overflow-button--PaddingLeft);\n  color: var(--pf-c-alert-group__overflow-button--Color);\n  background-color: var(--pf-c-alert-group__overflow-button--BackgroundColor);\n  border-width: var(--pf-c-alert-group__overflow-button--BorderWidth);\n  box-shadow: var(--pf-c-alert-group__overflow-button--BoxShadow);\n}\n.pf-c-alert-group__overflow-button:hover {\n  --pf-c-alert-group__overflow-button--Color: var(--pf-c-alert-group__overflow-button--hover--Color);\n  --pf-c-alert-group__overflow-button--BoxShadow: var(--pf-c-alert-group__overflow-button--hover--BoxShadow);\n}\n.pf-c-alert-group__overflow-button:focus {\n  --pf-c-alert-group__overflow-button--Color: var(--pf-c-alert-group__overflow-button--focus--Color);\n  --pf-c-alert-group__overflow-button--BoxShadow: var(--pf-c-alert-group__overflow-button--focus--BoxShadow);\n}\n.pf-c-alert-group__overflow-button:active {\n  --pf-c-alert-group__overflow-button--Color: var(--pf-c-alert-group__overflow-button--active--Color);\n  --pf-c-alert-group__overflow-button--BoxShadow: var(--pf-c-alert-group__overflow-button--active--BoxShadow);\n}";

// src/elements/messages/Message.ts
var LEVEL_ICON_MAP = {
  error: "fas fa-exclamation-circle",
  warning: "fas fa-exclamation-triangle",
  success: "fas fa-check-circle",
  info: "fas fa-info"
};
var Message = class extends AKElement {
  constructor() {
    super(...arguments);
    this.removeAfter = 8e3;
  }
  static get styles() {
    return [patternfly_base_default, button_default, alert_default, alert_group_default];
  }
  firstUpdated() {
    setTimeout(() => {
      if (!this.message) return;
      if (!this.onRemove) return;
      this.onRemove(this.message);
    }, this.removeAfter);
  }
  render() {
    return ke`<li class="pf-c-alert-group__item">
            <div
                class="pf-c-alert pf-m-${this.message?.level} ${this.message?.level === "error" /* error */ ? "pf-m-danger" : ""}"
            >
                <div class="pf-c-alert__icon">
                    <i class="${this.message ? LEVEL_ICON_MAP[this.message.level] : ""}"></i>
                </div>
                <p class="pf-c-alert__title">${this.message?.message}</p>
                ${this.message?.description && ke`<div class="pf-c-alert__description">
                    <p>${this.message.description}</p>
                </div>`}
                <div class="pf-c-alert__action">
                    <button
                        class="pf-c-button pf-m-plain"
                        type="button"
                        @click=${() => {
      if (!this.message) return;
      if (!this.onRemove) return;
      this.onRemove(this.message);
    }}
                    >
                        <i class="fas fa-times" aria-hidden="true"></i>
                    </button>
                </div>
            </div>
        </li>`;
  }
};
__decorateClass([
  n({ attribute: false })
], Message.prototype, "message", 2);
__decorateClass([
  n({ type: Number })
], Message.prototype, "removeAfter", 2);
__decorateClass([
  n({ attribute: false })
], Message.prototype, "onRemove", 2);
Message = __decorateClass([
  t("ak-message")
], Message);

// src/elements/messages/MessageContainer.ts
function showMessage(message, unique = false) {
  const container = document.querySelector("ak-message-container");
  if (!container) {
    throw new SentryIgnoredError("failed to find message container");
  }
  if (message.message.trim() === "") {
    message.message = msg("Error");
  }
  container.addMessage(message, unique);
  container.requestUpdate();
}
var MessageContainer = class extends AKElement {
  constructor() {
    super();
    this.messages = [];
    window.addEventListener(EVENT_WS_MESSAGE, (e) => {
      if (e.detail.message_type !== WS_MSG_TYPE_MESSAGE) return;
      this.addMessage(e.detail);
    });
    window.addEventListener(EVENT_MESSAGE, (e) => {
      this.addMessage(e.detail);
    });
  }
  static get styles() {
    return [
      patternfly_base_default,
      alert_group_default,
      i`
                /* Fix spacing between messages */
                ak-message {
                    display: block;
                }
            `
    ];
  }
  addMessage(message, unique = false) {
    if (unique) {
      const matchingMessages = this.messages.filter((m) => m.message == message.message);
      if (matchingMessages.length > 0) {
        return;
      }
    }
    this.messages.push(message);
    this.requestUpdate();
  }
  render() {
    return ke`<ul class="pf-c-alert-group pf-m-toast">
            ${this.messages.map((m) => {
      return ke`<ak-message
                    .message=${m}
                    .onRemove=${(m2) => {
        this.messages = this.messages.filter((v) => v !== m2);
        this.requestUpdate();
      }}
                >
                </ak-message>`;
    })}
        </ul>`;
  }
};
__decorateClass([
  n({ attribute: false })
], MessageContainer.prototype, "messages", 2);
MessageContainer = __decorateClass([
  t("ak-message-container")
], MessageContainer);

export {
  showMessage
};
//# sourceMappingURL=chunk-SQDSHSDD.js.map
