import {
  UserFieldsEnum
} from "./chunk-7Q35SKZB.js";
import {
  FlowDesignationEnum
} from "./chunk-D5TRAOIK.js";
import {
  alert_default
} from "./chunk-DVT5R7IG.js";
import {
  bound
} from "./chunk-GPVH7Q4T.js";
import {
  button_default
} from "./chunk-E4FQAZYR.js";
import {
  form_control_default,
  form_default,
  login_default
} from "./chunk-RVW7F5SR.js";
import {
  BaseStage,
  title_default,
  to
} from "./chunk-HCX57C2Q.js";
import {
  $t,
  e,
  i as i2,
  t as t2
} from "./chunk-UFA2R4ZV.js";
import {
  AKElement,
  n,
  patternfly_base_default,
  r,
  t
} from "./chunk-TYHQZR4W.js";
import {
  D,
  R,
  i,
  ke,
  msg,
  str
} from "./chunk-AW3QUPVO.js";
import {
  __decorateClass
} from "./chunk-NMZOY6WS.js";

// src/admin/sources/utils.ts
function renderSourceIcon(name, iconUrl) {
  const icon = ke`<i class="fas fa-share-square" title="${name}"></i>`;
  if (iconUrl) {
    if (iconUrl.startsWith("fa://")) {
      const url = iconUrl.replaceAll("fa://", "");
      return ke`<i class="fas ${url}" title="${name}"></i>`;
    }
    return ke`<img src="${iconUrl}" alt="${name}" />`;
  }
  return icon;
}

// src/elements/utils/focus.ts
function isActiveElement(targetElement, containerElement) {
  if (!containerElement) return false;
  if (!("shadowRoot" in containerElement)) return false;
  if (containerElement.shadowRoot === null) return false;
  if (containerElement.shadowRoot.activeElement === targetElement) return true;
  return isActiveElement(containerElement.shadowRoot.activeElement, containerElement);
}

// node_modules/lit-html/directives/class-map.js
var Rt = e(class extends i2 {
  constructor(s) {
    if (super(s), s.type !== t2.ATTRIBUTE || "class" !== s.name || s.strings?.length > 2) throw Error("`classMap()` can only be used in the `class` attribute and must be the only part in the attribute.");
  }
  render(t3) {
    return " " + Object.keys(t3).filter((s) => t3[s]).join(" ") + " ";
  }
  update(t3, [s]) {
    if (void 0 === this.st) {
      this.st = /* @__PURE__ */ new Set(), void 0 !== t3.strings && (this.nt = new Set(t3.strings.join(" ").split(/\s/).filter((t4) => "" !== t4)));
      for (const t4 in s) s[t4] && !this.nt?.has(t4) && this.st.add(t4);
      return this.render(s);
    }
    const i3 = t3.element.classList;
    for (const t4 of this.st) t4 in s || (i3.remove(t4), this.st.delete(t4));
    for (const t4 in s) {
      const r2 = !!s[t4];
      r2 === this.st.has(t4) || this.nt?.has(t4) || (r2 ? (i3.add(t4), this.st.add(t4)) : (i3.remove(t4), this.st.delete(t4)));
    }
    return R;
  }
});

// node_modules/lit-html/directives/ref.js
var ii = () => new Zt();
var Zt = class {
};
var qt = /* @__PURE__ */ new WeakMap();
var Kt = e(class extends $t {
  render(t3) {
    return D;
  }
  update(t3, [i3]) {
    const s = i3 !== this.Y;
    return s && void 0 !== this.Y && this.rt(void 0), (s || this.lt !== this.ct) && (this.Y = i3, this.ht = t3.options?.host, this.rt(this.ct = t3.element)), D;
  }
  rt(t3) {
    if (this.isConnected || (t3 = void 0), "function" == typeof this.Y) {
      const i3 = this.ht ?? globalThis;
      let s = qt.get(i3);
      void 0 === s && (s = /* @__PURE__ */ new WeakMap(), qt.set(i3, s)), void 0 !== s.get(this.Y) && this.Y.call(this.ht, void 0), s.set(this.Y, t3), void 0 !== t3 && this.Y.call(this.ht, t3);
    } else this.Y.value = t3;
  }
  get lt() {
    return "function" == typeof this.Y ? qt.get(this.ht ?? globalThis)?.get(this.Y) : this.Y?.value;
  }
  disconnected() {
    this.lt === this.ct && this.rt(void 0);
  }
  reconnected() {
    this.rt(this.ct);
  }
});

// node_modules/@patternfly/patternfly/components/InputGroup/input-group.css
var input_group_default = ".pf-c-input-group {\n  --pf-global--Color--100: var(--pf-global--Color--dark-100);\n  --pf-global--Color--200: var(--pf-global--Color--dark-200);\n  --pf-global--BorderColor--100: var(--pf-global--BorderColor--dark-100);\n  --pf-global--primary-color--100: var(--pf-global--primary-color--dark-100);\n  --pf-global--link--Color: var(--pf-global--link--Color--dark);\n  --pf-global--link--Color--hover: var(--pf-global--link--Color--dark--hover);\n  --pf-global--BackgroundColor--100: var(--pf-global--BackgroundColor--light-100);\n}\n\n.pf-c-input-group {\n  --pf-c-input-group--BackgroundColor: var(--pf-global--BackgroundColor--100);\n  --pf-c-input-group--child--ZIndex: var(--pf-global--ZIndex--xs);\n  --pf-c-input-group__text--FontSize: var(--pf-global--FontSize--md);\n  --pf-c-input-group__text--PaddingRight: var(--pf-global--spacer--sm);\n  --pf-c-input-group__text--PaddingLeft: var(--pf-global--spacer--sm);\n  --pf-c-input-group__text--Color: var(--pf-global--Color--dark-200);\n  --pf-c-input-group__text--BorderWidth: var(--pf-global--BorderWidth--sm);\n  --pf-c-input-group__text--BorderTopColor: var(--pf-global--BorderColor--300);\n  --pf-c-input-group__text--BorderRightColor: var(--pf-global--BorderColor--300);\n  --pf-c-input-group__text--BorderBottomColor: var(--pf-global--BorderColor--200);\n  --pf-c-input-group__text--BorderLeftColor: var(--pf-global--BorderColor--300);\n  --pf-c-input-group__text--BackgroundColor: var(--pf-global--BackgroundColor--100);\n  --pf-c-input-group__textarea--MinHeight: var(--pf-global--spacer--xl);\n  --pf-c-input-group__text--m-disabled--Color: var(--pf-global--disabled-color--100);\n  --pf-c-input-group__text--m-disabled--BackgroundColor: var(--pf-global--disabled-color--300);\n  --pf-c-input-group__text--m-disabled--BorderBottomColor: transparent;\n  --pf-c-input-group--c-form-control--invalid--ZIndex: var(--pf-global--ZIndex--xs);\n  --pf-c-input-group--c-form-control--MarginRight: 0;\n  color: var(--pf-global--Color--100);\n  display: flex;\n  width: 100%;\n  background-color: var(--pf-c-input-group--BackgroundColor);\n}\n.pf-c-input-group.pf-m-plain {\n  --pf-c-input-group--BackgroundColor: transparent;\n}\n.pf-c-input-group > * + * {\n  margin-left: -1px;\n}\n.pf-c-input-group > :focus,\n.pf-c-input-group > :focus-within {\n  z-index: var(--pf-c-input-group--child--ZIndex);\n}\n.pf-c-input-group .pf-c-form-control[aria-invalid=true]:not(:last-child) {\n  margin-right: var(--pf-c-input-group--c-form-control--MarginRight);\n}\n.pf-c-input-group input:not([type=checkbox]):not([type=radio]),\n.pf-c-input-group textarea {\n  flex: 2;\n  min-width: 0;\n}\n.pf-c-input-group textarea {\n  min-height: var(--pf-c-input-group__textarea--MinHeight);\n}\n\n.pf-c-input-group__text {\n  display: flex;\n  align-items: center;\n  padding-right: var(--pf-c-input-group__text--PaddingRight);\n  padding-left: var(--pf-c-input-group__text--PaddingLeft);\n  font-size: var(--pf-c-input-group__text--FontSize);\n  color: var(--pf-c-input-group__text--Color);\n  text-align: center;\n  background-color: var(--pf-c-input-group__text--BackgroundColor);\n  border: var(--pf-c-input-group__text--BorderWidth) solid;\n  border-color: var(--pf-c-input-group__text--BorderTopColor) var(--pf-c-input-group__text--BorderRightColor) var(--pf-c-input-group__text--BorderBottomColor) var(--pf-c-input-group__text--BorderLeftColor);\n}\nlabel.pf-c-input-group__text {\n  cursor: pointer;\n}\n\n.pf-c-input-group__text.pf-m-plain {\n  --pf-c-input-group__text--BorderWidth: 0;\n  margin-left: 0;\n}\n.pf-c-input-group__text.pf-m-disabled {\n  --pf-c-input-group__text--Color: var(--pf-c-input-group__text--m-disabled--Color);\n  --pf-c-input-group__text--BackgroundColor: var(--pf-c-input-group__text--m-disabled--BackgroundColor);\n  --pf-c-input-group__text--BorderBottomColor: var(--pf-c-input-group__text--m-disabled--BorderBottomColor);\n}\n\n:where(.pf-theme-dark) .pf-c-input-group {\n  --pf-c-input-group--BackgroundColor: transparent;\n  --pf-c-input-group__text--BorderTopColor: transparent;\n  --pf-c-input-group__text--BorderRightColor: transparent;\n  --pf-c-input-group__text--BorderBottomColor: var(--pf-global--BorderColor--400);\n  --pf-c-input-group__text--BorderLeftColor: transparent;\n  --pf-c-input-group__text--BackgroundColor: var(--pf-global--palette--black-600);\n  --pf-c-input-group__text--m-disabled--Color: var(--pf-global--palette--black-100);\n  --pf-c-input-group__text--m-disabled--BackgroundColor: var(--pf-global--disabled-color--200);\n}\n:where(.pf-theme-dark) .pf-c-input-group > * + * {\n  margin-left: 0;\n  border-left: 1px solid var(--pf-global--palette--black-700);\n}\n:where(.pf-theme-dark) .pf-c-input-group__text {\n  --pf-c-input-group__text--BorderTopColor: transparent;\n  --pf-c-input-group__text--BorderRightColor: transparent;\n  --pf-c-input-group__text--BorderBottomColor: var(--pf-global--BorderColor--400);\n  --pf-c-input-group__text--BorderLeftColor: transparent;\n}\n:where(.pf-theme-dark) .pf-c-input-group__text.pf-m-plain {\n  --pf-c-input-group__text--BackgroundColor: transparent;\n}\n:where(.pf-theme-dark) .pf-c-input-group__text.pf-m-disabled {\n  --pf-c-input-group__text--BackgroundColor: var(--pf-c-input-group__text--m-disabled--BackgroundColor);\n  color: var(--pf-c-input-group__text--m-disabled--Color);\n}";

// src/flow/components/ak-flow-password-input.ts
var Visibility = {
  Reveal: {
    icon: "fa-eye",
    label: msg("Show password")
  },
  Mask: {
    icon: "fa-eye-slash",
    label: msg("Hide password")
  }
};
var InputPassword = class extends AKElement {
  constructor() {
    super(...arguments);
    this.inputId = "ak-stage-password-input";
    this.name = "password";
    this.label = msg("Password");
    this.placeholder = msg("Please enter your password");
    this.initialValue = "";
    this.errors = {};
    this.allowShowPassword = false;
    this.passwordVisible = false;
    this.grabFocus = false;
    //#endregion
    //#region Refs
    this.inputRef = ii();
    this.toggleVisibilityRef = ii();
    this.capsLock = false;
  }
  static get styles() {
    return [patternfly_base_default, input_group_default, form_control_default, button_default];
  }
  togglePasswordVisibility(event) {
    event?.stopPropagation();
    event?.preventDefault();
    const input = this.inputRef.value;
    if (!input) {
      console.warn("ak-flow-password-input: unable to identify input field");
      return;
    }
    input.type = input.type === "password" ? "text" : "password";
    this.syncVisibilityToggle(input);
  }
  capsLockListener(event) {
    this.capsLock = event.getModifierState("CapsLock");
  }
  /**
   * Periodically attempt to focus the input field until it is focused.
   *
   * This is some-what of a crude way to get autofocus, but in most cases
   * the `autofocus` attribute isn't enough, due to timing within shadow doms and such.
   */
  observeInputFocus() {
    if (!this.grabFocus) {
      return;
    }
    this.inputFocusIntervalID = setInterval(() => {
      const input = this.inputRef.value;
      if (!input) return;
      if (isActiveElement(input, document.activeElement)) {
        console.debug("authentik/stages/password: cleared focus observer");
        clearInterval(this.inputFocusIntervalID);
      }
      input.focus();
    }, 10);
    console.debug("authentik/stages/password: started focus observer");
  }
  connectedCallback() {
    super.connectedCallback();
    this.observeInputFocus();
    addEventListener("keydown", this.capsLockListener);
    addEventListener("keyup", this.capsLockListener);
  }
  disconnectedCallback() {
    if (this.inputFocusIntervalID) {
      clearInterval(this.inputFocusIntervalID);
    }
    super.disconnectedCallback();
    removeEventListener("keydown", this.capsLockListener);
    removeEventListener("keyup", this.capsLockListener);
  }
  //#endregion
  //#region Render
  /**
   * Create the render root for the password input.
   *
   * Must support both older browsers and shadyDom; we'll keep using this in-line,
   * but it'll still be in the scope of the parent element, not an independent shadowDOM.
   */
  createRenderRoot() {
    return this;
  }
  /**
   * Render the password visibility toggle button.
   *
   * In the unlikely event that we want to make "show password" the _default_ behavior,
   * this effect handler is broken out into its own method.
   *
   * The current behavior in the main {@linkcode render} method assumes the field is of type "password."
   *
   * To have this effect, er, take effect, call it in an {@linkcode updated} method.
   *
   * @param input The password field to render the visibility features for.
   */
  syncVisibilityToggle(input = this.inputRef.value) {
    if (!input) return;
    const toggleElement = this.toggleVisibilityRef.value;
    if (!toggleElement) return;
    const masked = input.type === "password";
    toggleElement.setAttribute(
      "aria-label",
      masked ? Visibility.Reveal.label : Visibility.Mask.label
    );
    const iconElement = toggleElement.querySelector("i");
    iconElement.classList.remove(Visibility.Mask.icon, Visibility.Reveal.icon);
    iconElement.classList.add(masked ? Visibility.Reveal.icon : Visibility.Mask.icon);
  }
  renderVisibilityToggle() {
    if (!this.allowShowPassword) return D;
    const { label, icon } = this.passwordVisible ? Visibility.Mask : Visibility.Reveal;
    return ke`<button
            ${Kt(this.toggleVisibilityRef)}
            aria-label=${label}
            @click=${this.togglePasswordVisibility}
            class="pf-c-button pf-m-control"
            type="button"
        >
            <i class="fas ${icon}" aria-hidden="true"></i>
        </button>`;
  }
  renderHelperText() {
    if (!this.capsLock) return D;
    return ke`<div
            class="pf-c-form__helper-text"
            id="helper-text-form-caps-lock-helper"
            aria-live="polite"
        >
            <div class="pf-c-helper-text">
                <div class="pf-c-helper-text__item pf-m-warning">
                    <span class="pf-c-helper-text__item-icon">
                        <i class="fas fa-fw fa-exclamation-triangle" aria-hidden="true"></i>
                    </span>

                    <span class="pf-c-helper-text__item-text">${msg("Caps Lock is enabled.")}</span>
                </div>
            </div>
        </div>`;
  }
  render() {
    return ke` <ak-form-element
            label="${this.label}"
            required
            class="pf-c-form__group"
            .errors=${this.errors}
        >
            <div class="pf-c-form__group-control">
                <div class="pf-c-input-group">
                    <input
                        type=${this.passwordVisible ? "text" : "password"}
                        id=${this.inputId}
                        name=${this.name}
                        placeholder=${this.placeholder}
                        autocomplete="current-password"
                        class="${Rt({
      "pf-c-form-control": true,
      "pf-m-icon": true,
      "pf-m-caps-lock": this.capsLock
    })}"
                        required
                        aria-invalid=${to(this.invalid)}
                        value=${this.initialValue}
                        ${Kt(this.inputRef)}
                    />

                    ${this.renderVisibilityToggle()}
                </div>

                ${this.renderHelperText()}
            </div>
        </ak-form-element>`;
  }
  //#endregion
};
__decorateClass([
  n({ type: String, attribute: "input-id" })
], InputPassword.prototype, "inputId", 2);
__decorateClass([
  n({ type: String })
], InputPassword.prototype, "name", 2);
__decorateClass([
  n({ type: String })
], InputPassword.prototype, "label", 2);
__decorateClass([
  n({ type: String })
], InputPassword.prototype, "placeholder", 2);
__decorateClass([
  n({ type: String, attribute: "prefill" })
], InputPassword.prototype, "initialValue", 2);
__decorateClass([
  n({ type: Object })
], InputPassword.prototype, "errors", 2);
__decorateClass([
  n({ type: String })
], InputPassword.prototype, "invalid", 2);
__decorateClass([
  n({ type: Boolean, attribute: "allow-show-password" })
], InputPassword.prototype, "allowShowPassword", 2);
__decorateClass([
  n({ type: Boolean, attribute: "password-visible" })
], InputPassword.prototype, "passwordVisible", 2);
__decorateClass([
  n({ type: Boolean, attribute: "grab-focus" })
], InputPassword.prototype, "grabFocus", 2);
__decorateClass([
  r()
], InputPassword.prototype, "capsLock", 2);
__decorateClass([
  bound
], InputPassword.prototype, "togglePasswordVisibility", 1);
__decorateClass([
  bound
], InputPassword.prototype, "capsLockListener", 1);
InputPassword = __decorateClass([
  t("ak-flow-input-password")
], InputPassword);

// src/flow/stages/identification/IdentificationStage.ts
var PasswordManagerPrefill = {
  password: void 0,
  totp: void 0
};
var OR_LIST_FORMATTERS = new Intl.ListFormat("default", {
  style: "short",
  type: "disjunction"
});
var IdentificationStage = class extends BaseStage {
  constructor() {
    super(...arguments);
    this.captchaToken = "";
    this.captchaRefreshedAt = /* @__PURE__ */ new Date();
  }
  static get styles() {
    return [
      patternfly_base_default,
      alert_default,
      input_group_default,
      login_default,
      form_default,
      form_control_default,
      title_default,
      button_default,
      /* login page's icons */
      i`
                .pf-c-login__main-footer-links-item button {
                    background-color: transparent;
                    border: 0;
                    display: flex;
                    align-items: stretch;
                }
                .pf-c-login__main-footer-links-item img {
                    fill: var(--pf-c-login__main-footer-links-item-link-svg--Fill);
                    width: 100px;
                    max-width: var(--pf-c-login__main-footer-links-item-link-svg--Width);
                    height: 100%;
                    max-height: var(--pf-c-login__main-footer-links-item-link-svg--Height);
                }
            `
    ];
  }
  updated(changedProperties) {
    if (changedProperties.has("challenge") && this.challenge !== void 0) {
      this.autoRedirect();
      this.createHelperForm();
    }
  }
  autoRedirect() {
    if (!this.challenge) return;
    if (this.challenge.sources?.length !== 1) return;
    if ((this.challenge.userFields || []).length !== 0) return;
    if (this.challenge.passwordlessUrl) return;
    const source = this.challenge.sources[0];
    this.host.challenge = source.challenge;
  }
  createHelperForm() {
    const compatMode = "ShadyDOM" in window;
    this.form = document.createElement("form");
    document.documentElement.appendChild(this.form);
    if (!compatMode) {
      const username = document.createElement("input");
      username.setAttribute("type", "text");
      username.setAttribute("name", "username");
      username.setAttribute("autocomplete", "username");
      username.onkeyup = (ev) => {
        const el = ev.target;
        (this.shadowRoot || this).querySelectorAll("input[name=uidField]").forEach((input) => {
          input.value = el.value;
          input.focus();
        });
      };
      this.form.appendChild(username);
    }
    if (!compatMode && !this.challenge.passwordFields) {
      const password = document.createElement("input");
      password.setAttribute("type", "password");
      password.setAttribute("name", "password");
      password.setAttribute("autocomplete", "current-password");
      password.onkeyup = (ev) => {
        if (ev.key == "Enter") {
          this.submitForm(ev);
        }
        const el = ev.target;
        PasswordManagerPrefill.password = el.value;
        (this.shadowRoot || this).querySelectorAll("input[name=uidField]").forEach((input) => {
          input.focus();
        });
      };
      this.form.appendChild(password);
    }
    const totp = document.createElement("input");
    totp.setAttribute("type", "text");
    totp.setAttribute("name", "code");
    totp.setAttribute("autocomplete", "one-time-code");
    totp.onkeyup = (ev) => {
      if (ev.key == "Enter") {
        this.submitForm(ev);
      }
      const el = ev.target;
      PasswordManagerPrefill.totp = el.value;
      (this.shadowRoot || this).querySelectorAll("input[name=uidField]").forEach((input) => {
        input.focus();
      });
    };
    this.form.appendChild(totp);
  }
  onSubmitSuccess() {
    if (this.form) {
      this.form.remove();
    }
  }
  onSubmitFailure() {
    this.captchaRefreshedAt = /* @__PURE__ */ new Date();
  }
  renderSource(source) {
    const icon = renderSourceIcon(source.name, source.iconUrl);
    return ke`<li class="pf-c-login__main-footer-links-item">
            <button
                type="button"
                @click=${() => {
      if (!this.host) return;
      this.host.challenge = source.challenge;
    }}
                class=${this.challenge.showSourceLabels ? "pf-c-button pf-m-link" : ""}
            >
                <span class="pf-c-button__icon pf-m-start">${icon}</span>
                ${this.challenge.showSourceLabels ? source.name : ""}
            </button>
        </li>`;
  }
  renderFooter() {
    if (!this.challenge?.enrollUrl && !this.challenge?.recoveryUrl) {
      return D;
    }
    return ke`<div class="pf-c-login__main-footer-band">
            ${this.challenge.enrollUrl ? ke`<p class="pf-c-login__main-footer-band-item">
                      ${msg("Need an account?")}
                      <a id="enroll" href="${this.challenge.enrollUrl}">${msg("Sign up.")}</a>
                  </p>` : D}
            ${this.challenge.recoveryUrl ? ke`<p class="pf-c-login__main-footer-band-item">
                      <a id="recovery" href="${this.challenge.recoveryUrl}"
                          >${msg("Forgot username or password?")}</a
                      >
                  </p>` : D}
        </div>`;
  }
  renderInput() {
    let type = "text";
    if (!this.challenge?.userFields || this.challenge.userFields.length === 0) {
      return ke`<p>${msg("Select one of the options below to continue.")}</p>`;
    }
    const fields = (this.challenge?.userFields || []).sort();
    if (fields.includes(UserFieldsEnum.Email) && fields.length === 1) {
      type = "email";
    }
    const uiFields = {
      [UserFieldsEnum.Username]: msg("Username"),
      [UserFieldsEnum.Email]: msg("Email"),
      [UserFieldsEnum.Upn]: msg("UPN")
    };
    const label = OR_LIST_FORMATTERS.format(fields.map((f) => uiFields[f]));
    return ke`${this.challenge.flowDesignation === FlowDesignationEnum.Recovery ? ke`
                      <p>
                          ${msg(
      "Enter the email associated with your account, and we'll send you a link to reset your password."
    )}
                      </p>
                  ` : D}
            <ak-form-element
                label=${label}
                required
                class="pf-c-form__group"
                .errors=${(this.challenge.responseErrors || {})["uid_field"]}
            >
                <input
                    type=${type}
                    name="uidField"
                    placeholder=${label}
                    autofocus=""
                    autocomplete="username"
                    spellcheck="false"
                    class="pf-c-form-control"
                    required
                />
            </ak-form-element>
            ${this.challenge.passwordFields ? ke`
                      <ak-flow-input-password
                          label=${msg("Password")}
                          inputId="ak-stage-identification-password"
                          required
                          class="pf-c-form__group"
                          .errors=${(this.challenge?.responseErrors || {})["password"]}
                          ?allow-show-password=${this.challenge.allowShowPassword}
                          prefill=${PasswordManagerPrefill["password"] ?? ""}
                      ></ak-flow-input-password>
                  ` : D}
            ${this.renderNonFieldErrors()}
            ${this.challenge.captchaStage ? ke`
                      <input name="captchaToken" type="hidden" .value="${this.captchaToken}" />
                      <ak-stage-captcha
                          .challenge=${this.challenge.captchaStage}
                          .onTokenChange=${(token) => {
      this.captchaToken = token;
    }}
                          .refreshedAt=${this.captchaRefreshedAt}
                          embedded
                      ></ak-stage-captcha>
                  ` : D}
            <div class="pf-c-form__group pf-m-action">
                <button type="submit" class="pf-c-button pf-m-primary pf-m-block">
                    ${this.challenge.primaryAction}
                </button>
            </div>
            ${this.challenge.passwordlessUrl ? ke`<ak-divider>${msg("Or")}</ak-divider>` : D}`;
  }
  render() {
    if (!this.challenge) {
      return ke`<ak-empty-state loading> </ak-empty-state>`;
    }
    return ke`<header class="pf-c-login__main-header">
                <h1 class="pf-c-title pf-m-3xl">${this.challenge.flowInfo?.title}</h1>
            </header>
            <div class="pf-c-login__main-body">
                <form
                    class="pf-c-form"
                    @submit=${(e2) => {
      this.submitForm(e2);
    }}
                >
                    ${this.challenge.applicationPre ? ke`<p>
                              ${msg(str`Login to continue to ${this.challenge.applicationPre}.`)}
                          </p>` : D}
                    ${this.renderInput()}
                    ${this.challenge.passwordlessUrl ? ke`
                              <div>
                                  <a
                                      href=${this.challenge.passwordlessUrl}
                                      class="pf-c-button pf-m-secondary pf-m-block"
                                  >
                                      ${msg("Use a security key")}
                                  </a>
                              </div>
                          ` : D}
                </form>
            </div>
            <footer class="pf-c-login__main-footer">
                <ul class="pf-c-login__main-footer-links">
                    ${(this.challenge.sources || []).map((source) => {
      return this.renderSource(source);
    })}
                </ul>
                ${this.renderFooter()}
            </footer>`;
  }
};
__decorateClass([
  r()
], IdentificationStage.prototype, "captchaToken", 2);
__decorateClass([
  r()
], IdentificationStage.prototype, "captchaRefreshedAt", 2);
IdentificationStage = __decorateClass([
  t("ak-stage-identification")
], IdentificationStage);

export {
  input_group_default,
  PasswordManagerPrefill,
  OR_LIST_FORMATTERS,
  IdentificationStage
};
/*! Bundled license information:

lit-html/directives/class-map.js:
  (**
   * @license
   * Copyright 2018 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)

lit-html/directives/ref.js:
  (**
   * @license
   * Copyright 2020 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*/
//# sourceMappingURL=chunk-YXXWQLM7.js.map
