import {
  UserSettingFromJSON
} from "./chunk-QIFCLRRP.js";
import {
  SAMLMetadataFromJSON,
  SyncStatusFromJSON
} from "./chunk-AMLNCECL.js";
import {
  RedirectChallengeFromJSON
} from "./chunk-SRK74APZ.js";
import {
  BaseAPI,
  DigestAlgorithmEnumFromJSON,
  DigestAlgorithmEnumToJSON,
  FilePathRequestToJSON,
  GroupMemberFromJSON,
  JSONApiResponse,
  PaginationFromJSON,
  PolicyEngineModeFromJSON,
  PolicyEngineModeToJSON,
  RequiredError,
  SignatureAlgorithmEnumFromJSON,
  SignatureAlgorithmEnumToJSON,
  SystemTaskFromJSON,
  TokenFromJSON,
  TypeCreateFromJSON,
  UsedByFromJSON,
  UserGroupFromJSON,
  VoidApiResponse,
  canConsumeForm
} from "./chunk-MKGIUSP2.js";

// node_modules/@goauthentik/api/dist/esm/models/BindingTypeEnum.js
var BindingTypeEnum = {
  Redirect: "REDIRECT",
  Post: "POST",
  PostAuto: "POST_AUTO",
  UnknownDefaultOpenApi: "11184809"
};
function BindingTypeEnumFromJSON(json) {
  return BindingTypeEnumFromJSONTyped(json, false);
}
function BindingTypeEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function BindingTypeEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/UserMatchingModeEnum.js
var UserMatchingModeEnum = {
  Identifier: "identifier",
  EmailLink: "email_link",
  EmailDeny: "email_deny",
  UsernameLink: "username_link",
  UsernameDeny: "username_deny",
  UnknownDefaultOpenApi: "11184809"
};
function UserMatchingModeEnumFromJSON(json) {
  return UserMatchingModeEnumFromJSONTyped(json, false);
}
function UserMatchingModeEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function UserMatchingModeEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/Source.js
function SourceFromJSON(json) {
  return SourceFromJSONTyped(json, false);
}
function SourceFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "slug": json["slug"],
    "enabled": json["enabled"] == null ? void 0 : json["enabled"],
    "authenticationFlow": json["authentication_flow"] == null ? void 0 : json["authentication_flow"],
    "enrollmentFlow": json["enrollment_flow"] == null ? void 0 : json["enrollment_flow"],
    "userPropertyMappings": json["user_property_mappings"] == null ? void 0 : json["user_property_mappings"],
    "groupPropertyMappings": json["group_property_mappings"] == null ? void 0 : json["group_property_mappings"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "policyEngineMode": json["policy_engine_mode"] == null ? void 0 : PolicyEngineModeFromJSON(json["policy_engine_mode"]),
    "userMatchingMode": json["user_matching_mode"] == null ? void 0 : UserMatchingModeEnumFromJSON(json["user_matching_mode"]),
    "managed": json["managed"],
    "userPathTemplate": json["user_path_template"] == null ? void 0 : json["user_path_template"],
    "icon": json["icon"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/GroupKerberosSourceConnection.js
function GroupKerberosSourceConnectionFromJSON(json) {
  return GroupKerberosSourceConnectionFromJSONTyped(json, false);
}
function GroupKerberosSourceConnectionFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "group": json["group"],
    "source": json["source"],
    "sourceObj": SourceFromJSON(json["source_obj"]),
    "identifier": json["identifier"],
    "created": new Date(json["created"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/GroupKerberosSourceConnectionRequest.js
function GroupKerberosSourceConnectionRequestToJSON(json) {
  return GroupKerberosSourceConnectionRequestToJSONTyped(json, false);
}
function GroupKerberosSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "group": value["group"],
    "source": value["source"],
    "identifier": value["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/GroupMatchingModeEnum.js
var GroupMatchingModeEnum = {
  Identifier: "identifier",
  NameLink: "name_link",
  NameDeny: "name_deny",
  UnknownDefaultOpenApi: "11184809"
};
function GroupMatchingModeEnumFromJSON(json) {
  return GroupMatchingModeEnumFromJSONTyped(json, false);
}
function GroupMatchingModeEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function GroupMatchingModeEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/GroupOAuthSourceConnection.js
function GroupOAuthSourceConnectionFromJSON(json) {
  return GroupOAuthSourceConnectionFromJSONTyped(json, false);
}
function GroupOAuthSourceConnectionFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "group": json["group"],
    "source": json["source"],
    "sourceObj": SourceFromJSON(json["source_obj"]),
    "identifier": json["identifier"],
    "created": new Date(json["created"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/GroupOAuthSourceConnectionRequest.js
function GroupOAuthSourceConnectionRequestToJSON(json) {
  return GroupOAuthSourceConnectionRequestToJSONTyped(json, false);
}
function GroupOAuthSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "group": value["group"],
    "source": value["source"],
    "identifier": value["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/GroupPlexSourceConnection.js
function GroupPlexSourceConnectionFromJSON(json) {
  return GroupPlexSourceConnectionFromJSONTyped(json, false);
}
function GroupPlexSourceConnectionFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "group": json["group"],
    "source": json["source"],
    "sourceObj": SourceFromJSON(json["source_obj"]),
    "identifier": json["identifier"],
    "created": new Date(json["created"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/GroupPlexSourceConnectionRequest.js
function GroupPlexSourceConnectionRequestToJSON(json) {
  return GroupPlexSourceConnectionRequestToJSONTyped(json, false);
}
function GroupPlexSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "group": value["group"],
    "source": value["source"],
    "identifier": value["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/GroupSAMLSourceConnection.js
function GroupSAMLSourceConnectionFromJSON(json) {
  return GroupSAMLSourceConnectionFromJSONTyped(json, false);
}
function GroupSAMLSourceConnectionFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "group": json["group"],
    "source": json["source"],
    "sourceObj": SourceFromJSON(json["source_obj"]),
    "identifier": json["identifier"],
    "created": new Date(json["created"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/GroupSAMLSourceConnectionRequest.js
function GroupSAMLSourceConnectionRequestToJSON(json) {
  return GroupSAMLSourceConnectionRequestToJSONTyped(json, false);
}
function GroupSAMLSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "group": value["group"],
    "source": value["source"],
    "identifier": value["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/KadminTypeEnum.js
var KadminTypeEnum = {
  Mit: "MIT",
  Heimdal: "Heimdal",
  Other: "other",
  UnknownDefaultOpenApi: "11184809"
};
function KadminTypeEnumFromJSON(json) {
  return KadminTypeEnumFromJSONTyped(json, false);
}
function KadminTypeEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function KadminTypeEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/KerberosSource.js
function KerberosSourceFromJSON(json) {
  return KerberosSourceFromJSONTyped(json, false);
}
function KerberosSourceFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "slug": json["slug"],
    "enabled": json["enabled"] == null ? void 0 : json["enabled"],
    "authenticationFlow": json["authentication_flow"] == null ? void 0 : json["authentication_flow"],
    "enrollmentFlow": json["enrollment_flow"] == null ? void 0 : json["enrollment_flow"],
    "userPropertyMappings": json["user_property_mappings"] == null ? void 0 : json["user_property_mappings"],
    "groupPropertyMappings": json["group_property_mappings"] == null ? void 0 : json["group_property_mappings"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "policyEngineMode": json["policy_engine_mode"] == null ? void 0 : PolicyEngineModeFromJSON(json["policy_engine_mode"]),
    "userMatchingMode": json["user_matching_mode"] == null ? void 0 : UserMatchingModeEnumFromJSON(json["user_matching_mode"]),
    "managed": json["managed"],
    "userPathTemplate": json["user_path_template"] == null ? void 0 : json["user_path_template"],
    "icon": json["icon"],
    "groupMatchingMode": json["group_matching_mode"] == null ? void 0 : GroupMatchingModeEnumFromJSON(json["group_matching_mode"]),
    "realm": json["realm"],
    "krb5Conf": json["krb5_conf"] == null ? void 0 : json["krb5_conf"],
    "kadminType": json["kadmin_type"] == null ? void 0 : KadminTypeEnumFromJSON(json["kadmin_type"]),
    "syncUsers": json["sync_users"] == null ? void 0 : json["sync_users"],
    "syncUsersPassword": json["sync_users_password"] == null ? void 0 : json["sync_users_password"],
    "syncPrincipal": json["sync_principal"] == null ? void 0 : json["sync_principal"],
    "syncCcache": json["sync_ccache"] == null ? void 0 : json["sync_ccache"],
    "connectivity": json["connectivity"],
    "spnegoServerName": json["spnego_server_name"] == null ? void 0 : json["spnego_server_name"],
    "spnegoCcache": json["spnego_ccache"] == null ? void 0 : json["spnego_ccache"],
    "passwordLoginUpdateInternalPassword": json["password_login_update_internal_password"] == null ? void 0 : json["password_login_update_internal_password"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/KerberosSourceRequest.js
function KerberosSourceRequestToJSON(json) {
  return KerberosSourceRequestToJSONTyped(json, false);
}
function KerberosSourceRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "enabled": value["enabled"],
    "authentication_flow": value["authenticationFlow"],
    "enrollment_flow": value["enrollmentFlow"],
    "user_property_mappings": value["userPropertyMappings"],
    "group_property_mappings": value["groupPropertyMappings"],
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "user_matching_mode": UserMatchingModeEnumToJSON(value["userMatchingMode"]),
    "user_path_template": value["userPathTemplate"],
    "group_matching_mode": GroupMatchingModeEnumToJSON(value["groupMatchingMode"]),
    "realm": value["realm"],
    "krb5_conf": value["krb5Conf"],
    "kadmin_type": KadminTypeEnumToJSON(value["kadminType"]),
    "sync_users": value["syncUsers"],
    "sync_users_password": value["syncUsersPassword"],
    "sync_principal": value["syncPrincipal"],
    "sync_password": value["syncPassword"],
    "sync_keytab": value["syncKeytab"],
    "sync_ccache": value["syncCcache"],
    "spnego_server_name": value["spnegoServerName"],
    "spnego_keytab": value["spnegoKeytab"],
    "spnego_ccache": value["spnegoCcache"],
    "password_login_update_internal_password": value["passwordLoginUpdateInternalPassword"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/KerberosSyncStatus.js
function KerberosSyncStatusFromJSON(json) {
  return KerberosSyncStatusFromJSONTyped(json, false);
}
function KerberosSyncStatusFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "isRunning": json["is_running"],
    "tasks": json["tasks"].map(SystemTaskFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/LDAPDebug.js
function LDAPDebugFromJSON(json) {
  return LDAPDebugFromJSONTyped(json, false);
}
function LDAPDebugFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "user": json["user"],
    "group": json["group"],
    "membership": json["membership"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/LDAPSource.js
function LDAPSourceFromJSON(json) {
  return LDAPSourceFromJSONTyped(json, false);
}
function LDAPSourceFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "slug": json["slug"],
    "enabled": json["enabled"] == null ? void 0 : json["enabled"],
    "authenticationFlow": json["authentication_flow"] == null ? void 0 : json["authentication_flow"],
    "enrollmentFlow": json["enrollment_flow"] == null ? void 0 : json["enrollment_flow"],
    "userPropertyMappings": json["user_property_mappings"] == null ? void 0 : json["user_property_mappings"],
    "groupPropertyMappings": json["group_property_mappings"] == null ? void 0 : json["group_property_mappings"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "policyEngineMode": json["policy_engine_mode"] == null ? void 0 : PolicyEngineModeFromJSON(json["policy_engine_mode"]),
    "userMatchingMode": json["user_matching_mode"] == null ? void 0 : UserMatchingModeEnumFromJSON(json["user_matching_mode"]),
    "managed": json["managed"],
    "userPathTemplate": json["user_path_template"] == null ? void 0 : json["user_path_template"],
    "icon": json["icon"],
    "serverUri": json["server_uri"],
    "peerCertificate": json["peer_certificate"] == null ? void 0 : json["peer_certificate"],
    "clientCertificate": json["client_certificate"] == null ? void 0 : json["client_certificate"],
    "bindCn": json["bind_cn"] == null ? void 0 : json["bind_cn"],
    "startTls": json["start_tls"] == null ? void 0 : json["start_tls"],
    "sni": json["sni"] == null ? void 0 : json["sni"],
    "baseDn": json["base_dn"],
    "additionalUserDn": json["additional_user_dn"] == null ? void 0 : json["additional_user_dn"],
    "additionalGroupDn": json["additional_group_dn"] == null ? void 0 : json["additional_group_dn"],
    "userObjectFilter": json["user_object_filter"] == null ? void 0 : json["user_object_filter"],
    "groupObjectFilter": json["group_object_filter"] == null ? void 0 : json["group_object_filter"],
    "groupMembershipField": json["group_membership_field"] == null ? void 0 : json["group_membership_field"],
    "objectUniquenessField": json["object_uniqueness_field"] == null ? void 0 : json["object_uniqueness_field"],
    "passwordLoginUpdateInternalPassword": json["password_login_update_internal_password"] == null ? void 0 : json["password_login_update_internal_password"],
    "syncUsers": json["sync_users"] == null ? void 0 : json["sync_users"],
    "syncUsersPassword": json["sync_users_password"] == null ? void 0 : json["sync_users_password"],
    "syncGroups": json["sync_groups"] == null ? void 0 : json["sync_groups"],
    "syncParentGroup": json["sync_parent_group"] == null ? void 0 : json["sync_parent_group"],
    "connectivity": json["connectivity"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/LDAPSourceRequest.js
function LDAPSourceRequestToJSON(json) {
  return LDAPSourceRequestToJSONTyped(json, false);
}
function LDAPSourceRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "enabled": value["enabled"],
    "authentication_flow": value["authenticationFlow"],
    "enrollment_flow": value["enrollmentFlow"],
    "user_property_mappings": value["userPropertyMappings"],
    "group_property_mappings": value["groupPropertyMappings"],
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "user_matching_mode": UserMatchingModeEnumToJSON(value["userMatchingMode"]),
    "user_path_template": value["userPathTemplate"],
    "server_uri": value["serverUri"],
    "peer_certificate": value["peerCertificate"],
    "client_certificate": value["clientCertificate"],
    "bind_cn": value["bindCn"],
    "bind_password": value["bindPassword"],
    "start_tls": value["startTls"],
    "sni": value["sni"],
    "base_dn": value["baseDn"],
    "additional_user_dn": value["additionalUserDn"],
    "additional_group_dn": value["additionalGroupDn"],
    "user_object_filter": value["userObjectFilter"],
    "group_object_filter": value["groupObjectFilter"],
    "group_membership_field": value["groupMembershipField"],
    "object_uniqueness_field": value["objectUniquenessField"],
    "password_login_update_internal_password": value["passwordLoginUpdateInternalPassword"],
    "sync_users": value["syncUsers"],
    "sync_users_password": value["syncUsersPassword"],
    "sync_groups": value["syncGroups"],
    "sync_parent_group": value["syncParentGroup"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/NameIdPolicyEnum.js
var NameIdPolicyEnum = {
  UrnOasisNamesTcSaml11NameidFormatEmailAddress: "urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress",
  UrnOasisNamesTcSaml20NameidFormatPersistent: "urn:oasis:names:tc:SAML:2.0:nameid-format:persistent",
  UrnOasisNamesTcSaml11NameidFormatX509SubjectName: "urn:oasis:names:tc:SAML:1.1:nameid-format:X509SubjectName",
  UrnOasisNamesTcSaml20NameidFormatWindowsDomainQualifiedName: "urn:oasis:names:tc:SAML:2.0:nameid-format:WindowsDomainQualifiedName",
  UrnOasisNamesTcSaml20NameidFormatTransient: "urn:oasis:names:tc:SAML:2.0:nameid-format:transient",
  UnknownDefaultOpenApi: "11184809"
};
function NameIdPolicyEnumFromJSON(json) {
  return NameIdPolicyEnumFromJSONTyped(json, false);
}
function NameIdPolicyEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function NameIdPolicyEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/SourceType.js
function SourceTypeFromJSON(json) {
  return SourceTypeFromJSONTyped(json, false);
}
function SourceTypeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "name": json["name"],
    "verboseName": json["verbose_name"],
    "urlsCustomizable": json["urls_customizable"],
    "requestTokenUrl": json["request_token_url"],
    "authorizationUrl": json["authorization_url"],
    "accessTokenUrl": json["access_token_url"],
    "profileUrl": json["profile_url"],
    "oidcWellKnownUrl": json["oidc_well_known_url"],
    "oidcJwksUrl": json["oidc_jwks_url"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ProviderTypeEnum.js
var ProviderTypeEnum = {
  Apple: "apple",
  Openidconnect: "openidconnect",
  Azuread: "azuread",
  Discord: "discord",
  Facebook: "facebook",
  Github: "github",
  Gitlab: "gitlab",
  Google: "google",
  Mailcow: "mailcow",
  Okta: "okta",
  Patreon: "patreon",
  Reddit: "reddit",
  Twitch: "twitch",
  Twitter: "twitter",
  UnknownDefaultOpenApi: "11184809"
};
function ProviderTypeEnumFromJSON(json) {
  return ProviderTypeEnumFromJSONTyped(json, false);
}
function ProviderTypeEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function ProviderTypeEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/OAuthSource.js
function OAuthSourceFromJSON(json) {
  return OAuthSourceFromJSONTyped(json, false);
}
function OAuthSourceFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "slug": json["slug"],
    "enabled": json["enabled"] == null ? void 0 : json["enabled"],
    "authenticationFlow": json["authentication_flow"] == null ? void 0 : json["authentication_flow"],
    "enrollmentFlow": json["enrollment_flow"] == null ? void 0 : json["enrollment_flow"],
    "userPropertyMappings": json["user_property_mappings"] == null ? void 0 : json["user_property_mappings"],
    "groupPropertyMappings": json["group_property_mappings"] == null ? void 0 : json["group_property_mappings"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "policyEngineMode": json["policy_engine_mode"] == null ? void 0 : PolicyEngineModeFromJSON(json["policy_engine_mode"]),
    "userMatchingMode": json["user_matching_mode"] == null ? void 0 : UserMatchingModeEnumFromJSON(json["user_matching_mode"]),
    "managed": json["managed"],
    "userPathTemplate": json["user_path_template"] == null ? void 0 : json["user_path_template"],
    "icon": json["icon"],
    "groupMatchingMode": json["group_matching_mode"] == null ? void 0 : GroupMatchingModeEnumFromJSON(json["group_matching_mode"]),
    "providerType": ProviderTypeEnumFromJSON(json["provider_type"]),
    "requestTokenUrl": json["request_token_url"] == null ? void 0 : json["request_token_url"],
    "authorizationUrl": json["authorization_url"] == null ? void 0 : json["authorization_url"],
    "accessTokenUrl": json["access_token_url"] == null ? void 0 : json["access_token_url"],
    "profileUrl": json["profile_url"] == null ? void 0 : json["profile_url"],
    "consumerKey": json["consumer_key"],
    "callbackUrl": json["callback_url"],
    "additionalScopes": json["additional_scopes"] == null ? void 0 : json["additional_scopes"],
    "type": SourceTypeFromJSON(json["type"]),
    "oidcWellKnownUrl": json["oidc_well_known_url"] == null ? void 0 : json["oidc_well_known_url"],
    "oidcJwksUrl": json["oidc_jwks_url"] == null ? void 0 : json["oidc_jwks_url"],
    "oidcJwks": json["oidc_jwks"] == null ? void 0 : json["oidc_jwks"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/OAuthSourceRequest.js
function OAuthSourceRequestToJSON(json) {
  return OAuthSourceRequestToJSONTyped(json, false);
}
function OAuthSourceRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "enabled": value["enabled"],
    "authentication_flow": value["authenticationFlow"],
    "enrollment_flow": value["enrollmentFlow"],
    "user_property_mappings": value["userPropertyMappings"],
    "group_property_mappings": value["groupPropertyMappings"],
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "user_matching_mode": UserMatchingModeEnumToJSON(value["userMatchingMode"]),
    "user_path_template": value["userPathTemplate"],
    "group_matching_mode": GroupMatchingModeEnumToJSON(value["groupMatchingMode"]),
    "provider_type": ProviderTypeEnumToJSON(value["providerType"]),
    "request_token_url": value["requestTokenUrl"],
    "authorization_url": value["authorizationUrl"],
    "access_token_url": value["accessTokenUrl"],
    "profile_url": value["profileUrl"],
    "consumer_key": value["consumerKey"],
    "consumer_secret": value["consumerSecret"],
    "additional_scopes": value["additionalScopes"],
    "oidc_well_known_url": value["oidcWellKnownUrl"],
    "oidc_jwks_url": value["oidcJwksUrl"],
    "oidc_jwks": value["oidcJwks"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedGroupKerberosSourceConnectionList.js
function PaginatedGroupKerberosSourceConnectionListFromJSON(json) {
  return PaginatedGroupKerberosSourceConnectionListFromJSONTyped(json, false);
}
function PaginatedGroupKerberosSourceConnectionListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(GroupKerberosSourceConnectionFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedGroupOAuthSourceConnectionList.js
function PaginatedGroupOAuthSourceConnectionListFromJSON(json) {
  return PaginatedGroupOAuthSourceConnectionListFromJSONTyped(json, false);
}
function PaginatedGroupOAuthSourceConnectionListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(GroupOAuthSourceConnectionFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedGroupPlexSourceConnectionList.js
function PaginatedGroupPlexSourceConnectionListFromJSON(json) {
  return PaginatedGroupPlexSourceConnectionListFromJSONTyped(json, false);
}
function PaginatedGroupPlexSourceConnectionListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(GroupPlexSourceConnectionFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedGroupSAMLSourceConnectionList.js
function PaginatedGroupSAMLSourceConnectionListFromJSON(json) {
  return PaginatedGroupSAMLSourceConnectionListFromJSONTyped(json, false);
}
function PaginatedGroupSAMLSourceConnectionListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(GroupSAMLSourceConnectionFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedKerberosSourceList.js
function PaginatedKerberosSourceListFromJSON(json) {
  return PaginatedKerberosSourceListFromJSONTyped(json, false);
}
function PaginatedKerberosSourceListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(KerberosSourceFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedLDAPSourceList.js
function PaginatedLDAPSourceListFromJSON(json) {
  return PaginatedLDAPSourceListFromJSONTyped(json, false);
}
function PaginatedLDAPSourceListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(LDAPSourceFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedOAuthSourceList.js
function PaginatedOAuthSourceListFromJSON(json) {
  return PaginatedOAuthSourceListFromJSONTyped(json, false);
}
function PaginatedOAuthSourceListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(OAuthSourceFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PlexSource.js
function PlexSourceFromJSON(json) {
  return PlexSourceFromJSONTyped(json, false);
}
function PlexSourceFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "slug": json["slug"],
    "enabled": json["enabled"] == null ? void 0 : json["enabled"],
    "authenticationFlow": json["authentication_flow"] == null ? void 0 : json["authentication_flow"],
    "enrollmentFlow": json["enrollment_flow"] == null ? void 0 : json["enrollment_flow"],
    "userPropertyMappings": json["user_property_mappings"] == null ? void 0 : json["user_property_mappings"],
    "groupPropertyMappings": json["group_property_mappings"] == null ? void 0 : json["group_property_mappings"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "policyEngineMode": json["policy_engine_mode"] == null ? void 0 : PolicyEngineModeFromJSON(json["policy_engine_mode"]),
    "userMatchingMode": json["user_matching_mode"] == null ? void 0 : UserMatchingModeEnumFromJSON(json["user_matching_mode"]),
    "managed": json["managed"],
    "userPathTemplate": json["user_path_template"] == null ? void 0 : json["user_path_template"],
    "icon": json["icon"],
    "groupMatchingMode": json["group_matching_mode"] == null ? void 0 : GroupMatchingModeEnumFromJSON(json["group_matching_mode"]),
    "clientId": json["client_id"] == null ? void 0 : json["client_id"],
    "allowedServers": json["allowed_servers"] == null ? void 0 : json["allowed_servers"],
    "allowFriends": json["allow_friends"] == null ? void 0 : json["allow_friends"],
    "plexToken": json["plex_token"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedPlexSourceList.js
function PaginatedPlexSourceListFromJSON(json) {
  return PaginatedPlexSourceListFromJSONTyped(json, false);
}
function PaginatedPlexSourceListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(PlexSourceFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SAMLSource.js
function SAMLSourceFromJSON(json) {
  return SAMLSourceFromJSONTyped(json, false);
}
function SAMLSourceFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "slug": json["slug"],
    "enabled": json["enabled"] == null ? void 0 : json["enabled"],
    "authenticationFlow": json["authentication_flow"] == null ? void 0 : json["authentication_flow"],
    "enrollmentFlow": json["enrollment_flow"] == null ? void 0 : json["enrollment_flow"],
    "userPropertyMappings": json["user_property_mappings"] == null ? void 0 : json["user_property_mappings"],
    "groupPropertyMappings": json["group_property_mappings"] == null ? void 0 : json["group_property_mappings"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "policyEngineMode": json["policy_engine_mode"] == null ? void 0 : PolicyEngineModeFromJSON(json["policy_engine_mode"]),
    "userMatchingMode": json["user_matching_mode"] == null ? void 0 : UserMatchingModeEnumFromJSON(json["user_matching_mode"]),
    "managed": json["managed"],
    "userPathTemplate": json["user_path_template"] == null ? void 0 : json["user_path_template"],
    "icon": json["icon"],
    "groupMatchingMode": json["group_matching_mode"] == null ? void 0 : GroupMatchingModeEnumFromJSON(json["group_matching_mode"]),
    "preAuthenticationFlow": json["pre_authentication_flow"],
    "issuer": json["issuer"] == null ? void 0 : json["issuer"],
    "ssoUrl": json["sso_url"],
    "sloUrl": json["slo_url"] == null ? void 0 : json["slo_url"],
    "allowIdpInitiated": json["allow_idp_initiated"] == null ? void 0 : json["allow_idp_initiated"],
    "nameIdPolicy": json["name_id_policy"] == null ? void 0 : NameIdPolicyEnumFromJSON(json["name_id_policy"]),
    "bindingType": json["binding_type"] == null ? void 0 : BindingTypeEnumFromJSON(json["binding_type"]),
    "verificationKp": json["verification_kp"] == null ? void 0 : json["verification_kp"],
    "signingKp": json["signing_kp"] == null ? void 0 : json["signing_kp"],
    "digestAlgorithm": json["digest_algorithm"] == null ? void 0 : DigestAlgorithmEnumFromJSON(json["digest_algorithm"]),
    "signatureAlgorithm": json["signature_algorithm"] == null ? void 0 : SignatureAlgorithmEnumFromJSON(json["signature_algorithm"]),
    "temporaryUserDeleteAfter": json["temporary_user_delete_after"] == null ? void 0 : json["temporary_user_delete_after"],
    "encryptionKp": json["encryption_kp"] == null ? void 0 : json["encryption_kp"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedSAMLSourceList.js
function PaginatedSAMLSourceListFromJSON(json) {
  return PaginatedSAMLSourceListFromJSONTyped(json, false);
}
function PaginatedSAMLSourceListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(SAMLSourceFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SCIMSourceGroup.js
function SCIMSourceGroupFromJSON(json) {
  return SCIMSourceGroupFromJSONTyped(json, false);
}
function SCIMSourceGroupFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "id": json["id"],
    "group": json["group"],
    "groupObj": UserGroupFromJSON(json["group_obj"]),
    "source": json["source"],
    "attributes": json["attributes"] == null ? void 0 : json["attributes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedSCIMSourceGroupList.js
function PaginatedSCIMSourceGroupListFromJSON(json) {
  return PaginatedSCIMSourceGroupListFromJSONTyped(json, false);
}
function PaginatedSCIMSourceGroupListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(SCIMSourceGroupFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SCIMSource.js
function SCIMSourceFromJSON(json) {
  return SCIMSourceFromJSONTyped(json, false);
}
function SCIMSourceFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "slug": json["slug"],
    "enabled": json["enabled"] == null ? void 0 : json["enabled"],
    "userPropertyMappings": json["user_property_mappings"] == null ? void 0 : json["user_property_mappings"],
    "groupPropertyMappings": json["group_property_mappings"] == null ? void 0 : json["group_property_mappings"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "managed": json["managed"],
    "userPathTemplate": json["user_path_template"] == null ? void 0 : json["user_path_template"],
    "rootUrl": json["root_url"],
    "tokenObj": TokenFromJSON(json["token_obj"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedSCIMSourceList.js
function PaginatedSCIMSourceListFromJSON(json) {
  return PaginatedSCIMSourceListFromJSONTyped(json, false);
}
function PaginatedSCIMSourceListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(SCIMSourceFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SCIMSourceUser.js
function SCIMSourceUserFromJSON(json) {
  return SCIMSourceUserFromJSONTyped(json, false);
}
function SCIMSourceUserFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "id": json["id"],
    "user": json["user"],
    "userObj": GroupMemberFromJSON(json["user_obj"]),
    "source": json["source"],
    "attributes": json["attributes"] == null ? void 0 : json["attributes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedSCIMSourceUserList.js
function PaginatedSCIMSourceUserListFromJSON(json) {
  return PaginatedSCIMSourceUserListFromJSONTyped(json, false);
}
function PaginatedSCIMSourceUserListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(SCIMSourceUserFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedSourceList.js
function PaginatedSourceListFromJSON(json) {
  return PaginatedSourceListFromJSONTyped(json, false);
}
function PaginatedSourceListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(SourceFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserKerberosSourceConnection.js
function UserKerberosSourceConnectionFromJSON(json) {
  return UserKerberosSourceConnectionFromJSONTyped(json, false);
}
function UserKerberosSourceConnectionFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "user": json["user"],
    "source": json["source"],
    "sourceObj": SourceFromJSON(json["source_obj"]),
    "created": new Date(json["created"]),
    "identifier": json["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedUserKerberosSourceConnectionList.js
function PaginatedUserKerberosSourceConnectionListFromJSON(json) {
  return PaginatedUserKerberosSourceConnectionListFromJSONTyped(json, false);
}
function PaginatedUserKerberosSourceConnectionListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(UserKerberosSourceConnectionFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserOAuthSourceConnection.js
function UserOAuthSourceConnectionFromJSON(json) {
  return UserOAuthSourceConnectionFromJSONTyped(json, false);
}
function UserOAuthSourceConnectionFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "user": json["user"],
    "source": json["source"],
    "sourceObj": SourceFromJSON(json["source_obj"]),
    "created": new Date(json["created"]),
    "identifier": json["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedUserOAuthSourceConnectionList.js
function PaginatedUserOAuthSourceConnectionListFromJSON(json) {
  return PaginatedUserOAuthSourceConnectionListFromJSONTyped(json, false);
}
function PaginatedUserOAuthSourceConnectionListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(UserOAuthSourceConnectionFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserPlexSourceConnection.js
function UserPlexSourceConnectionFromJSON(json) {
  return UserPlexSourceConnectionFromJSONTyped(json, false);
}
function UserPlexSourceConnectionFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "user": json["user"],
    "source": json["source"],
    "sourceObj": SourceFromJSON(json["source_obj"]),
    "created": new Date(json["created"]),
    "identifier": json["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedUserPlexSourceConnectionList.js
function PaginatedUserPlexSourceConnectionListFromJSON(json) {
  return PaginatedUserPlexSourceConnectionListFromJSONTyped(json, false);
}
function PaginatedUserPlexSourceConnectionListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(UserPlexSourceConnectionFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserSAMLSourceConnection.js
function UserSAMLSourceConnectionFromJSON(json) {
  return UserSAMLSourceConnectionFromJSONTyped(json, false);
}
function UserSAMLSourceConnectionFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "user": json["user"],
    "source": json["source"],
    "sourceObj": SourceFromJSON(json["source_obj"]),
    "created": new Date(json["created"]),
    "identifier": json["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedUserSAMLSourceConnectionList.js
function PaginatedUserSAMLSourceConnectionListFromJSON(json) {
  return PaginatedUserSAMLSourceConnectionListFromJSONTyped(json, false);
}
function PaginatedUserSAMLSourceConnectionListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(UserSAMLSourceConnectionFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserSourceConnection.js
function UserSourceConnectionFromJSON(json) {
  return UserSourceConnectionFromJSONTyped(json, false);
}
function UserSourceConnectionFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "user": json["user"],
    "source": json["source"],
    "sourceObj": SourceFromJSON(json["source_obj"]),
    "created": new Date(json["created"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedUserSourceConnectionList.js
function PaginatedUserSourceConnectionListFromJSON(json) {
  return PaginatedUserSourceConnectionListFromJSONTyped(json, false);
}
function PaginatedUserSourceConnectionListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(UserSourceConnectionFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedGroupKerberosSourceConnectionRequest.js
function PatchedGroupKerberosSourceConnectionRequestToJSON(json) {
  return PatchedGroupKerberosSourceConnectionRequestToJSONTyped(json, false);
}
function PatchedGroupKerberosSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "group": value["group"],
    "source": value["source"],
    "identifier": value["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedGroupOAuthSourceConnectionRequest.js
function PatchedGroupOAuthSourceConnectionRequestToJSON(json) {
  return PatchedGroupOAuthSourceConnectionRequestToJSONTyped(json, false);
}
function PatchedGroupOAuthSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "group": value["group"],
    "source": value["source"],
    "identifier": value["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedGroupPlexSourceConnectionRequest.js
function PatchedGroupPlexSourceConnectionRequestToJSON(json) {
  return PatchedGroupPlexSourceConnectionRequestToJSONTyped(json, false);
}
function PatchedGroupPlexSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "group": value["group"],
    "source": value["source"],
    "identifier": value["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedGroupSAMLSourceConnectionRequest.js
function PatchedGroupSAMLSourceConnectionRequestToJSON(json) {
  return PatchedGroupSAMLSourceConnectionRequestToJSONTyped(json, false);
}
function PatchedGroupSAMLSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "group": value["group"],
    "source": value["source"],
    "identifier": value["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedKerberosSourceRequest.js
function PatchedKerberosSourceRequestToJSON(json) {
  return PatchedKerberosSourceRequestToJSONTyped(json, false);
}
function PatchedKerberosSourceRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "enabled": value["enabled"],
    "authentication_flow": value["authenticationFlow"],
    "enrollment_flow": value["enrollmentFlow"],
    "user_property_mappings": value["userPropertyMappings"],
    "group_property_mappings": value["groupPropertyMappings"],
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "user_matching_mode": UserMatchingModeEnumToJSON(value["userMatchingMode"]),
    "user_path_template": value["userPathTemplate"],
    "group_matching_mode": GroupMatchingModeEnumToJSON(value["groupMatchingMode"]),
    "realm": value["realm"],
    "krb5_conf": value["krb5Conf"],
    "kadmin_type": KadminTypeEnumToJSON(value["kadminType"]),
    "sync_users": value["syncUsers"],
    "sync_users_password": value["syncUsersPassword"],
    "sync_principal": value["syncPrincipal"],
    "sync_password": value["syncPassword"],
    "sync_keytab": value["syncKeytab"],
    "sync_ccache": value["syncCcache"],
    "spnego_server_name": value["spnegoServerName"],
    "spnego_keytab": value["spnegoKeytab"],
    "spnego_ccache": value["spnegoCcache"],
    "password_login_update_internal_password": value["passwordLoginUpdateInternalPassword"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedLDAPSourceRequest.js
function PatchedLDAPSourceRequestToJSON(json) {
  return PatchedLDAPSourceRequestToJSONTyped(json, false);
}
function PatchedLDAPSourceRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "enabled": value["enabled"],
    "authentication_flow": value["authenticationFlow"],
    "enrollment_flow": value["enrollmentFlow"],
    "user_property_mappings": value["userPropertyMappings"],
    "group_property_mappings": value["groupPropertyMappings"],
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "user_matching_mode": UserMatchingModeEnumToJSON(value["userMatchingMode"]),
    "user_path_template": value["userPathTemplate"],
    "server_uri": value["serverUri"],
    "peer_certificate": value["peerCertificate"],
    "client_certificate": value["clientCertificate"],
    "bind_cn": value["bindCn"],
    "bind_password": value["bindPassword"],
    "start_tls": value["startTls"],
    "sni": value["sni"],
    "base_dn": value["baseDn"],
    "additional_user_dn": value["additionalUserDn"],
    "additional_group_dn": value["additionalGroupDn"],
    "user_object_filter": value["userObjectFilter"],
    "group_object_filter": value["groupObjectFilter"],
    "group_membership_field": value["groupMembershipField"],
    "object_uniqueness_field": value["objectUniquenessField"],
    "password_login_update_internal_password": value["passwordLoginUpdateInternalPassword"],
    "sync_users": value["syncUsers"],
    "sync_users_password": value["syncUsersPassword"],
    "sync_groups": value["syncGroups"],
    "sync_parent_group": value["syncParentGroup"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedOAuthSourceRequest.js
function PatchedOAuthSourceRequestToJSON(json) {
  return PatchedOAuthSourceRequestToJSONTyped(json, false);
}
function PatchedOAuthSourceRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "enabled": value["enabled"],
    "authentication_flow": value["authenticationFlow"],
    "enrollment_flow": value["enrollmentFlow"],
    "user_property_mappings": value["userPropertyMappings"],
    "group_property_mappings": value["groupPropertyMappings"],
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "user_matching_mode": UserMatchingModeEnumToJSON(value["userMatchingMode"]),
    "user_path_template": value["userPathTemplate"],
    "group_matching_mode": GroupMatchingModeEnumToJSON(value["groupMatchingMode"]),
    "provider_type": ProviderTypeEnumToJSON(value["providerType"]),
    "request_token_url": value["requestTokenUrl"],
    "authorization_url": value["authorizationUrl"],
    "access_token_url": value["accessTokenUrl"],
    "profile_url": value["profileUrl"],
    "consumer_key": value["consumerKey"],
    "consumer_secret": value["consumerSecret"],
    "additional_scopes": value["additionalScopes"],
    "oidc_well_known_url": value["oidcWellKnownUrl"],
    "oidc_jwks_url": value["oidcJwksUrl"],
    "oidc_jwks": value["oidcJwks"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedPlexSourceRequest.js
function PatchedPlexSourceRequestToJSON(json) {
  return PatchedPlexSourceRequestToJSONTyped(json, false);
}
function PatchedPlexSourceRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "enabled": value["enabled"],
    "authentication_flow": value["authenticationFlow"],
    "enrollment_flow": value["enrollmentFlow"],
    "user_property_mappings": value["userPropertyMappings"],
    "group_property_mappings": value["groupPropertyMappings"],
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "user_matching_mode": UserMatchingModeEnumToJSON(value["userMatchingMode"]),
    "user_path_template": value["userPathTemplate"],
    "group_matching_mode": GroupMatchingModeEnumToJSON(value["groupMatchingMode"]),
    "client_id": value["clientId"],
    "allowed_servers": value["allowedServers"],
    "allow_friends": value["allowFriends"],
    "plex_token": value["plexToken"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedSAMLSourceRequest.js
function PatchedSAMLSourceRequestToJSON(json) {
  return PatchedSAMLSourceRequestToJSONTyped(json, false);
}
function PatchedSAMLSourceRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "enabled": value["enabled"],
    "authentication_flow": value["authenticationFlow"],
    "enrollment_flow": value["enrollmentFlow"],
    "user_property_mappings": value["userPropertyMappings"],
    "group_property_mappings": value["groupPropertyMappings"],
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "user_matching_mode": UserMatchingModeEnumToJSON(value["userMatchingMode"]),
    "user_path_template": value["userPathTemplate"],
    "group_matching_mode": GroupMatchingModeEnumToJSON(value["groupMatchingMode"]),
    "pre_authentication_flow": value["preAuthenticationFlow"],
    "issuer": value["issuer"],
    "sso_url": value["ssoUrl"],
    "slo_url": value["sloUrl"],
    "allow_idp_initiated": value["allowIdpInitiated"],
    "name_id_policy": NameIdPolicyEnumToJSON(value["nameIdPolicy"]),
    "binding_type": BindingTypeEnumToJSON(value["bindingType"]),
    "verification_kp": value["verificationKp"],
    "signing_kp": value["signingKp"],
    "digest_algorithm": DigestAlgorithmEnumToJSON(value["digestAlgorithm"]),
    "signature_algorithm": SignatureAlgorithmEnumToJSON(value["signatureAlgorithm"]),
    "temporary_user_delete_after": value["temporaryUserDeleteAfter"],
    "encryption_kp": value["encryptionKp"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedSCIMSourceGroupRequest.js
function PatchedSCIMSourceGroupRequestToJSON(json) {
  return PatchedSCIMSourceGroupRequestToJSONTyped(json, false);
}
function PatchedSCIMSourceGroupRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "id": value["id"],
    "group": value["group"],
    "source": value["source"],
    "attributes": value["attributes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedSCIMSourceRequest.js
function PatchedSCIMSourceRequestToJSON(json) {
  return PatchedSCIMSourceRequestToJSONTyped(json, false);
}
function PatchedSCIMSourceRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "enabled": value["enabled"],
    "user_property_mappings": value["userPropertyMappings"],
    "group_property_mappings": value["groupPropertyMappings"],
    "user_path_template": value["userPathTemplate"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedSCIMSourceUserRequest.js
function PatchedSCIMSourceUserRequestToJSON(json) {
  return PatchedSCIMSourceUserRequestToJSONTyped(json, false);
}
function PatchedSCIMSourceUserRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "id": value["id"],
    "user": value["user"],
    "source": value["source"],
    "attributes": value["attributes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedUserKerberosSourceConnectionRequest.js
function PatchedUserKerberosSourceConnectionRequestToJSON(json) {
  return PatchedUserKerberosSourceConnectionRequestToJSONTyped(json, false);
}
function PatchedUserKerberosSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "user": value["user"],
    "source": value["source"],
    "identifier": value["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedUserOAuthSourceConnectionRequest.js
function PatchedUserOAuthSourceConnectionRequestToJSON(json) {
  return PatchedUserOAuthSourceConnectionRequestToJSONTyped(json, false);
}
function PatchedUserOAuthSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "user": value["user"],
    "source": value["source"],
    "identifier": value["identifier"],
    "access_token": value["accessToken"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedUserPlexSourceConnectionRequest.js
function PatchedUserPlexSourceConnectionRequestToJSON(json) {
  return PatchedUserPlexSourceConnectionRequestToJSONTyped(json, false);
}
function PatchedUserPlexSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "user": value["user"],
    "source": value["source"],
    "identifier": value["identifier"],
    "plex_token": value["plexToken"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedUserSAMLSourceConnectionRequest.js
function PatchedUserSAMLSourceConnectionRequestToJSON(json) {
  return PatchedUserSAMLSourceConnectionRequestToJSONTyped(json, false);
}
function PatchedUserSAMLSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "user": value["user"],
    "source": value["source"],
    "identifier": value["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedUserSourceConnectionRequest.js
function PatchedUserSourceConnectionRequestToJSON(json) {
  return PatchedUserSourceConnectionRequestToJSONTyped(json, false);
}
function PatchedUserSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "user": value["user"],
    "source": value["source"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PlexSourceRequest.js
function PlexSourceRequestToJSON(json) {
  return PlexSourceRequestToJSONTyped(json, false);
}
function PlexSourceRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "enabled": value["enabled"],
    "authentication_flow": value["authenticationFlow"],
    "enrollment_flow": value["enrollmentFlow"],
    "user_property_mappings": value["userPropertyMappings"],
    "group_property_mappings": value["groupPropertyMappings"],
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "user_matching_mode": UserMatchingModeEnumToJSON(value["userMatchingMode"]),
    "user_path_template": value["userPathTemplate"],
    "group_matching_mode": GroupMatchingModeEnumToJSON(value["groupMatchingMode"]),
    "client_id": value["clientId"],
    "allowed_servers": value["allowedServers"],
    "allow_friends": value["allowFriends"],
    "plex_token": value["plexToken"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PlexTokenRedeemRequest.js
function PlexTokenRedeemRequestToJSON(json) {
  return PlexTokenRedeemRequestToJSONTyped(json, false);
}
function PlexTokenRedeemRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "plex_token": value["plexToken"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SAMLSourceRequest.js
function SAMLSourceRequestToJSON(json) {
  return SAMLSourceRequestToJSONTyped(json, false);
}
function SAMLSourceRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "enabled": value["enabled"],
    "authentication_flow": value["authenticationFlow"],
    "enrollment_flow": value["enrollmentFlow"],
    "user_property_mappings": value["userPropertyMappings"],
    "group_property_mappings": value["groupPropertyMappings"],
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "user_matching_mode": UserMatchingModeEnumToJSON(value["userMatchingMode"]),
    "user_path_template": value["userPathTemplate"],
    "group_matching_mode": GroupMatchingModeEnumToJSON(value["groupMatchingMode"]),
    "pre_authentication_flow": value["preAuthenticationFlow"],
    "issuer": value["issuer"],
    "sso_url": value["ssoUrl"],
    "slo_url": value["sloUrl"],
    "allow_idp_initiated": value["allowIdpInitiated"],
    "name_id_policy": NameIdPolicyEnumToJSON(value["nameIdPolicy"]),
    "binding_type": BindingTypeEnumToJSON(value["bindingType"]),
    "verification_kp": value["verificationKp"],
    "signing_kp": value["signingKp"],
    "digest_algorithm": DigestAlgorithmEnumToJSON(value["digestAlgorithm"]),
    "signature_algorithm": SignatureAlgorithmEnumToJSON(value["signatureAlgorithm"]),
    "temporary_user_delete_after": value["temporaryUserDeleteAfter"],
    "encryption_kp": value["encryptionKp"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SCIMSourceGroupRequest.js
function SCIMSourceGroupRequestToJSON(json) {
  return SCIMSourceGroupRequestToJSONTyped(json, false);
}
function SCIMSourceGroupRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "id": value["id"],
    "group": value["group"],
    "source": value["source"],
    "attributes": value["attributes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SCIMSourceRequest.js
function SCIMSourceRequestToJSON(json) {
  return SCIMSourceRequestToJSONTyped(json, false);
}
function SCIMSourceRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "enabled": value["enabled"],
    "user_property_mappings": value["userPropertyMappings"],
    "group_property_mappings": value["groupPropertyMappings"],
    "user_path_template": value["userPathTemplate"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SCIMSourceUserRequest.js
function SCIMSourceUserRequestToJSON(json) {
  return SCIMSourceUserRequestToJSONTyped(json, false);
}
function SCIMSourceUserRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "id": value["id"],
    "user": value["user"],
    "source": value["source"],
    "attributes": value["attributes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserKerberosSourceConnectionRequest.js
function UserKerberosSourceConnectionRequestToJSON(json) {
  return UserKerberosSourceConnectionRequestToJSONTyped(json, false);
}
function UserKerberosSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "user": value["user"],
    "source": value["source"],
    "identifier": value["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserOAuthSourceConnectionRequest.js
function UserOAuthSourceConnectionRequestToJSON(json) {
  return UserOAuthSourceConnectionRequestToJSONTyped(json, false);
}
function UserOAuthSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "user": value["user"],
    "source": value["source"],
    "identifier": value["identifier"],
    "access_token": value["accessToken"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserPlexSourceConnectionRequest.js
function UserPlexSourceConnectionRequestToJSON(json) {
  return UserPlexSourceConnectionRequestToJSONTyped(json, false);
}
function UserPlexSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "user": value["user"],
    "source": value["source"],
    "identifier": value["identifier"],
    "plex_token": value["plexToken"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserSAMLSourceConnectionRequest.js
function UserSAMLSourceConnectionRequestToJSON(json) {
  return UserSAMLSourceConnectionRequestToJSONTyped(json, false);
}
function UserSAMLSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "user": value["user"],
    "source": value["source"],
    "identifier": value["identifier"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserSourceConnectionRequest.js
function UserSourceConnectionRequestToJSON(json) {
  return UserSourceConnectionRequestToJSONTyped(json, false);
}
function UserSourceConnectionRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "user": value["user"],
    "source": value["source"]
  };
}

// node_modules/@goauthentik/api/dist/esm/apis/SourcesApi.js
var __awaiter = function(thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function(resolve) {
      resolve(value);
    });
  }
  return new (P || (P = Promise))(function(resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }
    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }
    function step(result) {
      result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
    }
    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
};
var SourcesApi = class extends BaseAPI {
  /**
   * Source Viewset
   */
  sourcesAllDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesAllDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/all/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Source Viewset
   */
  sourcesAllDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesAllDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Source Viewset
   */
  sourcesAllListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["managed"] != null) {
        queryParameters["managed"] = requestParameters["managed"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["pbmUuid"] != null) {
        queryParameters["pbm_uuid"] = requestParameters["pbmUuid"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["slug"] != null) {
        queryParameters["slug"] = requestParameters["slug"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/all/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedSourceListFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesAllList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesAllListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesAllRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesAllRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/all/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SourceFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesAllRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesAllRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Set source icon
   */
  sourcesAllSetIconCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesAllSetIconCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const consumes = [
        { contentType: "multipart/form-data" }
      ];
      const canConsumeForm2 = canConsumeForm(consumes);
      let formParams;
      let useForm = false;
      useForm = canConsumeForm2;
      if (useForm) {
        formParams = new FormData();
      } else {
        formParams = new URLSearchParams();
      }
      if (requestParameters["file"] != null) {
        formParams.append("file", requestParameters["file"]);
      }
      if (requestParameters["clear"] != null) {
        formParams.append("clear", requestParameters["clear"]);
      }
      const response = yield this.request({
        path: `/sources/all/{slug}/set_icon/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: formParams
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Set source icon
   */
  sourcesAllSetIconCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesAllSetIconCreateRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Set source icon (as URL)
   */
  sourcesAllSetIconUrlCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesAllSetIconUrlCreate().');
      }
      if (requestParameters["filePathRequest"] == null) {
        throw new RequiredError("filePathRequest", 'Required parameter "filePathRequest" was null or undefined when calling sourcesAllSetIconUrlCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/all/{slug}/set_icon_url/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: FilePathRequestToJSON(requestParameters["filePathRequest"])
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Set source icon (as URL)
   */
  sourcesAllSetIconUrlCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesAllSetIconUrlCreateRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Get all creatable types
   */
  sourcesAllTypesListRaw(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/all/types/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(TypeCreateFromJSON));
    });
  }
  /**
   * Get all creatable types
   */
  sourcesAllTypesList(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesAllTypesListRaw(initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesAllUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesAllUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/all/{slug}/used_by/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesAllUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesAllUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get all sources the user can configure
   */
  sourcesAllUserSettingsListRaw(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/all/user_settings/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UserSettingFromJSON));
    });
  }
  /**
   * Get all sources the user can configure
   */
  sourcesAllUserSettingsList(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesAllUserSettingsListRaw(initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsKerberosDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsKerberosDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/kerberos/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsKerberosDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesGroupConnectionsKerberosDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsKerberosListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["group"] != null) {
        queryParameters["group"] = requestParameters["group"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["sourceSlug"] != null) {
        queryParameters["source__slug"] = requestParameters["sourceSlug"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/kerberos/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedGroupKerberosSourceConnectionListFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsKerberosList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesGroupConnectionsKerberosListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsKerberosPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsKerberosPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/kerberos/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedGroupKerberosSourceConnectionRequestToJSON(requestParameters["patchedGroupKerberosSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupKerberosSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsKerberosPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsKerberosPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsKerberosRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsKerberosRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/kerberos/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupKerberosSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsKerberosRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsKerberosRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsKerberosUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsKerberosUpdate().');
      }
      if (requestParameters["groupKerberosSourceConnectionRequest"] == null) {
        throw new RequiredError("groupKerberosSourceConnectionRequest", 'Required parameter "groupKerberosSourceConnectionRequest" was null or undefined when calling sourcesGroupConnectionsKerberosUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/kerberos/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: GroupKerberosSourceConnectionRequestToJSON(requestParameters["groupKerberosSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupKerberosSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsKerberosUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsKerberosUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesGroupConnectionsKerberosUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsKerberosUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/kerberos/{id}/used_by/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesGroupConnectionsKerberosUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsKerberosUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsOauthCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["groupOAuthSourceConnectionRequest"] == null) {
        throw new RequiredError("groupOAuthSourceConnectionRequest", 'Required parameter "groupOAuthSourceConnectionRequest" was null or undefined when calling sourcesGroupConnectionsOauthCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/oauth/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: GroupOAuthSourceConnectionRequestToJSON(requestParameters["groupOAuthSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupOAuthSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsOauthCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsOauthCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsOauthDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsOauthDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/oauth/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsOauthDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesGroupConnectionsOauthDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsOauthListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["group"] != null) {
        queryParameters["group"] = requestParameters["group"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["sourceSlug"] != null) {
        queryParameters["source__slug"] = requestParameters["sourceSlug"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/oauth/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedGroupOAuthSourceConnectionListFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsOauthList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesGroupConnectionsOauthListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsOauthPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsOauthPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/oauth/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedGroupOAuthSourceConnectionRequestToJSON(requestParameters["patchedGroupOAuthSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupOAuthSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsOauthPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsOauthPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsOauthRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsOauthRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/oauth/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupOAuthSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsOauthRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsOauthRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsOauthUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsOauthUpdate().');
      }
      if (requestParameters["groupOAuthSourceConnectionRequest"] == null) {
        throw new RequiredError("groupOAuthSourceConnectionRequest", 'Required parameter "groupOAuthSourceConnectionRequest" was null or undefined when calling sourcesGroupConnectionsOauthUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/oauth/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: GroupOAuthSourceConnectionRequestToJSON(requestParameters["groupOAuthSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupOAuthSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsOauthUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsOauthUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesGroupConnectionsOauthUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsOauthUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/oauth/{id}/used_by/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesGroupConnectionsOauthUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsOauthUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsPlexCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["groupPlexSourceConnectionRequest"] == null) {
        throw new RequiredError("groupPlexSourceConnectionRequest", 'Required parameter "groupPlexSourceConnectionRequest" was null or undefined when calling sourcesGroupConnectionsPlexCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/plex/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: GroupPlexSourceConnectionRequestToJSON(requestParameters["groupPlexSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupPlexSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsPlexCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsPlexCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsPlexDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsPlexDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/plex/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsPlexDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesGroupConnectionsPlexDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsPlexListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["group"] != null) {
        queryParameters["group"] = requestParameters["group"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["sourceSlug"] != null) {
        queryParameters["source__slug"] = requestParameters["sourceSlug"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/plex/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedGroupPlexSourceConnectionListFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsPlexList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesGroupConnectionsPlexListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsPlexPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsPlexPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/plex/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedGroupPlexSourceConnectionRequestToJSON(requestParameters["patchedGroupPlexSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupPlexSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsPlexPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsPlexPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsPlexRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsPlexRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/plex/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupPlexSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsPlexRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsPlexRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsPlexUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsPlexUpdate().');
      }
      if (requestParameters["groupPlexSourceConnectionRequest"] == null) {
        throw new RequiredError("groupPlexSourceConnectionRequest", 'Required parameter "groupPlexSourceConnectionRequest" was null or undefined when calling sourcesGroupConnectionsPlexUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/plex/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: GroupPlexSourceConnectionRequestToJSON(requestParameters["groupPlexSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupPlexSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsPlexUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsPlexUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesGroupConnectionsPlexUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsPlexUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/plex/{id}/used_by/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesGroupConnectionsPlexUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsPlexUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsSamlDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsSamlDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/saml/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsSamlDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesGroupConnectionsSamlDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsSamlListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["group"] != null) {
        queryParameters["group"] = requestParameters["group"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["sourceSlug"] != null) {
        queryParameters["source__slug"] = requestParameters["sourceSlug"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/saml/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedGroupSAMLSourceConnectionListFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsSamlList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesGroupConnectionsSamlListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsSamlPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsSamlPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/saml/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedGroupSAMLSourceConnectionRequestToJSON(requestParameters["patchedGroupSAMLSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupSAMLSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsSamlPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsSamlPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsSamlRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsSamlRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/saml/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupSAMLSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsSamlRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsSamlRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsSamlUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsSamlUpdate().');
      }
      if (requestParameters["groupSAMLSourceConnectionRequest"] == null) {
        throw new RequiredError("groupSAMLSourceConnectionRequest", 'Required parameter "groupSAMLSourceConnectionRequest" was null or undefined when calling sourcesGroupConnectionsSamlUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/saml/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: GroupSAMLSourceConnectionRequestToJSON(requestParameters["groupSAMLSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => GroupSAMLSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Group-source connection Viewset
   */
  sourcesGroupConnectionsSamlUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsSamlUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesGroupConnectionsSamlUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesGroupConnectionsSamlUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/group_connections/saml/{id}/used_by/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesGroupConnectionsSamlUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesGroupConnectionsSamlUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Kerberos Source Viewset
   */
  sourcesKerberosCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["kerberosSourceRequest"] == null) {
        throw new RequiredError("kerberosSourceRequest", 'Required parameter "kerberosSourceRequest" was null or undefined when calling sourcesKerberosCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/kerberos/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: KerberosSourceRequestToJSON(requestParameters["kerberosSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => KerberosSourceFromJSON(jsonValue));
    });
  }
  /**
   * Kerberos Source Viewset
   */
  sourcesKerberosCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesKerberosCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Kerberos Source Viewset
   */
  sourcesKerberosDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesKerberosDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/kerberos/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Kerberos Source Viewset
   */
  sourcesKerberosDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesKerberosDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Kerberos Source Viewset
   */
  sourcesKerberosListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["enabled"] != null) {
        queryParameters["enabled"] = requestParameters["enabled"];
      }
      if (requestParameters["kadminType"] != null) {
        queryParameters["kadmin_type"] = requestParameters["kadminType"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["passwordLoginUpdateInternalPassword"] != null) {
        queryParameters["password_login_update_internal_password"] = requestParameters["passwordLoginUpdateInternalPassword"];
      }
      if (requestParameters["pbmUuid"] != null) {
        queryParameters["pbm_uuid"] = requestParameters["pbmUuid"];
      }
      if (requestParameters["realm"] != null) {
        queryParameters["realm"] = requestParameters["realm"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["slug"] != null) {
        queryParameters["slug"] = requestParameters["slug"];
      }
      if (requestParameters["spnegoServerName"] != null) {
        queryParameters["spnego_server_name"] = requestParameters["spnegoServerName"];
      }
      if (requestParameters["syncPrincipal"] != null) {
        queryParameters["sync_principal"] = requestParameters["syncPrincipal"];
      }
      if (requestParameters["syncUsers"] != null) {
        queryParameters["sync_users"] = requestParameters["syncUsers"];
      }
      if (requestParameters["syncUsersPassword"] != null) {
        queryParameters["sync_users_password"] = requestParameters["syncUsersPassword"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/kerberos/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedKerberosSourceListFromJSON(jsonValue));
    });
  }
  /**
   * Kerberos Source Viewset
   */
  sourcesKerberosList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesKerberosListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Kerberos Source Viewset
   */
  sourcesKerberosPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesKerberosPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/kerberos/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedKerberosSourceRequestToJSON(requestParameters["patchedKerberosSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => KerberosSourceFromJSON(jsonValue));
    });
  }
  /**
   * Kerberos Source Viewset
   */
  sourcesKerberosPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesKerberosPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Kerberos Source Viewset
   */
  sourcesKerberosRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesKerberosRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/kerberos/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => KerberosSourceFromJSON(jsonValue));
    });
  }
  /**
   * Kerberos Source Viewset
   */
  sourcesKerberosRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesKerberosRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get source\'s sync status
   */
  sourcesKerberosSyncStatusRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesKerberosSyncStatusRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/kerberos/{slug}/sync/status/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => KerberosSyncStatusFromJSON(jsonValue));
    });
  }
  /**
   * Get source\'s sync status
   */
  sourcesKerberosSyncStatusRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesKerberosSyncStatusRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Kerberos Source Viewset
   */
  sourcesKerberosUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesKerberosUpdate().');
      }
      if (requestParameters["kerberosSourceRequest"] == null) {
        throw new RequiredError("kerberosSourceRequest", 'Required parameter "kerberosSourceRequest" was null or undefined when calling sourcesKerberosUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/kerberos/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: KerberosSourceRequestToJSON(requestParameters["kerberosSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => KerberosSourceFromJSON(jsonValue));
    });
  }
  /**
   * Kerberos Source Viewset
   */
  sourcesKerberosUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesKerberosUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesKerberosUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesKerberosUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/kerberos/{slug}/used_by/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesKerberosUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesKerberosUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * LDAP Source Viewset
   */
  sourcesLdapCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["lDAPSourceRequest"] == null) {
        throw new RequiredError("lDAPSourceRequest", 'Required parameter "lDAPSourceRequest" was null or undefined when calling sourcesLdapCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/ldap/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: LDAPSourceRequestToJSON(requestParameters["lDAPSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => LDAPSourceFromJSON(jsonValue));
    });
  }
  /**
   * LDAP Source Viewset
   */
  sourcesLdapCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesLdapCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get raw LDAP data to debug
   */
  sourcesLdapDebugRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesLdapDebugRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/ldap/{slug}/debug/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => LDAPDebugFromJSON(jsonValue));
    });
  }
  /**
   * Get raw LDAP data to debug
   */
  sourcesLdapDebugRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesLdapDebugRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * LDAP Source Viewset
   */
  sourcesLdapDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesLdapDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/ldap/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * LDAP Source Viewset
   */
  sourcesLdapDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesLdapDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * LDAP Source Viewset
   */
  sourcesLdapListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["additionalGroupDn"] != null) {
        queryParameters["additional_group_dn"] = requestParameters["additionalGroupDn"];
      }
      if (requestParameters["additionalUserDn"] != null) {
        queryParameters["additional_user_dn"] = requestParameters["additionalUserDn"];
      }
      if (requestParameters["baseDn"] != null) {
        queryParameters["base_dn"] = requestParameters["baseDn"];
      }
      if (requestParameters["bindCn"] != null) {
        queryParameters["bind_cn"] = requestParameters["bindCn"];
      }
      if (requestParameters["clientCertificate"] != null) {
        queryParameters["client_certificate"] = requestParameters["clientCertificate"];
      }
      if (requestParameters["enabled"] != null) {
        queryParameters["enabled"] = requestParameters["enabled"];
      }
      if (requestParameters["groupMembershipField"] != null) {
        queryParameters["group_membership_field"] = requestParameters["groupMembershipField"];
      }
      if (requestParameters["groupObjectFilter"] != null) {
        queryParameters["group_object_filter"] = requestParameters["groupObjectFilter"];
      }
      if (requestParameters["groupPropertyMappings"] != null) {
        queryParameters["group_property_mappings"] = requestParameters["groupPropertyMappings"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["objectUniquenessField"] != null) {
        queryParameters["object_uniqueness_field"] = requestParameters["objectUniquenessField"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["passwordLoginUpdateInternalPassword"] != null) {
        queryParameters["password_login_update_internal_password"] = requestParameters["passwordLoginUpdateInternalPassword"];
      }
      if (requestParameters["pbmUuid"] != null) {
        queryParameters["pbm_uuid"] = requestParameters["pbmUuid"];
      }
      if (requestParameters["peerCertificate"] != null) {
        queryParameters["peer_certificate"] = requestParameters["peerCertificate"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["serverUri"] != null) {
        queryParameters["server_uri"] = requestParameters["serverUri"];
      }
      if (requestParameters["slug"] != null) {
        queryParameters["slug"] = requestParameters["slug"];
      }
      if (requestParameters["sni"] != null) {
        queryParameters["sni"] = requestParameters["sni"];
      }
      if (requestParameters["startTls"] != null) {
        queryParameters["start_tls"] = requestParameters["startTls"];
      }
      if (requestParameters["syncGroups"] != null) {
        queryParameters["sync_groups"] = requestParameters["syncGroups"];
      }
      if (requestParameters["syncParentGroup"] != null) {
        queryParameters["sync_parent_group"] = requestParameters["syncParentGroup"];
      }
      if (requestParameters["syncUsers"] != null) {
        queryParameters["sync_users"] = requestParameters["syncUsers"];
      }
      if (requestParameters["syncUsersPassword"] != null) {
        queryParameters["sync_users_password"] = requestParameters["syncUsersPassword"];
      }
      if (requestParameters["userObjectFilter"] != null) {
        queryParameters["user_object_filter"] = requestParameters["userObjectFilter"];
      }
      if (requestParameters["userPropertyMappings"] != null) {
        queryParameters["user_property_mappings"] = requestParameters["userPropertyMappings"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/ldap/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedLDAPSourceListFromJSON(jsonValue));
    });
  }
  /**
   * LDAP Source Viewset
   */
  sourcesLdapList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesLdapListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * LDAP Source Viewset
   */
  sourcesLdapPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesLdapPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/ldap/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedLDAPSourceRequestToJSON(requestParameters["patchedLDAPSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => LDAPSourceFromJSON(jsonValue));
    });
  }
  /**
   * LDAP Source Viewset
   */
  sourcesLdapPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesLdapPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * LDAP Source Viewset
   */
  sourcesLdapRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesLdapRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/ldap/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => LDAPSourceFromJSON(jsonValue));
    });
  }
  /**
   * LDAP Source Viewset
   */
  sourcesLdapRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesLdapRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get source\'s sync status
   */
  sourcesLdapSyncStatusRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesLdapSyncStatusRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/ldap/{slug}/sync/status/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SyncStatusFromJSON(jsonValue));
    });
  }
  /**
   * Get source\'s sync status
   */
  sourcesLdapSyncStatusRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesLdapSyncStatusRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * LDAP Source Viewset
   */
  sourcesLdapUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesLdapUpdate().');
      }
      if (requestParameters["lDAPSourceRequest"] == null) {
        throw new RequiredError("lDAPSourceRequest", 'Required parameter "lDAPSourceRequest" was null or undefined when calling sourcesLdapUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/ldap/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: LDAPSourceRequestToJSON(requestParameters["lDAPSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => LDAPSourceFromJSON(jsonValue));
    });
  }
  /**
   * LDAP Source Viewset
   */
  sourcesLdapUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesLdapUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesLdapUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesLdapUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/ldap/{slug}/used_by/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesLdapUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesLdapUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesOauthCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["oAuthSourceRequest"] == null) {
        throw new RequiredError("oAuthSourceRequest", 'Required parameter "oAuthSourceRequest" was null or undefined when calling sourcesOauthCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/oauth/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: OAuthSourceRequestToJSON(requestParameters["oAuthSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => OAuthSourceFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesOauthCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesOauthCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesOauthDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesOauthDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/oauth/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Source Viewset
   */
  sourcesOauthDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesOauthDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Source Viewset
   */
  sourcesOauthListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["accessTokenUrl"] != null) {
        queryParameters["access_token_url"] = requestParameters["accessTokenUrl"];
      }
      if (requestParameters["additionalScopes"] != null) {
        queryParameters["additional_scopes"] = requestParameters["additionalScopes"];
      }
      if (requestParameters["authenticationFlow"] != null) {
        queryParameters["authentication_flow"] = requestParameters["authenticationFlow"];
      }
      if (requestParameters["authorizationUrl"] != null) {
        queryParameters["authorization_url"] = requestParameters["authorizationUrl"];
      }
      if (requestParameters["consumerKey"] != null) {
        queryParameters["consumer_key"] = requestParameters["consumerKey"];
      }
      if (requestParameters["enabled"] != null) {
        queryParameters["enabled"] = requestParameters["enabled"];
      }
      if (requestParameters["enrollmentFlow"] != null) {
        queryParameters["enrollment_flow"] = requestParameters["enrollmentFlow"];
      }
      if (requestParameters["groupMatchingMode"] != null) {
        queryParameters["group_matching_mode"] = requestParameters["groupMatchingMode"];
      }
      if (requestParameters["hasJwks"] != null) {
        queryParameters["has_jwks"] = requestParameters["hasJwks"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["pbmUuid"] != null) {
        queryParameters["pbm_uuid"] = requestParameters["pbmUuid"];
      }
      if (requestParameters["policyEngineMode"] != null) {
        queryParameters["policy_engine_mode"] = requestParameters["policyEngineMode"];
      }
      if (requestParameters["profileUrl"] != null) {
        queryParameters["profile_url"] = requestParameters["profileUrl"];
      }
      if (requestParameters["providerType"] != null) {
        queryParameters["provider_type"] = requestParameters["providerType"];
      }
      if (requestParameters["requestTokenUrl"] != null) {
        queryParameters["request_token_url"] = requestParameters["requestTokenUrl"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["slug"] != null) {
        queryParameters["slug"] = requestParameters["slug"];
      }
      if (requestParameters["userMatchingMode"] != null) {
        queryParameters["user_matching_mode"] = requestParameters["userMatchingMode"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/oauth/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedOAuthSourceListFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesOauthList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesOauthListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesOauthPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesOauthPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/oauth/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedOAuthSourceRequestToJSON(requestParameters["patchedOAuthSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => OAuthSourceFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesOauthPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesOauthPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesOauthRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesOauthRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/oauth/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => OAuthSourceFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesOauthRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesOauthRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get all creatable source types. If ?name is set, only returns the type for <name>. If <name> isn\'t found, returns the default type.
   */
  sourcesOauthSourceTypesListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/oauth/source_types/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(SourceTypeFromJSON));
    });
  }
  /**
   * Get all creatable source types. If ?name is set, only returns the type for <name>. If <name> isn\'t found, returns the default type.
   */
  sourcesOauthSourceTypesList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesOauthSourceTypesListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesOauthUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesOauthUpdate().');
      }
      if (requestParameters["oAuthSourceRequest"] == null) {
        throw new RequiredError("oAuthSourceRequest", 'Required parameter "oAuthSourceRequest" was null or undefined when calling sourcesOauthUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/oauth/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: OAuthSourceRequestToJSON(requestParameters["oAuthSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => OAuthSourceFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesOauthUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesOauthUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesOauthUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesOauthUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/oauth/{slug}/used_by/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesOauthUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesOauthUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Plex source Viewset
   */
  sourcesPlexCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["plexSourceRequest"] == null) {
        throw new RequiredError("plexSourceRequest", 'Required parameter "plexSourceRequest" was null or undefined when calling sourcesPlexCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/plex/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: PlexSourceRequestToJSON(requestParameters["plexSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PlexSourceFromJSON(jsonValue));
    });
  }
  /**
   * Plex source Viewset
   */
  sourcesPlexCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesPlexCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Plex source Viewset
   */
  sourcesPlexDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesPlexDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/plex/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Plex source Viewset
   */
  sourcesPlexDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesPlexDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Plex source Viewset
   */
  sourcesPlexListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["allowFriends"] != null) {
        queryParameters["allow_friends"] = requestParameters["allowFriends"];
      }
      if (requestParameters["authenticationFlow"] != null) {
        queryParameters["authentication_flow"] = requestParameters["authenticationFlow"];
      }
      if (requestParameters["clientId"] != null) {
        queryParameters["client_id"] = requestParameters["clientId"];
      }
      if (requestParameters["enabled"] != null) {
        queryParameters["enabled"] = requestParameters["enabled"];
      }
      if (requestParameters["enrollmentFlow"] != null) {
        queryParameters["enrollment_flow"] = requestParameters["enrollmentFlow"];
      }
      if (requestParameters["groupMatchingMode"] != null) {
        queryParameters["group_matching_mode"] = requestParameters["groupMatchingMode"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["pbmUuid"] != null) {
        queryParameters["pbm_uuid"] = requestParameters["pbmUuid"];
      }
      if (requestParameters["policyEngineMode"] != null) {
        queryParameters["policy_engine_mode"] = requestParameters["policyEngineMode"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["slug"] != null) {
        queryParameters["slug"] = requestParameters["slug"];
      }
      if (requestParameters["userMatchingMode"] != null) {
        queryParameters["user_matching_mode"] = requestParameters["userMatchingMode"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/plex/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedPlexSourceListFromJSON(jsonValue));
    });
  }
  /**
   * Plex source Viewset
   */
  sourcesPlexList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesPlexListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Plex source Viewset
   */
  sourcesPlexPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesPlexPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/plex/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedPlexSourceRequestToJSON(requestParameters["patchedPlexSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PlexSourceFromJSON(jsonValue));
    });
  }
  /**
   * Plex source Viewset
   */
  sourcesPlexPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesPlexPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Redeem a plex token for an authenticated user, creating a connection
   */
  sourcesPlexRedeemTokenAuthenticatedCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["plexTokenRedeemRequest"] == null) {
        throw new RequiredError("plexTokenRedeemRequest", 'Required parameter "plexTokenRedeemRequest" was null or undefined when calling sourcesPlexRedeemTokenAuthenticatedCreate().');
      }
      const queryParameters = {};
      if (requestParameters["slug"] != null) {
        queryParameters["slug"] = requestParameters["slug"];
      }
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/plex/redeem_token_authenticated/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: PlexTokenRedeemRequestToJSON(requestParameters["plexTokenRedeemRequest"])
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Redeem a plex token for an authenticated user, creating a connection
   */
  sourcesPlexRedeemTokenAuthenticatedCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesPlexRedeemTokenAuthenticatedCreateRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Redeem a plex token, check it\'s access to resources against what\'s allowed for the source, and redirect to an authentication/enrollment flow.
   */
  sourcesPlexRedeemTokenCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["plexTokenRedeemRequest"] == null) {
        throw new RequiredError("plexTokenRedeemRequest", 'Required parameter "plexTokenRedeemRequest" was null or undefined when calling sourcesPlexRedeemTokenCreate().');
      }
      const queryParameters = {};
      if (requestParameters["slug"] != null) {
        queryParameters["slug"] = requestParameters["slug"];
      }
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/plex/redeem_token/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: PlexTokenRedeemRequestToJSON(requestParameters["plexTokenRedeemRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => RedirectChallengeFromJSON(jsonValue));
    });
  }
  /**
   * Redeem a plex token, check it\'s access to resources against what\'s allowed for the source, and redirect to an authentication/enrollment flow.
   */
  sourcesPlexRedeemTokenCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesPlexRedeemTokenCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Plex source Viewset
   */
  sourcesPlexRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesPlexRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/plex/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PlexSourceFromJSON(jsonValue));
    });
  }
  /**
   * Plex source Viewset
   */
  sourcesPlexRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesPlexRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Plex source Viewset
   */
  sourcesPlexUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesPlexUpdate().');
      }
      if (requestParameters["plexSourceRequest"] == null) {
        throw new RequiredError("plexSourceRequest", 'Required parameter "plexSourceRequest" was null or undefined when calling sourcesPlexUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/plex/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: PlexSourceRequestToJSON(requestParameters["plexSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PlexSourceFromJSON(jsonValue));
    });
  }
  /**
   * Plex source Viewset
   */
  sourcesPlexUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesPlexUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesPlexUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesPlexUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/plex/{slug}/used_by/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesPlexUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesPlexUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SAMLSource Viewset
   */
  sourcesSamlCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["sAMLSourceRequest"] == null) {
        throw new RequiredError("sAMLSourceRequest", 'Required parameter "sAMLSourceRequest" was null or undefined when calling sourcesSamlCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/saml/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: SAMLSourceRequestToJSON(requestParameters["sAMLSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SAMLSourceFromJSON(jsonValue));
    });
  }
  /**
   * SAMLSource Viewset
   */
  sourcesSamlCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesSamlCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SAMLSource Viewset
   */
  sourcesSamlDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesSamlDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/saml/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * SAMLSource Viewset
   */
  sourcesSamlDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesSamlDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * SAMLSource Viewset
   */
  sourcesSamlListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["allowIdpInitiated"] != null) {
        queryParameters["allow_idp_initiated"] = requestParameters["allowIdpInitiated"];
      }
      if (requestParameters["authenticationFlow"] != null) {
        queryParameters["authentication_flow"] = requestParameters["authenticationFlow"];
      }
      if (requestParameters["bindingType"] != null) {
        queryParameters["binding_type"] = requestParameters["bindingType"];
      }
      if (requestParameters["digestAlgorithm"] != null) {
        queryParameters["digest_algorithm"] = requestParameters["digestAlgorithm"];
      }
      if (requestParameters["enabled"] != null) {
        queryParameters["enabled"] = requestParameters["enabled"];
      }
      if (requestParameters["enrollmentFlow"] != null) {
        queryParameters["enrollment_flow"] = requestParameters["enrollmentFlow"];
      }
      if (requestParameters["issuer"] != null) {
        queryParameters["issuer"] = requestParameters["issuer"];
      }
      if (requestParameters["managed"] != null) {
        queryParameters["managed"] = requestParameters["managed"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["nameIdPolicy"] != null) {
        queryParameters["name_id_policy"] = requestParameters["nameIdPolicy"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["pbmUuid"] != null) {
        queryParameters["pbm_uuid"] = requestParameters["pbmUuid"];
      }
      if (requestParameters["policyEngineMode"] != null) {
        queryParameters["policy_engine_mode"] = requestParameters["policyEngineMode"];
      }
      if (requestParameters["preAuthenticationFlow"] != null) {
        queryParameters["pre_authentication_flow"] = requestParameters["preAuthenticationFlow"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["signatureAlgorithm"] != null) {
        queryParameters["signature_algorithm"] = requestParameters["signatureAlgorithm"];
      }
      if (requestParameters["signingKp"] != null) {
        queryParameters["signing_kp"] = requestParameters["signingKp"];
      }
      if (requestParameters["sloUrl"] != null) {
        queryParameters["slo_url"] = requestParameters["sloUrl"];
      }
      if (requestParameters["slug"] != null) {
        queryParameters["slug"] = requestParameters["slug"];
      }
      if (requestParameters["ssoUrl"] != null) {
        queryParameters["sso_url"] = requestParameters["ssoUrl"];
      }
      if (requestParameters["temporaryUserDeleteAfter"] != null) {
        queryParameters["temporary_user_delete_after"] = requestParameters["temporaryUserDeleteAfter"];
      }
      if (requestParameters["userMatchingMode"] != null) {
        queryParameters["user_matching_mode"] = requestParameters["userMatchingMode"];
      }
      if (requestParameters["verificationKp"] != null) {
        queryParameters["verification_kp"] = requestParameters["verificationKp"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/saml/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedSAMLSourceListFromJSON(jsonValue));
    });
  }
  /**
   * SAMLSource Viewset
   */
  sourcesSamlList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesSamlListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Return metadata as XML string
   */
  sourcesSamlMetadataRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesSamlMetadataRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/saml/{slug}/metadata/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SAMLMetadataFromJSON(jsonValue));
    });
  }
  /**
   * Return metadata as XML string
   */
  sourcesSamlMetadataRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesSamlMetadataRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SAMLSource Viewset
   */
  sourcesSamlPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesSamlPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/saml/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedSAMLSourceRequestToJSON(requestParameters["patchedSAMLSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SAMLSourceFromJSON(jsonValue));
    });
  }
  /**
   * SAMLSource Viewset
   */
  sourcesSamlPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesSamlPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SAMLSource Viewset
   */
  sourcesSamlRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesSamlRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/saml/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SAMLSourceFromJSON(jsonValue));
    });
  }
  /**
   * SAMLSource Viewset
   */
  sourcesSamlRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesSamlRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SAMLSource Viewset
   */
  sourcesSamlUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesSamlUpdate().');
      }
      if (requestParameters["sAMLSourceRequest"] == null) {
        throw new RequiredError("sAMLSourceRequest", 'Required parameter "sAMLSourceRequest" was null or undefined when calling sourcesSamlUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/saml/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: SAMLSourceRequestToJSON(requestParameters["sAMLSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SAMLSourceFromJSON(jsonValue));
    });
  }
  /**
   * SAMLSource Viewset
   */
  sourcesSamlUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesSamlUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesSamlUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesSamlUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/saml/{slug}/used_by/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesSamlUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesSamlUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSource Viewset
   */
  sourcesScimCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["sCIMSourceRequest"] == null) {
        throw new RequiredError("sCIMSourceRequest", 'Required parameter "sCIMSourceRequest" was null or undefined when calling sourcesScimCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: SCIMSourceRequestToJSON(requestParameters["sCIMSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SCIMSourceFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSource Viewset
   */
  sourcesScimCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSource Viewset
   */
  sourcesScimDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesScimDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * SCIMSource Viewset
   */
  sourcesScimDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesScimDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * SCIMSourceGroup Viewset
   */
  sourcesScimGroupsCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["sCIMSourceGroupRequest"] == null) {
        throw new RequiredError("sCIMSourceGroupRequest", 'Required parameter "sCIMSourceGroupRequest" was null or undefined when calling sourcesScimGroupsCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim_groups/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: SCIMSourceGroupRequestToJSON(requestParameters["sCIMSourceGroupRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SCIMSourceGroupFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSourceGroup Viewset
   */
  sourcesScimGroupsCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimGroupsCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSourceGroup Viewset
   */
  sourcesScimGroupsDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesScimGroupsDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim_groups/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * SCIMSourceGroup Viewset
   */
  sourcesScimGroupsDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesScimGroupsDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * SCIMSourceGroup Viewset
   */
  sourcesScimGroupsListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["groupGroupUuid"] != null) {
        queryParameters["group__group_uuid"] = requestParameters["groupGroupUuid"];
      }
      if (requestParameters["groupName"] != null) {
        queryParameters["group__name"] = requestParameters["groupName"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["sourceSlug"] != null) {
        queryParameters["source__slug"] = requestParameters["sourceSlug"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim_groups/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedSCIMSourceGroupListFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSourceGroup Viewset
   */
  sourcesScimGroupsList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesScimGroupsListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSourceGroup Viewset
   */
  sourcesScimGroupsPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesScimGroupsPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim_groups/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedSCIMSourceGroupRequestToJSON(requestParameters["patchedSCIMSourceGroupRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SCIMSourceGroupFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSourceGroup Viewset
   */
  sourcesScimGroupsPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimGroupsPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSourceGroup Viewset
   */
  sourcesScimGroupsRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesScimGroupsRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim_groups/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SCIMSourceGroupFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSourceGroup Viewset
   */
  sourcesScimGroupsRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimGroupsRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSourceGroup Viewset
   */
  sourcesScimGroupsUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesScimGroupsUpdate().');
      }
      if (requestParameters["sCIMSourceGroupRequest"] == null) {
        throw new RequiredError("sCIMSourceGroupRequest", 'Required parameter "sCIMSourceGroupRequest" was null or undefined when calling sourcesScimGroupsUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim_groups/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: SCIMSourceGroupRequestToJSON(requestParameters["sCIMSourceGroupRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SCIMSourceGroupFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSourceGroup Viewset
   */
  sourcesScimGroupsUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimGroupsUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesScimGroupsUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesScimGroupsUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim_groups/{id}/used_by/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesScimGroupsUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimGroupsUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSource Viewset
   */
  sourcesScimListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["pbmUuid"] != null) {
        queryParameters["pbm_uuid"] = requestParameters["pbmUuid"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["slug"] != null) {
        queryParameters["slug"] = requestParameters["slug"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedSCIMSourceListFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSource Viewset
   */
  sourcesScimList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesScimListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSource Viewset
   */
  sourcesScimPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesScimPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedSCIMSourceRequestToJSON(requestParameters["patchedSCIMSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SCIMSourceFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSource Viewset
   */
  sourcesScimPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSource Viewset
   */
  sourcesScimRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesScimRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SCIMSourceFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSource Viewset
   */
  sourcesScimRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSource Viewset
   */
  sourcesScimUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesScimUpdate().');
      }
      if (requestParameters["sCIMSourceRequest"] == null) {
        throw new RequiredError("sCIMSourceRequest", 'Required parameter "sCIMSourceRequest" was null or undefined when calling sourcesScimUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim/{slug}/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: SCIMSourceRequestToJSON(requestParameters["sCIMSourceRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SCIMSourceFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSource Viewset
   */
  sourcesScimUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesScimUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["slug"] == null) {
        throw new RequiredError("slug", 'Required parameter "slug" was null or undefined when calling sourcesScimUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim/{slug}/used_by/`.replace(`{${"slug"}}`, encodeURIComponent(String(requestParameters["slug"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesScimUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSourceUser Viewset
   */
  sourcesScimUsersCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["sCIMSourceUserRequest"] == null) {
        throw new RequiredError("sCIMSourceUserRequest", 'Required parameter "sCIMSourceUserRequest" was null or undefined when calling sourcesScimUsersCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim_users/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: SCIMSourceUserRequestToJSON(requestParameters["sCIMSourceUserRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SCIMSourceUserFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSourceUser Viewset
   */
  sourcesScimUsersCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimUsersCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSourceUser Viewset
   */
  sourcesScimUsersDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesScimUsersDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim_users/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * SCIMSourceUser Viewset
   */
  sourcesScimUsersDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesScimUsersDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * SCIMSourceUser Viewset
   */
  sourcesScimUsersListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["sourceSlug"] != null) {
        queryParameters["source__slug"] = requestParameters["sourceSlug"];
      }
      if (requestParameters["userId"] != null) {
        queryParameters["user__id"] = requestParameters["userId"];
      }
      if (requestParameters["userUsername"] != null) {
        queryParameters["user__username"] = requestParameters["userUsername"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim_users/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedSCIMSourceUserListFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSourceUser Viewset
   */
  sourcesScimUsersList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesScimUsersListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSourceUser Viewset
   */
  sourcesScimUsersPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesScimUsersPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim_users/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedSCIMSourceUserRequestToJSON(requestParameters["patchedSCIMSourceUserRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SCIMSourceUserFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSourceUser Viewset
   */
  sourcesScimUsersPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimUsersPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSourceUser Viewset
   */
  sourcesScimUsersRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesScimUsersRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim_users/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SCIMSourceUserFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSourceUser Viewset
   */
  sourcesScimUsersRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimUsersRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SCIMSourceUser Viewset
   */
  sourcesScimUsersUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesScimUsersUpdate().');
      }
      if (requestParameters["sCIMSourceUserRequest"] == null) {
        throw new RequiredError("sCIMSourceUserRequest", 'Required parameter "sCIMSourceUserRequest" was null or undefined when calling sourcesScimUsersUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim_users/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: SCIMSourceUserRequestToJSON(requestParameters["sCIMSourceUserRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SCIMSourceUserFromJSON(jsonValue));
    });
  }
  /**
   * SCIMSourceUser Viewset
   */
  sourcesScimUsersUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimUsersUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesScimUsersUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesScimUsersUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/scim_users/{id}/used_by/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesScimUsersUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesScimUsersUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * User-source connection Viewset
   */
  sourcesUserConnectionsAllDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsAllDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/all/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * User-source connection Viewset
   */
  sourcesUserConnectionsAllDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesUserConnectionsAllDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * User-source connection Viewset
   */
  sourcesUserConnectionsAllListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["sourceSlug"] != null) {
        queryParameters["source__slug"] = requestParameters["sourceSlug"];
      }
      if (requestParameters["user"] != null) {
        queryParameters["user"] = requestParameters["user"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/all/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedUserSourceConnectionListFromJSON(jsonValue));
    });
  }
  /**
   * User-source connection Viewset
   */
  sourcesUserConnectionsAllList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesUserConnectionsAllListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * User-source connection Viewset
   */
  sourcesUserConnectionsAllPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsAllPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/all/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedUserSourceConnectionRequestToJSON(requestParameters["patchedUserSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * User-source connection Viewset
   */
  sourcesUserConnectionsAllPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsAllPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * User-source connection Viewset
   */
  sourcesUserConnectionsAllRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsAllRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/all/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * User-source connection Viewset
   */
  sourcesUserConnectionsAllRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsAllRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * User-source connection Viewset
   */
  sourcesUserConnectionsAllUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsAllUpdate().');
      }
      if (requestParameters["userSourceConnectionRequest"] == null) {
        throw new RequiredError("userSourceConnectionRequest", 'Required parameter "userSourceConnectionRequest" was null or undefined when calling sourcesUserConnectionsAllUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/all/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: UserSourceConnectionRequestToJSON(requestParameters["userSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * User-source connection Viewset
   */
  sourcesUserConnectionsAllUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsAllUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesUserConnectionsAllUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsAllUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/all/{id}/used_by/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesUserConnectionsAllUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsAllUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsKerberosCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["userKerberosSourceConnectionRequest"] == null) {
        throw new RequiredError("userKerberosSourceConnectionRequest", 'Required parameter "userKerberosSourceConnectionRequest" was null or undefined when calling sourcesUserConnectionsKerberosCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/kerberos/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: UserKerberosSourceConnectionRequestToJSON(requestParameters["userKerberosSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserKerberosSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsKerberosCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsKerberosCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsKerberosDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsKerberosDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/kerberos/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsKerberosDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesUserConnectionsKerberosDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsKerberosListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["sourceSlug"] != null) {
        queryParameters["source__slug"] = requestParameters["sourceSlug"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/kerberos/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedUserKerberosSourceConnectionListFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsKerberosList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesUserConnectionsKerberosListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsKerberosPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsKerberosPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/kerberos/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedUserKerberosSourceConnectionRequestToJSON(requestParameters["patchedUserKerberosSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserKerberosSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsKerberosPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsKerberosPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsKerberosRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsKerberosRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/kerberos/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserKerberosSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsKerberosRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsKerberosRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsKerberosUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsKerberosUpdate().');
      }
      if (requestParameters["userKerberosSourceConnectionRequest"] == null) {
        throw new RequiredError("userKerberosSourceConnectionRequest", 'Required parameter "userKerberosSourceConnectionRequest" was null or undefined when calling sourcesUserConnectionsKerberosUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/kerberos/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: UserKerberosSourceConnectionRequestToJSON(requestParameters["userKerberosSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserKerberosSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsKerberosUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsKerberosUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesUserConnectionsKerberosUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsKerberosUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/kerberos/{id}/used_by/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesUserConnectionsKerberosUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsKerberosUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsOauthCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["userOAuthSourceConnectionRequest"] == null) {
        throw new RequiredError("userOAuthSourceConnectionRequest", 'Required parameter "userOAuthSourceConnectionRequest" was null or undefined when calling sourcesUserConnectionsOauthCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/oauth/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: UserOAuthSourceConnectionRequestToJSON(requestParameters["userOAuthSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserOAuthSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsOauthCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsOauthCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsOauthDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsOauthDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/oauth/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsOauthDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesUserConnectionsOauthDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsOauthListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["sourceSlug"] != null) {
        queryParameters["source__slug"] = requestParameters["sourceSlug"];
      }
      if (requestParameters["user"] != null) {
        queryParameters["user"] = requestParameters["user"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/oauth/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedUserOAuthSourceConnectionListFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsOauthList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesUserConnectionsOauthListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsOauthPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsOauthPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/oauth/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedUserOAuthSourceConnectionRequestToJSON(requestParameters["patchedUserOAuthSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserOAuthSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsOauthPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsOauthPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsOauthRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsOauthRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/oauth/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserOAuthSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsOauthRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsOauthRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsOauthUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsOauthUpdate().');
      }
      if (requestParameters["userOAuthSourceConnectionRequest"] == null) {
        throw new RequiredError("userOAuthSourceConnectionRequest", 'Required parameter "userOAuthSourceConnectionRequest" was null or undefined when calling sourcesUserConnectionsOauthUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/oauth/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: UserOAuthSourceConnectionRequestToJSON(requestParameters["userOAuthSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserOAuthSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsOauthUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsOauthUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesUserConnectionsOauthUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsOauthUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/oauth/{id}/used_by/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesUserConnectionsOauthUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsOauthUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Plex Source connection Serializer
   */
  sourcesUserConnectionsPlexCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["userPlexSourceConnectionRequest"] == null) {
        throw new RequiredError("userPlexSourceConnectionRequest", 'Required parameter "userPlexSourceConnectionRequest" was null or undefined when calling sourcesUserConnectionsPlexCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/plex/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: UserPlexSourceConnectionRequestToJSON(requestParameters["userPlexSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserPlexSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Plex Source connection Serializer
   */
  sourcesUserConnectionsPlexCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsPlexCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Plex Source connection Serializer
   */
  sourcesUserConnectionsPlexDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsPlexDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/plex/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Plex Source connection Serializer
   */
  sourcesUserConnectionsPlexDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesUserConnectionsPlexDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Plex Source connection Serializer
   */
  sourcesUserConnectionsPlexListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["sourceSlug"] != null) {
        queryParameters["source__slug"] = requestParameters["sourceSlug"];
      }
      if (requestParameters["user"] != null) {
        queryParameters["user"] = requestParameters["user"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/plex/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedUserPlexSourceConnectionListFromJSON(jsonValue));
    });
  }
  /**
   * Plex Source connection Serializer
   */
  sourcesUserConnectionsPlexList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesUserConnectionsPlexListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Plex Source connection Serializer
   */
  sourcesUserConnectionsPlexPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsPlexPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/plex/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedUserPlexSourceConnectionRequestToJSON(requestParameters["patchedUserPlexSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserPlexSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Plex Source connection Serializer
   */
  sourcesUserConnectionsPlexPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsPlexPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Plex Source connection Serializer
   */
  sourcesUserConnectionsPlexRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsPlexRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/plex/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserPlexSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Plex Source connection Serializer
   */
  sourcesUserConnectionsPlexRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsPlexRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Plex Source connection Serializer
   */
  sourcesUserConnectionsPlexUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsPlexUpdate().');
      }
      if (requestParameters["userPlexSourceConnectionRequest"] == null) {
        throw new RequiredError("userPlexSourceConnectionRequest", 'Required parameter "userPlexSourceConnectionRequest" was null or undefined when calling sourcesUserConnectionsPlexUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/plex/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: UserPlexSourceConnectionRequestToJSON(requestParameters["userPlexSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserPlexSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Plex Source connection Serializer
   */
  sourcesUserConnectionsPlexUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsPlexUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesUserConnectionsPlexUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsPlexUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/plex/{id}/used_by/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesUserConnectionsPlexUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsPlexUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsSamlCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["userSAMLSourceConnectionRequest"] == null) {
        throw new RequiredError("userSAMLSourceConnectionRequest", 'Required parameter "userSAMLSourceConnectionRequest" was null or undefined when calling sourcesUserConnectionsSamlCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/saml/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: UserSAMLSourceConnectionRequestToJSON(requestParameters["userSAMLSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserSAMLSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsSamlCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsSamlCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsSamlDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsSamlDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/saml/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsSamlDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.sourcesUserConnectionsSamlDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsSamlListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["sourceSlug"] != null) {
        queryParameters["source__slug"] = requestParameters["sourceSlug"];
      }
      if (requestParameters["user"] != null) {
        queryParameters["user"] = requestParameters["user"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/saml/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedUserSAMLSourceConnectionListFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsSamlList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.sourcesUserConnectionsSamlListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsSamlPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsSamlPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/saml/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedUserSAMLSourceConnectionRequestToJSON(requestParameters["patchedUserSAMLSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserSAMLSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsSamlPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsSamlPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsSamlRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsSamlRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/saml/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserSAMLSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsSamlRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsSamlRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsSamlUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsSamlUpdate().');
      }
      if (requestParameters["userSAMLSourceConnectionRequest"] == null) {
        throw new RequiredError("userSAMLSourceConnectionRequest", 'Required parameter "userSAMLSourceConnectionRequest" was null or undefined when calling sourcesUserConnectionsSamlUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/saml/{id}/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: UserSAMLSourceConnectionRequestToJSON(requestParameters["userSAMLSourceConnectionRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserSAMLSourceConnectionFromJSON(jsonValue));
    });
  }
  /**
   * Source Viewset
   */
  sourcesUserConnectionsSamlUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsSamlUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesUserConnectionsSamlUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["id"] == null) {
        throw new RequiredError("id", 'Required parameter "id" was null or undefined when calling sourcesUserConnectionsSamlUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/sources/user_connections/saml/{id}/used_by/`.replace(`{${"id"}}`, encodeURIComponent(String(requestParameters["id"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  sourcesUserConnectionsSamlUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.sourcesUserConnectionsSamlUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
};

export {
  BindingTypeEnum,
  UserMatchingModeEnum,
  GroupMatchingModeEnum,
  KadminTypeEnum,
  NameIdPolicyEnum,
  ProviderTypeEnum,
  SourcesApi
};
//# sourceMappingURL=chunk-TBCAGHBB.js.map
