import {
  TypeCreateFromJSON,
  UserSettingFromJSON
} from "./chunk-DHAK4CKC.js";
import {
  DeviceClassesEnumFromJSON,
  DeviceClassesEnumToJSON
} from "./chunk-643NLCM7.js";
import {
  DEFAULT_CONFIG,
  DeniedActionEnumToJSON,
  FlowFromJSON,
  FlowLayoutEnumToJSON,
  FlowSetFromJSON,
  GroupMemberFromJSON,
  PaginationFromJSON,
  PolicyEngineModeToJSON,
  PromptChallengeFromJSON,
  StageFromJSON,
  UsedByFromJSON,
  UserTypeEnumFromJSON,
  UserTypeEnumToJSON
} from "./chunk-LMXKGCRX.js";
import {
  PromptTypeEnumFromJSON,
  PromptTypeEnumToJSON
} from "./chunk-VFFLD6S4.js";
import {
  UserFieldsEnumFromJSON,
  UserFieldsEnumToJSON
} from "./chunk-7Q35SKZB.js";
import {
  FlowDesignationEnumToJSON
} from "./chunk-D5TRAOIK.js";
import "./chunk-GJQSSHIG.js";
import "./chunk-YYSHHG77.js";
import {
  button_default
} from "./chunk-E4FQAZYR.js";
import "./chunk-YNUUMIC2.js";
import {
  form_control_default,
  form_default,
  login_default
} from "./chunk-RVW7F5SR.js";
import {
  BaseStage,
  title_default,
  to
} from "./chunk-HCX57C2Q.js";
import "./chunk-UFA2R4ZV.js";
import {
  BaseAPI,
  JSONApiResponse,
  RequiredError,
  VoidApiResponse,
  patternfly_base_default,
  t
} from "./chunk-TYHQZR4W.js";
import {
  ke,
  msg
} from "./chunk-AW3QUPVO.js";
import {
  __decorateClass
} from "./chunk-NMZOY6WS.js";

// node_modules/@goauthentik/api/dist/esm/models/AuthTypeEnum.js
function AuthTypeEnumFromJSON(json) {
  return AuthTypeEnumFromJSONTyped(json, false);
}
function AuthTypeEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function AuthTypeEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorAttachmentEnum.js
function AuthenticatorAttachmentEnumFromJSON(json) {
  return AuthenticatorAttachmentEnumFromJSONTyped(json, false);
}
function AuthenticatorAttachmentEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function AuthenticatorAttachmentEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorDuoStage.js
function AuthenticatorDuoStageFromJSON(json) {
  return AuthenticatorDuoStageFromJSONTyped(json, false);
}
function AuthenticatorDuoStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "configureFlow": json["configure_flow"] == null ? void 0 : json["configure_flow"],
    "friendlyName": json["friendly_name"] == null ? void 0 : json["friendly_name"],
    "clientId": json["client_id"],
    "apiHostname": json["api_hostname"],
    "adminIntegrationKey": json["admin_integration_key"] == null ? void 0 : json["admin_integration_key"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorDuoStageDeviceImportResponse.js
function AuthenticatorDuoStageDeviceImportResponseFromJSON(json) {
  return AuthenticatorDuoStageDeviceImportResponseFromJSONTyped(json, false);
}
function AuthenticatorDuoStageDeviceImportResponseFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "count": json["count"],
    "error": json["error"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorDuoStageManualDeviceImportRequest.js
function AuthenticatorDuoStageManualDeviceImportRequestToJSON(json) {
  return AuthenticatorDuoStageManualDeviceImportRequestToJSONTyped(json, false);
}
function AuthenticatorDuoStageManualDeviceImportRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "duo_user_id": value["duoUserId"],
    "username": value["username"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/FlowSetRequest.js
function FlowSetRequestToJSON(json) {
  return FlowSetRequestToJSONTyped(json, false);
}
function FlowSetRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "slug": value["slug"],
    "title": value["title"],
    "designation": FlowDesignationEnumToJSON(value["designation"]),
    "policy_engine_mode": PolicyEngineModeToJSON(value["policyEngineMode"]),
    "compatibility_mode": value["compatibilityMode"],
    "layout": FlowLayoutEnumToJSON(value["layout"]),
    "denied_action": DeniedActionEnumToJSON(value["deniedAction"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorDuoStageRequest.js
function AuthenticatorDuoStageRequestToJSON(json) {
  return AuthenticatorDuoStageRequestToJSONTyped(json, false);
}
function AuthenticatorDuoStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "configure_flow": value["configureFlow"],
    "friendly_name": value["friendlyName"],
    "client_id": value["clientId"],
    "client_secret": value["clientSecret"],
    "api_hostname": value["apiHostname"],
    "admin_integration_key": value["adminIntegrationKey"],
    "admin_secret_key": value["adminSecretKey"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorEmailStage.js
function AuthenticatorEmailStageFromJSON(json) {
  return AuthenticatorEmailStageFromJSONTyped(json, false);
}
function AuthenticatorEmailStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "configureFlow": json["configure_flow"] == null ? void 0 : json["configure_flow"],
    "friendlyName": json["friendly_name"] == null ? void 0 : json["friendly_name"],
    "useGlobalSettings": json["use_global_settings"] == null ? void 0 : json["use_global_settings"],
    "host": json["host"] == null ? void 0 : json["host"],
    "port": json["port"] == null ? void 0 : json["port"],
    "username": json["username"] == null ? void 0 : json["username"],
    "password": json["password"] == null ? void 0 : json["password"],
    "useTls": json["use_tls"] == null ? void 0 : json["use_tls"],
    "useSsl": json["use_ssl"] == null ? void 0 : json["use_ssl"],
    "timeout": json["timeout"] == null ? void 0 : json["timeout"],
    "fromAddress": json["from_address"] == null ? void 0 : json["from_address"],
    "subject": json["subject"] == null ? void 0 : json["subject"],
    "tokenExpiry": json["token_expiry"] == null ? void 0 : json["token_expiry"],
    "template": json["template"] == null ? void 0 : json["template"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorEmailStageRequest.js
function AuthenticatorEmailStageRequestToJSON(json) {
  return AuthenticatorEmailStageRequestToJSONTyped(json, false);
}
function AuthenticatorEmailStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "configure_flow": value["configureFlow"],
    "friendly_name": value["friendlyName"],
    "use_global_settings": value["useGlobalSettings"],
    "host": value["host"],
    "port": value["port"],
    "username": value["username"],
    "password": value["password"],
    "use_tls": value["useTls"],
    "use_ssl": value["useSsl"],
    "timeout": value["timeout"],
    "from_address": value["fromAddress"],
    "subject": value["subject"],
    "token_expiry": value["tokenExpiry"],
    "template": value["template"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorEndpointGDTCStage.js
function AuthenticatorEndpointGDTCStageFromJSON(json) {
  return AuthenticatorEndpointGDTCStageFromJSONTyped(json, false);
}
function AuthenticatorEndpointGDTCStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "configureFlow": json["configure_flow"] == null ? void 0 : json["configure_flow"],
    "friendlyName": json["friendly_name"] == null ? void 0 : json["friendly_name"],
    "credentials": json["credentials"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorEndpointGDTCStageRequest.js
function AuthenticatorEndpointGDTCStageRequestToJSON(json) {
  return AuthenticatorEndpointGDTCStageRequestToJSONTyped(json, false);
}
function AuthenticatorEndpointGDTCStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "configure_flow": value["configureFlow"],
    "friendly_name": value["friendlyName"],
    "credentials": value["credentials"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ProviderEnum.js
function ProviderEnumFromJSON(json) {
  return ProviderEnumFromJSONTyped(json, false);
}
function ProviderEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function ProviderEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorSMSStage.js
function AuthenticatorSMSStageFromJSON(json) {
  return AuthenticatorSMSStageFromJSONTyped(json, false);
}
function AuthenticatorSMSStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "configureFlow": json["configure_flow"] == null ? void 0 : json["configure_flow"],
    "friendlyName": json["friendly_name"] == null ? void 0 : json["friendly_name"],
    "provider": ProviderEnumFromJSON(json["provider"]),
    "fromNumber": json["from_number"],
    "accountSid": json["account_sid"],
    "auth": json["auth"],
    "authPassword": json["auth_password"] == null ? void 0 : json["auth_password"],
    "authType": json["auth_type"] == null ? void 0 : AuthTypeEnumFromJSON(json["auth_type"]),
    "verifyOnly": json["verify_only"] == null ? void 0 : json["verify_only"],
    "mapping": json["mapping"] == null ? void 0 : json["mapping"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorSMSStageRequest.js
function AuthenticatorSMSStageRequestToJSON(json) {
  return AuthenticatorSMSStageRequestToJSONTyped(json, false);
}
function AuthenticatorSMSStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "configure_flow": value["configureFlow"],
    "friendly_name": value["friendlyName"],
    "provider": ProviderEnumToJSON(value["provider"]),
    "from_number": value["fromNumber"],
    "account_sid": value["accountSid"],
    "auth": value["auth"],
    "auth_password": value["authPassword"],
    "auth_type": AuthTypeEnumToJSON(value["authType"]),
    "verify_only": value["verifyOnly"],
    "mapping": value["mapping"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorStaticStage.js
function AuthenticatorStaticStageFromJSON(json) {
  return AuthenticatorStaticStageFromJSONTyped(json, false);
}
function AuthenticatorStaticStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "configureFlow": json["configure_flow"] == null ? void 0 : json["configure_flow"],
    "friendlyName": json["friendly_name"] == null ? void 0 : json["friendly_name"],
    "tokenCount": json["token_count"] == null ? void 0 : json["token_count"],
    "tokenLength": json["token_length"] == null ? void 0 : json["token_length"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorStaticStageRequest.js
function AuthenticatorStaticStageRequestToJSON(json) {
  return AuthenticatorStaticStageRequestToJSONTyped(json, false);
}
function AuthenticatorStaticStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "configure_flow": value["configureFlow"],
    "friendly_name": value["friendlyName"],
    "token_count": value["tokenCount"],
    "token_length": value["tokenLength"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/DigitsEnum.js
function DigitsEnumFromJSON(json) {
  return DigitsEnumFromJSONTyped(json, false);
}
function DigitsEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function DigitsEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorTOTPStage.js
function AuthenticatorTOTPStageFromJSON(json) {
  return AuthenticatorTOTPStageFromJSONTyped(json, false);
}
function AuthenticatorTOTPStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "configureFlow": json["configure_flow"] == null ? void 0 : json["configure_flow"],
    "friendlyName": json["friendly_name"] == null ? void 0 : json["friendly_name"],
    "digits": DigitsEnumFromJSON(json["digits"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorTOTPStageRequest.js
function AuthenticatorTOTPStageRequestToJSON(json) {
  return AuthenticatorTOTPStageRequestToJSONTyped(json, false);
}
function AuthenticatorTOTPStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "configure_flow": value["configureFlow"],
    "friendly_name": value["friendlyName"],
    "digits": DigitsEnumToJSON(value["digits"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/WebAuthnDeviceType.js
function WebAuthnDeviceTypeFromJSON(json) {
  return WebAuthnDeviceTypeFromJSONTyped(json, false);
}
function WebAuthnDeviceTypeFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "aaguid": json["aaguid"],
    "description": json["description"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserVerificationEnum.js
function UserVerificationEnumFromJSON(json) {
  return UserVerificationEnumFromJSONTyped(json, false);
}
function UserVerificationEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function UserVerificationEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/NotConfiguredActionEnum.js
function NotConfiguredActionEnumFromJSON(json) {
  return NotConfiguredActionEnumFromJSONTyped(json, false);
}
function NotConfiguredActionEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function NotConfiguredActionEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorValidateStage.js
function AuthenticatorValidateStageFromJSON(json) {
  return AuthenticatorValidateStageFromJSONTyped(json, false);
}
function AuthenticatorValidateStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "notConfiguredAction": json["not_configured_action"] == null ? void 0 : NotConfiguredActionEnumFromJSON(json["not_configured_action"]),
    "deviceClasses": json["device_classes"] == null ? void 0 : json["device_classes"].map(DeviceClassesEnumFromJSON),
    "configurationStages": json["configuration_stages"] == null ? void 0 : json["configuration_stages"],
    "lastAuthThreshold": json["last_auth_threshold"] == null ? void 0 : json["last_auth_threshold"],
    "webauthnUserVerification": json["webauthn_user_verification"] == null ? void 0 : UserVerificationEnumFromJSON(json["webauthn_user_verification"]),
    "webauthnAllowedDeviceTypes": json["webauthn_allowed_device_types"] == null ? void 0 : json["webauthn_allowed_device_types"],
    "webauthnAllowedDeviceTypesObj": json["webauthn_allowed_device_types_obj"].map(WebAuthnDeviceTypeFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorValidateStageRequest.js
function AuthenticatorValidateStageRequestToJSON(json) {
  return AuthenticatorValidateStageRequestToJSONTyped(json, false);
}
function AuthenticatorValidateStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "not_configured_action": NotConfiguredActionEnumToJSON(value["notConfiguredAction"]),
    "device_classes": value["deviceClasses"] == null ? void 0 : value["deviceClasses"].map(DeviceClassesEnumToJSON),
    "configuration_stages": value["configurationStages"],
    "last_auth_threshold": value["lastAuthThreshold"],
    "webauthn_user_verification": UserVerificationEnumToJSON(value["webauthnUserVerification"]),
    "webauthn_allowed_device_types": value["webauthnAllowedDeviceTypes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ResidentKeyRequirementEnum.js
function ResidentKeyRequirementEnumFromJSON(json) {
  return ResidentKeyRequirementEnumFromJSONTyped(json, false);
}
function ResidentKeyRequirementEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function ResidentKeyRequirementEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorWebAuthnStage.js
function AuthenticatorWebAuthnStageFromJSON(json) {
  return AuthenticatorWebAuthnStageFromJSONTyped(json, false);
}
function AuthenticatorWebAuthnStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "configureFlow": json["configure_flow"] == null ? void 0 : json["configure_flow"],
    "friendlyName": json["friendly_name"] == null ? void 0 : json["friendly_name"],
    "userVerification": json["user_verification"] == null ? void 0 : UserVerificationEnumFromJSON(json["user_verification"]),
    "authenticatorAttachment": json["authenticator_attachment"] == null ? void 0 : AuthenticatorAttachmentEnumFromJSON(json["authenticator_attachment"]),
    "residentKeyRequirement": json["resident_key_requirement"] == null ? void 0 : ResidentKeyRequirementEnumFromJSON(json["resident_key_requirement"]),
    "deviceTypeRestrictions": json["device_type_restrictions"] == null ? void 0 : json["device_type_restrictions"],
    "deviceTypeRestrictionsObj": json["device_type_restrictions_obj"].map(WebAuthnDeviceTypeFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/AuthenticatorWebAuthnStageRequest.js
function AuthenticatorWebAuthnStageRequestToJSON(json) {
  return AuthenticatorWebAuthnStageRequestToJSONTyped(json, false);
}
function AuthenticatorWebAuthnStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "configure_flow": value["configureFlow"],
    "friendly_name": value["friendlyName"],
    "user_verification": UserVerificationEnumToJSON(value["userVerification"]),
    "authenticator_attachment": AuthenticatorAttachmentEnumToJSON(value["authenticatorAttachment"]),
    "resident_key_requirement": ResidentKeyRequirementEnumToJSON(value["residentKeyRequirement"]),
    "device_type_restrictions": value["deviceTypeRestrictions"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/BackendsEnum.js
function BackendsEnumFromJSON(json) {
  return BackendsEnumFromJSONTyped(json, false);
}
function BackendsEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function BackendsEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/CaptchaStage.js
function CaptchaStageFromJSON(json) {
  return CaptchaStageFromJSONTyped(json, false);
}
function CaptchaStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "publicKey": json["public_key"],
    "jsUrl": json["js_url"] == null ? void 0 : json["js_url"],
    "apiUrl": json["api_url"] == null ? void 0 : json["api_url"],
    "interactive": json["interactive"] == null ? void 0 : json["interactive"],
    "scoreMinThreshold": json["score_min_threshold"] == null ? void 0 : json["score_min_threshold"],
    "scoreMaxThreshold": json["score_max_threshold"] == null ? void 0 : json["score_max_threshold"],
    "errorOnInvalidScore": json["error_on_invalid_score"] == null ? void 0 : json["error_on_invalid_score"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/CaptchaStageRequest.js
function CaptchaStageRequestToJSON(json) {
  return CaptchaStageRequestToJSONTyped(json, false);
}
function CaptchaStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "public_key": value["publicKey"],
    "private_key": value["privateKey"],
    "js_url": value["jsUrl"],
    "api_url": value["apiUrl"],
    "interactive": value["interactive"],
    "score_min_threshold": value["scoreMinThreshold"],
    "score_max_threshold": value["scoreMaxThreshold"],
    "error_on_invalid_score": value["errorOnInvalidScore"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ConsentStageModeEnum.js
function ConsentStageModeEnumFromJSON(json) {
  return ConsentStageModeEnumFromJSONTyped(json, false);
}
function ConsentStageModeEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function ConsentStageModeEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/ConsentStage.js
function ConsentStageFromJSON(json) {
  return ConsentStageFromJSONTyped(json, false);
}
function ConsentStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "mode": json["mode"] == null ? void 0 : ConsentStageModeEnumFromJSON(json["mode"]),
    "consentExpireIn": json["consent_expire_in"] == null ? void 0 : json["consent_expire_in"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/ConsentStageRequest.js
function ConsentStageRequestToJSON(json) {
  return ConsentStageRequestToJSONTyped(json, false);
}
function ConsentStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "mode": ConsentStageModeEnumToJSON(value["mode"]),
    "consent_expire_in": value["consentExpireIn"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/DenyStage.js
function DenyStageFromJSON(json) {
  return DenyStageFromJSONTyped(json, false);
}
function DenyStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "denyMessage": json["deny_message"] == null ? void 0 : json["deny_message"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/DenyStageRequest.js
function DenyStageRequestToJSON(json) {
  return DenyStageRequestToJSONTyped(json, false);
}
function DenyStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "deny_message": value["denyMessage"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/DummyStage.js
function DummyStageFromJSON(json) {
  return DummyStageFromJSONTyped(json, false);
}
function DummyStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "throwError": json["throw_error"] == null ? void 0 : json["throw_error"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/DummyStageRequest.js
function DummyStageRequestToJSON(json) {
  return DummyStageRequestToJSONTyped(json, false);
}
function DummyStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "throw_error": value["throwError"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/DuoResponseEnum.js
var DuoResponseEnum = {
  Success: "success",
  Waiting: "waiting",
  Invalid: "invalid",
  UnknownDefaultOpenApi: "11184809"
};
function DuoResponseEnumFromJSON(json) {
  return DuoResponseEnumFromJSONTyped(json, false);
}
function DuoResponseEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}

// node_modules/@goauthentik/api/dist/esm/models/DuoDeviceEnrollmentStatus.js
function DuoDeviceEnrollmentStatusFromJSON(json) {
  return DuoDeviceEnrollmentStatusFromJSONTyped(json, false);
}
function DuoDeviceEnrollmentStatusFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "duoResponse": DuoResponseEnumFromJSON(json["duo_response"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/EmailStage.js
function EmailStageFromJSON(json) {
  return EmailStageFromJSONTyped(json, false);
}
function EmailStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "useGlobalSettings": json["use_global_settings"] == null ? void 0 : json["use_global_settings"],
    "host": json["host"] == null ? void 0 : json["host"],
    "port": json["port"] == null ? void 0 : json["port"],
    "username": json["username"] == null ? void 0 : json["username"],
    "useTls": json["use_tls"] == null ? void 0 : json["use_tls"],
    "useSsl": json["use_ssl"] == null ? void 0 : json["use_ssl"],
    "timeout": json["timeout"] == null ? void 0 : json["timeout"],
    "fromAddress": json["from_address"] == null ? void 0 : json["from_address"],
    "tokenExpiry": json["token_expiry"] == null ? void 0 : json["token_expiry"],
    "subject": json["subject"] == null ? void 0 : json["subject"],
    "template": json["template"] == null ? void 0 : json["template"],
    "activateUserOnSuccess": json["activate_user_on_success"] == null ? void 0 : json["activate_user_on_success"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/EmailStageRequest.js
function EmailStageRequestToJSON(json) {
  return EmailStageRequestToJSONTyped(json, false);
}
function EmailStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "use_global_settings": value["useGlobalSettings"],
    "host": value["host"],
    "port": value["port"],
    "username": value["username"],
    "password": value["password"],
    "use_tls": value["useTls"],
    "use_ssl": value["useSsl"],
    "timeout": value["timeout"],
    "from_address": value["fromAddress"],
    "token_expiry": value["tokenExpiry"],
    "subject": value["subject"],
    "template": value["template"],
    "activate_user_on_success": value["activateUserOnSuccess"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/GeoipBindingEnum.js
function GeoipBindingEnumFromJSON(json) {
  return GeoipBindingEnumFromJSONTyped(json, false);
}
function GeoipBindingEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function GeoipBindingEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/IdentificationStage.js
function IdentificationStageFromJSON(json) {
  return IdentificationStageFromJSONTyped(json, false);
}
function IdentificationStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "userFields": json["user_fields"] == null ? void 0 : json["user_fields"].map(UserFieldsEnumFromJSON),
    "passwordStage": json["password_stage"] == null ? void 0 : json["password_stage"],
    "captchaStage": json["captcha_stage"] == null ? void 0 : json["captcha_stage"],
    "caseInsensitiveMatching": json["case_insensitive_matching"] == null ? void 0 : json["case_insensitive_matching"],
    "showMatchedUser": json["show_matched_user"] == null ? void 0 : json["show_matched_user"],
    "enrollmentFlow": json["enrollment_flow"] == null ? void 0 : json["enrollment_flow"],
    "recoveryFlow": json["recovery_flow"] == null ? void 0 : json["recovery_flow"],
    "passwordlessFlow": json["passwordless_flow"] == null ? void 0 : json["passwordless_flow"],
    "sources": json["sources"] == null ? void 0 : json["sources"],
    "showSourceLabels": json["show_source_labels"] == null ? void 0 : json["show_source_labels"],
    "pretendUserExists": json["pretend_user_exists"] == null ? void 0 : json["pretend_user_exists"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/IdentificationStageRequest.js
function IdentificationStageRequestToJSON(json) {
  return IdentificationStageRequestToJSONTyped(json, false);
}
function IdentificationStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "user_fields": value["userFields"] == null ? void 0 : value["userFields"].map(UserFieldsEnumToJSON),
    "password_stage": value["passwordStage"],
    "captcha_stage": value["captchaStage"],
    "case_insensitive_matching": value["caseInsensitiveMatching"],
    "show_matched_user": value["showMatchedUser"],
    "enrollment_flow": value["enrollmentFlow"],
    "recovery_flow": value["recoveryFlow"],
    "passwordless_flow": value["passwordlessFlow"],
    "sources": value["sources"],
    "show_source_labels": value["showSourceLabels"],
    "pretend_user_exists": value["pretendUserExists"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/Invitation.js
function InvitationFromJSON(json) {
  return InvitationFromJSONTyped(json, false);
}
function InvitationFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "expires": json["expires"] == null ? void 0 : new Date(json["expires"]),
    "fixedData": json["fixed_data"] == null ? void 0 : json["fixed_data"],
    "createdBy": GroupMemberFromJSON(json["created_by"]),
    "singleUse": json["single_use"] == null ? void 0 : json["single_use"],
    "flow": json["flow"] == null ? void 0 : json["flow"],
    "flowObj": FlowFromJSON(json["flow_obj"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/InvitationRequest.js
function InvitationRequestToJSON(json) {
  return InvitationRequestToJSONTyped(json, false);
}
function InvitationRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "expires": value["expires"] == null ? void 0 : value["expires"].toISOString(),
    "fixed_data": value["fixedData"],
    "single_use": value["singleUse"],
    "flow": value["flow"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/InvitationStage.js
function InvitationStageFromJSON(json) {
  return InvitationStageFromJSONTyped(json, false);
}
function InvitationStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "continueFlowWithoutInvitation": json["continue_flow_without_invitation"] == null ? void 0 : json["continue_flow_without_invitation"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/InvitationStageRequest.js
function InvitationStageRequestToJSON(json) {
  return InvitationStageRequestToJSONTyped(json, false);
}
function InvitationStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "continue_flow_without_invitation": value["continueFlowWithoutInvitation"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/NetworkBindingEnum.js
function NetworkBindingEnumFromJSON(json) {
  return NetworkBindingEnumFromJSONTyped(json, false);
}
function NetworkBindingEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function NetworkBindingEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedAuthenticatorDuoStageList.js
function PaginatedAuthenticatorDuoStageListFromJSON(json) {
  return PaginatedAuthenticatorDuoStageListFromJSONTyped(json, false);
}
function PaginatedAuthenticatorDuoStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(AuthenticatorDuoStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedAuthenticatorEmailStageList.js
function PaginatedAuthenticatorEmailStageListFromJSON(json) {
  return PaginatedAuthenticatorEmailStageListFromJSONTyped(json, false);
}
function PaginatedAuthenticatorEmailStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(AuthenticatorEmailStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedAuthenticatorEndpointGDTCStageList.js
function PaginatedAuthenticatorEndpointGDTCStageListFromJSON(json) {
  return PaginatedAuthenticatorEndpointGDTCStageListFromJSONTyped(json, false);
}
function PaginatedAuthenticatorEndpointGDTCStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(AuthenticatorEndpointGDTCStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedAuthenticatorSMSStageList.js
function PaginatedAuthenticatorSMSStageListFromJSON(json) {
  return PaginatedAuthenticatorSMSStageListFromJSONTyped(json, false);
}
function PaginatedAuthenticatorSMSStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(AuthenticatorSMSStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedAuthenticatorStaticStageList.js
function PaginatedAuthenticatorStaticStageListFromJSON(json) {
  return PaginatedAuthenticatorStaticStageListFromJSONTyped(json, false);
}
function PaginatedAuthenticatorStaticStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(AuthenticatorStaticStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedAuthenticatorTOTPStageList.js
function PaginatedAuthenticatorTOTPStageListFromJSON(json) {
  return PaginatedAuthenticatorTOTPStageListFromJSONTyped(json, false);
}
function PaginatedAuthenticatorTOTPStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(AuthenticatorTOTPStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedAuthenticatorValidateStageList.js
function PaginatedAuthenticatorValidateStageListFromJSON(json) {
  return PaginatedAuthenticatorValidateStageListFromJSONTyped(json, false);
}
function PaginatedAuthenticatorValidateStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(AuthenticatorValidateStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedAuthenticatorWebAuthnStageList.js
function PaginatedAuthenticatorWebAuthnStageListFromJSON(json) {
  return PaginatedAuthenticatorWebAuthnStageListFromJSONTyped(json, false);
}
function PaginatedAuthenticatorWebAuthnStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(AuthenticatorWebAuthnStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedCaptchaStageList.js
function PaginatedCaptchaStageListFromJSON(json) {
  return PaginatedCaptchaStageListFromJSONTyped(json, false);
}
function PaginatedCaptchaStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(CaptchaStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedConsentStageList.js
function PaginatedConsentStageListFromJSON(json) {
  return PaginatedConsentStageListFromJSONTyped(json, false);
}
function PaginatedConsentStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(ConsentStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedDenyStageList.js
function PaginatedDenyStageListFromJSON(json) {
  return PaginatedDenyStageListFromJSONTyped(json, false);
}
function PaginatedDenyStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(DenyStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedDummyStageList.js
function PaginatedDummyStageListFromJSON(json) {
  return PaginatedDummyStageListFromJSONTyped(json, false);
}
function PaginatedDummyStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(DummyStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedEmailStageList.js
function PaginatedEmailStageListFromJSON(json) {
  return PaginatedEmailStageListFromJSONTyped(json, false);
}
function PaginatedEmailStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(EmailStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedIdentificationStageList.js
function PaginatedIdentificationStageListFromJSON(json) {
  return PaginatedIdentificationStageListFromJSONTyped(json, false);
}
function PaginatedIdentificationStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(IdentificationStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedInvitationList.js
function PaginatedInvitationListFromJSON(json) {
  return PaginatedInvitationListFromJSONTyped(json, false);
}
function PaginatedInvitationListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(InvitationFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedInvitationStageList.js
function PaginatedInvitationStageListFromJSON(json) {
  return PaginatedInvitationStageListFromJSONTyped(json, false);
}
function PaginatedInvitationStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(InvitationStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PasswordStage.js
function PasswordStageFromJSON(json) {
  return PasswordStageFromJSONTyped(json, false);
}
function PasswordStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "backends": json["backends"].map(BackendsEnumFromJSON),
    "configureFlow": json["configure_flow"] == null ? void 0 : json["configure_flow"],
    "failedAttemptsBeforeCancel": json["failed_attempts_before_cancel"] == null ? void 0 : json["failed_attempts_before_cancel"],
    "allowShowPassword": json["allow_show_password"] == null ? void 0 : json["allow_show_password"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedPasswordStageList.js
function PaginatedPasswordStageListFromJSON(json) {
  return PaginatedPasswordStageListFromJSONTyped(json, false);
}
function PaginatedPasswordStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(PasswordStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/Prompt.js
function PromptFromJSON(json) {
  return PromptFromJSONTyped(json, false);
}
function PromptFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "fieldKey": json["field_key"],
    "label": json["label"],
    "type": PromptTypeEnumFromJSON(json["type"]),
    "required": json["required"] == null ? void 0 : json["required"],
    "placeholder": json["placeholder"] == null ? void 0 : json["placeholder"],
    "initialValue": json["initial_value"] == null ? void 0 : json["initial_value"],
    "order": json["order"] == null ? void 0 : json["order"],
    "promptstageSet": json["promptstage_set"] == null ? void 0 : json["promptstage_set"].map(StageFromJSON),
    "subText": json["sub_text"] == null ? void 0 : json["sub_text"],
    "placeholderExpression": json["placeholder_expression"] == null ? void 0 : json["placeholder_expression"],
    "initialValueExpression": json["initial_value_expression"] == null ? void 0 : json["initial_value_expression"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedPromptList.js
function PaginatedPromptListFromJSON(json) {
  return PaginatedPromptListFromJSONTyped(json, false);
}
function PaginatedPromptListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(PromptFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PromptStage.js
function PromptStageFromJSON(json) {
  return PromptStageFromJSONTyped(json, false);
}
function PromptStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "fields": json["fields"],
    "validationPolicies": json["validation_policies"] == null ? void 0 : json["validation_policies"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedPromptStageList.js
function PaginatedPromptStageListFromJSON(json) {
  return PaginatedPromptStageListFromJSONTyped(json, false);
}
function PaginatedPromptStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(PromptStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/RedirectStageModeEnum.js
function RedirectStageModeEnumFromJSON(json) {
  return RedirectStageModeEnumFromJSONTyped(json, false);
}
function RedirectStageModeEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function RedirectStageModeEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/RedirectStage.js
function RedirectStageFromJSON(json) {
  return RedirectStageFromJSONTyped(json, false);
}
function RedirectStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "keepContext": json["keep_context"] == null ? void 0 : json["keep_context"],
    "mode": RedirectStageModeEnumFromJSON(json["mode"]),
    "targetStatic": json["target_static"] == null ? void 0 : json["target_static"],
    "targetFlow": json["target_flow"] == null ? void 0 : json["target_flow"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedRedirectStageList.js
function PaginatedRedirectStageListFromJSON(json) {
  return PaginatedRedirectStageListFromJSONTyped(json, false);
}
function PaginatedRedirectStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(RedirectStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SourceStage.js
function SourceStageFromJSON(json) {
  return SourceStageFromJSONTyped(json, false);
}
function SourceStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "source": json["source"],
    "resumeTimeout": json["resume_timeout"] == null ? void 0 : json["resume_timeout"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedSourceStageList.js
function PaginatedSourceStageListFromJSON(json) {
  return PaginatedSourceStageListFromJSONTyped(json, false);
}
function PaginatedSourceStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(SourceStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedStageList.js
function PaginatedStageListFromJSON(json) {
  return PaginatedStageListFromJSONTyped(json, false);
}
function PaginatedStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(StageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserDeleteStage.js
function UserDeleteStageFromJSON(json) {
  return UserDeleteStageFromJSONTyped(json, false);
}
function UserDeleteStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedUserDeleteStageList.js
function PaginatedUserDeleteStageListFromJSON(json) {
  return PaginatedUserDeleteStageListFromJSONTyped(json, false);
}
function PaginatedUserDeleteStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(UserDeleteStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserLoginStage.js
function UserLoginStageFromJSON(json) {
  return UserLoginStageFromJSONTyped(json, false);
}
function UserLoginStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "sessionDuration": json["session_duration"] == null ? void 0 : json["session_duration"],
    "terminateOtherSessions": json["terminate_other_sessions"] == null ? void 0 : json["terminate_other_sessions"],
    "rememberMeOffset": json["remember_me_offset"] == null ? void 0 : json["remember_me_offset"],
    "networkBinding": json["network_binding"] == null ? void 0 : NetworkBindingEnumFromJSON(json["network_binding"]),
    "geoipBinding": json["geoip_binding"] == null ? void 0 : GeoipBindingEnumFromJSON(json["geoip_binding"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedUserLoginStageList.js
function PaginatedUserLoginStageListFromJSON(json) {
  return PaginatedUserLoginStageListFromJSONTyped(json, false);
}
function PaginatedUserLoginStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(UserLoginStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserLogoutStage.js
function UserLogoutStageFromJSON(json) {
  return UserLogoutStageFromJSONTyped(json, false);
}
function UserLogoutStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedUserLogoutStageList.js
function PaginatedUserLogoutStageListFromJSON(json) {
  return PaginatedUserLogoutStageListFromJSONTyped(json, false);
}
function PaginatedUserLogoutStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(UserLogoutStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserCreationModeEnum.js
function UserCreationModeEnumFromJSON(json) {
  return UserCreationModeEnumFromJSONTyped(json, false);
}
function UserCreationModeEnumFromJSONTyped(json, ignoreDiscriminator) {
  return json;
}
function UserCreationModeEnumToJSON(value) {
  return value;
}

// node_modules/@goauthentik/api/dist/esm/models/UserWriteStage.js
function UserWriteStageFromJSON(json) {
  return UserWriteStageFromJSONTyped(json, false);
}
function UserWriteStageFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pk": json["pk"],
    "name": json["name"],
    "component": json["component"],
    "verboseName": json["verbose_name"],
    "verboseNamePlural": json["verbose_name_plural"],
    "metaModelName": json["meta_model_name"],
    "flowSet": json["flow_set"] == null ? void 0 : json["flow_set"].map(FlowSetFromJSON),
    "userCreationMode": json["user_creation_mode"] == null ? void 0 : UserCreationModeEnumFromJSON(json["user_creation_mode"]),
    "createUsersAsInactive": json["create_users_as_inactive"] == null ? void 0 : json["create_users_as_inactive"],
    "createUsersGroup": json["create_users_group"] == null ? void 0 : json["create_users_group"],
    "userType": json["user_type"] == null ? void 0 : UserTypeEnumFromJSON(json["user_type"]),
    "userPathTemplate": json["user_path_template"] == null ? void 0 : json["user_path_template"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedUserWriteStageList.js
function PaginatedUserWriteStageListFromJSON(json) {
  return PaginatedUserWriteStageListFromJSONTyped(json, false);
}
function PaginatedUserWriteStageListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(UserWriteStageFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PaginatedWebAuthnDeviceTypeList.js
function PaginatedWebAuthnDeviceTypeListFromJSON(json) {
  return PaginatedWebAuthnDeviceTypeListFromJSONTyped(json, false);
}
function PaginatedWebAuthnDeviceTypeListFromJSONTyped(json, ignoreDiscriminator) {
  if (json == null) {
    return json;
  }
  return {
    "pagination": PaginationFromJSON(json["pagination"]),
    "results": json["results"].map(WebAuthnDeviceTypeFromJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PasswordStageRequest.js
function PasswordStageRequestToJSON(json) {
  return PasswordStageRequestToJSONTyped(json, false);
}
function PasswordStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "backends": value["backends"].map(BackendsEnumToJSON),
    "configure_flow": value["configureFlow"],
    "failed_attempts_before_cancel": value["failedAttemptsBeforeCancel"],
    "allow_show_password": value["allowShowPassword"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedAuthenticatorDuoStageRequest.js
function PatchedAuthenticatorDuoStageRequestToJSON(json) {
  return PatchedAuthenticatorDuoStageRequestToJSONTyped(json, false);
}
function PatchedAuthenticatorDuoStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "configure_flow": value["configureFlow"],
    "friendly_name": value["friendlyName"],
    "client_id": value["clientId"],
    "client_secret": value["clientSecret"],
    "api_hostname": value["apiHostname"],
    "admin_integration_key": value["adminIntegrationKey"],
    "admin_secret_key": value["adminSecretKey"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedAuthenticatorEmailStageRequest.js
function PatchedAuthenticatorEmailStageRequestToJSON(json) {
  return PatchedAuthenticatorEmailStageRequestToJSONTyped(json, false);
}
function PatchedAuthenticatorEmailStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "configure_flow": value["configureFlow"],
    "friendly_name": value["friendlyName"],
    "use_global_settings": value["useGlobalSettings"],
    "host": value["host"],
    "port": value["port"],
    "username": value["username"],
    "password": value["password"],
    "use_tls": value["useTls"],
    "use_ssl": value["useSsl"],
    "timeout": value["timeout"],
    "from_address": value["fromAddress"],
    "subject": value["subject"],
    "token_expiry": value["tokenExpiry"],
    "template": value["template"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedAuthenticatorEndpointGDTCStageRequest.js
function PatchedAuthenticatorEndpointGDTCStageRequestToJSON(json) {
  return PatchedAuthenticatorEndpointGDTCStageRequestToJSONTyped(json, false);
}
function PatchedAuthenticatorEndpointGDTCStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "configure_flow": value["configureFlow"],
    "friendly_name": value["friendlyName"],
    "credentials": value["credentials"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedAuthenticatorSMSStageRequest.js
function PatchedAuthenticatorSMSStageRequestToJSON(json) {
  return PatchedAuthenticatorSMSStageRequestToJSONTyped(json, false);
}
function PatchedAuthenticatorSMSStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "configure_flow": value["configureFlow"],
    "friendly_name": value["friendlyName"],
    "provider": ProviderEnumToJSON(value["provider"]),
    "from_number": value["fromNumber"],
    "account_sid": value["accountSid"],
    "auth": value["auth"],
    "auth_password": value["authPassword"],
    "auth_type": AuthTypeEnumToJSON(value["authType"]),
    "verify_only": value["verifyOnly"],
    "mapping": value["mapping"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedAuthenticatorStaticStageRequest.js
function PatchedAuthenticatorStaticStageRequestToJSON(json) {
  return PatchedAuthenticatorStaticStageRequestToJSONTyped(json, false);
}
function PatchedAuthenticatorStaticStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "configure_flow": value["configureFlow"],
    "friendly_name": value["friendlyName"],
    "token_count": value["tokenCount"],
    "token_length": value["tokenLength"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedAuthenticatorTOTPStageRequest.js
function PatchedAuthenticatorTOTPStageRequestToJSON(json) {
  return PatchedAuthenticatorTOTPStageRequestToJSONTyped(json, false);
}
function PatchedAuthenticatorTOTPStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "configure_flow": value["configureFlow"],
    "friendly_name": value["friendlyName"],
    "digits": DigitsEnumToJSON(value["digits"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedAuthenticatorValidateStageRequest.js
function PatchedAuthenticatorValidateStageRequestToJSON(json) {
  return PatchedAuthenticatorValidateStageRequestToJSONTyped(json, false);
}
function PatchedAuthenticatorValidateStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "not_configured_action": NotConfiguredActionEnumToJSON(value["notConfiguredAction"]),
    "device_classes": value["deviceClasses"] == null ? void 0 : value["deviceClasses"].map(DeviceClassesEnumToJSON),
    "configuration_stages": value["configurationStages"],
    "last_auth_threshold": value["lastAuthThreshold"],
    "webauthn_user_verification": UserVerificationEnumToJSON(value["webauthnUserVerification"]),
    "webauthn_allowed_device_types": value["webauthnAllowedDeviceTypes"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedAuthenticatorWebAuthnStageRequest.js
function PatchedAuthenticatorWebAuthnStageRequestToJSON(json) {
  return PatchedAuthenticatorWebAuthnStageRequestToJSONTyped(json, false);
}
function PatchedAuthenticatorWebAuthnStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "configure_flow": value["configureFlow"],
    "friendly_name": value["friendlyName"],
    "user_verification": UserVerificationEnumToJSON(value["userVerification"]),
    "authenticator_attachment": AuthenticatorAttachmentEnumToJSON(value["authenticatorAttachment"]),
    "resident_key_requirement": ResidentKeyRequirementEnumToJSON(value["residentKeyRequirement"]),
    "device_type_restrictions": value["deviceTypeRestrictions"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedCaptchaStageRequest.js
function PatchedCaptchaStageRequestToJSON(json) {
  return PatchedCaptchaStageRequestToJSONTyped(json, false);
}
function PatchedCaptchaStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "public_key": value["publicKey"],
    "private_key": value["privateKey"],
    "js_url": value["jsUrl"],
    "api_url": value["apiUrl"],
    "interactive": value["interactive"],
    "score_min_threshold": value["scoreMinThreshold"],
    "score_max_threshold": value["scoreMaxThreshold"],
    "error_on_invalid_score": value["errorOnInvalidScore"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedConsentStageRequest.js
function PatchedConsentStageRequestToJSON(json) {
  return PatchedConsentStageRequestToJSONTyped(json, false);
}
function PatchedConsentStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "mode": ConsentStageModeEnumToJSON(value["mode"]),
    "consent_expire_in": value["consentExpireIn"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedDenyStageRequest.js
function PatchedDenyStageRequestToJSON(json) {
  return PatchedDenyStageRequestToJSONTyped(json, false);
}
function PatchedDenyStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "deny_message": value["denyMessage"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedDummyStageRequest.js
function PatchedDummyStageRequestToJSON(json) {
  return PatchedDummyStageRequestToJSONTyped(json, false);
}
function PatchedDummyStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "throw_error": value["throwError"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedEmailStageRequest.js
function PatchedEmailStageRequestToJSON(json) {
  return PatchedEmailStageRequestToJSONTyped(json, false);
}
function PatchedEmailStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "use_global_settings": value["useGlobalSettings"],
    "host": value["host"],
    "port": value["port"],
    "username": value["username"],
    "password": value["password"],
    "use_tls": value["useTls"],
    "use_ssl": value["useSsl"],
    "timeout": value["timeout"],
    "from_address": value["fromAddress"],
    "token_expiry": value["tokenExpiry"],
    "subject": value["subject"],
    "template": value["template"],
    "activate_user_on_success": value["activateUserOnSuccess"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedIdentificationStageRequest.js
function PatchedIdentificationStageRequestToJSON(json) {
  return PatchedIdentificationStageRequestToJSONTyped(json, false);
}
function PatchedIdentificationStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "user_fields": value["userFields"] == null ? void 0 : value["userFields"].map(UserFieldsEnumToJSON),
    "password_stage": value["passwordStage"],
    "captcha_stage": value["captchaStage"],
    "case_insensitive_matching": value["caseInsensitiveMatching"],
    "show_matched_user": value["showMatchedUser"],
    "enrollment_flow": value["enrollmentFlow"],
    "recovery_flow": value["recoveryFlow"],
    "passwordless_flow": value["passwordlessFlow"],
    "sources": value["sources"],
    "show_source_labels": value["showSourceLabels"],
    "pretend_user_exists": value["pretendUserExists"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedInvitationRequest.js
function PatchedInvitationRequestToJSON(json) {
  return PatchedInvitationRequestToJSONTyped(json, false);
}
function PatchedInvitationRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "expires": value["expires"] == null ? void 0 : value["expires"].toISOString(),
    "fixed_data": value["fixedData"],
    "single_use": value["singleUse"],
    "flow": value["flow"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedInvitationStageRequest.js
function PatchedInvitationStageRequestToJSON(json) {
  return PatchedInvitationStageRequestToJSONTyped(json, false);
}
function PatchedInvitationStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "continue_flow_without_invitation": value["continueFlowWithoutInvitation"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedPasswordStageRequest.js
function PatchedPasswordStageRequestToJSON(json) {
  return PatchedPasswordStageRequestToJSONTyped(json, false);
}
function PatchedPasswordStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "backends": value["backends"] == null ? void 0 : value["backends"].map(BackendsEnumToJSON),
    "configure_flow": value["configureFlow"],
    "failed_attempts_before_cancel": value["failedAttemptsBeforeCancel"],
    "allow_show_password": value["allowShowPassword"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/StageRequest.js
function StageRequestToJSON(json) {
  return StageRequestToJSONTyped(json, false);
}
function StageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedPromptRequest.js
function PatchedPromptRequestToJSON(json) {
  return PatchedPromptRequestToJSONTyped(json, false);
}
function PatchedPromptRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "field_key": value["fieldKey"],
    "label": value["label"],
    "type": PromptTypeEnumToJSON(value["type"]),
    "required": value["required"],
    "placeholder": value["placeholder"],
    "initial_value": value["initialValue"],
    "order": value["order"],
    "promptstage_set": value["promptstageSet"] == null ? void 0 : value["promptstageSet"].map(StageRequestToJSON),
    "sub_text": value["subText"],
    "placeholder_expression": value["placeholderExpression"],
    "initial_value_expression": value["initialValueExpression"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedPromptStageRequest.js
function PatchedPromptStageRequestToJSON(json) {
  return PatchedPromptStageRequestToJSONTyped(json, false);
}
function PatchedPromptStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "fields": value["fields"],
    "validation_policies": value["validationPolicies"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedRedirectStageRequest.js
function PatchedRedirectStageRequestToJSON(json) {
  return PatchedRedirectStageRequestToJSONTyped(json, false);
}
function PatchedRedirectStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "keep_context": value["keepContext"],
    "mode": RedirectStageModeEnumToJSON(value["mode"]),
    "target_static": value["targetStatic"],
    "target_flow": value["targetFlow"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedSourceStageRequest.js
function PatchedSourceStageRequestToJSON(json) {
  return PatchedSourceStageRequestToJSONTyped(json, false);
}
function PatchedSourceStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "source": value["source"],
    "resume_timeout": value["resumeTimeout"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedUserDeleteStageRequest.js
function PatchedUserDeleteStageRequestToJSON(json) {
  return PatchedUserDeleteStageRequestToJSONTyped(json, false);
}
function PatchedUserDeleteStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedUserLoginStageRequest.js
function PatchedUserLoginStageRequestToJSON(json) {
  return PatchedUserLoginStageRequestToJSONTyped(json, false);
}
function PatchedUserLoginStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "session_duration": value["sessionDuration"],
    "terminate_other_sessions": value["terminateOtherSessions"],
    "remember_me_offset": value["rememberMeOffset"],
    "network_binding": NetworkBindingEnumToJSON(value["networkBinding"]),
    "geoip_binding": GeoipBindingEnumToJSON(value["geoipBinding"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedUserLogoutStageRequest.js
function PatchedUserLogoutStageRequestToJSON(json) {
  return PatchedUserLogoutStageRequestToJSONTyped(json, false);
}
function PatchedUserLogoutStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PatchedUserWriteStageRequest.js
function PatchedUserWriteStageRequestToJSON(json) {
  return PatchedUserWriteStageRequestToJSONTyped(json, false);
}
function PatchedUserWriteStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "user_creation_mode": UserCreationModeEnumToJSON(value["userCreationMode"]),
    "create_users_as_inactive": value["createUsersAsInactive"],
    "create_users_group": value["createUsersGroup"],
    "user_type": UserTypeEnumToJSON(value["userType"]),
    "user_path_template": value["userPathTemplate"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PromptRequest.js
function PromptRequestToJSON(json) {
  return PromptRequestToJSONTyped(json, false);
}
function PromptRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "field_key": value["fieldKey"],
    "label": value["label"],
    "type": PromptTypeEnumToJSON(value["type"]),
    "required": value["required"],
    "placeholder": value["placeholder"],
    "initial_value": value["initialValue"],
    "order": value["order"],
    "promptstage_set": value["promptstageSet"] == null ? void 0 : value["promptstageSet"].map(StageRequestToJSON),
    "sub_text": value["subText"],
    "placeholder_expression": value["placeholderExpression"],
    "initial_value_expression": value["initialValueExpression"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/PromptStageRequest.js
function PromptStageRequestToJSON(json) {
  return PromptStageRequestToJSONTyped(json, false);
}
function PromptStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "fields": value["fields"],
    "validation_policies": value["validationPolicies"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/RedirectStageRequest.js
function RedirectStageRequestToJSON(json) {
  return RedirectStageRequestToJSONTyped(json, false);
}
function RedirectStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "keep_context": value["keepContext"],
    "mode": RedirectStageModeEnumToJSON(value["mode"]),
    "target_static": value["targetStatic"],
    "target_flow": value["targetFlow"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/SourceStageRequest.js
function SourceStageRequestToJSON(json) {
  return SourceStageRequestToJSONTyped(json, false);
}
function SourceStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "source": value["source"],
    "resume_timeout": value["resumeTimeout"]
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserDeleteStageRequest.js
function UserDeleteStageRequestToJSON(json) {
  return UserDeleteStageRequestToJSONTyped(json, false);
}
function UserDeleteStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserLoginStageRequest.js
function UserLoginStageRequestToJSON(json) {
  return UserLoginStageRequestToJSONTyped(json, false);
}
function UserLoginStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "session_duration": value["sessionDuration"],
    "terminate_other_sessions": value["terminateOtherSessions"],
    "remember_me_offset": value["rememberMeOffset"],
    "network_binding": NetworkBindingEnumToJSON(value["networkBinding"]),
    "geoip_binding": GeoipBindingEnumToJSON(value["geoipBinding"])
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserLogoutStageRequest.js
function UserLogoutStageRequestToJSON(json) {
  return UserLogoutStageRequestToJSONTyped(json, false);
}
function UserLogoutStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON)
  };
}

// node_modules/@goauthentik/api/dist/esm/models/UserWriteStageRequest.js
function UserWriteStageRequestToJSON(json) {
  return UserWriteStageRequestToJSONTyped(json, false);
}
function UserWriteStageRequestToJSONTyped(value, ignoreDiscriminator = false) {
  if (value == null) {
    return value;
  }
  return {
    "name": value["name"],
    "flow_set": value["flowSet"] == null ? void 0 : value["flowSet"].map(FlowSetRequestToJSON),
    "user_creation_mode": UserCreationModeEnumToJSON(value["userCreationMode"]),
    "create_users_as_inactive": value["createUsersAsInactive"],
    "create_users_group": value["createUsersGroup"],
    "user_type": UserTypeEnumToJSON(value["userType"]),
    "user_path_template": value["userPathTemplate"]
  };
}

// node_modules/@goauthentik/api/dist/esm/apis/StagesApi.js
var __awaiter = function(thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function(resolve) {
      resolve(value);
    });
  }
  return new (P || (P = Promise))(function(resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }
    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }
    function step(result) {
      result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
    }
    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
};
var StagesApi = class extends BaseAPI {
  /**
   * Stage Viewset
   */
  stagesAllDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAllDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/all/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Stage Viewset
   */
  stagesAllDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesAllDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Stage Viewset
   */
  stagesAllListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/all/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedStageListFromJSON(jsonValue));
    });
  }
  /**
   * Stage Viewset
   */
  stagesAllList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesAllListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Stage Viewset
   */
  stagesAllRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAllRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/all/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => StageFromJSON(jsonValue));
    });
  }
  /**
   * Stage Viewset
   */
  stagesAllRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAllRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get all creatable types
   */
  stagesAllTypesListRaw(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/all/types/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(TypeCreateFromJSON));
    });
  }
  /**
   * Get all creatable types
   */
  stagesAllTypesList(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAllTypesListRaw(initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAllUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAllUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/all/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAllUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAllUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get all stages the user can configure
   */
  stagesAllUserSettingsListRaw(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/all/user_settings/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UserSettingFromJSON));
    });
  }
  /**
   * Get all stages the user can configure
   */
  stagesAllUserSettingsList(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAllUserSettingsListRaw(initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorDuoStage Viewset
   */
  stagesAuthenticatorDuoCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["authenticatorDuoStageRequest"] == null) {
        throw new RequiredError("authenticatorDuoStageRequest", 'Required parameter "authenticatorDuoStageRequest" was null or undefined when calling stagesAuthenticatorDuoCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/duo/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorDuoStageRequestToJSON(requestParameters["authenticatorDuoStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorDuoStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorDuoStage Viewset
   */
  stagesAuthenticatorDuoCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorDuoCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorDuoStage Viewset
   */
  stagesAuthenticatorDuoDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorDuoDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/duo/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * AuthenticatorDuoStage Viewset
   */
  stagesAuthenticatorDuoDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesAuthenticatorDuoDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Check enrollment status of user details in current session
   */
  stagesAuthenticatorDuoEnrollmentStatusCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorDuoEnrollmentStatusCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/duo/{stage_uuid}/enrollment_status/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => DuoDeviceEnrollmentStatusFromJSON(jsonValue));
    });
  }
  /**
   * Check enrollment status of user details in current session
   */
  stagesAuthenticatorDuoEnrollmentStatusCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorDuoEnrollmentStatusCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Import duo devices into authentik
   */
  stagesAuthenticatorDuoImportDeviceManualCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorDuoImportDeviceManualCreate().');
      }
      if (requestParameters["authenticatorDuoStageManualDeviceImportRequest"] == null) {
        throw new RequiredError("authenticatorDuoStageManualDeviceImportRequest", 'Required parameter "authenticatorDuoStageManualDeviceImportRequest" was null or undefined when calling stagesAuthenticatorDuoImportDeviceManualCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/duo/{stage_uuid}/import_device_manual/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorDuoStageManualDeviceImportRequestToJSON(requestParameters["authenticatorDuoStageManualDeviceImportRequest"])
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Import duo devices into authentik
   */
  stagesAuthenticatorDuoImportDeviceManualCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesAuthenticatorDuoImportDeviceManualCreateRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Import duo devices into authentik
   */
  stagesAuthenticatorDuoImportDevicesAutomaticCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorDuoImportDevicesAutomaticCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/duo/{stage_uuid}/import_devices_automatic/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "POST",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorDuoStageDeviceImportResponseFromJSON(jsonValue));
    });
  }
  /**
   * Import duo devices into authentik
   */
  stagesAuthenticatorDuoImportDevicesAutomaticCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorDuoImportDevicesAutomaticCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorDuoStage Viewset
   */
  stagesAuthenticatorDuoListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["apiHostname"] != null) {
        queryParameters["api_hostname"] = requestParameters["apiHostname"];
      }
      if (requestParameters["clientId"] != null) {
        queryParameters["client_id"] = requestParameters["clientId"];
      }
      if (requestParameters["configureFlow"] != null) {
        queryParameters["configure_flow"] = requestParameters["configureFlow"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/duo/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedAuthenticatorDuoStageListFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorDuoStage Viewset
   */
  stagesAuthenticatorDuoList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesAuthenticatorDuoListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorDuoStage Viewset
   */
  stagesAuthenticatorDuoPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorDuoPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/duo/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedAuthenticatorDuoStageRequestToJSON(requestParameters["patchedAuthenticatorDuoStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorDuoStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorDuoStage Viewset
   */
  stagesAuthenticatorDuoPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorDuoPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorDuoStage Viewset
   */
  stagesAuthenticatorDuoRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorDuoRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/duo/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorDuoStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorDuoStage Viewset
   */
  stagesAuthenticatorDuoRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorDuoRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorDuoStage Viewset
   */
  stagesAuthenticatorDuoUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorDuoUpdate().');
      }
      if (requestParameters["authenticatorDuoStageRequest"] == null) {
        throw new RequiredError("authenticatorDuoStageRequest", 'Required parameter "authenticatorDuoStageRequest" was null or undefined when calling stagesAuthenticatorDuoUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/duo/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorDuoStageRequestToJSON(requestParameters["authenticatorDuoStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorDuoStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorDuoStage Viewset
   */
  stagesAuthenticatorDuoUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorDuoUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorDuoUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorDuoUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/duo/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorDuoUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorDuoUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorEmailStage Viewset
   */
  stagesAuthenticatorEmailCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["authenticatorEmailStageRequest"] == null) {
        throw new RequiredError("authenticatorEmailStageRequest", 'Required parameter "authenticatorEmailStageRequest" was null or undefined when calling stagesAuthenticatorEmailCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/email/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorEmailStageRequestToJSON(requestParameters["authenticatorEmailStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorEmailStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorEmailStage Viewset
   */
  stagesAuthenticatorEmailCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorEmailCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorEmailStage Viewset
   */
  stagesAuthenticatorEmailDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorEmailDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/email/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * AuthenticatorEmailStage Viewset
   */
  stagesAuthenticatorEmailDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesAuthenticatorEmailDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * AuthenticatorEmailStage Viewset
   */
  stagesAuthenticatorEmailListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["configureFlow"] != null) {
        queryParameters["configure_flow"] = requestParameters["configureFlow"];
      }
      if (requestParameters["friendlyName"] != null) {
        queryParameters["friendly_name"] = requestParameters["friendlyName"];
      }
      if (requestParameters["fromAddress"] != null) {
        queryParameters["from_address"] = requestParameters["fromAddress"];
      }
      if (requestParameters["host"] != null) {
        queryParameters["host"] = requestParameters["host"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["password"] != null) {
        queryParameters["password"] = requestParameters["password"];
      }
      if (requestParameters["port"] != null) {
        queryParameters["port"] = requestParameters["port"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      if (requestParameters["subject"] != null) {
        queryParameters["subject"] = requestParameters["subject"];
      }
      if (requestParameters["template"] != null) {
        queryParameters["template"] = requestParameters["template"];
      }
      if (requestParameters["timeout"] != null) {
        queryParameters["timeout"] = requestParameters["timeout"];
      }
      if (requestParameters["tokenExpiry"] != null) {
        queryParameters["token_expiry"] = requestParameters["tokenExpiry"];
      }
      if (requestParameters["useGlobalSettings"] != null) {
        queryParameters["use_global_settings"] = requestParameters["useGlobalSettings"];
      }
      if (requestParameters["useSsl"] != null) {
        queryParameters["use_ssl"] = requestParameters["useSsl"];
      }
      if (requestParameters["useTls"] != null) {
        queryParameters["use_tls"] = requestParameters["useTls"];
      }
      if (requestParameters["username"] != null) {
        queryParameters["username"] = requestParameters["username"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/email/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedAuthenticatorEmailStageListFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorEmailStage Viewset
   */
  stagesAuthenticatorEmailList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesAuthenticatorEmailListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorEmailStage Viewset
   */
  stagesAuthenticatorEmailPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorEmailPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/email/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedAuthenticatorEmailStageRequestToJSON(requestParameters["patchedAuthenticatorEmailStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorEmailStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorEmailStage Viewset
   */
  stagesAuthenticatorEmailPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorEmailPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorEmailStage Viewset
   */
  stagesAuthenticatorEmailRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorEmailRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/email/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorEmailStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorEmailStage Viewset
   */
  stagesAuthenticatorEmailRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorEmailRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorEmailStage Viewset
   */
  stagesAuthenticatorEmailUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorEmailUpdate().');
      }
      if (requestParameters["authenticatorEmailStageRequest"] == null) {
        throw new RequiredError("authenticatorEmailStageRequest", 'Required parameter "authenticatorEmailStageRequest" was null or undefined when calling stagesAuthenticatorEmailUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/email/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorEmailStageRequestToJSON(requestParameters["authenticatorEmailStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorEmailStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorEmailStage Viewset
   */
  stagesAuthenticatorEmailUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorEmailUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorEmailUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorEmailUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/email/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorEmailUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorEmailUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorEndpointGDTCStage Viewset
   */
  stagesAuthenticatorEndpointGdtcCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["authenticatorEndpointGDTCStageRequest"] == null) {
        throw new RequiredError("authenticatorEndpointGDTCStageRequest", 'Required parameter "authenticatorEndpointGDTCStageRequest" was null or undefined when calling stagesAuthenticatorEndpointGdtcCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/endpoint_gdtc/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorEndpointGDTCStageRequestToJSON(requestParameters["authenticatorEndpointGDTCStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorEndpointGDTCStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorEndpointGDTCStage Viewset
   */
  stagesAuthenticatorEndpointGdtcCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorEndpointGdtcCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorEndpointGDTCStage Viewset
   */
  stagesAuthenticatorEndpointGdtcDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorEndpointGdtcDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/endpoint_gdtc/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * AuthenticatorEndpointGDTCStage Viewset
   */
  stagesAuthenticatorEndpointGdtcDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesAuthenticatorEndpointGdtcDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * AuthenticatorEndpointGDTCStage Viewset
   */
  stagesAuthenticatorEndpointGdtcListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["configureFlow"] != null) {
        queryParameters["configure_flow"] = requestParameters["configureFlow"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/endpoint_gdtc/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedAuthenticatorEndpointGDTCStageListFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorEndpointGDTCStage Viewset
   */
  stagesAuthenticatorEndpointGdtcList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesAuthenticatorEndpointGdtcListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorEndpointGDTCStage Viewset
   */
  stagesAuthenticatorEndpointGdtcPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorEndpointGdtcPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/endpoint_gdtc/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedAuthenticatorEndpointGDTCStageRequestToJSON(requestParameters["patchedAuthenticatorEndpointGDTCStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorEndpointGDTCStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorEndpointGDTCStage Viewset
   */
  stagesAuthenticatorEndpointGdtcPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorEndpointGdtcPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorEndpointGDTCStage Viewset
   */
  stagesAuthenticatorEndpointGdtcRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorEndpointGdtcRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/endpoint_gdtc/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorEndpointGDTCStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorEndpointGDTCStage Viewset
   */
  stagesAuthenticatorEndpointGdtcRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorEndpointGdtcRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorEndpointGDTCStage Viewset
   */
  stagesAuthenticatorEndpointGdtcUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorEndpointGdtcUpdate().');
      }
      if (requestParameters["authenticatorEndpointGDTCStageRequest"] == null) {
        throw new RequiredError("authenticatorEndpointGDTCStageRequest", 'Required parameter "authenticatorEndpointGDTCStageRequest" was null or undefined when calling stagesAuthenticatorEndpointGdtcUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/endpoint_gdtc/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorEndpointGDTCStageRequestToJSON(requestParameters["authenticatorEndpointGDTCStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorEndpointGDTCStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorEndpointGDTCStage Viewset
   */
  stagesAuthenticatorEndpointGdtcUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorEndpointGdtcUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorEndpointGdtcUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorEndpointGdtcUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/endpoint_gdtc/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorEndpointGdtcUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorEndpointGdtcUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorSMSStage Viewset
   */
  stagesAuthenticatorSmsCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["authenticatorSMSStageRequest"] == null) {
        throw new RequiredError("authenticatorSMSStageRequest", 'Required parameter "authenticatorSMSStageRequest" was null or undefined when calling stagesAuthenticatorSmsCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/sms/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorSMSStageRequestToJSON(requestParameters["authenticatorSMSStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorSMSStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorSMSStage Viewset
   */
  stagesAuthenticatorSmsCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorSmsCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorSMSStage Viewset
   */
  stagesAuthenticatorSmsDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorSmsDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/sms/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * AuthenticatorSMSStage Viewset
   */
  stagesAuthenticatorSmsDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesAuthenticatorSmsDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * AuthenticatorSMSStage Viewset
   */
  stagesAuthenticatorSmsListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["accountSid"] != null) {
        queryParameters["account_sid"] = requestParameters["accountSid"];
      }
      if (requestParameters["auth"] != null) {
        queryParameters["auth"] = requestParameters["auth"];
      }
      if (requestParameters["authPassword"] != null) {
        queryParameters["auth_password"] = requestParameters["authPassword"];
      }
      if (requestParameters["authType"] != null) {
        queryParameters["auth_type"] = requestParameters["authType"];
      }
      if (requestParameters["configureFlow"] != null) {
        queryParameters["configure_flow"] = requestParameters["configureFlow"];
      }
      if (requestParameters["friendlyName"] != null) {
        queryParameters["friendly_name"] = requestParameters["friendlyName"];
      }
      if (requestParameters["fromNumber"] != null) {
        queryParameters["from_number"] = requestParameters["fromNumber"];
      }
      if (requestParameters["mapping"] != null) {
        queryParameters["mapping"] = requestParameters["mapping"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["provider"] != null) {
        queryParameters["provider"] = requestParameters["provider"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      if (requestParameters["verifyOnly"] != null) {
        queryParameters["verify_only"] = requestParameters["verifyOnly"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/sms/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedAuthenticatorSMSStageListFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorSMSStage Viewset
   */
  stagesAuthenticatorSmsList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesAuthenticatorSmsListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorSMSStage Viewset
   */
  stagesAuthenticatorSmsPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorSmsPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/sms/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedAuthenticatorSMSStageRequestToJSON(requestParameters["patchedAuthenticatorSMSStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorSMSStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorSMSStage Viewset
   */
  stagesAuthenticatorSmsPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorSmsPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorSMSStage Viewset
   */
  stagesAuthenticatorSmsRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorSmsRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/sms/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorSMSStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorSMSStage Viewset
   */
  stagesAuthenticatorSmsRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorSmsRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorSMSStage Viewset
   */
  stagesAuthenticatorSmsUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorSmsUpdate().');
      }
      if (requestParameters["authenticatorSMSStageRequest"] == null) {
        throw new RequiredError("authenticatorSMSStageRequest", 'Required parameter "authenticatorSMSStageRequest" was null or undefined when calling stagesAuthenticatorSmsUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/sms/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorSMSStageRequestToJSON(requestParameters["authenticatorSMSStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorSMSStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorSMSStage Viewset
   */
  stagesAuthenticatorSmsUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorSmsUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorSmsUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorSmsUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/sms/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorSmsUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorSmsUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorStaticStage Viewset
   */
  stagesAuthenticatorStaticCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["authenticatorStaticStageRequest"] == null) {
        throw new RequiredError("authenticatorStaticStageRequest", 'Required parameter "authenticatorStaticStageRequest" was null or undefined when calling stagesAuthenticatorStaticCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/static/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorStaticStageRequestToJSON(requestParameters["authenticatorStaticStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorStaticStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorStaticStage Viewset
   */
  stagesAuthenticatorStaticCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorStaticCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorStaticStage Viewset
   */
  stagesAuthenticatorStaticDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorStaticDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/static/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * AuthenticatorStaticStage Viewset
   */
  stagesAuthenticatorStaticDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesAuthenticatorStaticDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * AuthenticatorStaticStage Viewset
   */
  stagesAuthenticatorStaticListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["configureFlow"] != null) {
        queryParameters["configure_flow"] = requestParameters["configureFlow"];
      }
      if (requestParameters["friendlyName"] != null) {
        queryParameters["friendly_name"] = requestParameters["friendlyName"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      if (requestParameters["tokenCount"] != null) {
        queryParameters["token_count"] = requestParameters["tokenCount"];
      }
      if (requestParameters["tokenLength"] != null) {
        queryParameters["token_length"] = requestParameters["tokenLength"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/static/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedAuthenticatorStaticStageListFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorStaticStage Viewset
   */
  stagesAuthenticatorStaticList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesAuthenticatorStaticListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorStaticStage Viewset
   */
  stagesAuthenticatorStaticPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorStaticPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/static/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedAuthenticatorStaticStageRequestToJSON(requestParameters["patchedAuthenticatorStaticStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorStaticStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorStaticStage Viewset
   */
  stagesAuthenticatorStaticPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorStaticPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorStaticStage Viewset
   */
  stagesAuthenticatorStaticRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorStaticRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/static/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorStaticStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorStaticStage Viewset
   */
  stagesAuthenticatorStaticRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorStaticRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorStaticStage Viewset
   */
  stagesAuthenticatorStaticUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorStaticUpdate().');
      }
      if (requestParameters["authenticatorStaticStageRequest"] == null) {
        throw new RequiredError("authenticatorStaticStageRequest", 'Required parameter "authenticatorStaticStageRequest" was null or undefined when calling stagesAuthenticatorStaticUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/static/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorStaticStageRequestToJSON(requestParameters["authenticatorStaticStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorStaticStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorStaticStage Viewset
   */
  stagesAuthenticatorStaticUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorStaticUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorStaticUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorStaticUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/static/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorStaticUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorStaticUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorTOTPStage Viewset
   */
  stagesAuthenticatorTotpCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["authenticatorTOTPStageRequest"] == null) {
        throw new RequiredError("authenticatorTOTPStageRequest", 'Required parameter "authenticatorTOTPStageRequest" was null or undefined when calling stagesAuthenticatorTotpCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/totp/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorTOTPStageRequestToJSON(requestParameters["authenticatorTOTPStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorTOTPStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorTOTPStage Viewset
   */
  stagesAuthenticatorTotpCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorTotpCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorTOTPStage Viewset
   */
  stagesAuthenticatorTotpDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorTotpDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/totp/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * AuthenticatorTOTPStage Viewset
   */
  stagesAuthenticatorTotpDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesAuthenticatorTotpDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * AuthenticatorTOTPStage Viewset
   */
  stagesAuthenticatorTotpListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["configureFlow"] != null) {
        queryParameters["configure_flow"] = requestParameters["configureFlow"];
      }
      if (requestParameters["digits"] != null) {
        queryParameters["digits"] = requestParameters["digits"];
      }
      if (requestParameters["friendlyName"] != null) {
        queryParameters["friendly_name"] = requestParameters["friendlyName"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/totp/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedAuthenticatorTOTPStageListFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorTOTPStage Viewset
   */
  stagesAuthenticatorTotpList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesAuthenticatorTotpListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorTOTPStage Viewset
   */
  stagesAuthenticatorTotpPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorTotpPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/totp/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedAuthenticatorTOTPStageRequestToJSON(requestParameters["patchedAuthenticatorTOTPStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorTOTPStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorTOTPStage Viewset
   */
  stagesAuthenticatorTotpPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorTotpPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorTOTPStage Viewset
   */
  stagesAuthenticatorTotpRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorTotpRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/totp/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorTOTPStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorTOTPStage Viewset
   */
  stagesAuthenticatorTotpRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorTotpRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorTOTPStage Viewset
   */
  stagesAuthenticatorTotpUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorTotpUpdate().');
      }
      if (requestParameters["authenticatorTOTPStageRequest"] == null) {
        throw new RequiredError("authenticatorTOTPStageRequest", 'Required parameter "authenticatorTOTPStageRequest" was null or undefined when calling stagesAuthenticatorTotpUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/totp/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorTOTPStageRequestToJSON(requestParameters["authenticatorTOTPStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorTOTPStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorTOTPStage Viewset
   */
  stagesAuthenticatorTotpUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorTotpUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorTotpUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorTotpUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/totp/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorTotpUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorTotpUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorValidateStage Viewset
   */
  stagesAuthenticatorValidateCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["authenticatorValidateStageRequest"] == null) {
        throw new RequiredError("authenticatorValidateStageRequest", 'Required parameter "authenticatorValidateStageRequest" was null or undefined when calling stagesAuthenticatorValidateCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/validate/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorValidateStageRequestToJSON(requestParameters["authenticatorValidateStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorValidateStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorValidateStage Viewset
   */
  stagesAuthenticatorValidateCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorValidateCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorValidateStage Viewset
   */
  stagesAuthenticatorValidateDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorValidateDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/validate/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * AuthenticatorValidateStage Viewset
   */
  stagesAuthenticatorValidateDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesAuthenticatorValidateDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * AuthenticatorValidateStage Viewset
   */
  stagesAuthenticatorValidateListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["configurationStages"] != null) {
        queryParameters["configuration_stages"] = requestParameters["configurationStages"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["notConfiguredAction"] != null) {
        queryParameters["not_configured_action"] = requestParameters["notConfiguredAction"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/validate/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedAuthenticatorValidateStageListFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorValidateStage Viewset
   */
  stagesAuthenticatorValidateList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesAuthenticatorValidateListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorValidateStage Viewset
   */
  stagesAuthenticatorValidatePartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorValidatePartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/validate/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedAuthenticatorValidateStageRequestToJSON(requestParameters["patchedAuthenticatorValidateStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorValidateStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorValidateStage Viewset
   */
  stagesAuthenticatorValidatePartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorValidatePartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorValidateStage Viewset
   */
  stagesAuthenticatorValidateRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorValidateRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/validate/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorValidateStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorValidateStage Viewset
   */
  stagesAuthenticatorValidateRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorValidateRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorValidateStage Viewset
   */
  stagesAuthenticatorValidateUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorValidateUpdate().');
      }
      if (requestParameters["authenticatorValidateStageRequest"] == null) {
        throw new RequiredError("authenticatorValidateStageRequest", 'Required parameter "authenticatorValidateStageRequest" was null or undefined when calling stagesAuthenticatorValidateUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/validate/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorValidateStageRequestToJSON(requestParameters["authenticatorValidateStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorValidateStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorValidateStage Viewset
   */
  stagesAuthenticatorValidateUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorValidateUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorValidateUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorValidateUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/validate/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorValidateUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorValidateUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorWebAuthnStage Viewset
   */
  stagesAuthenticatorWebauthnCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["authenticatorWebAuthnStageRequest"] == null) {
        throw new RequiredError("authenticatorWebAuthnStageRequest", 'Required parameter "authenticatorWebAuthnStageRequest" was null or undefined when calling stagesAuthenticatorWebauthnCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/webauthn/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorWebAuthnStageRequestToJSON(requestParameters["authenticatorWebAuthnStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorWebAuthnStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorWebAuthnStage Viewset
   */
  stagesAuthenticatorWebauthnCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorWebauthnCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorWebAuthnStage Viewset
   */
  stagesAuthenticatorWebauthnDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorWebauthnDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/webauthn/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * AuthenticatorWebAuthnStage Viewset
   */
  stagesAuthenticatorWebauthnDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesAuthenticatorWebauthnDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * WebAuthnDeviceType Viewset
   */
  stagesAuthenticatorWebauthnDeviceTypesListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["aaguid"] != null) {
        queryParameters["aaguid"] = requestParameters["aaguid"];
      }
      if (requestParameters["description"] != null) {
        queryParameters["description"] = requestParameters["description"];
      }
      if (requestParameters["icon"] != null) {
        queryParameters["icon"] = requestParameters["icon"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/webauthn_device_types/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedWebAuthnDeviceTypeListFromJSON(jsonValue));
    });
  }
  /**
   * WebAuthnDeviceType Viewset
   */
  stagesAuthenticatorWebauthnDeviceTypesList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesAuthenticatorWebauthnDeviceTypesListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * WebAuthnDeviceType Viewset
   */
  stagesAuthenticatorWebauthnDeviceTypesRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["aaguid"] == null) {
        throw new RequiredError("aaguid", 'Required parameter "aaguid" was null or undefined when calling stagesAuthenticatorWebauthnDeviceTypesRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/webauthn_device_types/{aaguid}/`.replace(`{${"aaguid"}}`, encodeURIComponent(String(requestParameters["aaguid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => WebAuthnDeviceTypeFromJSON(jsonValue));
    });
  }
  /**
   * WebAuthnDeviceType Viewset
   */
  stagesAuthenticatorWebauthnDeviceTypesRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorWebauthnDeviceTypesRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorWebAuthnStage Viewset
   */
  stagesAuthenticatorWebauthnListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["authenticatorAttachment"] != null) {
        queryParameters["authenticator_attachment"] = requestParameters["authenticatorAttachment"];
      }
      if (requestParameters["configureFlow"] != null) {
        queryParameters["configure_flow"] = requestParameters["configureFlow"];
      }
      if (requestParameters["deviceTypeRestrictions"] != null) {
        queryParameters["device_type_restrictions"] = requestParameters["deviceTypeRestrictions"];
      }
      if (requestParameters["friendlyName"] != null) {
        queryParameters["friendly_name"] = requestParameters["friendlyName"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["residentKeyRequirement"] != null) {
        queryParameters["resident_key_requirement"] = requestParameters["residentKeyRequirement"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      if (requestParameters["userVerification"] != null) {
        queryParameters["user_verification"] = requestParameters["userVerification"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/webauthn/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedAuthenticatorWebAuthnStageListFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorWebAuthnStage Viewset
   */
  stagesAuthenticatorWebauthnList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesAuthenticatorWebauthnListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorWebAuthnStage Viewset
   */
  stagesAuthenticatorWebauthnPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorWebauthnPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/webauthn/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedAuthenticatorWebAuthnStageRequestToJSON(requestParameters["patchedAuthenticatorWebAuthnStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorWebAuthnStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorWebAuthnStage Viewset
   */
  stagesAuthenticatorWebauthnPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorWebauthnPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorWebAuthnStage Viewset
   */
  stagesAuthenticatorWebauthnRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorWebauthnRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/webauthn/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorWebAuthnStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorWebAuthnStage Viewset
   */
  stagesAuthenticatorWebauthnRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorWebauthnRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * AuthenticatorWebAuthnStage Viewset
   */
  stagesAuthenticatorWebauthnUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorWebauthnUpdate().');
      }
      if (requestParameters["authenticatorWebAuthnStageRequest"] == null) {
        throw new RequiredError("authenticatorWebAuthnStageRequest", 'Required parameter "authenticatorWebAuthnStageRequest" was null or undefined when calling stagesAuthenticatorWebauthnUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/webauthn/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: AuthenticatorWebAuthnStageRequestToJSON(requestParameters["authenticatorWebAuthnStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => AuthenticatorWebAuthnStageFromJSON(jsonValue));
    });
  }
  /**
   * AuthenticatorWebAuthnStage Viewset
   */
  stagesAuthenticatorWebauthnUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorWebauthnUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorWebauthnUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesAuthenticatorWebauthnUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/authenticator/webauthn/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesAuthenticatorWebauthnUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesAuthenticatorWebauthnUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * CaptchaStage Viewset
   */
  stagesCaptchaCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["captchaStageRequest"] == null) {
        throw new RequiredError("captchaStageRequest", 'Required parameter "captchaStageRequest" was null or undefined when calling stagesCaptchaCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/captcha/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: CaptchaStageRequestToJSON(requestParameters["captchaStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => CaptchaStageFromJSON(jsonValue));
    });
  }
  /**
   * CaptchaStage Viewset
   */
  stagesCaptchaCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesCaptchaCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * CaptchaStage Viewset
   */
  stagesCaptchaDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesCaptchaDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/captcha/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * CaptchaStage Viewset
   */
  stagesCaptchaDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesCaptchaDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * CaptchaStage Viewset
   */
  stagesCaptchaListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["publicKey"] != null) {
        queryParameters["public_key"] = requestParameters["publicKey"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/captcha/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedCaptchaStageListFromJSON(jsonValue));
    });
  }
  /**
   * CaptchaStage Viewset
   */
  stagesCaptchaList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesCaptchaListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * CaptchaStage Viewset
   */
  stagesCaptchaPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesCaptchaPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/captcha/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedCaptchaStageRequestToJSON(requestParameters["patchedCaptchaStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => CaptchaStageFromJSON(jsonValue));
    });
  }
  /**
   * CaptchaStage Viewset
   */
  stagesCaptchaPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesCaptchaPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * CaptchaStage Viewset
   */
  stagesCaptchaRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesCaptchaRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/captcha/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => CaptchaStageFromJSON(jsonValue));
    });
  }
  /**
   * CaptchaStage Viewset
   */
  stagesCaptchaRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesCaptchaRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * CaptchaStage Viewset
   */
  stagesCaptchaUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesCaptchaUpdate().');
      }
      if (requestParameters["captchaStageRequest"] == null) {
        throw new RequiredError("captchaStageRequest", 'Required parameter "captchaStageRequest" was null or undefined when calling stagesCaptchaUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/captcha/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: CaptchaStageRequestToJSON(requestParameters["captchaStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => CaptchaStageFromJSON(jsonValue));
    });
  }
  /**
   * CaptchaStage Viewset
   */
  stagesCaptchaUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesCaptchaUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesCaptchaUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesCaptchaUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/captcha/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesCaptchaUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesCaptchaUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * ConsentStage Viewset
   */
  stagesConsentCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["consentStageRequest"] == null) {
        throw new RequiredError("consentStageRequest", 'Required parameter "consentStageRequest" was null or undefined when calling stagesConsentCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/consent/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: ConsentStageRequestToJSON(requestParameters["consentStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ConsentStageFromJSON(jsonValue));
    });
  }
  /**
   * ConsentStage Viewset
   */
  stagesConsentCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesConsentCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * ConsentStage Viewset
   */
  stagesConsentDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesConsentDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/consent/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * ConsentStage Viewset
   */
  stagesConsentDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesConsentDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * ConsentStage Viewset
   */
  stagesConsentListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["consentExpireIn"] != null) {
        queryParameters["consent_expire_in"] = requestParameters["consentExpireIn"];
      }
      if (requestParameters["mode"] != null) {
        queryParameters["mode"] = requestParameters["mode"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/consent/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedConsentStageListFromJSON(jsonValue));
    });
  }
  /**
   * ConsentStage Viewset
   */
  stagesConsentList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesConsentListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * ConsentStage Viewset
   */
  stagesConsentPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesConsentPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/consent/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedConsentStageRequestToJSON(requestParameters["patchedConsentStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ConsentStageFromJSON(jsonValue));
    });
  }
  /**
   * ConsentStage Viewset
   */
  stagesConsentPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesConsentPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * ConsentStage Viewset
   */
  stagesConsentRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesConsentRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/consent/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ConsentStageFromJSON(jsonValue));
    });
  }
  /**
   * ConsentStage Viewset
   */
  stagesConsentRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesConsentRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * ConsentStage Viewset
   */
  stagesConsentUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesConsentUpdate().');
      }
      if (requestParameters["consentStageRequest"] == null) {
        throw new RequiredError("consentStageRequest", 'Required parameter "consentStageRequest" was null or undefined when calling stagesConsentUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/consent/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: ConsentStageRequestToJSON(requestParameters["consentStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => ConsentStageFromJSON(jsonValue));
    });
  }
  /**
   * ConsentStage Viewset
   */
  stagesConsentUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesConsentUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesConsentUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesConsentUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/consent/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesConsentUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesConsentUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * DenyStage Viewset
   */
  stagesDenyCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["denyStageRequest"] == null) {
        throw new RequiredError("denyStageRequest", 'Required parameter "denyStageRequest" was null or undefined when calling stagesDenyCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/deny/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: DenyStageRequestToJSON(requestParameters["denyStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => DenyStageFromJSON(jsonValue));
    });
  }
  /**
   * DenyStage Viewset
   */
  stagesDenyCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesDenyCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * DenyStage Viewset
   */
  stagesDenyDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesDenyDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/deny/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * DenyStage Viewset
   */
  stagesDenyDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesDenyDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * DenyStage Viewset
   */
  stagesDenyListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["denyMessage"] != null) {
        queryParameters["deny_message"] = requestParameters["denyMessage"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/deny/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedDenyStageListFromJSON(jsonValue));
    });
  }
  /**
   * DenyStage Viewset
   */
  stagesDenyList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesDenyListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * DenyStage Viewset
   */
  stagesDenyPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesDenyPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/deny/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedDenyStageRequestToJSON(requestParameters["patchedDenyStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => DenyStageFromJSON(jsonValue));
    });
  }
  /**
   * DenyStage Viewset
   */
  stagesDenyPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesDenyPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * DenyStage Viewset
   */
  stagesDenyRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesDenyRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/deny/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => DenyStageFromJSON(jsonValue));
    });
  }
  /**
   * DenyStage Viewset
   */
  stagesDenyRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesDenyRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * DenyStage Viewset
   */
  stagesDenyUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesDenyUpdate().');
      }
      if (requestParameters["denyStageRequest"] == null) {
        throw new RequiredError("denyStageRequest", 'Required parameter "denyStageRequest" was null or undefined when calling stagesDenyUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/deny/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: DenyStageRequestToJSON(requestParameters["denyStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => DenyStageFromJSON(jsonValue));
    });
  }
  /**
   * DenyStage Viewset
   */
  stagesDenyUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesDenyUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesDenyUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesDenyUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/deny/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesDenyUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesDenyUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * DummyStage Viewset
   */
  stagesDummyCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["dummyStageRequest"] == null) {
        throw new RequiredError("dummyStageRequest", 'Required parameter "dummyStageRequest" was null or undefined when calling stagesDummyCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/dummy/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: DummyStageRequestToJSON(requestParameters["dummyStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => DummyStageFromJSON(jsonValue));
    });
  }
  /**
   * DummyStage Viewset
   */
  stagesDummyCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesDummyCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * DummyStage Viewset
   */
  stagesDummyDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesDummyDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/dummy/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * DummyStage Viewset
   */
  stagesDummyDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesDummyDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * DummyStage Viewset
   */
  stagesDummyListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      if (requestParameters["throwError"] != null) {
        queryParameters["throw_error"] = requestParameters["throwError"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/dummy/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedDummyStageListFromJSON(jsonValue));
    });
  }
  /**
   * DummyStage Viewset
   */
  stagesDummyList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesDummyListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * DummyStage Viewset
   */
  stagesDummyPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesDummyPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/dummy/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedDummyStageRequestToJSON(requestParameters["patchedDummyStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => DummyStageFromJSON(jsonValue));
    });
  }
  /**
   * DummyStage Viewset
   */
  stagesDummyPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesDummyPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * DummyStage Viewset
   */
  stagesDummyRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesDummyRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/dummy/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => DummyStageFromJSON(jsonValue));
    });
  }
  /**
   * DummyStage Viewset
   */
  stagesDummyRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesDummyRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * DummyStage Viewset
   */
  stagesDummyUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesDummyUpdate().');
      }
      if (requestParameters["dummyStageRequest"] == null) {
        throw new RequiredError("dummyStageRequest", 'Required parameter "dummyStageRequest" was null or undefined when calling stagesDummyUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/dummy/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: DummyStageRequestToJSON(requestParameters["dummyStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => DummyStageFromJSON(jsonValue));
    });
  }
  /**
   * DummyStage Viewset
   */
  stagesDummyUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesDummyUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesDummyUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesDummyUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/dummy/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesDummyUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesDummyUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * EmailStage Viewset
   */
  stagesEmailCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["emailStageRequest"] == null) {
        throw new RequiredError("emailStageRequest", 'Required parameter "emailStageRequest" was null or undefined when calling stagesEmailCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/email/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: EmailStageRequestToJSON(requestParameters["emailStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => EmailStageFromJSON(jsonValue));
    });
  }
  /**
   * EmailStage Viewset
   */
  stagesEmailCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesEmailCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * EmailStage Viewset
   */
  stagesEmailDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesEmailDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/email/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * EmailStage Viewset
   */
  stagesEmailDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesEmailDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * EmailStage Viewset
   */
  stagesEmailListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["activateUserOnSuccess"] != null) {
        queryParameters["activate_user_on_success"] = requestParameters["activateUserOnSuccess"];
      }
      if (requestParameters["fromAddress"] != null) {
        queryParameters["from_address"] = requestParameters["fromAddress"];
      }
      if (requestParameters["host"] != null) {
        queryParameters["host"] = requestParameters["host"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["port"] != null) {
        queryParameters["port"] = requestParameters["port"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["subject"] != null) {
        queryParameters["subject"] = requestParameters["subject"];
      }
      if (requestParameters["template"] != null) {
        queryParameters["template"] = requestParameters["template"];
      }
      if (requestParameters["timeout"] != null) {
        queryParameters["timeout"] = requestParameters["timeout"];
      }
      if (requestParameters["tokenExpiry"] != null) {
        queryParameters["token_expiry"] = requestParameters["tokenExpiry"];
      }
      if (requestParameters["useGlobalSettings"] != null) {
        queryParameters["use_global_settings"] = requestParameters["useGlobalSettings"];
      }
      if (requestParameters["useSsl"] != null) {
        queryParameters["use_ssl"] = requestParameters["useSsl"];
      }
      if (requestParameters["useTls"] != null) {
        queryParameters["use_tls"] = requestParameters["useTls"];
      }
      if (requestParameters["username"] != null) {
        queryParameters["username"] = requestParameters["username"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/email/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedEmailStageListFromJSON(jsonValue));
    });
  }
  /**
   * EmailStage Viewset
   */
  stagesEmailList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesEmailListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * EmailStage Viewset
   */
  stagesEmailPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesEmailPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/email/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedEmailStageRequestToJSON(requestParameters["patchedEmailStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => EmailStageFromJSON(jsonValue));
    });
  }
  /**
   * EmailStage Viewset
   */
  stagesEmailPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesEmailPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * EmailStage Viewset
   */
  stagesEmailRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesEmailRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/email/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => EmailStageFromJSON(jsonValue));
    });
  }
  /**
   * EmailStage Viewset
   */
  stagesEmailRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesEmailRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get all available templates, including custom templates
   */
  stagesEmailTemplatesListRaw(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/email/templates/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(TypeCreateFromJSON));
    });
  }
  /**
   * Get all available templates, including custom templates
   */
  stagesEmailTemplatesList(initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesEmailTemplatesListRaw(initOverrides);
      return yield response.value();
    });
  }
  /**
   * EmailStage Viewset
   */
  stagesEmailUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesEmailUpdate().');
      }
      if (requestParameters["emailStageRequest"] == null) {
        throw new RequiredError("emailStageRequest", 'Required parameter "emailStageRequest" was null or undefined when calling stagesEmailUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/email/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: EmailStageRequestToJSON(requestParameters["emailStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => EmailStageFromJSON(jsonValue));
    });
  }
  /**
   * EmailStage Viewset
   */
  stagesEmailUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesEmailUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesEmailUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesEmailUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/email/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesEmailUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesEmailUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * IdentificationStage Viewset
   */
  stagesIdentificationCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["identificationStageRequest"] == null) {
        throw new RequiredError("identificationStageRequest", 'Required parameter "identificationStageRequest" was null or undefined when calling stagesIdentificationCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/identification/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: IdentificationStageRequestToJSON(requestParameters["identificationStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => IdentificationStageFromJSON(jsonValue));
    });
  }
  /**
   * IdentificationStage Viewset
   */
  stagesIdentificationCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesIdentificationCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * IdentificationStage Viewset
   */
  stagesIdentificationDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesIdentificationDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/identification/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * IdentificationStage Viewset
   */
  stagesIdentificationDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesIdentificationDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * IdentificationStage Viewset
   */
  stagesIdentificationListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["captchaStage"] != null) {
        queryParameters["captcha_stage"] = requestParameters["captchaStage"];
      }
      if (requestParameters["caseInsensitiveMatching"] != null) {
        queryParameters["case_insensitive_matching"] = requestParameters["caseInsensitiveMatching"];
      }
      if (requestParameters["enrollmentFlow"] != null) {
        queryParameters["enrollment_flow"] = requestParameters["enrollmentFlow"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["passwordStage"] != null) {
        queryParameters["password_stage"] = requestParameters["passwordStage"];
      }
      if (requestParameters["passwordlessFlow"] != null) {
        queryParameters["passwordless_flow"] = requestParameters["passwordlessFlow"];
      }
      if (requestParameters["recoveryFlow"] != null) {
        queryParameters["recovery_flow"] = requestParameters["recoveryFlow"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["showMatchedUser"] != null) {
        queryParameters["show_matched_user"] = requestParameters["showMatchedUser"];
      }
      if (requestParameters["showSourceLabels"] != null) {
        queryParameters["show_source_labels"] = requestParameters["showSourceLabels"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/identification/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedIdentificationStageListFromJSON(jsonValue));
    });
  }
  /**
   * IdentificationStage Viewset
   */
  stagesIdentificationList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesIdentificationListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * IdentificationStage Viewset
   */
  stagesIdentificationPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesIdentificationPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/identification/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedIdentificationStageRequestToJSON(requestParameters["patchedIdentificationStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => IdentificationStageFromJSON(jsonValue));
    });
  }
  /**
   * IdentificationStage Viewset
   */
  stagesIdentificationPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesIdentificationPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * IdentificationStage Viewset
   */
  stagesIdentificationRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesIdentificationRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/identification/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => IdentificationStageFromJSON(jsonValue));
    });
  }
  /**
   * IdentificationStage Viewset
   */
  stagesIdentificationRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesIdentificationRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * IdentificationStage Viewset
   */
  stagesIdentificationUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesIdentificationUpdate().');
      }
      if (requestParameters["identificationStageRequest"] == null) {
        throw new RequiredError("identificationStageRequest", 'Required parameter "identificationStageRequest" was null or undefined when calling stagesIdentificationUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/identification/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: IdentificationStageRequestToJSON(requestParameters["identificationStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => IdentificationStageFromJSON(jsonValue));
    });
  }
  /**
   * IdentificationStage Viewset
   */
  stagesIdentificationUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesIdentificationUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesIdentificationUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesIdentificationUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/identification/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesIdentificationUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesIdentificationUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Invitation Viewset
   */
  stagesInvitationInvitationsCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["invitationRequest"] == null) {
        throw new RequiredError("invitationRequest", 'Required parameter "invitationRequest" was null or undefined when calling stagesInvitationInvitationsCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/invitation/invitations/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: InvitationRequestToJSON(requestParameters["invitationRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => InvitationFromJSON(jsonValue));
    });
  }
  /**
   * Invitation Viewset
   */
  stagesInvitationInvitationsCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesInvitationInvitationsCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Invitation Viewset
   */
  stagesInvitationInvitationsDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["inviteUuid"] == null) {
        throw new RequiredError("inviteUuid", 'Required parameter "inviteUuid" was null or undefined when calling stagesInvitationInvitationsDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/invitation/invitations/{invite_uuid}/`.replace(`{${"invite_uuid"}}`, encodeURIComponent(String(requestParameters["inviteUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Invitation Viewset
   */
  stagesInvitationInvitationsDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesInvitationInvitationsDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Invitation Viewset
   */
  stagesInvitationInvitationsListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["createdByUsername"] != null) {
        queryParameters["created_by__username"] = requestParameters["createdByUsername"];
      }
      if (requestParameters["expires"] != null) {
        queryParameters["expires"] = requestParameters["expires"].toISOString();
      }
      if (requestParameters["flowSlug"] != null) {
        queryParameters["flow__slug"] = requestParameters["flowSlug"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/invitation/invitations/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedInvitationListFromJSON(jsonValue));
    });
  }
  /**
   * Invitation Viewset
   */
  stagesInvitationInvitationsList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesInvitationInvitationsListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Invitation Viewset
   */
  stagesInvitationInvitationsPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["inviteUuid"] == null) {
        throw new RequiredError("inviteUuid", 'Required parameter "inviteUuid" was null or undefined when calling stagesInvitationInvitationsPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/invitation/invitations/{invite_uuid}/`.replace(`{${"invite_uuid"}}`, encodeURIComponent(String(requestParameters["inviteUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedInvitationRequestToJSON(requestParameters["patchedInvitationRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => InvitationFromJSON(jsonValue));
    });
  }
  /**
   * Invitation Viewset
   */
  stagesInvitationInvitationsPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesInvitationInvitationsPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Invitation Viewset
   */
  stagesInvitationInvitationsRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["inviteUuid"] == null) {
        throw new RequiredError("inviteUuid", 'Required parameter "inviteUuid" was null or undefined when calling stagesInvitationInvitationsRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/invitation/invitations/{invite_uuid}/`.replace(`{${"invite_uuid"}}`, encodeURIComponent(String(requestParameters["inviteUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => InvitationFromJSON(jsonValue));
    });
  }
  /**
   * Invitation Viewset
   */
  stagesInvitationInvitationsRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesInvitationInvitationsRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Invitation Viewset
   */
  stagesInvitationInvitationsUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["inviteUuid"] == null) {
        throw new RequiredError("inviteUuid", 'Required parameter "inviteUuid" was null or undefined when calling stagesInvitationInvitationsUpdate().');
      }
      if (requestParameters["invitationRequest"] == null) {
        throw new RequiredError("invitationRequest", 'Required parameter "invitationRequest" was null or undefined when calling stagesInvitationInvitationsUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/invitation/invitations/{invite_uuid}/`.replace(`{${"invite_uuid"}}`, encodeURIComponent(String(requestParameters["inviteUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: InvitationRequestToJSON(requestParameters["invitationRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => InvitationFromJSON(jsonValue));
    });
  }
  /**
   * Invitation Viewset
   */
  stagesInvitationInvitationsUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesInvitationInvitationsUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesInvitationInvitationsUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["inviteUuid"] == null) {
        throw new RequiredError("inviteUuid", 'Required parameter "inviteUuid" was null or undefined when calling stagesInvitationInvitationsUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/invitation/invitations/{invite_uuid}/used_by/`.replace(`{${"invite_uuid"}}`, encodeURIComponent(String(requestParameters["inviteUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesInvitationInvitationsUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesInvitationInvitationsUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * InvitationStage Viewset
   */
  stagesInvitationStagesCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["invitationStageRequest"] == null) {
        throw new RequiredError("invitationStageRequest", 'Required parameter "invitationStageRequest" was null or undefined when calling stagesInvitationStagesCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/invitation/stages/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: InvitationStageRequestToJSON(requestParameters["invitationStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => InvitationStageFromJSON(jsonValue));
    });
  }
  /**
   * InvitationStage Viewset
   */
  stagesInvitationStagesCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesInvitationStagesCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * InvitationStage Viewset
   */
  stagesInvitationStagesDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesInvitationStagesDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/invitation/stages/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * InvitationStage Viewset
   */
  stagesInvitationStagesDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesInvitationStagesDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * InvitationStage Viewset
   */
  stagesInvitationStagesListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["continueFlowWithoutInvitation"] != null) {
        queryParameters["continue_flow_without_invitation"] = requestParameters["continueFlowWithoutInvitation"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["noFlows"] != null) {
        queryParameters["no_flows"] = requestParameters["noFlows"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/invitation/stages/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedInvitationStageListFromJSON(jsonValue));
    });
  }
  /**
   * InvitationStage Viewset
   */
  stagesInvitationStagesList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesInvitationStagesListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * InvitationStage Viewset
   */
  stagesInvitationStagesPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesInvitationStagesPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/invitation/stages/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedInvitationStageRequestToJSON(requestParameters["patchedInvitationStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => InvitationStageFromJSON(jsonValue));
    });
  }
  /**
   * InvitationStage Viewset
   */
  stagesInvitationStagesPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesInvitationStagesPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * InvitationStage Viewset
   */
  stagesInvitationStagesRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesInvitationStagesRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/invitation/stages/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => InvitationStageFromJSON(jsonValue));
    });
  }
  /**
   * InvitationStage Viewset
   */
  stagesInvitationStagesRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesInvitationStagesRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * InvitationStage Viewset
   */
  stagesInvitationStagesUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesInvitationStagesUpdate().');
      }
      if (requestParameters["invitationStageRequest"] == null) {
        throw new RequiredError("invitationStageRequest", 'Required parameter "invitationStageRequest" was null or undefined when calling stagesInvitationStagesUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/invitation/stages/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: InvitationStageRequestToJSON(requestParameters["invitationStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => InvitationStageFromJSON(jsonValue));
    });
  }
  /**
   * InvitationStage Viewset
   */
  stagesInvitationStagesUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesInvitationStagesUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesInvitationStagesUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesInvitationStagesUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/invitation/stages/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesInvitationStagesUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesInvitationStagesUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * PasswordStage Viewset
   */
  stagesPasswordCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["passwordStageRequest"] == null) {
        throw new RequiredError("passwordStageRequest", 'Required parameter "passwordStageRequest" was null or undefined when calling stagesPasswordCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/password/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: PasswordStageRequestToJSON(requestParameters["passwordStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PasswordStageFromJSON(jsonValue));
    });
  }
  /**
   * PasswordStage Viewset
   */
  stagesPasswordCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPasswordCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * PasswordStage Viewset
   */
  stagesPasswordDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesPasswordDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/password/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * PasswordStage Viewset
   */
  stagesPasswordDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesPasswordDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * PasswordStage Viewset
   */
  stagesPasswordListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["allowShowPassword"] != null) {
        queryParameters["allow_show_password"] = requestParameters["allowShowPassword"];
      }
      if (requestParameters["configureFlow"] != null) {
        queryParameters["configure_flow"] = requestParameters["configureFlow"];
      }
      if (requestParameters["failedAttemptsBeforeCancel"] != null) {
        queryParameters["failed_attempts_before_cancel"] = requestParameters["failedAttemptsBeforeCancel"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/password/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedPasswordStageListFromJSON(jsonValue));
    });
  }
  /**
   * PasswordStage Viewset
   */
  stagesPasswordList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesPasswordListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * PasswordStage Viewset
   */
  stagesPasswordPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesPasswordPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/password/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedPasswordStageRequestToJSON(requestParameters["patchedPasswordStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PasswordStageFromJSON(jsonValue));
    });
  }
  /**
   * PasswordStage Viewset
   */
  stagesPasswordPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPasswordPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * PasswordStage Viewset
   */
  stagesPasswordRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesPasswordRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/password/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PasswordStageFromJSON(jsonValue));
    });
  }
  /**
   * PasswordStage Viewset
   */
  stagesPasswordRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPasswordRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * PasswordStage Viewset
   */
  stagesPasswordUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesPasswordUpdate().');
      }
      if (requestParameters["passwordStageRequest"] == null) {
        throw new RequiredError("passwordStageRequest", 'Required parameter "passwordStageRequest" was null or undefined when calling stagesPasswordUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/password/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: PasswordStageRequestToJSON(requestParameters["passwordStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PasswordStageFromJSON(jsonValue));
    });
  }
  /**
   * PasswordStage Viewset
   */
  stagesPasswordUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPasswordUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesPasswordUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesPasswordUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/password/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesPasswordUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPasswordUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Prompt Viewset
   */
  stagesPromptPromptsCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["promptRequest"] == null) {
        throw new RequiredError("promptRequest", 'Required parameter "promptRequest" was null or undefined when calling stagesPromptPromptsCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/prompts/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: PromptRequestToJSON(requestParameters["promptRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PromptFromJSON(jsonValue));
    });
  }
  /**
   * Prompt Viewset
   */
  stagesPromptPromptsCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPromptPromptsCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Prompt Viewset
   */
  stagesPromptPromptsDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["promptUuid"] == null) {
        throw new RequiredError("promptUuid", 'Required parameter "promptUuid" was null or undefined when calling stagesPromptPromptsDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/prompts/{prompt_uuid}/`.replace(`{${"prompt_uuid"}}`, encodeURIComponent(String(requestParameters["promptUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * Prompt Viewset
   */
  stagesPromptPromptsDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesPromptPromptsDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * Prompt Viewset
   */
  stagesPromptPromptsListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["fieldKey"] != null) {
        queryParameters["field_key"] = requestParameters["fieldKey"];
      }
      if (requestParameters["label"] != null) {
        queryParameters["label"] = requestParameters["label"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["placeholder"] != null) {
        queryParameters["placeholder"] = requestParameters["placeholder"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["type"] != null) {
        queryParameters["type"] = requestParameters["type"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/prompts/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedPromptListFromJSON(jsonValue));
    });
  }
  /**
   * Prompt Viewset
   */
  stagesPromptPromptsList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesPromptPromptsListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Prompt Viewset
   */
  stagesPromptPromptsPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["promptUuid"] == null) {
        throw new RequiredError("promptUuid", 'Required parameter "promptUuid" was null or undefined when calling stagesPromptPromptsPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/prompts/{prompt_uuid}/`.replace(`{${"prompt_uuid"}}`, encodeURIComponent(String(requestParameters["promptUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedPromptRequestToJSON(requestParameters["patchedPromptRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PromptFromJSON(jsonValue));
    });
  }
  /**
   * Prompt Viewset
   */
  stagesPromptPromptsPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPromptPromptsPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Preview a prompt as a challenge, just like a flow would receive
   */
  stagesPromptPromptsPreviewCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["promptRequest"] == null) {
        throw new RequiredError("promptRequest", 'Required parameter "promptRequest" was null or undefined when calling stagesPromptPromptsPreviewCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/prompts/preview/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: PromptRequestToJSON(requestParameters["promptRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PromptChallengeFromJSON(jsonValue));
    });
  }
  /**
   * Preview a prompt as a challenge, just like a flow would receive
   */
  stagesPromptPromptsPreviewCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPromptPromptsPreviewCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Prompt Viewset
   */
  stagesPromptPromptsRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["promptUuid"] == null) {
        throw new RequiredError("promptUuid", 'Required parameter "promptUuid" was null or undefined when calling stagesPromptPromptsRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/prompts/{prompt_uuid}/`.replace(`{${"prompt_uuid"}}`, encodeURIComponent(String(requestParameters["promptUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PromptFromJSON(jsonValue));
    });
  }
  /**
   * Prompt Viewset
   */
  stagesPromptPromptsRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPromptPromptsRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Prompt Viewset
   */
  stagesPromptPromptsUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["promptUuid"] == null) {
        throw new RequiredError("promptUuid", 'Required parameter "promptUuid" was null or undefined when calling stagesPromptPromptsUpdate().');
      }
      if (requestParameters["promptRequest"] == null) {
        throw new RequiredError("promptRequest", 'Required parameter "promptRequest" was null or undefined when calling stagesPromptPromptsUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/prompts/{prompt_uuid}/`.replace(`{${"prompt_uuid"}}`, encodeURIComponent(String(requestParameters["promptUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: PromptRequestToJSON(requestParameters["promptRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PromptFromJSON(jsonValue));
    });
  }
  /**
   * Prompt Viewset
   */
  stagesPromptPromptsUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPromptPromptsUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesPromptPromptsUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["promptUuid"] == null) {
        throw new RequiredError("promptUuid", 'Required parameter "promptUuid" was null or undefined when calling stagesPromptPromptsUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/prompts/{prompt_uuid}/used_by/`.replace(`{${"prompt_uuid"}}`, encodeURIComponent(String(requestParameters["promptUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesPromptPromptsUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPromptPromptsUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * PromptStage Viewset
   */
  stagesPromptStagesCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["promptStageRequest"] == null) {
        throw new RequiredError("promptStageRequest", 'Required parameter "promptStageRequest" was null or undefined when calling stagesPromptStagesCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/stages/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: PromptStageRequestToJSON(requestParameters["promptStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PromptStageFromJSON(jsonValue));
    });
  }
  /**
   * PromptStage Viewset
   */
  stagesPromptStagesCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPromptStagesCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * PromptStage Viewset
   */
  stagesPromptStagesDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesPromptStagesDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/stages/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * PromptStage Viewset
   */
  stagesPromptStagesDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesPromptStagesDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * PromptStage Viewset
   */
  stagesPromptStagesListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["fields"] != null) {
        queryParameters["fields"] = requestParameters["fields"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      if (requestParameters["validationPolicies"] != null) {
        queryParameters["validation_policies"] = requestParameters["validationPolicies"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/stages/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedPromptStageListFromJSON(jsonValue));
    });
  }
  /**
   * PromptStage Viewset
   */
  stagesPromptStagesList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesPromptStagesListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * PromptStage Viewset
   */
  stagesPromptStagesPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesPromptStagesPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/stages/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedPromptStageRequestToJSON(requestParameters["patchedPromptStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PromptStageFromJSON(jsonValue));
    });
  }
  /**
   * PromptStage Viewset
   */
  stagesPromptStagesPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPromptStagesPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * PromptStage Viewset
   */
  stagesPromptStagesRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesPromptStagesRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/stages/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PromptStageFromJSON(jsonValue));
    });
  }
  /**
   * PromptStage Viewset
   */
  stagesPromptStagesRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPromptStagesRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * PromptStage Viewset
   */
  stagesPromptStagesUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesPromptStagesUpdate().');
      }
      if (requestParameters["promptStageRequest"] == null) {
        throw new RequiredError("promptStageRequest", 'Required parameter "promptStageRequest" was null or undefined when calling stagesPromptStagesUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/stages/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: PromptStageRequestToJSON(requestParameters["promptStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PromptStageFromJSON(jsonValue));
    });
  }
  /**
   * PromptStage Viewset
   */
  stagesPromptStagesUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPromptStagesUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesPromptStagesUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesPromptStagesUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/prompt/stages/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesPromptStagesUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesPromptStagesUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * RedirectStage Viewset
   */
  stagesRedirectCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["redirectStageRequest"] == null) {
        throw new RequiredError("redirectStageRequest", 'Required parameter "redirectStageRequest" was null or undefined when calling stagesRedirectCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/redirect/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: RedirectStageRequestToJSON(requestParameters["redirectStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => RedirectStageFromJSON(jsonValue));
    });
  }
  /**
   * RedirectStage Viewset
   */
  stagesRedirectCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesRedirectCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * RedirectStage Viewset
   */
  stagesRedirectDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesRedirectDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/redirect/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * RedirectStage Viewset
   */
  stagesRedirectDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesRedirectDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * RedirectStage Viewset
   */
  stagesRedirectListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/redirect/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedRedirectStageListFromJSON(jsonValue));
    });
  }
  /**
   * RedirectStage Viewset
   */
  stagesRedirectList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesRedirectListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * RedirectStage Viewset
   */
  stagesRedirectPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesRedirectPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/redirect/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedRedirectStageRequestToJSON(requestParameters["patchedRedirectStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => RedirectStageFromJSON(jsonValue));
    });
  }
  /**
   * RedirectStage Viewset
   */
  stagesRedirectPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesRedirectPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * RedirectStage Viewset
   */
  stagesRedirectRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesRedirectRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/redirect/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => RedirectStageFromJSON(jsonValue));
    });
  }
  /**
   * RedirectStage Viewset
   */
  stagesRedirectRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesRedirectRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * RedirectStage Viewset
   */
  stagesRedirectUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesRedirectUpdate().');
      }
      if (requestParameters["redirectStageRequest"] == null) {
        throw new RequiredError("redirectStageRequest", 'Required parameter "redirectStageRequest" was null or undefined when calling stagesRedirectUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/redirect/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: RedirectStageRequestToJSON(requestParameters["redirectStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => RedirectStageFromJSON(jsonValue));
    });
  }
  /**
   * RedirectStage Viewset
   */
  stagesRedirectUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesRedirectUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesRedirectUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesRedirectUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/redirect/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesRedirectUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesRedirectUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SourceStage Viewset
   */
  stagesSourceCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["sourceStageRequest"] == null) {
        throw new RequiredError("sourceStageRequest", 'Required parameter "sourceStageRequest" was null or undefined when calling stagesSourceCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/source/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: SourceStageRequestToJSON(requestParameters["sourceStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SourceStageFromJSON(jsonValue));
    });
  }
  /**
   * SourceStage Viewset
   */
  stagesSourceCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesSourceCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SourceStage Viewset
   */
  stagesSourceDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesSourceDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/source/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * SourceStage Viewset
   */
  stagesSourceDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesSourceDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * SourceStage Viewset
   */
  stagesSourceListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["resumeTimeout"] != null) {
        queryParameters["resume_timeout"] = requestParameters["resumeTimeout"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["source"] != null) {
        queryParameters["source"] = requestParameters["source"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/source/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedSourceStageListFromJSON(jsonValue));
    });
  }
  /**
   * SourceStage Viewset
   */
  stagesSourceList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesSourceListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SourceStage Viewset
   */
  stagesSourcePartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesSourcePartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/source/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedSourceStageRequestToJSON(requestParameters["patchedSourceStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SourceStageFromJSON(jsonValue));
    });
  }
  /**
   * SourceStage Viewset
   */
  stagesSourcePartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesSourcePartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SourceStage Viewset
   */
  stagesSourceRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesSourceRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/source/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SourceStageFromJSON(jsonValue));
    });
  }
  /**
   * SourceStage Viewset
   */
  stagesSourceRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesSourceRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * SourceStage Viewset
   */
  stagesSourceUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesSourceUpdate().');
      }
      if (requestParameters["sourceStageRequest"] == null) {
        throw new RequiredError("sourceStageRequest", 'Required parameter "sourceStageRequest" was null or undefined when calling stagesSourceUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/source/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: SourceStageRequestToJSON(requestParameters["sourceStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => SourceStageFromJSON(jsonValue));
    });
  }
  /**
   * SourceStage Viewset
   */
  stagesSourceUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesSourceUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesSourceUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesSourceUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/source/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesSourceUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesSourceUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserDeleteStage Viewset
   */
  stagesUserDeleteCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["userDeleteStageRequest"] == null) {
        throw new RequiredError("userDeleteStageRequest", 'Required parameter "userDeleteStageRequest" was null or undefined when calling stagesUserDeleteCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_delete/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: UserDeleteStageRequestToJSON(requestParameters["userDeleteStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserDeleteStageFromJSON(jsonValue));
    });
  }
  /**
   * UserDeleteStage Viewset
   */
  stagesUserDeleteCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserDeleteCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserDeleteStage Viewset
   */
  stagesUserDeleteDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserDeleteDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_delete/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * UserDeleteStage Viewset
   */
  stagesUserDeleteDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesUserDeleteDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * UserDeleteStage Viewset
   */
  stagesUserDeleteListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_delete/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedUserDeleteStageListFromJSON(jsonValue));
    });
  }
  /**
   * UserDeleteStage Viewset
   */
  stagesUserDeleteList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesUserDeleteListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserDeleteStage Viewset
   */
  stagesUserDeletePartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserDeletePartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_delete/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedUserDeleteStageRequestToJSON(requestParameters["patchedUserDeleteStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserDeleteStageFromJSON(jsonValue));
    });
  }
  /**
   * UserDeleteStage Viewset
   */
  stagesUserDeletePartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserDeletePartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserDeleteStage Viewset
   */
  stagesUserDeleteRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserDeleteRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_delete/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserDeleteStageFromJSON(jsonValue));
    });
  }
  /**
   * UserDeleteStage Viewset
   */
  stagesUserDeleteRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserDeleteRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserDeleteStage Viewset
   */
  stagesUserDeleteUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserDeleteUpdate().');
      }
      if (requestParameters["userDeleteStageRequest"] == null) {
        throw new RequiredError("userDeleteStageRequest", 'Required parameter "userDeleteStageRequest" was null or undefined when calling stagesUserDeleteUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_delete/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: UserDeleteStageRequestToJSON(requestParameters["userDeleteStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserDeleteStageFromJSON(jsonValue));
    });
  }
  /**
   * UserDeleteStage Viewset
   */
  stagesUserDeleteUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserDeleteUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesUserDeleteUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserDeleteUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_delete/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesUserDeleteUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserDeleteUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserLoginStage Viewset
   */
  stagesUserLoginCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["userLoginStageRequest"] == null) {
        throw new RequiredError("userLoginStageRequest", 'Required parameter "userLoginStageRequest" was null or undefined when calling stagesUserLoginCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_login/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: UserLoginStageRequestToJSON(requestParameters["userLoginStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserLoginStageFromJSON(jsonValue));
    });
  }
  /**
   * UserLoginStage Viewset
   */
  stagesUserLoginCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserLoginCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserLoginStage Viewset
   */
  stagesUserLoginDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserLoginDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_login/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * UserLoginStage Viewset
   */
  stagesUserLoginDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesUserLoginDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * UserLoginStage Viewset
   */
  stagesUserLoginListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["geoipBinding"] != null) {
        queryParameters["geoip_binding"] = requestParameters["geoipBinding"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["networkBinding"] != null) {
        queryParameters["network_binding"] = requestParameters["networkBinding"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["rememberMeOffset"] != null) {
        queryParameters["remember_me_offset"] = requestParameters["rememberMeOffset"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["sessionDuration"] != null) {
        queryParameters["session_duration"] = requestParameters["sessionDuration"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      if (requestParameters["terminateOtherSessions"] != null) {
        queryParameters["terminate_other_sessions"] = requestParameters["terminateOtherSessions"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_login/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedUserLoginStageListFromJSON(jsonValue));
    });
  }
  /**
   * UserLoginStage Viewset
   */
  stagesUserLoginList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesUserLoginListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserLoginStage Viewset
   */
  stagesUserLoginPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserLoginPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_login/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedUserLoginStageRequestToJSON(requestParameters["patchedUserLoginStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserLoginStageFromJSON(jsonValue));
    });
  }
  /**
   * UserLoginStage Viewset
   */
  stagesUserLoginPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserLoginPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserLoginStage Viewset
   */
  stagesUserLoginRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserLoginRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_login/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserLoginStageFromJSON(jsonValue));
    });
  }
  /**
   * UserLoginStage Viewset
   */
  stagesUserLoginRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserLoginRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserLoginStage Viewset
   */
  stagesUserLoginUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserLoginUpdate().');
      }
      if (requestParameters["userLoginStageRequest"] == null) {
        throw new RequiredError("userLoginStageRequest", 'Required parameter "userLoginStageRequest" was null or undefined when calling stagesUserLoginUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_login/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: UserLoginStageRequestToJSON(requestParameters["userLoginStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserLoginStageFromJSON(jsonValue));
    });
  }
  /**
   * UserLoginStage Viewset
   */
  stagesUserLoginUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserLoginUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesUserLoginUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserLoginUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_login/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesUserLoginUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserLoginUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserLogoutStage Viewset
   */
  stagesUserLogoutCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["userLogoutStageRequest"] == null) {
        throw new RequiredError("userLogoutStageRequest", 'Required parameter "userLogoutStageRequest" was null or undefined when calling stagesUserLogoutCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_logout/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: UserLogoutStageRequestToJSON(requestParameters["userLogoutStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserLogoutStageFromJSON(jsonValue));
    });
  }
  /**
   * UserLogoutStage Viewset
   */
  stagesUserLogoutCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserLogoutCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserLogoutStage Viewset
   */
  stagesUserLogoutDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserLogoutDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_logout/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * UserLogoutStage Viewset
   */
  stagesUserLogoutDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesUserLogoutDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * UserLogoutStage Viewset
   */
  stagesUserLogoutListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_logout/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedUserLogoutStageListFromJSON(jsonValue));
    });
  }
  /**
   * UserLogoutStage Viewset
   */
  stagesUserLogoutList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesUserLogoutListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserLogoutStage Viewset
   */
  stagesUserLogoutPartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserLogoutPartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_logout/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedUserLogoutStageRequestToJSON(requestParameters["patchedUserLogoutStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserLogoutStageFromJSON(jsonValue));
    });
  }
  /**
   * UserLogoutStage Viewset
   */
  stagesUserLogoutPartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserLogoutPartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserLogoutStage Viewset
   */
  stagesUserLogoutRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserLogoutRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_logout/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserLogoutStageFromJSON(jsonValue));
    });
  }
  /**
   * UserLogoutStage Viewset
   */
  stagesUserLogoutRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserLogoutRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserLogoutStage Viewset
   */
  stagesUserLogoutUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserLogoutUpdate().');
      }
      if (requestParameters["userLogoutStageRequest"] == null) {
        throw new RequiredError("userLogoutStageRequest", 'Required parameter "userLogoutStageRequest" was null or undefined when calling stagesUserLogoutUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_logout/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: UserLogoutStageRequestToJSON(requestParameters["userLogoutStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserLogoutStageFromJSON(jsonValue));
    });
  }
  /**
   * UserLogoutStage Viewset
   */
  stagesUserLogoutUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserLogoutUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesUserLogoutUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserLogoutUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_logout/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesUserLogoutUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserLogoutUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserWriteStage Viewset
   */
  stagesUserWriteCreateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["userWriteStageRequest"] == null) {
        throw new RequiredError("userWriteStageRequest", 'Required parameter "userWriteStageRequest" was null or undefined when calling stagesUserWriteCreate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_write/`,
        method: "POST",
        headers: headerParameters,
        query: queryParameters,
        body: UserWriteStageRequestToJSON(requestParameters["userWriteStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserWriteStageFromJSON(jsonValue));
    });
  }
  /**
   * UserWriteStage Viewset
   */
  stagesUserWriteCreate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserWriteCreateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserWriteStage Viewset
   */
  stagesUserWriteDestroyRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserWriteDestroy().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_write/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "DELETE",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new VoidApiResponse(response);
    });
  }
  /**
   * UserWriteStage Viewset
   */
  stagesUserWriteDestroy(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      yield this.stagesUserWriteDestroyRaw(requestParameters, initOverrides);
    });
  }
  /**
   * UserWriteStage Viewset
   */
  stagesUserWriteListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const queryParameters = {};
      if (requestParameters["createUsersAsInactive"] != null) {
        queryParameters["create_users_as_inactive"] = requestParameters["createUsersAsInactive"];
      }
      if (requestParameters["createUsersGroup"] != null) {
        queryParameters["create_users_group"] = requestParameters["createUsersGroup"];
      }
      if (requestParameters["name"] != null) {
        queryParameters["name"] = requestParameters["name"];
      }
      if (requestParameters["ordering"] != null) {
        queryParameters["ordering"] = requestParameters["ordering"];
      }
      if (requestParameters["page"] != null) {
        queryParameters["page"] = requestParameters["page"];
      }
      if (requestParameters["pageSize"] != null) {
        queryParameters["page_size"] = requestParameters["pageSize"];
      }
      if (requestParameters["search"] != null) {
        queryParameters["search"] = requestParameters["search"];
      }
      if (requestParameters["stageUuid"] != null) {
        queryParameters["stage_uuid"] = requestParameters["stageUuid"];
      }
      if (requestParameters["userCreationMode"] != null) {
        queryParameters["user_creation_mode"] = requestParameters["userCreationMode"];
      }
      if (requestParameters["userPathTemplate"] != null) {
        queryParameters["user_path_template"] = requestParameters["userPathTemplate"];
      }
      if (requestParameters["userType"] != null) {
        queryParameters["user_type"] = requestParameters["userType"];
      }
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_write/`,
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => PaginatedUserWriteStageListFromJSON(jsonValue));
    });
  }
  /**
   * UserWriteStage Viewset
   */
  stagesUserWriteList() {
    return __awaiter(this, arguments, void 0, function* (requestParameters = {}, initOverrides) {
      const response = yield this.stagesUserWriteListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserWriteStage Viewset
   */
  stagesUserWritePartialUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserWritePartialUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_write/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PATCH",
        headers: headerParameters,
        query: queryParameters,
        body: PatchedUserWriteStageRequestToJSON(requestParameters["patchedUserWriteStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserWriteStageFromJSON(jsonValue));
    });
  }
  /**
   * UserWriteStage Viewset
   */
  stagesUserWritePartialUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserWritePartialUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserWriteStage Viewset
   */
  stagesUserWriteRetrieveRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserWriteRetrieve().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_write/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserWriteStageFromJSON(jsonValue));
    });
  }
  /**
   * UserWriteStage Viewset
   */
  stagesUserWriteRetrieve(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserWriteRetrieveRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * UserWriteStage Viewset
   */
  stagesUserWriteUpdateRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserWriteUpdate().');
      }
      if (requestParameters["userWriteStageRequest"] == null) {
        throw new RequiredError("userWriteStageRequest", 'Required parameter "userWriteStageRequest" was null or undefined when calling stagesUserWriteUpdate().');
      }
      const queryParameters = {};
      const headerParameters = {};
      headerParameters["Content-Type"] = "application/json";
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_write/{stage_uuid}/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "PUT",
        headers: headerParameters,
        query: queryParameters,
        body: UserWriteStageRequestToJSON(requestParameters["userWriteStageRequest"])
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => UserWriteStageFromJSON(jsonValue));
    });
  }
  /**
   * UserWriteStage Viewset
   */
  stagesUserWriteUpdate(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserWriteUpdateRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesUserWriteUsedByListRaw(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      if (requestParameters["stageUuid"] == null) {
        throw new RequiredError("stageUuid", 'Required parameter "stageUuid" was null or undefined when calling stagesUserWriteUsedByList().');
      }
      const queryParameters = {};
      const headerParameters = {};
      if (this.configuration && this.configuration.accessToken) {
        const token = this.configuration.accessToken;
        const tokenString = yield token("authentik", []);
        if (tokenString) {
          headerParameters["Authorization"] = `Bearer ${tokenString}`;
        }
      }
      const response = yield this.request({
        path: `/stages/user_write/{stage_uuid}/used_by/`.replace(`{${"stage_uuid"}}`, encodeURIComponent(String(requestParameters["stageUuid"]))),
        method: "GET",
        headers: headerParameters,
        query: queryParameters
      }, initOverrides);
      return new JSONApiResponse(response, (jsonValue) => jsonValue.map(UsedByFromJSON));
    });
  }
  /**
   * Get a list of all objects that use this object
   */
  stagesUserWriteUsedByList(requestParameters, initOverrides) {
    return __awaiter(this, void 0, void 0, function* () {
      const response = yield this.stagesUserWriteUsedByListRaw(requestParameters, initOverrides);
      return yield response.value();
    });
  }
};

// src/flow/stages/authenticator_duo/AuthenticatorDuoStage.ts
var AuthenticatorDuoStage = class extends BaseStage {
  static get styles() {
    return [patternfly_base_default, login_default, form_default, form_control_default, title_default, button_default];
  }
  updated(changedProperties) {
    if (changedProperties.has("challenge") && this.challenge !== void 0) {
      const i = setInterval(() => {
        this.checkEnrollStatus().then((shouldStop) => {
          if (shouldStop) {
            clearInterval(i);
          }
        });
      }, 3e3);
    }
  }
  async checkEnrollStatus() {
    const status = await new StagesApi(
      DEFAULT_CONFIG
    ).stagesAuthenticatorDuoEnrollmentStatusCreate({
      stageUuid: this.challenge?.stageUuid || ""
    });
    console.debug(
      `authentik/stages/authenticator_duo: Enrollment status: ${status.duoResponse}`
    );
    switch (status.duoResponse) {
      case DuoResponseEnum.Success:
        this.host?.submit({});
        return true;
      case DuoResponseEnum.Waiting:
        break;
    }
    return false;
  }
  render() {
    if (!this.challenge) {
      return ke`<ak-empty-state loading> </ak-empty-state>`;
    }
    return ke`<header class="pf-c-login__main-header">
                <h1 class="pf-c-title pf-m-3xl">${this.challenge.flowInfo?.title}</h1>
            </header>
            <div class="pf-c-login__main-body">
                <form
                    class="pf-c-form"
                    @submit=${(e) => {
      this.submitForm(e);
    }}
                >
                    <ak-form-static
                        class="pf-c-form__group"
                        userAvatar="${this.challenge.pendingUserAvatar}"
                        user=${this.challenge.pendingUser}
                    >
                        <div slot="link">
                            <a href="${to(this.challenge.flowInfo?.cancelUrl)}"
                                >${msg("Not you?")}</a
                            >
                        </div>
                    </ak-form-static>
                    <img
                        src=${this.challenge.activationBarcode}
                        alt=${msg("Duo activation QR code")}
                    />
                    <p>
                        ${msg(
      "Alternatively, if your current device has Duo installed, click on this link:"
    )}
                    </p>
                    <a href=${this.challenge.activationCode}>${msg("Duo activation")}</a>

                    <div class="pf-c-form__group pf-m-action">
                        <button
                            type="button"
                            class="pf-c-button pf-m-primary pf-m-block"
                            @click=${() => {
      this.checkEnrollStatus();
    }}
                        >
                            ${msg("Check status")}
                        </button>
                    </div>
                </form>
            </div>
            <footer class="pf-c-login__main-footer">
                <ul class="pf-c-login__main-footer-links"></ul>
            </footer>`;
  }
};
AuthenticatorDuoStage = __decorateClass([
  t("ak-stage-authenticator-duo")
], AuthenticatorDuoStage);
export {
  AuthenticatorDuoStage
};
//# sourceMappingURL=AuthenticatorDuoStage-ASTHD265.js.map
